define('domReady', [], function () {
    'use strict';
    var isTop, testDiv, scrollIntervalId, isBrowser = typeof window !== 'undefined' && window.document, isPageLoaded = !isBrowser, doc = isBrowser ? document : null, readyCalls = [];
    function runCallbacks(callbacks) {
        var i;
        for (i = 0; i < callbacks.length; i += 1) {
            callbacks[i](doc);
        }
    }
    function callReady() {
        var callbacks = readyCalls;
        if (isPageLoaded) {
            if (callbacks.length) {
                readyCalls = [];
                runCallbacks(callbacks);
            }
        }
    }
    function pageLoaded() {
        if (!isPageLoaded) {
            isPageLoaded = true;
            if (scrollIntervalId) {
                clearInterval(scrollIntervalId);
            }
            callReady();
        }
    }
    if (isBrowser) {
        if (document.addEventListener) {
            document.addEventListener('DOMContentLoaded', pageLoaded, false);
            window.addEventListener('load', pageLoaded, false);
        } else if (window.attachEvent) {
            window.attachEvent('onload', pageLoaded);
            testDiv = document.createElement('div');
            try {
                isTop = window.frameElement === null;
            } catch (e) {
            }
            if (testDiv.doScroll && isTop && window.external) {
                scrollIntervalId = setInterval(function () {
                    try {
                        testDiv.doScroll();
                        pageLoaded();
                    } catch (e) {
                    }
                }, 30);
            }
        }
        if (document.readyState === 'complete') {
            pageLoaded();
        }
    }
    function domReady(callback) {
        if (isPageLoaded) {
            callback(doc);
        } else {
            readyCalls.push(callback);
        }
        return domReady;
    }
    domReady.version = '2.0.1';
    domReady.load = function (name, req, onLoad, config) {
        if (config.isBuild) {
            onLoad(null);
        } else {
            domReady(onLoad);
        }
    };
    return domReady;
});
(function () {
    (function () {
        function n(n) {
            function t(t, r, e, u, i, o) {
                for (; i >= 0 && o > i; i += n) {
                    var a = u ? u[i] : i;
                    e = r(e, t[a], a, t);
                }
                return e;
            }
            return function (r, e, u, i) {
                e = b(e, i, 4);
                var o = !k(r) && m.keys(r), a = (o || r).length, c = n > 0 ? 0 : a - 1;
                return arguments.length < 3 && (u = r[o ? o[c] : c], c += n), t(r, e, u, o, c, a);
            };
        }
        function t(n) {
            return function (t, r, e) {
                r = x(r, e);
                for (var u = O(t), i = n > 0 ? 0 : u - 1; i >= 0 && u > i; i += n)
                    if (r(t[i], i, t))
                        return i;
                return -1;
            };
        }
        function r(n, t, r) {
            return function (e, u, i) {
                var o = 0, a = O(e);
                if ('number' == typeof i)
                    n > 0 ? o = i >= 0 ? i : Math.max(i + a, o) : a = i >= 0 ? Math.min(i + 1, a) : i + a + 1;
                else if (r && i && a)
                    return i = r(e, u), e[i] === u ? i : -1;
                if (u !== u)
                    return i = t(l.call(e, o, a), m.isNaN), i >= 0 ? i + o : -1;
                for (i = n > 0 ? o : a - 1; i >= 0 && a > i; i += n)
                    if (e[i] === u)
                        return i;
                return -1;
            };
        }
        function e(n, t) {
            var r = I.length, e = n.constructor, u = m.isFunction(e) && e.prototype || a, i = 'constructor';
            for (m.has(n, i) && !m.contains(t, i) && t.push(i); r--;)
                i = I[r], i in n && n[i] !== u[i] && !m.contains(t, i) && t.push(i);
        }
        var u = this, i = u._, o = Array.prototype, a = Object.prototype, c = Function.prototype, f = o.push, l = o.slice, s = a.toString, p = a.hasOwnProperty, h = Array.isArray, v = Object.keys, g = c.bind, y = Object.create, d = function () {
            }, m = function (n) {
                return n instanceof m ? n : this instanceof m ? void (this._wrapped = n) : new m(n);
            };
        'undefined' != typeof exports ? ('undefined' != typeof module && module.exports && (exports = module.exports = m), exports._ = m) : u._ = m, m.VERSION = '1.8.3';
        var b = function (n, t, r) {
                if (t === void 0)
                    return n;
                switch (null == r ? 3 : r) {
                case 1:
                    return function (r) {
                        return n.call(t, r);
                    };
                case 2:
                    return function (r, e) {
                        return n.call(t, r, e);
                    };
                case 3:
                    return function (r, e, u) {
                        return n.call(t, r, e, u);
                    };
                case 4:
                    return function (r, e, u, i) {
                        return n.call(t, r, e, u, i);
                    };
                }
                return function () {
                    return n.apply(t, arguments);
                };
            }, x = function (n, t, r) {
                return null == n ? m.identity : m.isFunction(n) ? b(n, t, r) : m.isObject(n) ? m.matcher(n) : m.property(n);
            };
        m.iteratee = function (n, t) {
            return x(n, t, 1 / 0);
        };
        var _ = function (n, t) {
                return function (r) {
                    var e = arguments.length;
                    if (2 > e || null == r)
                        return r;
                    for (var u = 1; e > u; u++)
                        for (var i = arguments[u], o = n(i), a = o.length, c = 0; a > c; c++) {
                            var f = o[c];
                            t && r[f] !== void 0 || (r[f] = i[f]);
                        }
                    return r;
                };
            }, j = function (n) {
                if (!m.isObject(n))
                    return {};
                if (y)
                    return y(n);
                d.prototype = n;
                var t = new d();
                return d.prototype = null, t;
            }, w = function (n) {
                return function (t) {
                    return null == t ? void 0 : t[n];
                };
            }, A = Math.pow(2, 53) - 1, O = w('length'), k = function (n) {
                var t = O(n);
                return 'number' == typeof t && t >= 0 && A >= t;
            };
        m.each = m.forEach = function (n, t, r) {
            t = b(t, r);
            var e, u;
            if (k(n))
                for (e = 0, u = n.length; u > e; e++)
                    t(n[e], e, n);
            else {
                var i = m.keys(n);
                for (e = 0, u = i.length; u > e; e++)
                    t(n[i[e]], i[e], n);
            }
            return n;
        }, m.map = m.collect = function (n, t, r) {
            t = x(t, r);
            for (var e = !k(n) && m.keys(n), u = (e || n).length, i = Array(u), o = 0; u > o; o++) {
                var a = e ? e[o] : o;
                i[o] = t(n[a], a, n);
            }
            return i;
        }, m.reduce = m.foldl = m.inject = n(1), m.reduceRight = m.foldr = n(-1), m.find = m.detect = function (n, t, r) {
            var e;
            return e = k(n) ? m.findIndex(n, t, r) : m.findKey(n, t, r), e !== void 0 && e !== -1 ? n[e] : void 0;
        }, m.filter = m.select = function (n, t, r) {
            var e = [];
            return t = x(t, r), m.each(n, function (n, r, u) {
                t(n, r, u) && e.push(n);
            }), e;
        }, m.reject = function (n, t, r) {
            return m.filter(n, m.negate(x(t)), r);
        }, m.every = m.all = function (n, t, r) {
            t = x(t, r);
            for (var e = !k(n) && m.keys(n), u = (e || n).length, i = 0; u > i; i++) {
                var o = e ? e[i] : i;
                if (!t(n[o], o, n))
                    return !1;
            }
            return !0;
        }, m.some = m.any = function (n, t, r) {
            t = x(t, r);
            for (var e = !k(n) && m.keys(n), u = (e || n).length, i = 0; u > i; i++) {
                var o = e ? e[i] : i;
                if (t(n[o], o, n))
                    return !0;
            }
            return !1;
        }, m.contains = m.includes = m.include = function (n, t, r, e) {
            return k(n) || (n = m.values(n)), ('number' != typeof r || e) && (r = 0), m.indexOf(n, t, r) >= 0;
        }, m.invoke = function (n, t) {
            var r = l.call(arguments, 2), e = m.isFunction(t);
            return m.map(n, function (n) {
                var u = e ? t : n[t];
                return null == u ? u : u.apply(n, r);
            });
        }, m.pluck = function (n, t) {
            return m.map(n, m.property(t));
        }, m.where = function (n, t) {
            return m.filter(n, m.matcher(t));
        }, m.findWhere = function (n, t) {
            return m.find(n, m.matcher(t));
        }, m.max = function (n, t, r) {
            var e, u, i = -1 / 0, o = -1 / 0;
            if (null == t && null != n) {
                n = k(n) ? n : m.values(n);
                for (var a = 0, c = n.length; c > a; a++)
                    e = n[a], e > i && (i = e);
            } else
                t = x(t, r), m.each(n, function (n, r, e) {
                    u = t(n, r, e), (u > o || u === -1 / 0 && i === -1 / 0) && (i = n, o = u);
                });
            return i;
        }, m.min = function (n, t, r) {
            var e, u, i = 1 / 0, o = 1 / 0;
            if (null == t && null != n) {
                n = k(n) ? n : m.values(n);
                for (var a = 0, c = n.length; c > a; a++)
                    e = n[a], i > e && (i = e);
            } else
                t = x(t, r), m.each(n, function (n, r, e) {
                    u = t(n, r, e), (o > u || 1 / 0 === u && 1 / 0 === i) && (i = n, o = u);
                });
            return i;
        }, m.shuffle = function (n) {
            for (var t, r = k(n) ? n : m.values(n), e = r.length, u = Array(e), i = 0; e > i; i++)
                t = m.random(0, i), t !== i && (u[i] = u[t]), u[t] = r[i];
            return u;
        }, m.sample = function (n, t, r) {
            return null == t || r ? (k(n) || (n = m.values(n)), n[m.random(n.length - 1)]) : m.shuffle(n).slice(0, Math.max(0, t));
        }, m.sortBy = function (n, t, r) {
            return t = x(t, r), m.pluck(m.map(n, function (n, r, e) {
                return {
                    value: n,
                    index: r,
                    criteria: t(n, r, e)
                };
            }).sort(function (n, t) {
                var r = n.criteria, e = t.criteria;
                if (r !== e) {
                    if (r > e || r === void 0)
                        return 1;
                    if (e > r || e === void 0)
                        return -1;
                }
                return n.index - t.index;
            }), 'value');
        };
        var F = function (n) {
            return function (t, r, e) {
                var u = {};
                return r = x(r, e), m.each(t, function (e, i) {
                    var o = r(e, i, t);
                    n(u, e, o);
                }), u;
            };
        };
        m.groupBy = F(function (n, t, r) {
            m.has(n, r) ? n[r].push(t) : n[r] = [t];
        }), m.indexBy = F(function (n, t, r) {
            n[r] = t;
        }), m.countBy = F(function (n, t, r) {
            m.has(n, r) ? n[r]++ : n[r] = 1;
        }), m.toArray = function (n) {
            return n ? m.isArray(n) ? l.call(n) : k(n) ? m.map(n, m.identity) : m.values(n) : [];
        }, m.size = function (n) {
            return null == n ? 0 : k(n) ? n.length : m.keys(n).length;
        }, m.partition = function (n, t, r) {
            t = x(t, r);
            var e = [], u = [];
            return m.each(n, function (n, r, i) {
                (t(n, r, i) ? e : u).push(n);
            }), [
                e,
                u
            ];
        }, m.first = m.head = m.take = function (n, t, r) {
            return null == n ? void 0 : null == t || r ? n[0] : m.initial(n, n.length - t);
        }, m.initial = function (n, t, r) {
            return l.call(n, 0, Math.max(0, n.length - (null == t || r ? 1 : t)));
        }, m.last = function (n, t, r) {
            return null == n ? void 0 : null == t || r ? n[n.length - 1] : m.rest(n, Math.max(0, n.length - t));
        }, m.rest = m.tail = m.drop = function (n, t, r) {
            return l.call(n, null == t || r ? 1 : t);
        }, m.compact = function (n) {
            return m.filter(n, m.identity);
        };
        var S = function (n, t, r, e) {
            for (var u = [], i = 0, o = e || 0, a = O(n); a > o; o++) {
                var c = n[o];
                if (k(c) && (m.isArray(c) || m.isArguments(c))) {
                    t || (c = S(c, t, r));
                    var f = 0, l = c.length;
                    for (u.length += l; l > f;)
                        u[i++] = c[f++];
                } else
                    r || (u[i++] = c);
            }
            return u;
        };
        m.flatten = function (n, t) {
            return S(n, t, !1);
        }, m.without = function (n) {
            return m.difference(n, l.call(arguments, 1));
        }, m.uniq = m.unique = function (n, t, r, e) {
            m.isBoolean(t) || (e = r, r = t, t = !1), null != r && (r = x(r, e));
            for (var u = [], i = [], o = 0, a = O(n); a > o; o++) {
                var c = n[o], f = r ? r(c, o, n) : c;
                t ? (o && i === f || u.push(c), i = f) : r ? m.contains(i, f) || (i.push(f), u.push(c)) : m.contains(u, c) || u.push(c);
            }
            return u;
        }, m.union = function () {
            return m.uniq(S(arguments, !0, !0));
        }, m.intersection = function (n) {
            for (var t = [], r = arguments.length, e = 0, u = O(n); u > e; e++) {
                var i = n[e];
                if (!m.contains(t, i)) {
                    for (var o = 1; r > o && m.contains(arguments[o], i); o++);
                    o === r && t.push(i);
                }
            }
            return t;
        }, m.difference = function (n) {
            var t = S(arguments, !0, !0, 1);
            return m.filter(n, function (n) {
                return !m.contains(t, n);
            });
        }, m.zip = function () {
            return m.unzip(arguments);
        }, m.unzip = function (n) {
            for (var t = n && m.max(n, O).length || 0, r = Array(t), e = 0; t > e; e++)
                r[e] = m.pluck(n, e);
            return r;
        }, m.object = function (n, t) {
            for (var r = {}, e = 0, u = O(n); u > e; e++)
                t ? r[n[e]] = t[e] : r[n[e][0]] = n[e][1];
            return r;
        }, m.findIndex = t(1), m.findLastIndex = t(-1), m.sortedIndex = function (n, t, r, e) {
            r = x(r, e, 1);
            for (var u = r(t), i = 0, o = O(n); o > i;) {
                var a = Math.floor((i + o) / 2);
                r(n[a]) < u ? i = a + 1 : o = a;
            }
            return i;
        }, m.indexOf = r(1, m.findIndex, m.sortedIndex), m.lastIndexOf = r(-1, m.findLastIndex), m.range = function (n, t, r) {
            null == t && (t = n || 0, n = 0), r = r || 1;
            for (var e = Math.max(Math.ceil((t - n) / r), 0), u = Array(e), i = 0; e > i; i++, n += r)
                u[i] = n;
            return u;
        };
        var E = function (n, t, r, e, u) {
            if (!(e instanceof t))
                return n.apply(r, u);
            var i = j(n.prototype), o = n.apply(i, u);
            return m.isObject(o) ? o : i;
        };
        m.bind = function (n, t) {
            if (g && n.bind === g)
                return g.apply(n, l.call(arguments, 1));
            if (!m.isFunction(n))
                throw new TypeError('Bind must be called on a function');
            var r = l.call(arguments, 2), e = function () {
                    return E(n, e, t, this, r.concat(l.call(arguments)));
                };
            return e;
        }, m.partial = function (n) {
            var t = l.call(arguments, 1), r = function () {
                    for (var e = 0, u = t.length, i = Array(u), o = 0; u > o; o++)
                        i[o] = t[o] === m ? arguments[e++] : t[o];
                    for (; e < arguments.length;)
                        i.push(arguments[e++]);
                    return E(n, r, this, this, i);
                };
            return r;
        }, m.bindAll = function (n) {
            var t, r, e = arguments.length;
            if (1 >= e)
                throw new Error('bindAll must be passed function names');
            for (t = 1; e > t; t++)
                r = arguments[t], n[r] = m.bind(n[r], n);
            return n;
        }, m.memoize = function (n, t) {
            var r = function (e) {
                var u = r.cache, i = '' + (t ? t.apply(this, arguments) : e);
                return m.has(u, i) || (u[i] = n.apply(this, arguments)), u[i];
            };
            return r.cache = {}, r;
        }, m.delay = function (n, t) {
            var r = l.call(arguments, 2);
            return setTimeout(function () {
                return n.apply(null, r);
            }, t);
        }, m.defer = m.partial(m.delay, m, 1), m.throttle = function (n, t, r) {
            var e, u, i, o = null, a = 0;
            r || (r = {});
            var c = function () {
                a = r.leading === !1 ? 0 : m.now(), o = null, i = n.apply(e, u), o || (e = u = null);
            };
            return function () {
                var f = m.now();
                a || r.leading !== !1 || (a = f);
                var l = t - (f - a);
                return e = this, u = arguments, 0 >= l || l > t ? (o && (clearTimeout(o), o = null), a = f, i = n.apply(e, u), o || (e = u = null)) : o || r.trailing === !1 || (o = setTimeout(c, l)), i;
            };
        }, m.debounce = function (n, t, r) {
            var e, u, i, o, a, c = function () {
                    var f = m.now() - o;
                    t > f && f >= 0 ? e = setTimeout(c, t - f) : (e = null, r || (a = n.apply(i, u), e || (i = u = null)));
                };
            return function () {
                i = this, u = arguments, o = m.now();
                var f = r && !e;
                return e || (e = setTimeout(c, t)), f && (a = n.apply(i, u), i = u = null), a;
            };
        }, m.wrap = function (n, t) {
            return m.partial(t, n);
        }, m.negate = function (n) {
            return function () {
                return !n.apply(this, arguments);
            };
        }, m.compose = function () {
            var n = arguments, t = n.length - 1;
            return function () {
                for (var r = t, e = n[t].apply(this, arguments); r--;)
                    e = n[r].call(this, e);
                return e;
            };
        }, m.after = function (n, t) {
            return function () {
                return --n < 1 ? t.apply(this, arguments) : void 0;
            };
        }, m.before = function (n, t) {
            var r;
            return function () {
                return --n > 0 && (r = t.apply(this, arguments)), 1 >= n && (t = null), r;
            };
        }, m.once = m.partial(m.before, 2);
        var M = !{ toString: null }.propertyIsEnumerable('toString'), I = [
                'valueOf',
                'isPrototypeOf',
                'toString',
                'propertyIsEnumerable',
                'hasOwnProperty',
                'toLocaleString'
            ];
        m.keys = function (n) {
            if (!m.isObject(n))
                return [];
            if (v)
                return v(n);
            var t = [];
            for (var r in n)
                m.has(n, r) && t.push(r);
            return M && e(n, t), t;
        }, m.allKeys = function (n) {
            if (!m.isObject(n))
                return [];
            var t = [];
            for (var r in n)
                t.push(r);
            return M && e(n, t), t;
        }, m.values = function (n) {
            for (var t = m.keys(n), r = t.length, e = Array(r), u = 0; r > u; u++)
                e[u] = n[t[u]];
            return e;
        }, m.mapObject = function (n, t, r) {
            t = x(t, r);
            for (var e, u = m.keys(n), i = u.length, o = {}, a = 0; i > a; a++)
                e = u[a], o[e] = t(n[e], e, n);
            return o;
        }, m.pairs = function (n) {
            for (var t = m.keys(n), r = t.length, e = Array(r), u = 0; r > u; u++)
                e[u] = [
                    t[u],
                    n[t[u]]
                ];
            return e;
        }, m.invert = function (n) {
            for (var t = {}, r = m.keys(n), e = 0, u = r.length; u > e; e++)
                t[n[r[e]]] = r[e];
            return t;
        }, m.functions = m.methods = function (n) {
            var t = [];
            for (var r in n)
                m.isFunction(n[r]) && t.push(r);
            return t.sort();
        }, m.extend = _(m.allKeys), m.extendOwn = m.assign = _(m.keys), m.findKey = function (n, t, r) {
            t = x(t, r);
            for (var e, u = m.keys(n), i = 0, o = u.length; o > i; i++)
                if (e = u[i], t(n[e], e, n))
                    return e;
        }, m.pick = function (n, t, r) {
            var e, u, i = {}, o = n;
            if (null == o)
                return i;
            m.isFunction(t) ? (u = m.allKeys(o), e = b(t, r)) : (u = S(arguments, !1, !1, 1), e = function (n, t, r) {
                return t in r;
            }, o = Object(o));
            for (var a = 0, c = u.length; c > a; a++) {
                var f = u[a], l = o[f];
                e(l, f, o) && (i[f] = l);
            }
            return i;
        }, m.omit = function (n, t, r) {
            if (m.isFunction(t))
                t = m.negate(t);
            else {
                var e = m.map(S(arguments, !1, !1, 1), String);
                t = function (n, t) {
                    return !m.contains(e, t);
                };
            }
            return m.pick(n, t, r);
        }, m.defaults = _(m.allKeys, !0), m.create = function (n, t) {
            var r = j(n);
            return t && m.extendOwn(r, t), r;
        }, m.clone = function (n) {
            return m.isObject(n) ? m.isArray(n) ? n.slice() : m.extend({}, n) : n;
        }, m.tap = function (n, t) {
            return t(n), n;
        }, m.isMatch = function (n, t) {
            var r = m.keys(t), e = r.length;
            if (null == n)
                return !e;
            for (var u = Object(n), i = 0; e > i; i++) {
                var o = r[i];
                if (t[o] !== u[o] || !(o in u))
                    return !1;
            }
            return !0;
        };
        var N = function (n, t, r, e) {
            if (n === t)
                return 0 !== n || 1 / n === 1 / t;
            if (null == n || null == t)
                return n === t;
            n instanceof m && (n = n._wrapped), t instanceof m && (t = t._wrapped);
            var u = s.call(n);
            if (u !== s.call(t))
                return !1;
            switch (u) {
            case '[object RegExp]':
            case '[object String]':
                return '' + n == '' + t;
            case '[object Number]':
                return +n !== +n ? +t !== +t : 0 === +n ? 1 / +n === 1 / t : +n === +t;
            case '[object Date]':
            case '[object Boolean]':
                return +n === +t;
            }
            var i = '[object Array]' === u;
            if (!i) {
                if ('object' != typeof n || 'object' != typeof t)
                    return !1;
                var o = n.constructor, a = t.constructor;
                if (o !== a && !(m.isFunction(o) && o instanceof o && m.isFunction(a) && a instanceof a) && 'constructor' in n && 'constructor' in t)
                    return !1;
            }
            r = r || [], e = e || [];
            for (var c = r.length; c--;)
                if (r[c] === n)
                    return e[c] === t;
            if (r.push(n), e.push(t), i) {
                if (c = n.length, c !== t.length)
                    return !1;
                for (; c--;)
                    if (!N(n[c], t[c], r, e))
                        return !1;
            } else {
                var f, l = m.keys(n);
                if (c = l.length, m.keys(t).length !== c)
                    return !1;
                for (; c--;)
                    if (f = l[c], !m.has(t, f) || !N(n[f], t[f], r, e))
                        return !1;
            }
            return r.pop(), e.pop(), !0;
        };
        m.isEqual = function (n, t) {
            return N(n, t);
        }, m.isEmpty = function (n) {
            return null == n ? !0 : k(n) && (m.isArray(n) || m.isString(n) || m.isArguments(n)) ? 0 === n.length : 0 === m.keys(n).length;
        }, m.isElement = function (n) {
            return !(!n || 1 !== n.nodeType);
        }, m.isArray = h || function (n) {
            return '[object Array]' === s.call(n);
        }, m.isObject = function (n) {
            var t = typeof n;
            return 'function' === t || 'object' === t && !!n;
        }, m.each([
            'Arguments',
            'Function',
            'String',
            'Number',
            'Date',
            'RegExp',
            'Error'
        ], function (n) {
            m['is' + n] = function (t) {
                return s.call(t) === '[object ' + n + ']';
            };
        }), m.isArguments(arguments) || (m.isArguments = function (n) {
            return m.has(n, 'callee');
        }), 'function' != typeof /./ && 'object' != typeof Int8Array && (m.isFunction = function (n) {
            return 'function' == typeof n || !1;
        }), m.isFinite = function (n) {
            return isFinite(n) && !isNaN(parseFloat(n));
        }, m.isNaN = function (n) {
            return m.isNumber(n) && n !== +n;
        }, m.isBoolean = function (n) {
            return n === !0 || n === !1 || '[object Boolean]' === s.call(n);
        }, m.isNull = function (n) {
            return null === n;
        }, m.isUndefined = function (n) {
            return n === void 0;
        }, m.has = function (n, t) {
            return null != n && p.call(n, t);
        }, m.noConflict = function () {
            return u._ = i, this;
        }, m.identity = function (n) {
            return n;
        }, m.constant = function (n) {
            return function () {
                return n;
            };
        }, m.noop = function () {
        }, m.property = w, m.propertyOf = function (n) {
            return null == n ? function () {
            } : function (t) {
                return n[t];
            };
        }, m.matcher = m.matches = function (n) {
            return n = m.extendOwn({}, n), function (t) {
                return m.isMatch(t, n);
            };
        }, m.times = function (n, t, r) {
            var e = Array(Math.max(0, n));
            t = b(t, r, 1);
            for (var u = 0; n > u; u++)
                e[u] = t(u);
            return e;
        }, m.random = function (n, t) {
            return null == t && (t = n, n = 0), n + Math.floor(Math.random() * (t - n + 1));
        }, m.now = Date.now || function () {
            return new Date().getTime();
        };
        var B = {
                '&': '&amp;',
                '<': '&lt;',
                '>': '&gt;',
                '"': '&quot;',
                '\'': '&#x27;',
                '`': '&#x60;'
            }, T = m.invert(B), R = function (n) {
                var t = function (t) {
                        return n[t];
                    }, r = '(?:' + m.keys(n).join('|') + ')', e = RegExp(r), u = RegExp(r, 'g');
                return function (n) {
                    return n = null == n ? '' : '' + n, e.test(n) ? n.replace(u, t) : n;
                };
            };
        m.escape = R(B), m.unescape = R(T), m.result = function (n, t, r) {
            var e = null == n ? void 0 : n[t];
            return e === void 0 && (e = r), m.isFunction(e) ? e.call(n) : e;
        };
        var q = 0;
        m.uniqueId = function (n) {
            var t = ++q + '';
            return n ? n + t : t;
        }, m.templateSettings = {
            evaluate: /<%([\s\S]+?)%>/g,
            interpolate: /<%=([\s\S]+?)%>/g,
            escape: /<%-([\s\S]+?)%>/g
        };
        var K = /(.)^/, z = {
                '\'': '\'',
                '\\': '\\',
                '\r': 'r',
                '\n': 'n',
                '\u2028': 'u2028',
                '\u2029': 'u2029'
            }, D = /\\|'|\r|\n|\u2028|\u2029/g, L = function (n) {
                return '\\' + z[n];
            };
        m.template = function (n, t, r) {
            !t && r && (t = r), t = m.defaults({}, t, m.templateSettings);
            var e = RegExp([
                    (t.escape || K).source,
                    (t.interpolate || K).source,
                    (t.evaluate || K).source
                ].join('|') + '|$', 'g'), u = 0, i = '__p+=\'';
            n.replace(e, function (t, r, e, o, a) {
                return i += n.slice(u, a).replace(D, L), u = a + t.length, r ? i += '\'+\n((__t=(' + r + '))==null?\'\':_.escape(__t))+\n\'' : e ? i += '\'+\n((__t=(' + e + '))==null?\'\':__t)+\n\'' : o && (i += '\';\n' + o + '\n__p+=\''), t;
            }), i += '\';\n', t.variable || (i = 'with(obj||{}){\n' + i + '}\n'), i = 'var __t,__p=\'\',__j=Array.prototype.join,' + 'print=function(){__p+=__j.call(arguments,\'\');};\n' + i + 'return __p;\n';
            try {
                var o = new Function(t.variable || 'obj', '_', i);
            } catch (a) {
                throw a.source = i, a;
            }
            var c = function (n) {
                    return o.call(this, n, m);
                }, f = t.variable || 'obj';
            return c.source = 'function(' + f + '){\n' + i + '}', c;
        }, m.chain = function (n) {
            var t = m(n);
            return t._chain = !0, t;
        };
        var P = function (n, t) {
            return n._chain ? m(t).chain() : t;
        };
        m.mixin = function (n) {
            m.each(m.functions(n), function (t) {
                var r = m[t] = n[t];
                m.prototype[t] = function () {
                    var n = [this._wrapped];
                    return f.apply(n, arguments), P(this, r.apply(m, n));
                };
            });
        }, m.mixin(m), m.each([
            'pop',
            'push',
            'reverse',
            'shift',
            'sort',
            'splice',
            'unshift'
        ], function (n) {
            var t = o[n];
            m.prototype[n] = function () {
                var r = this._wrapped;
                return t.apply(r, arguments), 'shift' !== n && 'splice' !== n || 0 !== r.length || delete r[0], P(this, r);
            };
        }), m.each([
            'concat',
            'join',
            'slice'
        ], function (n) {
            var t = o[n];
            m.prototype[n] = function () {
                return P(this, t.apply(this._wrapped, arguments));
            };
        }), m.prototype.value = function () {
            return this._wrapped;
        }, m.prototype.valueOf = m.prototype.toJSON = m.prototype.value, m.prototype.toString = function () {
            return '' + this._wrapped;
        }, 'function' == typeof define && define.amd && define('underscore', [], function () {
            return m;
        });
    }.call(this));
}.call(this));
!function (a, b) {
    'object' == typeof module && 'object' == typeof module.exports ? module.exports = a.document ? b(a, !0) : function (a) {
        if (!a.document)
            throw new Error('jQuery requires a window with a document');
        return b(a);
    } : b(a);
}('undefined' != typeof window ? window : this, function (a, b) {
    var c = [], d = a.document, e = c.slice, f = c.concat, g = c.push, h = c.indexOf, i = {}, j = i.toString, k = i.hasOwnProperty, l = {}, m = '2.2.3', n = function (a, b) {
            return new n.fn.init(a, b);
        }, o = /^[\s\uFEFF\xA0]+|[\s\uFEFF\xA0]+$/g, p = /^-ms-/, q = /-([\da-z])/gi, r = function (a, b) {
            return b.toUpperCase();
        };
    n.fn = n.prototype = {
        jquery: m,
        constructor: n,
        selector: '',
        length: 0,
        toArray: function () {
            return e.call(this);
        },
        get: function (a) {
            return null != a ? 0 > a ? this[a + this.length] : this[a] : e.call(this);
        },
        pushStack: function (a) {
            var b = n.merge(this.constructor(), a);
            return b.prevObject = this, b.context = this.context, b;
        },
        each: function (a) {
            return n.each(this, a);
        },
        map: function (a) {
            return this.pushStack(n.map(this, function (b, c) {
                return a.call(b, c, b);
            }));
        },
        slice: function () {
            return this.pushStack(e.apply(this, arguments));
        },
        first: function () {
            return this.eq(0);
        },
        last: function () {
            return this.eq(-1);
        },
        eq: function (a) {
            var b = this.length, c = +a + (0 > a ? b : 0);
            return this.pushStack(c >= 0 && b > c ? [this[c]] : []);
        },
        end: function () {
            return this.prevObject || this.constructor();
        },
        push: g,
        sort: c.sort,
        splice: c.splice
    }, n.extend = n.fn.extend = function () {
        var a, b, c, d, e, f, g = arguments[0] || {}, h = 1, i = arguments.length, j = !1;
        for ('boolean' == typeof g && (j = g, g = arguments[h] || {}, h++), 'object' == typeof g || n.isFunction(g) || (g = {}), h === i && (g = this, h--); i > h; h++)
            if (null != (a = arguments[h]))
                for (b in a)
                    c = g[b], d = a[b], g !== d && (j && d && (n.isPlainObject(d) || (e = n.isArray(d))) ? (e ? (e = !1, f = c && n.isArray(c) ? c : []) : f = c && n.isPlainObject(c) ? c : {}, g[b] = n.extend(j, f, d)) : void 0 !== d && (g[b] = d));
        return g;
    }, n.extend({
        expando: 'jQuery' + (m + Math.random()).replace(/\D/g, ''),
        isReady: !0,
        error: function (a) {
            throw new Error(a);
        },
        noop: function () {
        },
        isFunction: function (a) {
            return 'function' === n.type(a);
        },
        isArray: Array.isArray,
        isWindow: function (a) {
            return null != a && a === a.window;
        },
        isNumeric: function (a) {
            var b = a && a.toString();
            return !n.isArray(a) && b - parseFloat(b) + 1 >= 0;
        },
        isPlainObject: function (a) {
            var b;
            if ('object' !== n.type(a) || a.nodeType || n.isWindow(a))
                return !1;
            if (a.constructor && !k.call(a, 'constructor') && !k.call(a.constructor.prototype || {}, 'isPrototypeOf'))
                return !1;
            for (b in a);
            return void 0 === b || k.call(a, b);
        },
        isEmptyObject: function (a) {
            var b;
            for (b in a)
                return !1;
            return !0;
        },
        type: function (a) {
            return null == a ? a + '' : 'object' == typeof a || 'function' == typeof a ? i[j.call(a)] || 'object' : typeof a;
        },
        globalEval: function (a) {
            var b, c = eval;
            a = n.trim(a), a && (1 === a.indexOf('use strict') ? (b = d.createElement('script'), b.text = a, d.head.appendChild(b).parentNode.removeChild(b)) : c(a));
        },
        camelCase: function (a) {
            return a.replace(p, 'ms-').replace(q, r);
        },
        nodeName: function (a, b) {
            return a.nodeName && a.nodeName.toLowerCase() === b.toLowerCase();
        },
        each: function (a, b) {
            var c, d = 0;
            if (s(a)) {
                for (c = a.length; c > d; d++)
                    if (b.call(a[d], d, a[d]) === !1)
                        break;
            } else
                for (d in a)
                    if (b.call(a[d], d, a[d]) === !1)
                        break;
            return a;
        },
        trim: function (a) {
            return null == a ? '' : (a + '').replace(o, '');
        },
        makeArray: function (a, b) {
            var c = b || [];
            return null != a && (s(Object(a)) ? n.merge(c, 'string' == typeof a ? [a] : a) : g.call(c, a)), c;
        },
        inArray: function (a, b, c) {
            return null == b ? -1 : h.call(b, a, c);
        },
        merge: function (a, b) {
            for (var c = +b.length, d = 0, e = a.length; c > d; d++)
                a[e++] = b[d];
            return a.length = e, a;
        },
        grep: function (a, b, c) {
            for (var d, e = [], f = 0, g = a.length, h = !c; g > f; f++)
                d = !b(a[f], f), d !== h && e.push(a[f]);
            return e;
        },
        map: function (a, b, c) {
            var d, e, g = 0, h = [];
            if (s(a))
                for (d = a.length; d > g; g++)
                    e = b(a[g], g, c), null != e && h.push(e);
            else
                for (g in a)
                    e = b(a[g], g, c), null != e && h.push(e);
            return f.apply([], h);
        },
        guid: 1,
        proxy: function (a, b) {
            var c, d, f;
            return 'string' == typeof b && (c = a[b], b = a, a = c), n.isFunction(a) ? (d = e.call(arguments, 2), f = function () {
                return a.apply(b || this, d.concat(e.call(arguments)));
            }, f.guid = a.guid = a.guid || n.guid++, f) : void 0;
        },
        now: Date.now,
        support: l
    }), 'function' == typeof Symbol && (n.fn[Symbol.iterator] = c[Symbol.iterator]), n.each('Boolean Number String Function Array Date RegExp Object Error Symbol'.split(' '), function (a, b) {
        i['[object ' + b + ']'] = b.toLowerCase();
    });
    function s(a) {
        var b = !!a && 'length' in a && a.length, c = n.type(a);
        return 'function' === c || n.isWindow(a) ? !1 : 'array' === c || 0 === b || 'number' == typeof b && b > 0 && b - 1 in a;
    }
    var t = function (a) {
        var b, c, d, e, f, g, h, i, j, k, l, m, n, o, p, q, r, s, t, u = 'sizzle' + 1 * new Date(), v = a.document, w = 0, x = 0, y = ga(), z = ga(), A = ga(), B = function (a, b) {
                return a === b && (l = !0), 0;
            }, C = 1 << 31, D = {}.hasOwnProperty, E = [], F = E.pop, G = E.push, H = E.push, I = E.slice, J = function (a, b) {
                for (var c = 0, d = a.length; d > c; c++)
                    if (a[c] === b)
                        return c;
                return -1;
            }, K = 'checked|selected|async|autofocus|autoplay|controls|defer|disabled|hidden|ismap|loop|multiple|open|readonly|required|scoped', L = '[\\x20\\t\\r\\n\\f]', M = '(?:\\\\.|[\\w-]|[^\\x00-\\xa0])+', N = '\\[' + L + '*(' + M + ')(?:' + L + '*([*^$|!~]?=)' + L + '*(?:\'((?:\\\\.|[^\\\\\'])*)\'|"((?:\\\\.|[^\\\\"])*)"|(' + M + '))|)' + L + '*\\]', O = ':(' + M + ')(?:\\(((\'((?:\\\\.|[^\\\\\'])*)\'|"((?:\\\\.|[^\\\\"])*)")|((?:\\\\.|[^\\\\()[\\]]|' + N + ')*)|.*)\\)|)', P = new RegExp(L + '+', 'g'), Q = new RegExp('^' + L + '+|((?:^|[^\\\\])(?:\\\\.)*)' + L + '+$', 'g'), R = new RegExp('^' + L + '*,' + L + '*'), S = new RegExp('^' + L + '*([>+~]|' + L + ')' + L + '*'), T = new RegExp('=' + L + '*([^\\]\'"]*?)' + L + '*\\]', 'g'), U = new RegExp(O), V = new RegExp('^' + M + '$'), W = {
                ID: new RegExp('^#(' + M + ')'),
                CLASS: new RegExp('^\\.(' + M + ')'),
                TAG: new RegExp('^(' + M + '|[*])'),
                ATTR: new RegExp('^' + N),
                PSEUDO: new RegExp('^' + O),
                CHILD: new RegExp('^:(only|first|last|nth|nth-last)-(child|of-type)(?:\\(' + L + '*(even|odd|(([+-]|)(\\d*)n|)' + L + '*(?:([+-]|)' + L + '*(\\d+)|))' + L + '*\\)|)', 'i'),
                bool: new RegExp('^(?:' + K + ')$', 'i'),
                needsContext: new RegExp('^' + L + '*[>+~]|:(even|odd|eq|gt|lt|nth|first|last)(?:\\(' + L + '*((?:-\\d)?\\d*)' + L + '*\\)|)(?=[^-]|$)', 'i')
            }, X = /^(?:input|select|textarea|button)$/i, Y = /^h\d$/i, Z = /^[^{]+\{\s*\[native \w/, $ = /^(?:#([\w-]+)|(\w+)|\.([\w-]+))$/, _ = /[+~]/, aa = /'|\\/g, ba = new RegExp('\\\\([\\da-f]{1,6}' + L + '?|(' + L + ')|.)', 'ig'), ca = function (a, b, c) {
                var d = '0x' + b - 65536;
                return d !== d || c ? b : 0 > d ? String.fromCharCode(d + 65536) : String.fromCharCode(d >> 10 | 55296, 1023 & d | 56320);
            }, da = function () {
                m();
            };
        try {
            H.apply(E = I.call(v.childNodes), v.childNodes), E[v.childNodes.length].nodeType;
        } catch (ea) {
            H = {
                apply: E.length ? function (a, b) {
                    G.apply(a, I.call(b));
                } : function (a, b) {
                    var c = a.length, d = 0;
                    while (a[c++] = b[d++]);
                    a.length = c - 1;
                }
            };
        }
        function fa(a, b, d, e) {
            var f, h, j, k, l, o, r, s, w = b && b.ownerDocument, x = b ? b.nodeType : 9;
            if (d = d || [], 'string' != typeof a || !a || 1 !== x && 9 !== x && 11 !== x)
                return d;
            if (!e && ((b ? b.ownerDocument || b : v) !== n && m(b), b = b || n, p)) {
                if (11 !== x && (o = $.exec(a)))
                    if (f = o[1]) {
                        if (9 === x) {
                            if (!(j = b.getElementById(f)))
                                return d;
                            if (j.id === f)
                                return d.push(j), d;
                        } else if (w && (j = w.getElementById(f)) && t(b, j) && j.id === f)
                            return d.push(j), d;
                    } else {
                        if (o[2])
                            return H.apply(d, b.getElementsByTagName(a)), d;
                        if ((f = o[3]) && c.getElementsByClassName && b.getElementsByClassName)
                            return H.apply(d, b.getElementsByClassName(f)), d;
                    }
                if (c.qsa && !A[a + ' '] && (!q || !q.test(a))) {
                    if (1 !== x)
                        w = b, s = a;
                    else if ('object' !== b.nodeName.toLowerCase()) {
                        (k = b.getAttribute('id')) ? k = k.replace(aa, '\\$&') : b.setAttribute('id', k = u), r = g(a), h = r.length, l = V.test(k) ? '#' + k : '[id=\'' + k + '\']';
                        while (h--)
                            r[h] = l + ' ' + qa(r[h]);
                        s = r.join(','), w = _.test(a) && oa(b.parentNode) || b;
                    }
                    if (s)
                        try {
                            return H.apply(d, w.querySelectorAll(s)), d;
                        } catch (y) {
                        } finally {
                            k === u && b.removeAttribute('id');
                        }
                }
            }
            return i(a.replace(Q, '$1'), b, d, e);
        }
        function ga() {
            var a = [];
            function b(c, e) {
                return a.push(c + ' ') > d.cacheLength && delete b[a.shift()], b[c + ' '] = e;
            }
            return b;
        }
        function ha(a) {
            return a[u] = !0, a;
        }
        function ia(a) {
            var b = n.createElement('div');
            try {
                return !!a(b);
            } catch (c) {
                return !1;
            } finally {
                b.parentNode && b.parentNode.removeChild(b), b = null;
            }
        }
        function ja(a, b) {
            var c = a.split('|'), e = c.length;
            while (e--)
                d.attrHandle[c[e]] = b;
        }
        function ka(a, b) {
            var c = b && a, d = c && 1 === a.nodeType && 1 === b.nodeType && (~b.sourceIndex || C) - (~a.sourceIndex || C);
            if (d)
                return d;
            if (c)
                while (c = c.nextSibling)
                    if (c === b)
                        return -1;
            return a ? 1 : -1;
        }
        function la(a) {
            return function (b) {
                var c = b.nodeName.toLowerCase();
                return 'input' === c && b.type === a;
            };
        }
        function ma(a) {
            return function (b) {
                var c = b.nodeName.toLowerCase();
                return ('input' === c || 'button' === c) && b.type === a;
            };
        }
        function na(a) {
            return ha(function (b) {
                return b = +b, ha(function (c, d) {
                    var e, f = a([], c.length, b), g = f.length;
                    while (g--)
                        c[e = f[g]] && (c[e] = !(d[e] = c[e]));
                });
            });
        }
        function oa(a) {
            return a && 'undefined' != typeof a.getElementsByTagName && a;
        }
        c = fa.support = {}, f = fa.isXML = function (a) {
            var b = a && (a.ownerDocument || a).documentElement;
            return b ? 'HTML' !== b.nodeName : !1;
        }, m = fa.setDocument = function (a) {
            var b, e, g = a ? a.ownerDocument || a : v;
            return g !== n && 9 === g.nodeType && g.documentElement ? (n = g, o = n.documentElement, p = !f(n), (e = n.defaultView) && e.top !== e && (e.addEventListener ? e.addEventListener('unload', da, !1) : e.attachEvent && e.attachEvent('onunload', da)), c.attributes = ia(function (a) {
                return a.className = 'i', !a.getAttribute('className');
            }), c.getElementsByTagName = ia(function (a) {
                return a.appendChild(n.createComment('')), !a.getElementsByTagName('*').length;
            }), c.getElementsByClassName = Z.test(n.getElementsByClassName), c.getById = ia(function (a) {
                return o.appendChild(a).id = u, !n.getElementsByName || !n.getElementsByName(u).length;
            }), c.getById ? (d.find.ID = function (a, b) {
                if ('undefined' != typeof b.getElementById && p) {
                    var c = b.getElementById(a);
                    return c ? [c] : [];
                }
            }, d.filter.ID = function (a) {
                var b = a.replace(ba, ca);
                return function (a) {
                    return a.getAttribute('id') === b;
                };
            }) : (delete d.find.ID, d.filter.ID = function (a) {
                var b = a.replace(ba, ca);
                return function (a) {
                    var c = 'undefined' != typeof a.getAttributeNode && a.getAttributeNode('id');
                    return c && c.value === b;
                };
            }), d.find.TAG = c.getElementsByTagName ? function (a, b) {
                return 'undefined' != typeof b.getElementsByTagName ? b.getElementsByTagName(a) : c.qsa ? b.querySelectorAll(a) : void 0;
            } : function (a, b) {
                var c, d = [], e = 0, f = b.getElementsByTagName(a);
                if ('*' === a) {
                    while (c = f[e++])
                        1 === c.nodeType && d.push(c);
                    return d;
                }
                return f;
            }, d.find.CLASS = c.getElementsByClassName && function (a, b) {
                return 'undefined' != typeof b.getElementsByClassName && p ? b.getElementsByClassName(a) : void 0;
            }, r = [], q = [], (c.qsa = Z.test(n.querySelectorAll)) && (ia(function (a) {
                o.appendChild(a).innerHTML = '<a id=\'' + u + '\'></a><select id=\'' + u + '-\r\\\' msallowcapture=\'\'><option selected=\'\'></option></select>', a.querySelectorAll('[msallowcapture^=\'\']').length && q.push('[*^$]=' + L + '*(?:\'\'|"")'), a.querySelectorAll('[selected]').length || q.push('\\[' + L + '*(?:value|' + K + ')'), a.querySelectorAll('[id~=' + u + '-]').length || q.push('~='), a.querySelectorAll(':checked').length || q.push(':checked'), a.querySelectorAll('a#' + u + '+*').length || q.push('.#.+[+~]');
            }), ia(function (a) {
                var b = n.createElement('input');
                b.setAttribute('type', 'hidden'), a.appendChild(b).setAttribute('name', 'D'), a.querySelectorAll('[name=d]').length && q.push('name' + L + '*[*^$|!~]?='), a.querySelectorAll(':enabled').length || q.push(':enabled', ':disabled'), a.querySelectorAll('*,:x'), q.push(',.*:');
            })), (c.matchesSelector = Z.test(s = o.matches || o.webkitMatchesSelector || o.mozMatchesSelector || o.oMatchesSelector || o.msMatchesSelector)) && ia(function (a) {
                c.disconnectedMatch = s.call(a, 'div'), s.call(a, '[s!=\'\']:x'), r.push('!=', O);
            }), q = q.length && new RegExp(q.join('|')), r = r.length && new RegExp(r.join('|')), b = Z.test(o.compareDocumentPosition), t = b || Z.test(o.contains) ? function (a, b) {
                var c = 9 === a.nodeType ? a.documentElement : a, d = b && b.parentNode;
                return a === d || !(!d || 1 !== d.nodeType || !(c.contains ? c.contains(d) : a.compareDocumentPosition && 16 & a.compareDocumentPosition(d)));
            } : function (a, b) {
                if (b)
                    while (b = b.parentNode)
                        if (b === a)
                            return !0;
                return !1;
            }, B = b ? function (a, b) {
                if (a === b)
                    return l = !0, 0;
                var d = !a.compareDocumentPosition - !b.compareDocumentPosition;
                return d ? d : (d = (a.ownerDocument || a) === (b.ownerDocument || b) ? a.compareDocumentPosition(b) : 1, 1 & d || !c.sortDetached && b.compareDocumentPosition(a) === d ? a === n || a.ownerDocument === v && t(v, a) ? -1 : b === n || b.ownerDocument === v && t(v, b) ? 1 : k ? J(k, a) - J(k, b) : 0 : 4 & d ? -1 : 1);
            } : function (a, b) {
                if (a === b)
                    return l = !0, 0;
                var c, d = 0, e = a.parentNode, f = b.parentNode, g = [a], h = [b];
                if (!e || !f)
                    return a === n ? -1 : b === n ? 1 : e ? -1 : f ? 1 : k ? J(k, a) - J(k, b) : 0;
                if (e === f)
                    return ka(a, b);
                c = a;
                while (c = c.parentNode)
                    g.unshift(c);
                c = b;
                while (c = c.parentNode)
                    h.unshift(c);
                while (g[d] === h[d])
                    d++;
                return d ? ka(g[d], h[d]) : g[d] === v ? -1 : h[d] === v ? 1 : 0;
            }, n) : n;
        }, fa.matches = function (a, b) {
            return fa(a, null, null, b);
        }, fa.matchesSelector = function (a, b) {
            if ((a.ownerDocument || a) !== n && m(a), b = b.replace(T, '=\'$1\']'), c.matchesSelector && p && !A[b + ' '] && (!r || !r.test(b)) && (!q || !q.test(b)))
                try {
                    var d = s.call(a, b);
                    if (d || c.disconnectedMatch || a.document && 11 !== a.document.nodeType)
                        return d;
                } catch (e) {
                }
            return fa(b, n, null, [a]).length > 0;
        }, fa.contains = function (a, b) {
            return (a.ownerDocument || a) !== n && m(a), t(a, b);
        }, fa.attr = function (a, b) {
            (a.ownerDocument || a) !== n && m(a);
            var e = d.attrHandle[b.toLowerCase()], f = e && D.call(d.attrHandle, b.toLowerCase()) ? e(a, b, !p) : void 0;
            return void 0 !== f ? f : c.attributes || !p ? a.getAttribute(b) : (f = a.getAttributeNode(b)) && f.specified ? f.value : null;
        }, fa.error = function (a) {
            throw new Error('Syntax error, unrecognized expression: ' + a);
        }, fa.uniqueSort = function (a) {
            var b, d = [], e = 0, f = 0;
            if (l = !c.detectDuplicates, k = !c.sortStable && a.slice(0), a.sort(B), l) {
                while (b = a[f++])
                    b === a[f] && (e = d.push(f));
                while (e--)
                    a.splice(d[e], 1);
            }
            return k = null, a;
        }, e = fa.getText = function (a) {
            var b, c = '', d = 0, f = a.nodeType;
            if (f) {
                if (1 === f || 9 === f || 11 === f) {
                    if ('string' == typeof a.textContent)
                        return a.textContent;
                    for (a = a.firstChild; a; a = a.nextSibling)
                        c += e(a);
                } else if (3 === f || 4 === f)
                    return a.nodeValue;
            } else
                while (b = a[d++])
                    c += e(b);
            return c;
        }, d = fa.selectors = {
            cacheLength: 50,
            createPseudo: ha,
            match: W,
            attrHandle: {},
            find: {},
            relative: {
                '>': {
                    dir: 'parentNode',
                    first: !0
                },
                ' ': { dir: 'parentNode' },
                '+': {
                    dir: 'previousSibling',
                    first: !0
                },
                '~': { dir: 'previousSibling' }
            },
            preFilter: {
                ATTR: function (a) {
                    return a[1] = a[1].replace(ba, ca), a[3] = (a[3] || a[4] || a[5] || '').replace(ba, ca), '~=' === a[2] && (a[3] = ' ' + a[3] + ' '), a.slice(0, 4);
                },
                CHILD: function (a) {
                    return a[1] = a[1].toLowerCase(), 'nth' === a[1].slice(0, 3) ? (a[3] || fa.error(a[0]), a[4] = +(a[4] ? a[5] + (a[6] || 1) : 2 * ('even' === a[3] || 'odd' === a[3])), a[5] = +(a[7] + a[8] || 'odd' === a[3])) : a[3] && fa.error(a[0]), a;
                },
                PSEUDO: function (a) {
                    var b, c = !a[6] && a[2];
                    return W.CHILD.test(a[0]) ? null : (a[3] ? a[2] = a[4] || a[5] || '' : c && U.test(c) && (b = g(c, !0)) && (b = c.indexOf(')', c.length - b) - c.length) && (a[0] = a[0].slice(0, b), a[2] = c.slice(0, b)), a.slice(0, 3));
                }
            },
            filter: {
                TAG: function (a) {
                    var b = a.replace(ba, ca).toLowerCase();
                    return '*' === a ? function () {
                        return !0;
                    } : function (a) {
                        return a.nodeName && a.nodeName.toLowerCase() === b;
                    };
                },
                CLASS: function (a) {
                    var b = y[a + ' '];
                    return b || (b = new RegExp('(^|' + L + ')' + a + '(' + L + '|$)')) && y(a, function (a) {
                        return b.test('string' == typeof a.className && a.className || 'undefined' != typeof a.getAttribute && a.getAttribute('class') || '');
                    });
                },
                ATTR: function (a, b, c) {
                    return function (d) {
                        var e = fa.attr(d, a);
                        return null == e ? '!=' === b : b ? (e += '', '=' === b ? e === c : '!=' === b ? e !== c : '^=' === b ? c && 0 === e.indexOf(c) : '*=' === b ? c && e.indexOf(c) > -1 : '$=' === b ? c && e.slice(-c.length) === c : '~=' === b ? (' ' + e.replace(P, ' ') + ' ').indexOf(c) > -1 : '|=' === b ? e === c || e.slice(0, c.length + 1) === c + '-' : !1) : !0;
                    };
                },
                CHILD: function (a, b, c, d, e) {
                    var f = 'nth' !== a.slice(0, 3), g = 'last' !== a.slice(-4), h = 'of-type' === b;
                    return 1 === d && 0 === e ? function (a) {
                        return !!a.parentNode;
                    } : function (b, c, i) {
                        var j, k, l, m, n, o, p = f !== g ? 'nextSibling' : 'previousSibling', q = b.parentNode, r = h && b.nodeName.toLowerCase(), s = !i && !h, t = !1;
                        if (q) {
                            if (f) {
                                while (p) {
                                    m = b;
                                    while (m = m[p])
                                        if (h ? m.nodeName.toLowerCase() === r : 1 === m.nodeType)
                                            return !1;
                                    o = p = 'only' === a && !o && 'nextSibling';
                                }
                                return !0;
                            }
                            if (o = [g ? q.firstChild : q.lastChild], g && s) {
                                m = q, l = m[u] || (m[u] = {}), k = l[m.uniqueID] || (l[m.uniqueID] = {}), j = k[a] || [], n = j[0] === w && j[1], t = n && j[2], m = n && q.childNodes[n];
                                while (m = ++n && m && m[p] || (t = n = 0) || o.pop())
                                    if (1 === m.nodeType && ++t && m === b) {
                                        k[a] = [
                                            w,
                                            n,
                                            t
                                        ];
                                        break;
                                    }
                            } else if (s && (m = b, l = m[u] || (m[u] = {}), k = l[m.uniqueID] || (l[m.uniqueID] = {}), j = k[a] || [], n = j[0] === w && j[1], t = n), t === !1)
                                while (m = ++n && m && m[p] || (t = n = 0) || o.pop())
                                    if ((h ? m.nodeName.toLowerCase() === r : 1 === m.nodeType) && ++t && (s && (l = m[u] || (m[u] = {}), k = l[m.uniqueID] || (l[m.uniqueID] = {}), k[a] = [
                                            w,
                                            t
                                        ]), m === b))
                                        break;
                            return t -= e, t === d || t % d === 0 && t / d >= 0;
                        }
                    };
                },
                PSEUDO: function (a, b) {
                    var c, e = d.pseudos[a] || d.setFilters[a.toLowerCase()] || fa.error('unsupported pseudo: ' + a);
                    return e[u] ? e(b) : e.length > 1 ? (c = [
                        a,
                        a,
                        '',
                        b
                    ], d.setFilters.hasOwnProperty(a.toLowerCase()) ? ha(function (a, c) {
                        var d, f = e(a, b), g = f.length;
                        while (g--)
                            d = J(a, f[g]), a[d] = !(c[d] = f[g]);
                    }) : function (a) {
                        return e(a, 0, c);
                    }) : e;
                }
            },
            pseudos: {
                not: ha(function (a) {
                    var b = [], c = [], d = h(a.replace(Q, '$1'));
                    return d[u] ? ha(function (a, b, c, e) {
                        var f, g = d(a, null, e, []), h = a.length;
                        while (h--)
                            (f = g[h]) && (a[h] = !(b[h] = f));
                    }) : function (a, e, f) {
                        return b[0] = a, d(b, null, f, c), b[0] = null, !c.pop();
                    };
                }),
                has: ha(function (a) {
                    return function (b) {
                        return fa(a, b).length > 0;
                    };
                }),
                contains: ha(function (a) {
                    return a = a.replace(ba, ca), function (b) {
                        return (b.textContent || b.innerText || e(b)).indexOf(a) > -1;
                    };
                }),
                lang: ha(function (a) {
                    return V.test(a || '') || fa.error('unsupported lang: ' + a), a = a.replace(ba, ca).toLowerCase(), function (b) {
                        var c;
                        do
                            if (c = p ? b.lang : b.getAttribute('xml:lang') || b.getAttribute('lang'))
                                return c = c.toLowerCase(), c === a || 0 === c.indexOf(a + '-');
                        while ((b = b.parentNode) && 1 === b.nodeType);
                        return !1;
                    };
                }),
                target: function (b) {
                    var c = a.location && a.location.hash;
                    return c && c.slice(1) === b.id;
                },
                root: function (a) {
                    return a === o;
                },
                focus: function (a) {
                    return a === n.activeElement && (!n.hasFocus || n.hasFocus()) && !!(a.type || a.href || ~a.tabIndex);
                },
                enabled: function (a) {
                    return a.disabled === !1;
                },
                disabled: function (a) {
                    return a.disabled === !0;
                },
                checked: function (a) {
                    var b = a.nodeName.toLowerCase();
                    return 'input' === b && !!a.checked || 'option' === b && !!a.selected;
                },
                selected: function (a) {
                    return a.parentNode && a.parentNode.selectedIndex, a.selected === !0;
                },
                empty: function (a) {
                    for (a = a.firstChild; a; a = a.nextSibling)
                        if (a.nodeType < 6)
                            return !1;
                    return !0;
                },
                parent: function (a) {
                    return !d.pseudos.empty(a);
                },
                header: function (a) {
                    return Y.test(a.nodeName);
                },
                input: function (a) {
                    return X.test(a.nodeName);
                },
                button: function (a) {
                    var b = a.nodeName.toLowerCase();
                    return 'input' === b && 'button' === a.type || 'button' === b;
                },
                text: function (a) {
                    var b;
                    return 'input' === a.nodeName.toLowerCase() && 'text' === a.type && (null == (b = a.getAttribute('type')) || 'text' === b.toLowerCase());
                },
                first: na(function () {
                    return [0];
                }),
                last: na(function (a, b) {
                    return [b - 1];
                }),
                eq: na(function (a, b, c) {
                    return [0 > c ? c + b : c];
                }),
                even: na(function (a, b) {
                    for (var c = 0; b > c; c += 2)
                        a.push(c);
                    return a;
                }),
                odd: na(function (a, b) {
                    for (var c = 1; b > c; c += 2)
                        a.push(c);
                    return a;
                }),
                lt: na(function (a, b, c) {
                    for (var d = 0 > c ? c + b : c; --d >= 0;)
                        a.push(d);
                    return a;
                }),
                gt: na(function (a, b, c) {
                    for (var d = 0 > c ? c + b : c; ++d < b;)
                        a.push(d);
                    return a;
                })
            }
        }, d.pseudos.nth = d.pseudos.eq;
        for (b in {
                radio: !0,
                checkbox: !0,
                file: !0,
                password: !0,
                image: !0
            })
            d.pseudos[b] = la(b);
        for (b in {
                submit: !0,
                reset: !0
            })
            d.pseudos[b] = ma(b);
        function pa() {
        }
        pa.prototype = d.filters = d.pseudos, d.setFilters = new pa(), g = fa.tokenize = function (a, b) {
            var c, e, f, g, h, i, j, k = z[a + ' '];
            if (k)
                return b ? 0 : k.slice(0);
            h = a, i = [], j = d.preFilter;
            while (h) {
                c && !(e = R.exec(h)) || (e && (h = h.slice(e[0].length) || h), i.push(f = [])), c = !1, (e = S.exec(h)) && (c = e.shift(), f.push({
                    value: c,
                    type: e[0].replace(Q, ' ')
                }), h = h.slice(c.length));
                for (g in d.filter)
                    !(e = W[g].exec(h)) || j[g] && !(e = j[g](e)) || (c = e.shift(), f.push({
                        value: c,
                        type: g,
                        matches: e
                    }), h = h.slice(c.length));
                if (!c)
                    break;
            }
            return b ? h.length : h ? fa.error(a) : z(a, i).slice(0);
        };
        function qa(a) {
            for (var b = 0, c = a.length, d = ''; c > b; b++)
                d += a[b].value;
            return d;
        }
        function ra(a, b, c) {
            var d = b.dir, e = c && 'parentNode' === d, f = x++;
            return b.first ? function (b, c, f) {
                while (b = b[d])
                    if (1 === b.nodeType || e)
                        return a(b, c, f);
            } : function (b, c, g) {
                var h, i, j, k = [
                        w,
                        f
                    ];
                if (g) {
                    while (b = b[d])
                        if ((1 === b.nodeType || e) && a(b, c, g))
                            return !0;
                } else
                    while (b = b[d])
                        if (1 === b.nodeType || e) {
                            if (j = b[u] || (b[u] = {}), i = j[b.uniqueID] || (j[b.uniqueID] = {}), (h = i[d]) && h[0] === w && h[1] === f)
                                return k[2] = h[2];
                            if (i[d] = k, k[2] = a(b, c, g))
                                return !0;
                        }
            };
        }
        function sa(a) {
            return a.length > 1 ? function (b, c, d) {
                var e = a.length;
                while (e--)
                    if (!a[e](b, c, d))
                        return !1;
                return !0;
            } : a[0];
        }
        function ta(a, b, c) {
            for (var d = 0, e = b.length; e > d; d++)
                fa(a, b[d], c);
            return c;
        }
        function ua(a, b, c, d, e) {
            for (var f, g = [], h = 0, i = a.length, j = null != b; i > h; h++)
                (f = a[h]) && (c && !c(f, d, e) || (g.push(f), j && b.push(h)));
            return g;
        }
        function va(a, b, c, d, e, f) {
            return d && !d[u] && (d = va(d)), e && !e[u] && (e = va(e, f)), ha(function (f, g, h, i) {
                var j, k, l, m = [], n = [], o = g.length, p = f || ta(b || '*', h.nodeType ? [h] : h, []), q = !a || !f && b ? p : ua(p, m, a, h, i), r = c ? e || (f ? a : o || d) ? [] : g : q;
                if (c && c(q, r, h, i), d) {
                    j = ua(r, n), d(j, [], h, i), k = j.length;
                    while (k--)
                        (l = j[k]) && (r[n[k]] = !(q[n[k]] = l));
                }
                if (f) {
                    if (e || a) {
                        if (e) {
                            j = [], k = r.length;
                            while (k--)
                                (l = r[k]) && j.push(q[k] = l);
                            e(null, r = [], j, i);
                        }
                        k = r.length;
                        while (k--)
                            (l = r[k]) && (j = e ? J(f, l) : m[k]) > -1 && (f[j] = !(g[j] = l));
                    }
                } else
                    r = ua(r === g ? r.splice(o, r.length) : r), e ? e(null, g, r, i) : H.apply(g, r);
            });
        }
        function wa(a) {
            for (var b, c, e, f = a.length, g = d.relative[a[0].type], h = g || d.relative[' '], i = g ? 1 : 0, k = ra(function (a) {
                        return a === b;
                    }, h, !0), l = ra(function (a) {
                        return J(b, a) > -1;
                    }, h, !0), m = [function (a, c, d) {
                            var e = !g && (d || c !== j) || ((b = c).nodeType ? k(a, c, d) : l(a, c, d));
                            return b = null, e;
                        }]; f > i; i++)
                if (c = d.relative[a[i].type])
                    m = [ra(sa(m), c)];
                else {
                    if (c = d.filter[a[i].type].apply(null, a[i].matches), c[u]) {
                        for (e = ++i; f > e; e++)
                            if (d.relative[a[e].type])
                                break;
                        return va(i > 1 && sa(m), i > 1 && qa(a.slice(0, i - 1).concat({ value: ' ' === a[i - 2].type ? '*' : '' })).replace(Q, '$1'), c, e > i && wa(a.slice(i, e)), f > e && wa(a = a.slice(e)), f > e && qa(a));
                    }
                    m.push(c);
                }
            return sa(m);
        }
        function xa(a, b) {
            var c = b.length > 0, e = a.length > 0, f = function (f, g, h, i, k) {
                    var l, o, q, r = 0, s = '0', t = f && [], u = [], v = j, x = f || e && d.find.TAG('*', k), y = w += null == v ? 1 : Math.random() || 0.1, z = x.length;
                    for (k && (j = g === n || g || k); s !== z && null != (l = x[s]); s++) {
                        if (e && l) {
                            o = 0, g || l.ownerDocument === n || (m(l), h = !p);
                            while (q = a[o++])
                                if (q(l, g || n, h)) {
                                    i.push(l);
                                    break;
                                }
                            k && (w = y);
                        }
                        c && ((l = !q && l) && r--, f && t.push(l));
                    }
                    if (r += s, c && s !== r) {
                        o = 0;
                        while (q = b[o++])
                            q(t, u, g, h);
                        if (f) {
                            if (r > 0)
                                while (s--)
                                    t[s] || u[s] || (u[s] = F.call(i));
                            u = ua(u);
                        }
                        H.apply(i, u), k && !f && u.length > 0 && r + b.length > 1 && fa.uniqueSort(i);
                    }
                    return k && (w = y, j = v), t;
                };
            return c ? ha(f) : f;
        }
        return h = fa.compile = function (a, b) {
            var c, d = [], e = [], f = A[a + ' '];
            if (!f) {
                b || (b = g(a)), c = b.length;
                while (c--)
                    f = wa(b[c]), f[u] ? d.push(f) : e.push(f);
                f = A(a, xa(e, d)), f.selector = a;
            }
            return f;
        }, i = fa.select = function (a, b, e, f) {
            var i, j, k, l, m, n = 'function' == typeof a && a, o = !f && g(a = n.selector || a);
            if (e = e || [], 1 === o.length) {
                if (j = o[0] = o[0].slice(0), j.length > 2 && 'ID' === (k = j[0]).type && c.getById && 9 === b.nodeType && p && d.relative[j[1].type]) {
                    if (b = (d.find.ID(k.matches[0].replace(ba, ca), b) || [])[0], !b)
                        return e;
                    n && (b = b.parentNode), a = a.slice(j.shift().value.length);
                }
                i = W.needsContext.test(a) ? 0 : j.length;
                while (i--) {
                    if (k = j[i], d.relative[l = k.type])
                        break;
                    if ((m = d.find[l]) && (f = m(k.matches[0].replace(ba, ca), _.test(j[0].type) && oa(b.parentNode) || b))) {
                        if (j.splice(i, 1), a = f.length && qa(j), !a)
                            return H.apply(e, f), e;
                        break;
                    }
                }
            }
            return (n || h(a, o))(f, b, !p, e, !b || _.test(a) && oa(b.parentNode) || b), e;
        }, c.sortStable = u.split('').sort(B).join('') === u, c.detectDuplicates = !!l, m(), c.sortDetached = ia(function (a) {
            return 1 & a.compareDocumentPosition(n.createElement('div'));
        }), ia(function (a) {
            return a.innerHTML = '<a href=\'#\'></a>', '#' === a.firstChild.getAttribute('href');
        }) || ja('type|href|height|width', function (a, b, c) {
            return c ? void 0 : a.getAttribute(b, 'type' === b.toLowerCase() ? 1 : 2);
        }), c.attributes && ia(function (a) {
            return a.innerHTML = '<input/>', a.firstChild.setAttribute('value', ''), '' === a.firstChild.getAttribute('value');
        }) || ja('value', function (a, b, c) {
            return c || 'input' !== a.nodeName.toLowerCase() ? void 0 : a.defaultValue;
        }), ia(function (a) {
            return null == a.getAttribute('disabled');
        }) || ja(K, function (a, b, c) {
            var d;
            return c ? void 0 : a[b] === !0 ? b.toLowerCase() : (d = a.getAttributeNode(b)) && d.specified ? d.value : null;
        }), fa;
    }(a);
    n.find = t, n.expr = t.selectors, n.expr[':'] = n.expr.pseudos, n.uniqueSort = n.unique = t.uniqueSort, n.text = t.getText, n.isXMLDoc = t.isXML, n.contains = t.contains;
    var u = function (a, b, c) {
            var d = [], e = void 0 !== c;
            while ((a = a[b]) && 9 !== a.nodeType)
                if (1 === a.nodeType) {
                    if (e && n(a).is(c))
                        break;
                    d.push(a);
                }
            return d;
        }, v = function (a, b) {
            for (var c = []; a; a = a.nextSibling)
                1 === a.nodeType && a !== b && c.push(a);
            return c;
        }, w = n.expr.match.needsContext, x = /^<([\w-]+)\s*\/?>(?:<\/\1>|)$/, y = /^.[^:#\[\.,]*$/;
    function z(a, b, c) {
        if (n.isFunction(b))
            return n.grep(a, function (a, d) {
                return !!b.call(a, d, a) !== c;
            });
        if (b.nodeType)
            return n.grep(a, function (a) {
                return a === b !== c;
            });
        if ('string' == typeof b) {
            if (y.test(b))
                return n.filter(b, a, c);
            b = n.filter(b, a);
        }
        return n.grep(a, function (a) {
            return h.call(b, a) > -1 !== c;
        });
    }
    n.filter = function (a, b, c) {
        var d = b[0];
        return c && (a = ':not(' + a + ')'), 1 === b.length && 1 === d.nodeType ? n.find.matchesSelector(d, a) ? [d] : [] : n.find.matches(a, n.grep(b, function (a) {
            return 1 === a.nodeType;
        }));
    }, n.fn.extend({
        find: function (a) {
            var b, c = this.length, d = [], e = this;
            if ('string' != typeof a)
                return this.pushStack(n(a).filter(function () {
                    for (b = 0; c > b; b++)
                        if (n.contains(e[b], this))
                            return !0;
                }));
            for (b = 0; c > b; b++)
                n.find(a, e[b], d);
            return d = this.pushStack(c > 1 ? n.unique(d) : d), d.selector = this.selector ? this.selector + ' ' + a : a, d;
        },
        filter: function (a) {
            return this.pushStack(z(this, a || [], !1));
        },
        not: function (a) {
            return this.pushStack(z(this, a || [], !0));
        },
        is: function (a) {
            return !!z(this, 'string' == typeof a && w.test(a) ? n(a) : a || [], !1).length;
        }
    });
    var A, B = /^(?:\s*(<[\w\W]+>)[^>]*|#([\w-]*))$/, C = n.fn.init = function (a, b, c) {
            var e, f;
            if (!a)
                return this;
            if (c = c || A, 'string' == typeof a) {
                if (e = '<' === a[0] && '>' === a[a.length - 1] && a.length >= 3 ? [
                        null,
                        a,
                        null
                    ] : B.exec(a), !e || !e[1] && b)
                    return !b || b.jquery ? (b || c).find(a) : this.constructor(b).find(a);
                if (e[1]) {
                    if (b = b instanceof n ? b[0] : b, n.merge(this, n.parseHTML(e[1], b && b.nodeType ? b.ownerDocument || b : d, !0)), x.test(e[1]) && n.isPlainObject(b))
                        for (e in b)
                            n.isFunction(this[e]) ? this[e](b[e]) : this.attr(e, b[e]);
                    return this;
                }
                return f = d.getElementById(e[2]), f && f.parentNode && (this.length = 1, this[0] = f), this.context = d, this.selector = a, this;
            }
            return a.nodeType ? (this.context = this[0] = a, this.length = 1, this) : n.isFunction(a) ? void 0 !== c.ready ? c.ready(a) : a(n) : (void 0 !== a.selector && (this.selector = a.selector, this.context = a.context), n.makeArray(a, this));
        };
    C.prototype = n.fn, A = n(d);
    var D = /^(?:parents|prev(?:Until|All))/, E = {
            children: !0,
            contents: !0,
            next: !0,
            prev: !0
        };
    n.fn.extend({
        has: function (a) {
            var b = n(a, this), c = b.length;
            return this.filter(function () {
                for (var a = 0; c > a; a++)
                    if (n.contains(this, b[a]))
                        return !0;
            });
        },
        closest: function (a, b) {
            for (var c, d = 0, e = this.length, f = [], g = w.test(a) || 'string' != typeof a ? n(a, b || this.context) : 0; e > d; d++)
                for (c = this[d]; c && c !== b; c = c.parentNode)
                    if (c.nodeType < 11 && (g ? g.index(c) > -1 : 1 === c.nodeType && n.find.matchesSelector(c, a))) {
                        f.push(c);
                        break;
                    }
            return this.pushStack(f.length > 1 ? n.uniqueSort(f) : f);
        },
        index: function (a) {
            return a ? 'string' == typeof a ? h.call(n(a), this[0]) : h.call(this, a.jquery ? a[0] : a) : this[0] && this[0].parentNode ? this.first().prevAll().length : -1;
        },
        add: function (a, b) {
            return this.pushStack(n.uniqueSort(n.merge(this.get(), n(a, b))));
        },
        addBack: function (a) {
            return this.add(null == a ? this.prevObject : this.prevObject.filter(a));
        }
    });
    function F(a, b) {
        while ((a = a[b]) && 1 !== a.nodeType);
        return a;
    }
    n.each({
        parent: function (a) {
            var b = a.parentNode;
            return b && 11 !== b.nodeType ? b : null;
        },
        parents: function (a) {
            return u(a, 'parentNode');
        },
        parentsUntil: function (a, b, c) {
            return u(a, 'parentNode', c);
        },
        next: function (a) {
            return F(a, 'nextSibling');
        },
        prev: function (a) {
            return F(a, 'previousSibling');
        },
        nextAll: function (a) {
            return u(a, 'nextSibling');
        },
        prevAll: function (a) {
            return u(a, 'previousSibling');
        },
        nextUntil: function (a, b, c) {
            return u(a, 'nextSibling', c);
        },
        prevUntil: function (a, b, c) {
            return u(a, 'previousSibling', c);
        },
        siblings: function (a) {
            return v((a.parentNode || {}).firstChild, a);
        },
        children: function (a) {
            return v(a.firstChild);
        },
        contents: function (a) {
            return a.contentDocument || n.merge([], a.childNodes);
        }
    }, function (a, b) {
        n.fn[a] = function (c, d) {
            var e = n.map(this, b, c);
            return 'Until' !== a.slice(-5) && (d = c), d && 'string' == typeof d && (e = n.filter(d, e)), this.length > 1 && (E[a] || n.uniqueSort(e), D.test(a) && e.reverse()), this.pushStack(e);
        };
    });
    var G = /\S+/g;
    function H(a) {
        var b = {};
        return n.each(a.match(G) || [], function (a, c) {
            b[c] = !0;
        }), b;
    }
    n.Callbacks = function (a) {
        a = 'string' == typeof a ? H(a) : n.extend({}, a);
        var b, c, d, e, f = [], g = [], h = -1, i = function () {
                for (e = a.once, d = b = !0; g.length; h = -1) {
                    c = g.shift();
                    while (++h < f.length)
                        f[h].apply(c[0], c[1]) === !1 && a.stopOnFalse && (h = f.length, c = !1);
                }
                a.memory || (c = !1), b = !1, e && (f = c ? [] : '');
            }, j = {
                add: function () {
                    return f && (c && !b && (h = f.length - 1, g.push(c)), function d(b) {
                        n.each(b, function (b, c) {
                            n.isFunction(c) ? a.unique && j.has(c) || f.push(c) : c && c.length && 'string' !== n.type(c) && d(c);
                        });
                    }(arguments), c && !b && i()), this;
                },
                remove: function () {
                    return n.each(arguments, function (a, b) {
                        var c;
                        while ((c = n.inArray(b, f, c)) > -1)
                            f.splice(c, 1), h >= c && h--;
                    }), this;
                },
                has: function (a) {
                    return a ? n.inArray(a, f) > -1 : f.length > 0;
                },
                empty: function () {
                    return f && (f = []), this;
                },
                disable: function () {
                    return e = g = [], f = c = '', this;
                },
                disabled: function () {
                    return !f;
                },
                lock: function () {
                    return e = g = [], c || (f = c = ''), this;
                },
                locked: function () {
                    return !!e;
                },
                fireWith: function (a, c) {
                    return e || (c = c || [], c = [
                        a,
                        c.slice ? c.slice() : c
                    ], g.push(c), b || i()), this;
                },
                fire: function () {
                    return j.fireWith(this, arguments), this;
                },
                fired: function () {
                    return !!d;
                }
            };
        return j;
    }, n.extend({
        Deferred: function (a) {
            var b = [
                    [
                        'resolve',
                        'done',
                        n.Callbacks('once memory'),
                        'resolved'
                    ],
                    [
                        'reject',
                        'fail',
                        n.Callbacks('once memory'),
                        'rejected'
                    ],
                    [
                        'notify',
                        'progress',
                        n.Callbacks('memory')
                    ]
                ], c = 'pending', d = {
                    state: function () {
                        return c;
                    },
                    always: function () {
                        return e.done(arguments).fail(arguments), this;
                    },
                    then: function () {
                        var a = arguments;
                        return n.Deferred(function (c) {
                            n.each(b, function (b, f) {
                                var g = n.isFunction(a[b]) && a[b];
                                e[f[1]](function () {
                                    var a = g && g.apply(this, arguments);
                                    a && n.isFunction(a.promise) ? a.promise().progress(c.notify).done(c.resolve).fail(c.reject) : c[f[0] + 'With'](this === d ? c.promise() : this, g ? [a] : arguments);
                                });
                            }), a = null;
                        }).promise();
                    },
                    promise: function (a) {
                        return null != a ? n.extend(a, d) : d;
                    }
                }, e = {};
            return d.pipe = d.then, n.each(b, function (a, f) {
                var g = f[2], h = f[3];
                d[f[1]] = g.add, h && g.add(function () {
                    c = h;
                }, b[1 ^ a][2].disable, b[2][2].lock), e[f[0]] = function () {
                    return e[f[0] + 'With'](this === e ? d : this, arguments), this;
                }, e[f[0] + 'With'] = g.fireWith;
            }), d.promise(e), a && a.call(e, e), e;
        },
        when: function (a) {
            var b = 0, c = e.call(arguments), d = c.length, f = 1 !== d || a && n.isFunction(a.promise) ? d : 0, g = 1 === f ? a : n.Deferred(), h = function (a, b, c) {
                    return function (d) {
                        b[a] = this, c[a] = arguments.length > 1 ? e.call(arguments) : d, c === i ? g.notifyWith(b, c) : --f || g.resolveWith(b, c);
                    };
                }, i, j, k;
            if (d > 1)
                for (i = new Array(d), j = new Array(d), k = new Array(d); d > b; b++)
                    c[b] && n.isFunction(c[b].promise) ? c[b].promise().progress(h(b, j, i)).done(h(b, k, c)).fail(g.reject) : --f;
            return f || g.resolveWith(k, c), g.promise();
        }
    });
    var I;
    n.fn.ready = function (a) {
        return n.ready.promise().done(a), this;
    }, n.extend({
        isReady: !1,
        readyWait: 1,
        holdReady: function (a) {
            a ? n.readyWait++ : n.ready(!0);
        },
        ready: function (a) {
            (a === !0 ? --n.readyWait : n.isReady) || (n.isReady = !0, a !== !0 && --n.readyWait > 0 || (I.resolveWith(d, [n]), n.fn.triggerHandler && (n(d).triggerHandler('ready'), n(d).off('ready'))));
        }
    });
    function J() {
        d.removeEventListener('DOMContentLoaded', J), a.removeEventListener('load', J), n.ready();
    }
    n.ready.promise = function (b) {
        return I || (I = n.Deferred(), 'complete' === d.readyState || 'loading' !== d.readyState && !d.documentElement.doScroll ? a.setTimeout(n.ready) : (d.addEventListener('DOMContentLoaded', J), a.addEventListener('load', J))), I.promise(b);
    }, n.ready.promise();
    var K = function (a, b, c, d, e, f, g) {
            var h = 0, i = a.length, j = null == c;
            if ('object' === n.type(c)) {
                e = !0;
                for (h in c)
                    K(a, b, h, c[h], !0, f, g);
            } else if (void 0 !== d && (e = !0, n.isFunction(d) || (g = !0), j && (g ? (b.call(a, d), b = null) : (j = b, b = function (a, b, c) {
                    return j.call(n(a), c);
                })), b))
                for (; i > h; h++)
                    b(a[h], c, g ? d : d.call(a[h], h, b(a[h], c)));
            return e ? a : j ? b.call(a) : i ? b(a[0], c) : f;
        }, L = function (a) {
            return 1 === a.nodeType || 9 === a.nodeType || !+a.nodeType;
        };
    function M() {
        this.expando = n.expando + M.uid++;
    }
    M.uid = 1, M.prototype = {
        register: function (a, b) {
            var c = b || {};
            return a.nodeType ? a[this.expando] = c : Object.defineProperty(a, this.expando, {
                value: c,
                writable: !0,
                configurable: !0
            }), a[this.expando];
        },
        cache: function (a) {
            if (!L(a))
                return {};
            var b = a[this.expando];
            return b || (b = {}, L(a) && (a.nodeType ? a[this.expando] = b : Object.defineProperty(a, this.expando, {
                value: b,
                configurable: !0
            }))), b;
        },
        set: function (a, b, c) {
            var d, e = this.cache(a);
            if ('string' == typeof b)
                e[b] = c;
            else
                for (d in b)
                    e[d] = b[d];
            return e;
        },
        get: function (a, b) {
            return void 0 === b ? this.cache(a) : a[this.expando] && a[this.expando][b];
        },
        access: function (a, b, c) {
            var d;
            return void 0 === b || b && 'string' == typeof b && void 0 === c ? (d = this.get(a, b), void 0 !== d ? d : this.get(a, n.camelCase(b))) : (this.set(a, b, c), void 0 !== c ? c : b);
        },
        remove: function (a, b) {
            var c, d, e, f = a[this.expando];
            if (void 0 !== f) {
                if (void 0 === b)
                    this.register(a);
                else {
                    n.isArray(b) ? d = b.concat(b.map(n.camelCase)) : (e = n.camelCase(b), b in f ? d = [
                        b,
                        e
                    ] : (d = e, d = d in f ? [d] : d.match(G) || [])), c = d.length;
                    while (c--)
                        delete f[d[c]];
                }
                (void 0 === b || n.isEmptyObject(f)) && (a.nodeType ? a[this.expando] = void 0 : delete a[this.expando]);
            }
        },
        hasData: function (a) {
            var b = a[this.expando];
            return void 0 !== b && !n.isEmptyObject(b);
        }
    };
    var N = new M(), O = new M(), P = /^(?:\{[\w\W]*\}|\[[\w\W]*\])$/, Q = /[A-Z]/g;
    function R(a, b, c) {
        var d;
        if (void 0 === c && 1 === a.nodeType)
            if (d = 'data-' + b.replace(Q, '-$&').toLowerCase(), c = a.getAttribute(d), 'string' == typeof c) {
                try {
                    c = 'true' === c ? !0 : 'false' === c ? !1 : 'null' === c ? null : +c + '' === c ? +c : P.test(c) ? n.parseJSON(c) : c;
                } catch (e) {
                }
                O.set(a, b, c);
            } else
                c = void 0;
        return c;
    }
    n.extend({
        hasData: function (a) {
            return O.hasData(a) || N.hasData(a);
        },
        data: function (a, b, c) {
            return O.access(a, b, c);
        },
        removeData: function (a, b) {
            O.remove(a, b);
        },
        _data: function (a, b, c) {
            return N.access(a, b, c);
        },
        _removeData: function (a, b) {
            N.remove(a, b);
        }
    }), n.fn.extend({
        data: function (a, b) {
            var c, d, e, f = this[0], g = f && f.attributes;
            if (void 0 === a) {
                if (this.length && (e = O.get(f), 1 === f.nodeType && !N.get(f, 'hasDataAttrs'))) {
                    c = g.length;
                    while (c--)
                        g[c] && (d = g[c].name, 0 === d.indexOf('data-') && (d = n.camelCase(d.slice(5)), R(f, d, e[d])));
                    N.set(f, 'hasDataAttrs', !0);
                }
                return e;
            }
            return 'object' == typeof a ? this.each(function () {
                O.set(this, a);
            }) : K(this, function (b) {
                var c, d;
                if (f && void 0 === b) {
                    if (c = O.get(f, a) || O.get(f, a.replace(Q, '-$&').toLowerCase()), void 0 !== c)
                        return c;
                    if (d = n.camelCase(a), c = O.get(f, d), void 0 !== c)
                        return c;
                    if (c = R(f, d, void 0), void 0 !== c)
                        return c;
                } else
                    d = n.camelCase(a), this.each(function () {
                        var c = O.get(this, d);
                        O.set(this, d, b), a.indexOf('-') > -1 && void 0 !== c && O.set(this, a, b);
                    });
            }, null, b, arguments.length > 1, null, !0);
        },
        removeData: function (a) {
            return this.each(function () {
                O.remove(this, a);
            });
        }
    }), n.extend({
        queue: function (a, b, c) {
            var d;
            return a ? (b = (b || 'fx') + 'queue', d = N.get(a, b), c && (!d || n.isArray(c) ? d = N.access(a, b, n.makeArray(c)) : d.push(c)), d || []) : void 0;
        },
        dequeue: function (a, b) {
            b = b || 'fx';
            var c = n.queue(a, b), d = c.length, e = c.shift(), f = n._queueHooks(a, b), g = function () {
                    n.dequeue(a, b);
                };
            'inprogress' === e && (e = c.shift(), d--), e && ('fx' === b && c.unshift('inprogress'), delete f.stop, e.call(a, g, f)), !d && f && f.empty.fire();
        },
        _queueHooks: function (a, b) {
            var c = b + 'queueHooks';
            return N.get(a, c) || N.access(a, c, {
                empty: n.Callbacks('once memory').add(function () {
                    N.remove(a, [
                        b + 'queue',
                        c
                    ]);
                })
            });
        }
    }), n.fn.extend({
        queue: function (a, b) {
            var c = 2;
            return 'string' != typeof a && (b = a, a = 'fx', c--), arguments.length < c ? n.queue(this[0], a) : void 0 === b ? this : this.each(function () {
                var c = n.queue(this, a, b);
                n._queueHooks(this, a), 'fx' === a && 'inprogress' !== c[0] && n.dequeue(this, a);
            });
        },
        dequeue: function (a) {
            return this.each(function () {
                n.dequeue(this, a);
            });
        },
        clearQueue: function (a) {
            return this.queue(a || 'fx', []);
        },
        promise: function (a, b) {
            var c, d = 1, e = n.Deferred(), f = this, g = this.length, h = function () {
                    --d || e.resolveWith(f, [f]);
                };
            'string' != typeof a && (b = a, a = void 0), a = a || 'fx';
            while (g--)
                c = N.get(f[g], a + 'queueHooks'), c && c.empty && (d++, c.empty.add(h));
            return h(), e.promise(b);
        }
    });
    var S = /[+-]?(?:\d*\.|)\d+(?:[eE][+-]?\d+|)/.source, T = new RegExp('^(?:([+-])=|)(' + S + ')([a-z%]*)$', 'i'), U = [
            'Top',
            'Right',
            'Bottom',
            'Left'
        ], V = function (a, b) {
            return a = b || a, 'none' === n.css(a, 'display') || !n.contains(a.ownerDocument, a);
        };
    function W(a, b, c, d) {
        var e, f = 1, g = 20, h = d ? function () {
                return d.cur();
            } : function () {
                return n.css(a, b, '');
            }, i = h(), j = c && c[3] || (n.cssNumber[b] ? '' : 'px'), k = (n.cssNumber[b] || 'px' !== j && +i) && T.exec(n.css(a, b));
        if (k && k[3] !== j) {
            j = j || k[3], c = c || [], k = +i || 1;
            do
                f = f || '.5', k /= f, n.style(a, b, k + j);
            while (f !== (f = h() / i) && 1 !== f && --g);
        }
        return c && (k = +k || +i || 0, e = c[1] ? k + (c[1] + 1) * c[2] : +c[2], d && (d.unit = j, d.start = k, d.end = e)), e;
    }
    var X = /^(?:checkbox|radio)$/i, Y = /<([\w:-]+)/, Z = /^$|\/(?:java|ecma)script/i, $ = {
            option: [
                1,
                '<select multiple=\'multiple\'>',
                '</select>'
            ],
            thead: [
                1,
                '<table>',
                '</table>'
            ],
            col: [
                2,
                '<table><colgroup>',
                '</colgroup></table>'
            ],
            tr: [
                2,
                '<table><tbody>',
                '</tbody></table>'
            ],
            td: [
                3,
                '<table><tbody><tr>',
                '</tr></tbody></table>'
            ],
            _default: [
                0,
                '',
                ''
            ]
        };
    $.optgroup = $.option, $.tbody = $.tfoot = $.colgroup = $.caption = $.thead, $.th = $.td;
    function _(a, b) {
        var c = 'undefined' != typeof a.getElementsByTagName ? a.getElementsByTagName(b || '*') : 'undefined' != typeof a.querySelectorAll ? a.querySelectorAll(b || '*') : [];
        return void 0 === b || b && n.nodeName(a, b) ? n.merge([a], c) : c;
    }
    function aa(a, b) {
        for (var c = 0, d = a.length; d > c; c++)
            N.set(a[c], 'globalEval', !b || N.get(b[c], 'globalEval'));
    }
    var ba = /<|&#?\w+;/;
    function ca(a, b, c, d, e) {
        for (var f, g, h, i, j, k, l = b.createDocumentFragment(), m = [], o = 0, p = a.length; p > o; o++)
            if (f = a[o], f || 0 === f)
                if ('object' === n.type(f))
                    n.merge(m, f.nodeType ? [f] : f);
                else if (ba.test(f)) {
                    g = g || l.appendChild(b.createElement('div')), h = (Y.exec(f) || [
                        '',
                        ''
                    ])[1].toLowerCase(), i = $[h] || $._default, g.innerHTML = i[1] + n.htmlPrefilter(f) + i[2], k = i[0];
                    while (k--)
                        g = g.lastChild;
                    n.merge(m, g.childNodes), g = l.firstChild, g.textContent = '';
                } else
                    m.push(b.createTextNode(f));
        l.textContent = '', o = 0;
        while (f = m[o++])
            if (d && n.inArray(f, d) > -1)
                e && e.push(f);
            else if (j = n.contains(f.ownerDocument, f), g = _(l.appendChild(f), 'script'), j && aa(g), c) {
                k = 0;
                while (f = g[k++])
                    Z.test(f.type || '') && c.push(f);
            }
        return l;
    }
    !function () {
        var a = d.createDocumentFragment(), b = a.appendChild(d.createElement('div')), c = d.createElement('input');
        c.setAttribute('type', 'radio'), c.setAttribute('checked', 'checked'), c.setAttribute('name', 't'), b.appendChild(c), l.checkClone = b.cloneNode(!0).cloneNode(!0).lastChild.checked, b.innerHTML = '<textarea>x</textarea>', l.noCloneChecked = !!b.cloneNode(!0).lastChild.defaultValue;
    }();
    var da = /^key/, ea = /^(?:mouse|pointer|contextmenu|drag|drop)|click/, fa = /^([^.]*)(?:\.(.+)|)/;
    function ga() {
        return !0;
    }
    function ha() {
        return !1;
    }
    function ia() {
        try {
            return d.activeElement;
        } catch (a) {
        }
    }
    function ja(a, b, c, d, e, f) {
        var g, h;
        if ('object' == typeof b) {
            'string' != typeof c && (d = d || c, c = void 0);
            for (h in b)
                ja(a, h, c, d, b[h], f);
            return a;
        }
        if (null == d && null == e ? (e = c, d = c = void 0) : null == e && ('string' == typeof c ? (e = d, d = void 0) : (e = d, d = c, c = void 0)), e === !1)
            e = ha;
        else if (!e)
            return a;
        return 1 === f && (g = e, e = function (a) {
            return n().off(a), g.apply(this, arguments);
        }, e.guid = g.guid || (g.guid = n.guid++)), a.each(function () {
            n.event.add(this, b, e, d, c);
        });
    }
    n.event = {
        global: {},
        add: function (a, b, c, d, e) {
            var f, g, h, i, j, k, l, m, o, p, q, r = N.get(a);
            if (r) {
                c.handler && (f = c, c = f.handler, e = f.selector), c.guid || (c.guid = n.guid++), (i = r.events) || (i = r.events = {}), (g = r.handle) || (g = r.handle = function (b) {
                    return 'undefined' != typeof n && n.event.triggered !== b.type ? n.event.dispatch.apply(a, arguments) : void 0;
                }), b = (b || '').match(G) || [''], j = b.length;
                while (j--)
                    h = fa.exec(b[j]) || [], o = q = h[1], p = (h[2] || '').split('.').sort(), o && (l = n.event.special[o] || {}, o = (e ? l.delegateType : l.bindType) || o, l = n.event.special[o] || {}, k = n.extend({
                        type: o,
                        origType: q,
                        data: d,
                        handler: c,
                        guid: c.guid,
                        selector: e,
                        needsContext: e && n.expr.match.needsContext.test(e),
                        namespace: p.join('.')
                    }, f), (m = i[o]) || (m = i[o] = [], m.delegateCount = 0, l.setup && l.setup.call(a, d, p, g) !== !1 || a.addEventListener && a.addEventListener(o, g)), l.add && (l.add.call(a, k), k.handler.guid || (k.handler.guid = c.guid)), e ? m.splice(m.delegateCount++, 0, k) : m.push(k), n.event.global[o] = !0);
            }
        },
        remove: function (a, b, c, d, e) {
            var f, g, h, i, j, k, l, m, o, p, q, r = N.hasData(a) && N.get(a);
            if (r && (i = r.events)) {
                b = (b || '').match(G) || [''], j = b.length;
                while (j--)
                    if (h = fa.exec(b[j]) || [], o = q = h[1], p = (h[2] || '').split('.').sort(), o) {
                        l = n.event.special[o] || {}, o = (d ? l.delegateType : l.bindType) || o, m = i[o] || [], h = h[2] && new RegExp('(^|\\.)' + p.join('\\.(?:.*\\.|)') + '(\\.|$)'), g = f = m.length;
                        while (f--)
                            k = m[f], !e && q !== k.origType || c && c.guid !== k.guid || h && !h.test(k.namespace) || d && d !== k.selector && ('**' !== d || !k.selector) || (m.splice(f, 1), k.selector && m.delegateCount--, l.remove && l.remove.call(a, k));
                        g && !m.length && (l.teardown && l.teardown.call(a, p, r.handle) !== !1 || n.removeEvent(a, o, r.handle), delete i[o]);
                    } else
                        for (o in i)
                            n.event.remove(a, o + b[j], c, d, !0);
                n.isEmptyObject(i) && N.remove(a, 'handle events');
            }
        },
        dispatch: function (a) {
            a = n.event.fix(a);
            var b, c, d, f, g, h = [], i = e.call(arguments), j = (N.get(this, 'events') || {})[a.type] || [], k = n.event.special[a.type] || {};
            if (i[0] = a, a.delegateTarget = this, !k.preDispatch || k.preDispatch.call(this, a) !== !1) {
                h = n.event.handlers.call(this, a, j), b = 0;
                while ((f = h[b++]) && !a.isPropagationStopped()) {
                    a.currentTarget = f.elem, c = 0;
                    while ((g = f.handlers[c++]) && !a.isImmediatePropagationStopped())
                        a.rnamespace && !a.rnamespace.test(g.namespace) || (a.handleObj = g, a.data = g.data, d = ((n.event.special[g.origType] || {}).handle || g.handler).apply(f.elem, i), void 0 !== d && (a.result = d) === !1 && (a.preventDefault(), a.stopPropagation()));
                }
                return k.postDispatch && k.postDispatch.call(this, a), a.result;
            }
        },
        handlers: function (a, b) {
            var c, d, e, f, g = [], h = b.delegateCount, i = a.target;
            if (h && i.nodeType && ('click' !== a.type || isNaN(a.button) || a.button < 1))
                for (; i !== this; i = i.parentNode || this)
                    if (1 === i.nodeType && (i.disabled !== !0 || 'click' !== a.type)) {
                        for (d = [], c = 0; h > c; c++)
                            f = b[c], e = f.selector + ' ', void 0 === d[e] && (d[e] = f.needsContext ? n(e, this).index(i) > -1 : n.find(e, this, null, [i]).length), d[e] && d.push(f);
                        d.length && g.push({
                            elem: i,
                            handlers: d
                        });
                    }
            return h < b.length && g.push({
                elem: this,
                handlers: b.slice(h)
            }), g;
        },
        props: 'altKey bubbles cancelable ctrlKey currentTarget detail eventPhase metaKey relatedTarget shiftKey target timeStamp view which'.split(' '),
        fixHooks: {},
        keyHooks: {
            props: 'char charCode key keyCode'.split(' '),
            filter: function (a, b) {
                return null == a.which && (a.which = null != b.charCode ? b.charCode : b.keyCode), a;
            }
        },
        mouseHooks: {
            props: 'button buttons clientX clientY offsetX offsetY pageX pageY screenX screenY toElement'.split(' '),
            filter: function (a, b) {
                var c, e, f, g = b.button;
                return null == a.pageX && null != b.clientX && (c = a.target.ownerDocument || d, e = c.documentElement, f = c.body, a.pageX = b.clientX + (e && e.scrollLeft || f && f.scrollLeft || 0) - (e && e.clientLeft || f && f.clientLeft || 0), a.pageY = b.clientY + (e && e.scrollTop || f && f.scrollTop || 0) - (e && e.clientTop || f && f.clientTop || 0)), a.which || void 0 === g || (a.which = 1 & g ? 1 : 2 & g ? 3 : 4 & g ? 2 : 0), a;
            }
        },
        fix: function (a) {
            if (a[n.expando])
                return a;
            var b, c, e, f = a.type, g = a, h = this.fixHooks[f];
            h || (this.fixHooks[f] = h = ea.test(f) ? this.mouseHooks : da.test(f) ? this.keyHooks : {}), e = h.props ? this.props.concat(h.props) : this.props, a = new n.Event(g), b = e.length;
            while (b--)
                c = e[b], a[c] = g[c];
            return a.target || (a.target = d), 3 === a.target.nodeType && (a.target = a.target.parentNode), h.filter ? h.filter(a, g) : a;
        },
        special: {
            load: { noBubble: !0 },
            focus: {
                trigger: function () {
                    return this !== ia() && this.focus ? (this.focus(), !1) : void 0;
                },
                delegateType: 'focusin'
            },
            blur: {
                trigger: function () {
                    return this === ia() && this.blur ? (this.blur(), !1) : void 0;
                },
                delegateType: 'focusout'
            },
            click: {
                trigger: function () {
                    return 'checkbox' === this.type && this.click && n.nodeName(this, 'input') ? (this.click(), !1) : void 0;
                },
                _default: function (a) {
                    return n.nodeName(a.target, 'a');
                }
            },
            beforeunload: {
                postDispatch: function (a) {
                    void 0 !== a.result && a.originalEvent && (a.originalEvent.returnValue = a.result);
                }
            }
        }
    }, n.removeEvent = function (a, b, c) {
        a.removeEventListener && a.removeEventListener(b, c);
    }, n.Event = function (a, b) {
        return this instanceof n.Event ? (a && a.type ? (this.originalEvent = a, this.type = a.type, this.isDefaultPrevented = a.defaultPrevented || void 0 === a.defaultPrevented && a.returnValue === !1 ? ga : ha) : this.type = a, b && n.extend(this, b), this.timeStamp = a && a.timeStamp || n.now(), void (this[n.expando] = !0)) : new n.Event(a, b);
    }, n.Event.prototype = {
        constructor: n.Event,
        isDefaultPrevented: ha,
        isPropagationStopped: ha,
        isImmediatePropagationStopped: ha,
        preventDefault: function () {
            var a = this.originalEvent;
            this.isDefaultPrevented = ga, a && a.preventDefault();
        },
        stopPropagation: function () {
            var a = this.originalEvent;
            this.isPropagationStopped = ga, a && a.stopPropagation();
        },
        stopImmediatePropagation: function () {
            var a = this.originalEvent;
            this.isImmediatePropagationStopped = ga, a && a.stopImmediatePropagation(), this.stopPropagation();
        }
    }, n.each({
        mouseenter: 'mouseover',
        mouseleave: 'mouseout',
        pointerenter: 'pointerover',
        pointerleave: 'pointerout'
    }, function (a, b) {
        n.event.special[a] = {
            delegateType: b,
            bindType: b,
            handle: function (a) {
                var c, d = this, e = a.relatedTarget, f = a.handleObj;
                return e && (e === d || n.contains(d, e)) || (a.type = f.origType, c = f.handler.apply(this, arguments), a.type = b), c;
            }
        };
    }), n.fn.extend({
        on: function (a, b, c, d) {
            return ja(this, a, b, c, d);
        },
        one: function (a, b, c, d) {
            return ja(this, a, b, c, d, 1);
        },
        off: function (a, b, c) {
            var d, e;
            if (a && a.preventDefault && a.handleObj)
                return d = a.handleObj, n(a.delegateTarget).off(d.namespace ? d.origType + '.' + d.namespace : d.origType, d.selector, d.handler), this;
            if ('object' == typeof a) {
                for (e in a)
                    this.off(e, b, a[e]);
                return this;
            }
            return b !== !1 && 'function' != typeof b || (c = b, b = void 0), c === !1 && (c = ha), this.each(function () {
                n.event.remove(this, a, c, b);
            });
        }
    });
    var ka = /<(?!area|br|col|embed|hr|img|input|link|meta|param)(([\w:-]+)[^>]*)\/>/gi, la = /<script|<style|<link/i, ma = /checked\s*(?:[^=]|=\s*.checked.)/i, na = /^true\/(.*)/, oa = /^\s*<!(?:\[CDATA\[|--)|(?:\]\]|--)>\s*$/g;
    function pa(a, b) {
        return n.nodeName(a, 'table') && n.nodeName(11 !== b.nodeType ? b : b.firstChild, 'tr') ? a.getElementsByTagName('tbody')[0] || a.appendChild(a.ownerDocument.createElement('tbody')) : a;
    }
    function qa(a) {
        return a.type = (null !== a.getAttribute('type')) + '/' + a.type, a;
    }
    function ra(a) {
        var b = na.exec(a.type);
        return b ? a.type = b[1] : a.removeAttribute('type'), a;
    }
    function sa(a, b) {
        var c, d, e, f, g, h, i, j;
        if (1 === b.nodeType) {
            if (N.hasData(a) && (f = N.access(a), g = N.set(b, f), j = f.events)) {
                delete g.handle, g.events = {};
                for (e in j)
                    for (c = 0, d = j[e].length; d > c; c++)
                        n.event.add(b, e, j[e][c]);
            }
            O.hasData(a) && (h = O.access(a), i = n.extend({}, h), O.set(b, i));
        }
    }
    function ta(a, b) {
        var c = b.nodeName.toLowerCase();
        'input' === c && X.test(a.type) ? b.checked = a.checked : 'input' !== c && 'textarea' !== c || (b.defaultValue = a.defaultValue);
    }
    function ua(a, b, c, d) {
        b = f.apply([], b);
        var e, g, h, i, j, k, m = 0, o = a.length, p = o - 1, q = b[0], r = n.isFunction(q);
        if (r || o > 1 && 'string' == typeof q && !l.checkClone && ma.test(q))
            return a.each(function (e) {
                var f = a.eq(e);
                r && (b[0] = q.call(this, e, f.html())), ua(f, b, c, d);
            });
        if (o && (e = ca(b, a[0].ownerDocument, !1, a, d), g = e.firstChild, 1 === e.childNodes.length && (e = g), g || d)) {
            for (h = n.map(_(e, 'script'), qa), i = h.length; o > m; m++)
                j = e, m !== p && (j = n.clone(j, !0, !0), i && n.merge(h, _(j, 'script'))), c.call(a[m], j, m);
            if (i)
                for (k = h[h.length - 1].ownerDocument, n.map(h, ra), m = 0; i > m; m++)
                    j = h[m], Z.test(j.type || '') && !N.access(j, 'globalEval') && n.contains(k, j) && (j.src ? n._evalUrl && n._evalUrl(j.src) : n.globalEval(j.textContent.replace(oa, '')));
        }
        return a;
    }
    function va(a, b, c) {
        for (var d, e = b ? n.filter(b, a) : a, f = 0; null != (d = e[f]); f++)
            c || 1 !== d.nodeType || n.cleanData(_(d)), d.parentNode && (c && n.contains(d.ownerDocument, d) && aa(_(d, 'script')), d.parentNode.removeChild(d));
        return a;
    }
    n.extend({
        htmlPrefilter: function (a) {
            return a.replace(ka, '<$1></$2>');
        },
        clone: function (a, b, c) {
            var d, e, f, g, h = a.cloneNode(!0), i = n.contains(a.ownerDocument, a);
            if (!(l.noCloneChecked || 1 !== a.nodeType && 11 !== a.nodeType || n.isXMLDoc(a)))
                for (g = _(h), f = _(a), d = 0, e = f.length; e > d; d++)
                    ta(f[d], g[d]);
            if (b)
                if (c)
                    for (f = f || _(a), g = g || _(h), d = 0, e = f.length; e > d; d++)
                        sa(f[d], g[d]);
                else
                    sa(a, h);
            return g = _(h, 'script'), g.length > 0 && aa(g, !i && _(a, 'script')), h;
        },
        cleanData: function (a) {
            for (var b, c, d, e = n.event.special, f = 0; void 0 !== (c = a[f]); f++)
                if (L(c)) {
                    if (b = c[N.expando]) {
                        if (b.events)
                            for (d in b.events)
                                e[d] ? n.event.remove(c, d) : n.removeEvent(c, d, b.handle);
                        c[N.expando] = void 0;
                    }
                    c[O.expando] && (c[O.expando] = void 0);
                }
        }
    }), n.fn.extend({
        domManip: ua,
        detach: function (a) {
            return va(this, a, !0);
        },
        remove: function (a) {
            return va(this, a);
        },
        text: function (a) {
            return K(this, function (a) {
                return void 0 === a ? n.text(this) : this.empty().each(function () {
                    1 !== this.nodeType && 11 !== this.nodeType && 9 !== this.nodeType || (this.textContent = a);
                });
            }, null, a, arguments.length);
        },
        append: function () {
            return ua(this, arguments, function (a) {
                if (1 === this.nodeType || 11 === this.nodeType || 9 === this.nodeType) {
                    var b = pa(this, a);
                    b.appendChild(a);
                }
            });
        },
        prepend: function () {
            return ua(this, arguments, function (a) {
                if (1 === this.nodeType || 11 === this.nodeType || 9 === this.nodeType) {
                    var b = pa(this, a);
                    b.insertBefore(a, b.firstChild);
                }
            });
        },
        before: function () {
            return ua(this, arguments, function (a) {
                this.parentNode && this.parentNode.insertBefore(a, this);
            });
        },
        after: function () {
            return ua(this, arguments, function (a) {
                this.parentNode && this.parentNode.insertBefore(a, this.nextSibling);
            });
        },
        empty: function () {
            for (var a, b = 0; null != (a = this[b]); b++)
                1 === a.nodeType && (n.cleanData(_(a, !1)), a.textContent = '');
            return this;
        },
        clone: function (a, b) {
            return a = null == a ? !1 : a, b = null == b ? a : b, this.map(function () {
                return n.clone(this, a, b);
            });
        },
        html: function (a) {
            return K(this, function (a) {
                var b = this[0] || {}, c = 0, d = this.length;
                if (void 0 === a && 1 === b.nodeType)
                    return b.innerHTML;
                if ('string' == typeof a && !la.test(a) && !$[(Y.exec(a) || [
                        '',
                        ''
                    ])[1].toLowerCase()]) {
                    a = n.htmlPrefilter(a);
                    try {
                        for (; d > c; c++)
                            b = this[c] || {}, 1 === b.nodeType && (n.cleanData(_(b, !1)), b.innerHTML = a);
                        b = 0;
                    } catch (e) {
                    }
                }
                b && this.empty().append(a);
            }, null, a, arguments.length);
        },
        replaceWith: function () {
            var a = [];
            return ua(this, arguments, function (b) {
                var c = this.parentNode;
                n.inArray(this, a) < 0 && (n.cleanData(_(this)), c && c.replaceChild(b, this));
            }, a);
        }
    }), n.each({
        appendTo: 'append',
        prependTo: 'prepend',
        insertBefore: 'before',
        insertAfter: 'after',
        replaceAll: 'replaceWith'
    }, function (a, b) {
        n.fn[a] = function (a) {
            for (var c, d = [], e = n(a), f = e.length - 1, h = 0; f >= h; h++)
                c = h === f ? this : this.clone(!0), n(e[h])[b](c), g.apply(d, c.get());
            return this.pushStack(d);
        };
    });
    var wa, xa = {
            HTML: 'block',
            BODY: 'block'
        };
    function ya(a, b) {
        var c = n(b.createElement(a)).appendTo(b.body), d = n.css(c[0], 'display');
        return c.detach(), d;
    }
    function za(a) {
        var b = d, c = xa[a];
        return c || (c = ya(a, b), 'none' !== c && c || (wa = (wa || n('<iframe frameborder=\'0\' width=\'0\' height=\'0\'/>')).appendTo(b.documentElement), b = wa[0].contentDocument, b.write(), b.close(), c = ya(a, b), wa.detach()), xa[a] = c), c;
    }
    var Aa = /^margin/, Ba = new RegExp('^(' + S + ')(?!px)[a-z%]+$', 'i'), Ca = function (b) {
            var c = b.ownerDocument.defaultView;
            return c && c.opener || (c = a), c.getComputedStyle(b);
        }, Da = function (a, b, c, d) {
            var e, f, g = {};
            for (f in b)
                g[f] = a.style[f], a.style[f] = b[f];
            e = c.apply(a, d || []);
            for (f in b)
                a.style[f] = g[f];
            return e;
        }, Ea = d.documentElement;
    !function () {
        var b, c, e, f, g = d.createElement('div'), h = d.createElement('div');
        if (h.style) {
            h.style.backgroundClip = 'content-box', h.cloneNode(!0).style.backgroundClip = '', l.clearCloneStyle = 'content-box' === h.style.backgroundClip, g.style.cssText = 'border:0;width:8px;height:0;top:0;left:-9999px;padding:0;margin-top:1px;position:absolute', g.appendChild(h);
            function i() {
                h.style.cssText = '-webkit-box-sizing:border-box;-moz-box-sizing:border-box;box-sizing:border-box;position:relative;display:block;margin:auto;border:1px;padding:1px;top:1%;width:50%', h.innerHTML = '', Ea.appendChild(g);
                var d = a.getComputedStyle(h);
                b = '1%' !== d.top, f = '2px' === d.marginLeft, c = '4px' === d.width, h.style.marginRight = '50%', e = '4px' === d.marginRight, Ea.removeChild(g);
            }
            n.extend(l, {
                pixelPosition: function () {
                    return i(), b;
                },
                boxSizingReliable: function () {
                    return null == c && i(), c;
                },
                pixelMarginRight: function () {
                    return null == c && i(), e;
                },
                reliableMarginLeft: function () {
                    return null == c && i(), f;
                },
                reliableMarginRight: function () {
                    var b, c = h.appendChild(d.createElement('div'));
                    return c.style.cssText = h.style.cssText = '-webkit-box-sizing:content-box;box-sizing:content-box;display:block;margin:0;border:0;padding:0', c.style.marginRight = c.style.width = '0', h.style.width = '1px', Ea.appendChild(g), b = !parseFloat(a.getComputedStyle(c).marginRight), Ea.removeChild(g), h.removeChild(c), b;
                }
            });
        }
    }();
    function Fa(a, b, c) {
        var d, e, f, g, h = a.style;
        return c = c || Ca(a), g = c ? c.getPropertyValue(b) || c[b] : void 0, '' !== g && void 0 !== g || n.contains(a.ownerDocument, a) || (g = n.style(a, b)), c && !l.pixelMarginRight() && Ba.test(g) && Aa.test(b) && (d = h.width, e = h.minWidth, f = h.maxWidth, h.minWidth = h.maxWidth = h.width = g, g = c.width, h.width = d, h.minWidth = e, h.maxWidth = f), void 0 !== g ? g + '' : g;
    }
    function Ga(a, b) {
        return {
            get: function () {
                return a() ? void delete this.get : (this.get = b).apply(this, arguments);
            }
        };
    }
    var Ha = /^(none|table(?!-c[ea]).+)/, Ia = {
            position: 'absolute',
            visibility: 'hidden',
            display: 'block'
        }, Ja = {
            letterSpacing: '0',
            fontWeight: '400'
        }, Ka = [
            'Webkit',
            'O',
            'Moz',
            'ms'
        ], La = d.createElement('div').style;
    function Ma(a) {
        if (a in La)
            return a;
        var b = a[0].toUpperCase() + a.slice(1), c = Ka.length;
        while (c--)
            if (a = Ka[c] + b, a in La)
                return a;
    }
    function Na(a, b, c) {
        var d = T.exec(b);
        return d ? Math.max(0, d[2] - (c || 0)) + (d[3] || 'px') : b;
    }
    function Oa(a, b, c, d, e) {
        for (var f = c === (d ? 'border' : 'content') ? 4 : 'width' === b ? 1 : 0, g = 0; 4 > f; f += 2)
            'margin' === c && (g += n.css(a, c + U[f], !0, e)), d ? ('content' === c && (g -= n.css(a, 'padding' + U[f], !0, e)), 'margin' !== c && (g -= n.css(a, 'border' + U[f] + 'Width', !0, e))) : (g += n.css(a, 'padding' + U[f], !0, e), 'padding' !== c && (g += n.css(a, 'border' + U[f] + 'Width', !0, e)));
        return g;
    }
    function Pa(b, c, e) {
        var f = !0, g = 'width' === c ? b.offsetWidth : b.offsetHeight, h = Ca(b), i = 'border-box' === n.css(b, 'boxSizing', !1, h);
        if (d.msFullscreenElement && a.top !== a && b.getClientRects().length && (g = Math.round(100 * b.getBoundingClientRect()[c])), 0 >= g || null == g) {
            if (g = Fa(b, c, h), (0 > g || null == g) && (g = b.style[c]), Ba.test(g))
                return g;
            f = i && (l.boxSizingReliable() || g === b.style[c]), g = parseFloat(g) || 0;
        }
        return g + Oa(b, c, e || (i ? 'border' : 'content'), f, h) + 'px';
    }
    function Qa(a, b) {
        for (var c, d, e, f = [], g = 0, h = a.length; h > g; g++)
            d = a[g], d.style && (f[g] = N.get(d, 'olddisplay'), c = d.style.display, b ? (f[g] || 'none' !== c || (d.style.display = ''), '' === d.style.display && V(d) && (f[g] = N.access(d, 'olddisplay', za(d.nodeName)))) : (e = V(d), 'none' === c && e || N.set(d, 'olddisplay', e ? c : n.css(d, 'display'))));
        for (g = 0; h > g; g++)
            d = a[g], d.style && (b && 'none' !== d.style.display && '' !== d.style.display || (d.style.display = b ? f[g] || '' : 'none'));
        return a;
    }
    n.extend({
        cssHooks: {
            opacity: {
                get: function (a, b) {
                    if (b) {
                        var c = Fa(a, 'opacity');
                        return '' === c ? '1' : c;
                    }
                }
            }
        },
        cssNumber: {
            animationIterationCount: !0,
            columnCount: !0,
            fillOpacity: !0,
            flexGrow: !0,
            flexShrink: !0,
            fontWeight: !0,
            lineHeight: !0,
            opacity: !0,
            order: !0,
            orphans: !0,
            widows: !0,
            zIndex: !0,
            zoom: !0
        },
        cssProps: { 'float': 'cssFloat' },
        style: function (a, b, c, d) {
            if (a && 3 !== a.nodeType && 8 !== a.nodeType && a.style) {
                var e, f, g, h = n.camelCase(b), i = a.style;
                return b = n.cssProps[h] || (n.cssProps[h] = Ma(h) || h), g = n.cssHooks[b] || n.cssHooks[h], void 0 === c ? g && 'get' in g && void 0 !== (e = g.get(a, !1, d)) ? e : i[b] : (f = typeof c, 'string' === f && (e = T.exec(c)) && e[1] && (c = W(a, b, e), f = 'number'), null != c && c === c && ('number' === f && (c += e && e[3] || (n.cssNumber[h] ? '' : 'px')), l.clearCloneStyle || '' !== c || 0 !== b.indexOf('background') || (i[b] = 'inherit'), g && 'set' in g && void 0 === (c = g.set(a, c, d)) || (i[b] = c)), void 0);
            }
        },
        css: function (a, b, c, d) {
            var e, f, g, h = n.camelCase(b);
            return b = n.cssProps[h] || (n.cssProps[h] = Ma(h) || h), g = n.cssHooks[b] || n.cssHooks[h], g && 'get' in g && (e = g.get(a, !0, c)), void 0 === e && (e = Fa(a, b, d)), 'normal' === e && b in Ja && (e = Ja[b]), '' === c || c ? (f = parseFloat(e), c === !0 || isFinite(f) ? f || 0 : e) : e;
        }
    }), n.each([
        'height',
        'width'
    ], function (a, b) {
        n.cssHooks[b] = {
            get: function (a, c, d) {
                return c ? Ha.test(n.css(a, 'display')) && 0 === a.offsetWidth ? Da(a, Ia, function () {
                    return Pa(a, b, d);
                }) : Pa(a, b, d) : void 0;
            },
            set: function (a, c, d) {
                var e, f = d && Ca(a), g = d && Oa(a, b, d, 'border-box' === n.css(a, 'boxSizing', !1, f), f);
                return g && (e = T.exec(c)) && 'px' !== (e[3] || 'px') && (a.style[b] = c, c = n.css(a, b)), Na(a, c, g);
            }
        };
    }), n.cssHooks.marginLeft = Ga(l.reliableMarginLeft, function (a, b) {
        return b ? (parseFloat(Fa(a, 'marginLeft')) || a.getBoundingClientRect().left - Da(a, { marginLeft: 0 }, function () {
            return a.getBoundingClientRect().left;
        })) + 'px' : void 0;
    }), n.cssHooks.marginRight = Ga(l.reliableMarginRight, function (a, b) {
        return b ? Da(a, { display: 'inline-block' }, Fa, [
            a,
            'marginRight'
        ]) : void 0;
    }), n.each({
        margin: '',
        padding: '',
        border: 'Width'
    }, function (a, b) {
        n.cssHooks[a + b] = {
            expand: function (c) {
                for (var d = 0, e = {}, f = 'string' == typeof c ? c.split(' ') : [c]; 4 > d; d++)
                    e[a + U[d] + b] = f[d] || f[d - 2] || f[0];
                return e;
            }
        }, Aa.test(a) || (n.cssHooks[a + b].set = Na);
    }), n.fn.extend({
        css: function (a, b) {
            return K(this, function (a, b, c) {
                var d, e, f = {}, g = 0;
                if (n.isArray(b)) {
                    for (d = Ca(a), e = b.length; e > g; g++)
                        f[b[g]] = n.css(a, b[g], !1, d);
                    return f;
                }
                return void 0 !== c ? n.style(a, b, c) : n.css(a, b);
            }, a, b, arguments.length > 1);
        },
        show: function () {
            return Qa(this, !0);
        },
        hide: function () {
            return Qa(this);
        },
        toggle: function (a) {
            return 'boolean' == typeof a ? a ? this.show() : this.hide() : this.each(function () {
                V(this) ? n(this).show() : n(this).hide();
            });
        }
    });
    function Ra(a, b, c, d, e) {
        return new Ra.prototype.init(a, b, c, d, e);
    }
    n.Tween = Ra, Ra.prototype = {
        constructor: Ra,
        init: function (a, b, c, d, e, f) {
            this.elem = a, this.prop = c, this.easing = e || n.easing._default, this.options = b, this.start = this.now = this.cur(), this.end = d, this.unit = f || (n.cssNumber[c] ? '' : 'px');
        },
        cur: function () {
            var a = Ra.propHooks[this.prop];
            return a && a.get ? a.get(this) : Ra.propHooks._default.get(this);
        },
        run: function (a) {
            var b, c = Ra.propHooks[this.prop];
            return this.options.duration ? this.pos = b = n.easing[this.easing](a, this.options.duration * a, 0, 1, this.options.duration) : this.pos = b = a, this.now = (this.end - this.start) * b + this.start, this.options.step && this.options.step.call(this.elem, this.now, this), c && c.set ? c.set(this) : Ra.propHooks._default.set(this), this;
        }
    }, Ra.prototype.init.prototype = Ra.prototype, Ra.propHooks = {
        _default: {
            get: function (a) {
                var b;
                return 1 !== a.elem.nodeType || null != a.elem[a.prop] && null == a.elem.style[a.prop] ? a.elem[a.prop] : (b = n.css(a.elem, a.prop, ''), b && 'auto' !== b ? b : 0);
            },
            set: function (a) {
                n.fx.step[a.prop] ? n.fx.step[a.prop](a) : 1 !== a.elem.nodeType || null == a.elem.style[n.cssProps[a.prop]] && !n.cssHooks[a.prop] ? a.elem[a.prop] = a.now : n.style(a.elem, a.prop, a.now + a.unit);
            }
        }
    }, Ra.propHooks.scrollTop = Ra.propHooks.scrollLeft = {
        set: function (a) {
            a.elem.nodeType && a.elem.parentNode && (a.elem[a.prop] = a.now);
        }
    }, n.easing = {
        linear: function (a) {
            return a;
        },
        swing: function (a) {
            return 0.5 - Math.cos(a * Math.PI) / 2;
        },
        _default: 'swing'
    }, n.fx = Ra.prototype.init, n.fx.step = {};
    var Sa, Ta, Ua = /^(?:toggle|show|hide)$/, Va = /queueHooks$/;
    function Wa() {
        return a.setTimeout(function () {
            Sa = void 0;
        }), Sa = n.now();
    }
    function Xa(a, b) {
        var c, d = 0, e = { height: a };
        for (b = b ? 1 : 0; 4 > d; d += 2 - b)
            c = U[d], e['margin' + c] = e['padding' + c] = a;
        return b && (e.opacity = e.width = a), e;
    }
    function Ya(a, b, c) {
        for (var d, e = (_a.tweeners[b] || []).concat(_a.tweeners['*']), f = 0, g = e.length; g > f; f++)
            if (d = e[f].call(c, b, a))
                return d;
    }
    function Za(a, b, c) {
        var d, e, f, g, h, i, j, k, l = this, m = {}, o = a.style, p = a.nodeType && V(a), q = N.get(a, 'fxshow');
        c.queue || (h = n._queueHooks(a, 'fx'), null == h.unqueued && (h.unqueued = 0, i = h.empty.fire, h.empty.fire = function () {
            h.unqueued || i();
        }), h.unqueued++, l.always(function () {
            l.always(function () {
                h.unqueued--, n.queue(a, 'fx').length || h.empty.fire();
            });
        })), 1 === a.nodeType && ('height' in b || 'width' in b) && (c.overflow = [
            o.overflow,
            o.overflowX,
            o.overflowY
        ], j = n.css(a, 'display'), k = 'none' === j ? N.get(a, 'olddisplay') || za(a.nodeName) : j, 'inline' === k && 'none' === n.css(a, 'float') && (o.display = 'inline-block')), c.overflow && (o.overflow = 'hidden', l.always(function () {
            o.overflow = c.overflow[0], o.overflowX = c.overflow[1], o.overflowY = c.overflow[2];
        }));
        for (d in b)
            if (e = b[d], Ua.exec(e)) {
                if (delete b[d], f = f || 'toggle' === e, e === (p ? 'hide' : 'show')) {
                    if ('show' !== e || !q || void 0 === q[d])
                        continue;
                    p = !0;
                }
                m[d] = q && q[d] || n.style(a, d);
            } else
                j = void 0;
        if (n.isEmptyObject(m))
            'inline' === ('none' === j ? za(a.nodeName) : j) && (o.display = j);
        else {
            q ? 'hidden' in q && (p = q.hidden) : q = N.access(a, 'fxshow', {}), f && (q.hidden = !p), p ? n(a).show() : l.done(function () {
                n(a).hide();
            }), l.done(function () {
                var b;
                N.remove(a, 'fxshow');
                for (b in m)
                    n.style(a, b, m[b]);
            });
            for (d in m)
                g = Ya(p ? q[d] : 0, d, l), d in q || (q[d] = g.start, p && (g.end = g.start, g.start = 'width' === d || 'height' === d ? 1 : 0));
        }
    }
    function $a(a, b) {
        var c, d, e, f, g;
        for (c in a)
            if (d = n.camelCase(c), e = b[d], f = a[c], n.isArray(f) && (e = f[1], f = a[c] = f[0]), c !== d && (a[d] = f, delete a[c]), g = n.cssHooks[d], g && 'expand' in g) {
                f = g.expand(f), delete a[d];
                for (c in f)
                    c in a || (a[c] = f[c], b[c] = e);
            } else
                b[d] = e;
    }
    function _a(a, b, c) {
        var d, e, f = 0, g = _a.prefilters.length, h = n.Deferred().always(function () {
                delete i.elem;
            }), i = function () {
                if (e)
                    return !1;
                for (var b = Sa || Wa(), c = Math.max(0, j.startTime + j.duration - b), d = c / j.duration || 0, f = 1 - d, g = 0, i = j.tweens.length; i > g; g++)
                    j.tweens[g].run(f);
                return h.notifyWith(a, [
                    j,
                    f,
                    c
                ]), 1 > f && i ? c : (h.resolveWith(a, [j]), !1);
            }, j = h.promise({
                elem: a,
                props: n.extend({}, b),
                opts: n.extend(!0, {
                    specialEasing: {},
                    easing: n.easing._default
                }, c),
                originalProperties: b,
                originalOptions: c,
                startTime: Sa || Wa(),
                duration: c.duration,
                tweens: [],
                createTween: function (b, c) {
                    var d = n.Tween(a, j.opts, b, c, j.opts.specialEasing[b] || j.opts.easing);
                    return j.tweens.push(d), d;
                },
                stop: function (b) {
                    var c = 0, d = b ? j.tweens.length : 0;
                    if (e)
                        return this;
                    for (e = !0; d > c; c++)
                        j.tweens[c].run(1);
                    return b ? (h.notifyWith(a, [
                        j,
                        1,
                        0
                    ]), h.resolveWith(a, [
                        j,
                        b
                    ])) : h.rejectWith(a, [
                        j,
                        b
                    ]), this;
                }
            }), k = j.props;
        for ($a(k, j.opts.specialEasing); g > f; f++)
            if (d = _a.prefilters[f].call(j, a, k, j.opts))
                return n.isFunction(d.stop) && (n._queueHooks(j.elem, j.opts.queue).stop = n.proxy(d.stop, d)), d;
        return n.map(k, Ya, j), n.isFunction(j.opts.start) && j.opts.start.call(a, j), n.fx.timer(n.extend(i, {
            elem: a,
            anim: j,
            queue: j.opts.queue
        })), j.progress(j.opts.progress).done(j.opts.done, j.opts.complete).fail(j.opts.fail).always(j.opts.always);
    }
    n.Animation = n.extend(_a, {
        tweeners: {
            '*': [function (a, b) {
                    var c = this.createTween(a, b);
                    return W(c.elem, a, T.exec(b), c), c;
                }]
        },
        tweener: function (a, b) {
            n.isFunction(a) ? (b = a, a = ['*']) : a = a.match(G);
            for (var c, d = 0, e = a.length; e > d; d++)
                c = a[d], _a.tweeners[c] = _a.tweeners[c] || [], _a.tweeners[c].unshift(b);
        },
        prefilters: [Za],
        prefilter: function (a, b) {
            b ? _a.prefilters.unshift(a) : _a.prefilters.push(a);
        }
    }), n.speed = function (a, b, c) {
        var d = a && 'object' == typeof a ? n.extend({}, a) : {
            complete: c || !c && b || n.isFunction(a) && a,
            duration: a,
            easing: c && b || b && !n.isFunction(b) && b
        };
        return d.duration = n.fx.off ? 0 : 'number' == typeof d.duration ? d.duration : d.duration in n.fx.speeds ? n.fx.speeds[d.duration] : n.fx.speeds._default, null != d.queue && d.queue !== !0 || (d.queue = 'fx'), d.old = d.complete, d.complete = function () {
            n.isFunction(d.old) && d.old.call(this), d.queue && n.dequeue(this, d.queue);
        }, d;
    }, n.fn.extend({
        fadeTo: function (a, b, c, d) {
            return this.filter(V).css('opacity', 0).show().end().animate({ opacity: b }, a, c, d);
        },
        animate: function (a, b, c, d) {
            var e = n.isEmptyObject(a), f = n.speed(b, c, d), g = function () {
                    var b = _a(this, n.extend({}, a), f);
                    (e || N.get(this, 'finish')) && b.stop(!0);
                };
            return g.finish = g, e || f.queue === !1 ? this.each(g) : this.queue(f.queue, g);
        },
        stop: function (a, b, c) {
            var d = function (a) {
                var b = a.stop;
                delete a.stop, b(c);
            };
            return 'string' != typeof a && (c = b, b = a, a = void 0), b && a !== !1 && this.queue(a || 'fx', []), this.each(function () {
                var b = !0, e = null != a && a + 'queueHooks', f = n.timers, g = N.get(this);
                if (e)
                    g[e] && g[e].stop && d(g[e]);
                else
                    for (e in g)
                        g[e] && g[e].stop && Va.test(e) && d(g[e]);
                for (e = f.length; e--;)
                    f[e].elem !== this || null != a && f[e].queue !== a || (f[e].anim.stop(c), b = !1, f.splice(e, 1));
                !b && c || n.dequeue(this, a);
            });
        },
        finish: function (a) {
            return a !== !1 && (a = a || 'fx'), this.each(function () {
                var b, c = N.get(this), d = c[a + 'queue'], e = c[a + 'queueHooks'], f = n.timers, g = d ? d.length : 0;
                for (c.finish = !0, n.queue(this, a, []), e && e.stop && e.stop.call(this, !0), b = f.length; b--;)
                    f[b].elem === this && f[b].queue === a && (f[b].anim.stop(!0), f.splice(b, 1));
                for (b = 0; g > b; b++)
                    d[b] && d[b].finish && d[b].finish.call(this);
                delete c.finish;
            });
        }
    }), n.each([
        'toggle',
        'show',
        'hide'
    ], function (a, b) {
        var c = n.fn[b];
        n.fn[b] = function (a, d, e) {
            return null == a || 'boolean' == typeof a ? c.apply(this, arguments) : this.animate(Xa(b, !0), a, d, e);
        };
    }), n.each({
        slideDown: Xa('show'),
        slideUp: Xa('hide'),
        slideToggle: Xa('toggle'),
        fadeIn: { opacity: 'show' },
        fadeOut: { opacity: 'hide' },
        fadeToggle: { opacity: 'toggle' }
    }, function (a, b) {
        n.fn[a] = function (a, c, d) {
            return this.animate(b, a, c, d);
        };
    }), n.timers = [], n.fx.tick = function () {
        var a, b = 0, c = n.timers;
        for (Sa = n.now(); b < c.length; b++)
            a = c[b], a() || c[b] !== a || c.splice(b--, 1);
        c.length || n.fx.stop(), Sa = void 0;
    }, n.fx.timer = function (a) {
        n.timers.push(a), a() ? n.fx.start() : n.timers.pop();
    }, n.fx.interval = 13, n.fx.start = function () {
        Ta || (Ta = a.setInterval(n.fx.tick, n.fx.interval));
    }, n.fx.stop = function () {
        a.clearInterval(Ta), Ta = null;
    }, n.fx.speeds = {
        slow: 600,
        fast: 200,
        _default: 400
    }, n.fn.delay = function (b, c) {
        return b = n.fx ? n.fx.speeds[b] || b : b, c = c || 'fx', this.queue(c, function (c, d) {
            var e = a.setTimeout(c, b);
            d.stop = function () {
                a.clearTimeout(e);
            };
        });
    }, function () {
        var a = d.createElement('input'), b = d.createElement('select'), c = b.appendChild(d.createElement('option'));
        a.type = 'checkbox', l.checkOn = '' !== a.value, l.optSelected = c.selected, b.disabled = !0, l.optDisabled = !c.disabled, a = d.createElement('input'), a.value = 't', a.type = 'radio', l.radioValue = 't' === a.value;
    }();
    var ab, bb = n.expr.attrHandle;
    n.fn.extend({
        attr: function (a, b) {
            return K(this, n.attr, a, b, arguments.length > 1);
        },
        removeAttr: function (a) {
            return this.each(function () {
                n.removeAttr(this, a);
            });
        }
    }), n.extend({
        attr: function (a, b, c) {
            var d, e, f = a.nodeType;
            if (3 !== f && 8 !== f && 2 !== f)
                return 'undefined' == typeof a.getAttribute ? n.prop(a, b, c) : (1 === f && n.isXMLDoc(a) || (b = b.toLowerCase(), e = n.attrHooks[b] || (n.expr.match.bool.test(b) ? ab : void 0)), void 0 !== c ? null === c ? void n.removeAttr(a, b) : e && 'set' in e && void 0 !== (d = e.set(a, c, b)) ? d : (a.setAttribute(b, c + ''), c) : e && 'get' in e && null !== (d = e.get(a, b)) ? d : (d = n.find.attr(a, b), null == d ? void 0 : d));
        },
        attrHooks: {
            type: {
                set: function (a, b) {
                    if (!l.radioValue && 'radio' === b && n.nodeName(a, 'input')) {
                        var c = a.value;
                        return a.setAttribute('type', b), c && (a.value = c), b;
                    }
                }
            }
        },
        removeAttr: function (a, b) {
            var c, d, e = 0, f = b && b.match(G);
            if (f && 1 === a.nodeType)
                while (c = f[e++])
                    d = n.propFix[c] || c, n.expr.match.bool.test(c) && (a[d] = !1), a.removeAttribute(c);
        }
    }), ab = {
        set: function (a, b, c) {
            return b === !1 ? n.removeAttr(a, c) : a.setAttribute(c, c), c;
        }
    }, n.each(n.expr.match.bool.source.match(/\w+/g), function (a, b) {
        var c = bb[b] || n.find.attr;
        bb[b] = function (a, b, d) {
            var e, f;
            return d || (f = bb[b], bb[b] = e, e = null != c(a, b, d) ? b.toLowerCase() : null, bb[b] = f), e;
        };
    });
    var cb = /^(?:input|select|textarea|button)$/i, db = /^(?:a|area)$/i;
    n.fn.extend({
        prop: function (a, b) {
            return K(this, n.prop, a, b, arguments.length > 1);
        },
        removeProp: function (a) {
            return this.each(function () {
                delete this[n.propFix[a] || a];
            });
        }
    }), n.extend({
        prop: function (a, b, c) {
            var d, e, f = a.nodeType;
            if (3 !== f && 8 !== f && 2 !== f)
                return 1 === f && n.isXMLDoc(a) || (b = n.propFix[b] || b, e = n.propHooks[b]), void 0 !== c ? e && 'set' in e && void 0 !== (d = e.set(a, c, b)) ? d : a[b] = c : e && 'get' in e && null !== (d = e.get(a, b)) ? d : a[b];
        },
        propHooks: {
            tabIndex: {
                get: function (a) {
                    var b = n.find.attr(a, 'tabindex');
                    return b ? parseInt(b, 10) : cb.test(a.nodeName) || db.test(a.nodeName) && a.href ? 0 : -1;
                }
            }
        },
        propFix: {
            'for': 'htmlFor',
            'class': 'className'
        }
    }), l.optSelected || (n.propHooks.selected = {
        get: function (a) {
            var b = a.parentNode;
            return b && b.parentNode && b.parentNode.selectedIndex, null;
        },
        set: function (a) {
            var b = a.parentNode;
            b && (b.selectedIndex, b.parentNode && b.parentNode.selectedIndex);
        }
    }), n.each([
        'tabIndex',
        'readOnly',
        'maxLength',
        'cellSpacing',
        'cellPadding',
        'rowSpan',
        'colSpan',
        'useMap',
        'frameBorder',
        'contentEditable'
    ], function () {
        n.propFix[this.toLowerCase()] = this;
    });
    var eb = /[\t\r\n\f]/g;
    function fb(a) {
        return a.getAttribute && a.getAttribute('class') || '';
    }
    n.fn.extend({
        addClass: function (a) {
            var b, c, d, e, f, g, h, i = 0;
            if (n.isFunction(a))
                return this.each(function (b) {
                    n(this).addClass(a.call(this, b, fb(this)));
                });
            if ('string' == typeof a && a) {
                b = a.match(G) || [];
                while (c = this[i++])
                    if (e = fb(c), d = 1 === c.nodeType && (' ' + e + ' ').replace(eb, ' ')) {
                        g = 0;
                        while (f = b[g++])
                            d.indexOf(' ' + f + ' ') < 0 && (d += f + ' ');
                        h = n.trim(d), e !== h && c.setAttribute('class', h);
                    }
            }
            return this;
        },
        removeClass: function (a) {
            var b, c, d, e, f, g, h, i = 0;
            if (n.isFunction(a))
                return this.each(function (b) {
                    n(this).removeClass(a.call(this, b, fb(this)));
                });
            if (!arguments.length)
                return this.attr('class', '');
            if ('string' == typeof a && a) {
                b = a.match(G) || [];
                while (c = this[i++])
                    if (e = fb(c), d = 1 === c.nodeType && (' ' + e + ' ').replace(eb, ' ')) {
                        g = 0;
                        while (f = b[g++])
                            while (d.indexOf(' ' + f + ' ') > -1)
                                d = d.replace(' ' + f + ' ', ' ');
                        h = n.trim(d), e !== h && c.setAttribute('class', h);
                    }
            }
            return this;
        },
        toggleClass: function (a, b) {
            var c = typeof a;
            return 'boolean' == typeof b && 'string' === c ? b ? this.addClass(a) : this.removeClass(a) : n.isFunction(a) ? this.each(function (c) {
                n(this).toggleClass(a.call(this, c, fb(this), b), b);
            }) : this.each(function () {
                var b, d, e, f;
                if ('string' === c) {
                    d = 0, e = n(this), f = a.match(G) || [];
                    while (b = f[d++])
                        e.hasClass(b) ? e.removeClass(b) : e.addClass(b);
                } else
                    void 0 !== a && 'boolean' !== c || (b = fb(this), b && N.set(this, '__className__', b), this.setAttribute && this.setAttribute('class', b || a === !1 ? '' : N.get(this, '__className__') || ''));
            });
        },
        hasClass: function (a) {
            var b, c, d = 0;
            b = ' ' + a + ' ';
            while (c = this[d++])
                if (1 === c.nodeType && (' ' + fb(c) + ' ').replace(eb, ' ').indexOf(b) > -1)
                    return !0;
            return !1;
        }
    });
    var gb = /\r/g, hb = /[\x20\t\r\n\f]+/g;
    n.fn.extend({
        val: function (a) {
            var b, c, d, e = this[0];
            {
                if (arguments.length)
                    return d = n.isFunction(a), this.each(function (c) {
                        var e;
                        1 === this.nodeType && (e = d ? a.call(this, c, n(this).val()) : a, null == e ? e = '' : 'number' == typeof e ? e += '' : n.isArray(e) && (e = n.map(e, function (a) {
                            return null == a ? '' : a + '';
                        })), b = n.valHooks[this.type] || n.valHooks[this.nodeName.toLowerCase()], b && 'set' in b && void 0 !== b.set(this, e, 'value') || (this.value = e));
                    });
                if (e)
                    return b = n.valHooks[e.type] || n.valHooks[e.nodeName.toLowerCase()], b && 'get' in b && void 0 !== (c = b.get(e, 'value')) ? c : (c = e.value, 'string' == typeof c ? c.replace(gb, '') : null == c ? '' : c);
            }
        }
    }), n.extend({
        valHooks: {
            option: {
                get: function (a) {
                    var b = n.find.attr(a, 'value');
                    return null != b ? b : n.trim(n.text(a)).replace(hb, ' ');
                }
            },
            select: {
                get: function (a) {
                    for (var b, c, d = a.options, e = a.selectedIndex, f = 'select-one' === a.type || 0 > e, g = f ? null : [], h = f ? e + 1 : d.length, i = 0 > e ? h : f ? e : 0; h > i; i++)
                        if (c = d[i], (c.selected || i === e) && (l.optDisabled ? !c.disabled : null === c.getAttribute('disabled')) && (!c.parentNode.disabled || !n.nodeName(c.parentNode, 'optgroup'))) {
                            if (b = n(c).val(), f)
                                return b;
                            g.push(b);
                        }
                    return g;
                },
                set: function (a, b) {
                    var c, d, e = a.options, f = n.makeArray(b), g = e.length;
                    while (g--)
                        d = e[g], (d.selected = n.inArray(n.valHooks.option.get(d), f) > -1) && (c = !0);
                    return c || (a.selectedIndex = -1), f;
                }
            }
        }
    }), n.each([
        'radio',
        'checkbox'
    ], function () {
        n.valHooks[this] = {
            set: function (a, b) {
                return n.isArray(b) ? a.checked = n.inArray(n(a).val(), b) > -1 : void 0;
            }
        }, l.checkOn || (n.valHooks[this].get = function (a) {
            return null === a.getAttribute('value') ? 'on' : a.value;
        });
    });
    var ib = /^(?:focusinfocus|focusoutblur)$/;
    n.extend(n.event, {
        trigger: function (b, c, e, f) {
            var g, h, i, j, l, m, o, p = [e || d], q = k.call(b, 'type') ? b.type : b, r = k.call(b, 'namespace') ? b.namespace.split('.') : [];
            if (h = i = e = e || d, 3 !== e.nodeType && 8 !== e.nodeType && !ib.test(q + n.event.triggered) && (q.indexOf('.') > -1 && (r = q.split('.'), q = r.shift(), r.sort()), l = q.indexOf(':') < 0 && 'on' + q, b = b[n.expando] ? b : new n.Event(q, 'object' == typeof b && b), b.isTrigger = f ? 2 : 3, b.namespace = r.join('.'), b.rnamespace = b.namespace ? new RegExp('(^|\\.)' + r.join('\\.(?:.*\\.|)') + '(\\.|$)') : null, b.result = void 0, b.target || (b.target = e), c = null == c ? [b] : n.makeArray(c, [b]), o = n.event.special[q] || {}, f || !o.trigger || o.trigger.apply(e, c) !== !1)) {
                if (!f && !o.noBubble && !n.isWindow(e)) {
                    for (j = o.delegateType || q, ib.test(j + q) || (h = h.parentNode); h; h = h.parentNode)
                        p.push(h), i = h;
                    i === (e.ownerDocument || d) && p.push(i.defaultView || i.parentWindow || a);
                }
                g = 0;
                while ((h = p[g++]) && !b.isPropagationStopped())
                    b.type = g > 1 ? j : o.bindType || q, m = (N.get(h, 'events') || {})[b.type] && N.get(h, 'handle'), m && m.apply(h, c), m = l && h[l], m && m.apply && L(h) && (b.result = m.apply(h, c), b.result === !1 && b.preventDefault());
                return b.type = q, f || b.isDefaultPrevented() || o._default && o._default.apply(p.pop(), c) !== !1 || !L(e) || l && n.isFunction(e[q]) && !n.isWindow(e) && (i = e[l], i && (e[l] = null), n.event.triggered = q, e[q](), n.event.triggered = void 0, i && (e[l] = i)), b.result;
            }
        },
        simulate: function (a, b, c) {
            var d = n.extend(new n.Event(), c, {
                type: a,
                isSimulated: !0
            });
            n.event.trigger(d, null, b), d.isDefaultPrevented() && c.preventDefault();
        }
    }), n.fn.extend({
        trigger: function (a, b) {
            return this.each(function () {
                n.event.trigger(a, b, this);
            });
        },
        triggerHandler: function (a, b) {
            var c = this[0];
            return c ? n.event.trigger(a, b, c, !0) : void 0;
        }
    }), n.each('blur focus focusin focusout load resize scroll unload click dblclick mousedown mouseup mousemove mouseover mouseout mouseenter mouseleave change select submit keydown keypress keyup error contextmenu'.split(' '), function (a, b) {
        n.fn[b] = function (a, c) {
            return arguments.length > 0 ? this.on(b, null, a, c) : this.trigger(b);
        };
    }), n.fn.extend({
        hover: function (a, b) {
            return this.mouseenter(a).mouseleave(b || a);
        }
    }), l.focusin = 'onfocusin' in a, l.focusin || n.each({
        focus: 'focusin',
        blur: 'focusout'
    }, function (a, b) {
        var c = function (a) {
            n.event.simulate(b, a.target, n.event.fix(a));
        };
        n.event.special[b] = {
            setup: function () {
                var d = this.ownerDocument || this, e = N.access(d, b);
                e || d.addEventListener(a, c, !0), N.access(d, b, (e || 0) + 1);
            },
            teardown: function () {
                var d = this.ownerDocument || this, e = N.access(d, b) - 1;
                e ? N.access(d, b, e) : (d.removeEventListener(a, c, !0), N.remove(d, b));
            }
        };
    });
    var jb = a.location, kb = n.now(), lb = /\?/;
    n.parseJSON = function (a) {
        return JSON.parse(a + '');
    }, n.parseXML = function (b) {
        var c;
        if (!b || 'string' != typeof b)
            return null;
        try {
            c = new a.DOMParser().parseFromString(b, 'text/xml');
        } catch (d) {
            c = void 0;
        }
        return c && !c.getElementsByTagName('parsererror').length || n.error('Invalid XML: ' + b), c;
    };
    var mb = /#.*$/, nb = /([?&])_=[^&]*/, ob = /^(.*?):[ \t]*([^\r\n]*)$/gm, pb = /^(?:about|app|app-storage|.+-extension|file|res|widget):$/, qb = /^(?:GET|HEAD)$/, rb = /^\/\//, sb = {}, tb = {}, ub = '*/'.concat('*'), vb = d.createElement('a');
    vb.href = jb.href;
    function wb(a) {
        return function (b, c) {
            'string' != typeof b && (c = b, b = '*');
            var d, e = 0, f = b.toLowerCase().match(G) || [];
            if (n.isFunction(c))
                while (d = f[e++])
                    '+' === d[0] ? (d = d.slice(1) || '*', (a[d] = a[d] || []).unshift(c)) : (a[d] = a[d] || []).push(c);
        };
    }
    function xb(a, b, c, d) {
        var e = {}, f = a === tb;
        function g(h) {
            var i;
            return e[h] = !0, n.each(a[h] || [], function (a, h) {
                var j = h(b, c, d);
                return 'string' != typeof j || f || e[j] ? f ? !(i = j) : void 0 : (b.dataTypes.unshift(j), g(j), !1);
            }), i;
        }
        return g(b.dataTypes[0]) || !e['*'] && g('*');
    }
    function yb(a, b) {
        var c, d, e = n.ajaxSettings.flatOptions || {};
        for (c in b)
            void 0 !== b[c] && ((e[c] ? a : d || (d = {}))[c] = b[c]);
        return d && n.extend(!0, a, d), a;
    }
    function zb(a, b, c) {
        var d, e, f, g, h = a.contents, i = a.dataTypes;
        while ('*' === i[0])
            i.shift(), void 0 === d && (d = a.mimeType || b.getResponseHeader('Content-Type'));
        if (d)
            for (e in h)
                if (h[e] && h[e].test(d)) {
                    i.unshift(e);
                    break;
                }
        if (i[0] in c)
            f = i[0];
        else {
            for (e in c) {
                if (!i[0] || a.converters[e + ' ' + i[0]]) {
                    f = e;
                    break;
                }
                g || (g = e);
            }
            f = f || g;
        }
        return f ? (f !== i[0] && i.unshift(f), c[f]) : void 0;
    }
    function Ab(a, b, c, d) {
        var e, f, g, h, i, j = {}, k = a.dataTypes.slice();
        if (k[1])
            for (g in a.converters)
                j[g.toLowerCase()] = a.converters[g];
        f = k.shift();
        while (f)
            if (a.responseFields[f] && (c[a.responseFields[f]] = b), !i && d && a.dataFilter && (b = a.dataFilter(b, a.dataType)), i = f, f = k.shift())
                if ('*' === f)
                    f = i;
                else if ('*' !== i && i !== f) {
                    if (g = j[i + ' ' + f] || j['* ' + f], !g)
                        for (e in j)
                            if (h = e.split(' '), h[1] === f && (g = j[i + ' ' + h[0]] || j['* ' + h[0]])) {
                                g === !0 ? g = j[e] : j[e] !== !0 && (f = h[0], k.unshift(h[1]));
                                break;
                            }
                    if (g !== !0)
                        if (g && a['throws'])
                            b = g(b);
                        else
                            try {
                                b = g(b);
                            } catch (l) {
                                return {
                                    state: 'parsererror',
                                    error: g ? l : 'No conversion from ' + i + ' to ' + f
                                };
                            }
                }
        return {
            state: 'success',
            data: b
        };
    }
    n.extend({
        active: 0,
        lastModified: {},
        etag: {},
        ajaxSettings: {
            url: jb.href,
            type: 'GET',
            isLocal: pb.test(jb.protocol),
            global: !0,
            processData: !0,
            async: !0,
            contentType: 'application/x-www-form-urlencoded; charset=UTF-8',
            accepts: {
                '*': ub,
                text: 'text/plain',
                html: 'text/html',
                xml: 'application/xml, text/xml',
                json: 'application/json, text/javascript'
            },
            contents: {
                xml: /\bxml\b/,
                html: /\bhtml/,
                json: /\bjson\b/
            },
            responseFields: {
                xml: 'responseXML',
                text: 'responseText',
                json: 'responseJSON'
            },
            converters: {
                '* text': String,
                'text html': !0,
                'text json': n.parseJSON,
                'text xml': n.parseXML
            },
            flatOptions: {
                url: !0,
                context: !0
            }
        },
        ajaxSetup: function (a, b) {
            return b ? yb(yb(a, n.ajaxSettings), b) : yb(n.ajaxSettings, a);
        },
        ajaxPrefilter: wb(sb),
        ajaxTransport: wb(tb),
        ajax: function (b, c) {
            'object' == typeof b && (c = b, b = void 0), c = c || {};
            var e, f, g, h, i, j, k, l, m = n.ajaxSetup({}, c), o = m.context || m, p = m.context && (o.nodeType || o.jquery) ? n(o) : n.event, q = n.Deferred(), r = n.Callbacks('once memory'), s = m.statusCode || {}, t = {}, u = {}, v = 0, w = 'canceled', x = {
                    readyState: 0,
                    getResponseHeader: function (a) {
                        var b;
                        if (2 === v) {
                            if (!h) {
                                h = {};
                                while (b = ob.exec(g))
                                    h[b[1].toLowerCase()] = b[2];
                            }
                            b = h[a.toLowerCase()];
                        }
                        return null == b ? null : b;
                    },
                    getAllResponseHeaders: function () {
                        return 2 === v ? g : null;
                    },
                    setRequestHeader: function (a, b) {
                        var c = a.toLowerCase();
                        return v || (a = u[c] = u[c] || a, t[a] = b), this;
                    },
                    overrideMimeType: function (a) {
                        return v || (m.mimeType = a), this;
                    },
                    statusCode: function (a) {
                        var b;
                        if (a)
                            if (2 > v)
                                for (b in a)
                                    s[b] = [
                                        s[b],
                                        a[b]
                                    ];
                            else
                                x.always(a[x.status]);
                        return this;
                    },
                    abort: function (a) {
                        var b = a || w;
                        return e && e.abort(b), z(0, b), this;
                    }
                };
            if (q.promise(x).complete = r.add, x.success = x.done, x.error = x.fail, m.url = ((b || m.url || jb.href) + '').replace(mb, '').replace(rb, jb.protocol + '//'), m.type = c.method || c.type || m.method || m.type, m.dataTypes = n.trim(m.dataType || '*').toLowerCase().match(G) || [''], null == m.crossDomain) {
                j = d.createElement('a');
                try {
                    j.href = m.url, j.href = j.href, m.crossDomain = vb.protocol + '//' + vb.host != j.protocol + '//' + j.host;
                } catch (y) {
                    m.crossDomain = !0;
                }
            }
            if (m.data && m.processData && 'string' != typeof m.data && (m.data = n.param(m.data, m.traditional)), xb(sb, m, c, x), 2 === v)
                return x;
            k = n.event && m.global, k && 0 === n.active++ && n.event.trigger('ajaxStart'), m.type = m.type.toUpperCase(), m.hasContent = !qb.test(m.type), f = m.url, m.hasContent || (m.data && (f = m.url += (lb.test(f) ? '&' : '?') + m.data, delete m.data), m.cache === !1 && (m.url = nb.test(f) ? f.replace(nb, '$1_=' + kb++) : f + (lb.test(f) ? '&' : '?') + '_=' + kb++)), m.ifModified && (n.lastModified[f] && x.setRequestHeader('If-Modified-Since', n.lastModified[f]), n.etag[f] && x.setRequestHeader('If-None-Match', n.etag[f])), (m.data && m.hasContent && m.contentType !== !1 || c.contentType) && x.setRequestHeader('Content-Type', m.contentType), x.setRequestHeader('Accept', m.dataTypes[0] && m.accepts[m.dataTypes[0]] ? m.accepts[m.dataTypes[0]] + ('*' !== m.dataTypes[0] ? ', ' + ub + '; q=0.01' : '') : m.accepts['*']);
            for (l in m.headers)
                x.setRequestHeader(l, m.headers[l]);
            if (m.beforeSend && (m.beforeSend.call(o, x, m) === !1 || 2 === v))
                return x.abort();
            w = 'abort';
            for (l in {
                    success: 1,
                    error: 1,
                    complete: 1
                })
                x[l](m[l]);
            if (e = xb(tb, m, c, x)) {
                if (x.readyState = 1, k && p.trigger('ajaxSend', [
                        x,
                        m
                    ]), 2 === v)
                    return x;
                m.async && m.timeout > 0 && (i = a.setTimeout(function () {
                    x.abort('timeout');
                }, m.timeout));
                try {
                    v = 1, e.send(t, z);
                } catch (y) {
                    if (!(2 > v))
                        throw y;
                    z(-1, y);
                }
            } else
                z(-1, 'No Transport');
            function z(b, c, d, h) {
                var j, l, t, u, w, y = c;
                2 !== v && (v = 2, i && a.clearTimeout(i), e = void 0, g = h || '', x.readyState = b > 0 ? 4 : 0, j = b >= 200 && 300 > b || 304 === b, d && (u = zb(m, x, d)), u = Ab(m, u, x, j), j ? (m.ifModified && (w = x.getResponseHeader('Last-Modified'), w && (n.lastModified[f] = w), w = x.getResponseHeader('etag'), w && (n.etag[f] = w)), 204 === b || 'HEAD' === m.type ? y = 'nocontent' : 304 === b ? y = 'notmodified' : (y = u.state, l = u.data, t = u.error, j = !t)) : (t = y, !b && y || (y = 'error', 0 > b && (b = 0))), x.status = b, x.statusText = (c || y) + '', j ? q.resolveWith(o, [
                    l,
                    y,
                    x
                ]) : q.rejectWith(o, [
                    x,
                    y,
                    t
                ]), x.statusCode(s), s = void 0, k && p.trigger(j ? 'ajaxSuccess' : 'ajaxError', [
                    x,
                    m,
                    j ? l : t
                ]), r.fireWith(o, [
                    x,
                    y
                ]), k && (p.trigger('ajaxComplete', [
                    x,
                    m
                ]), --n.active || n.event.trigger('ajaxStop')));
            }
            return x;
        },
        getJSON: function (a, b, c) {
            return n.get(a, b, c, 'json');
        },
        getScript: function (a, b) {
            return n.get(a, void 0, b, 'script');
        }
    }), n.each([
        'get',
        'post'
    ], function (a, b) {
        n[b] = function (a, c, d, e) {
            return n.isFunction(c) && (e = e || d, d = c, c = void 0), n.ajax(n.extend({
                url: a,
                type: b,
                dataType: e,
                data: c,
                success: d
            }, n.isPlainObject(a) && a));
        };
    }), n._evalUrl = function (a) {
        return n.ajax({
            url: a,
            type: 'GET',
            dataType: 'script',
            async: !1,
            global: !1,
            'throws': !0
        });
    }, n.fn.extend({
        wrapAll: function (a) {
            var b;
            return n.isFunction(a) ? this.each(function (b) {
                n(this).wrapAll(a.call(this, b));
            }) : (this[0] && (b = n(a, this[0].ownerDocument).eq(0).clone(!0), this[0].parentNode && b.insertBefore(this[0]), b.map(function () {
                var a = this;
                while (a.firstElementChild)
                    a = a.firstElementChild;
                return a;
            }).append(this)), this);
        },
        wrapInner: function (a) {
            return n.isFunction(a) ? this.each(function (b) {
                n(this).wrapInner(a.call(this, b));
            }) : this.each(function () {
                var b = n(this), c = b.contents();
                c.length ? c.wrapAll(a) : b.append(a);
            });
        },
        wrap: function (a) {
            var b = n.isFunction(a);
            return this.each(function (c) {
                n(this).wrapAll(b ? a.call(this, c) : a);
            });
        },
        unwrap: function () {
            return this.parent().each(function () {
                n.nodeName(this, 'body') || n(this).replaceWith(this.childNodes);
            }).end();
        }
    }), n.expr.filters.hidden = function (a) {
        return !n.expr.filters.visible(a);
    }, n.expr.filters.visible = function (a) {
        return a.offsetWidth > 0 || a.offsetHeight > 0 || a.getClientRects().length > 0;
    };
    var Bb = /%20/g, Cb = /\[\]$/, Db = /\r?\n/g, Eb = /^(?:submit|button|image|reset|file)$/i, Fb = /^(?:input|select|textarea|keygen)/i;
    function Gb(a, b, c, d) {
        var e;
        if (n.isArray(b))
            n.each(b, function (b, e) {
                c || Cb.test(a) ? d(a, e) : Gb(a + '[' + ('object' == typeof e && null != e ? b : '') + ']', e, c, d);
            });
        else if (c || 'object' !== n.type(b))
            d(a, b);
        else
            for (e in b)
                Gb(a + '[' + e + ']', b[e], c, d);
    }
    n.param = function (a, b) {
        var c, d = [], e = function (a, b) {
                b = n.isFunction(b) ? b() : null == b ? '' : b, d[d.length] = encodeURIComponent(a) + '=' + encodeURIComponent(b);
            };
        if (void 0 === b && (b = n.ajaxSettings && n.ajaxSettings.traditional), n.isArray(a) || a.jquery && !n.isPlainObject(a))
            n.each(a, function () {
                e(this.name, this.value);
            });
        else
            for (c in a)
                Gb(c, a[c], b, e);
        return d.join('&').replace(Bb, '+');
    }, n.fn.extend({
        serialize: function () {
            return n.param(this.serializeArray());
        },
        serializeArray: function () {
            return this.map(function () {
                var a = n.prop(this, 'elements');
                return a ? n.makeArray(a) : this;
            }).filter(function () {
                var a = this.type;
                return this.name && !n(this).is(':disabled') && Fb.test(this.nodeName) && !Eb.test(a) && (this.checked || !X.test(a));
            }).map(function (a, b) {
                var c = n(this).val();
                return null == c ? null : n.isArray(c) ? n.map(c, function (a) {
                    return {
                        name: b.name,
                        value: a.replace(Db, '\r\n')
                    };
                }) : {
                    name: b.name,
                    value: c.replace(Db, '\r\n')
                };
            }).get();
        }
    }), n.ajaxSettings.xhr = function () {
        try {
            return new a.XMLHttpRequest();
        } catch (b) {
        }
    };
    var Hb = {
            0: 200,
            1223: 204
        }, Ib = n.ajaxSettings.xhr();
    l.cors = !!Ib && 'withCredentials' in Ib, l.ajax = Ib = !!Ib, n.ajaxTransport(function (b) {
        var c, d;
        return l.cors || Ib && !b.crossDomain ? {
            send: function (e, f) {
                var g, h = b.xhr();
                if (h.open(b.type, b.url, b.async, b.username, b.password), b.xhrFields)
                    for (g in b.xhrFields)
                        h[g] = b.xhrFields[g];
                b.mimeType && h.overrideMimeType && h.overrideMimeType(b.mimeType), b.crossDomain || e['X-Requested-With'] || (e['X-Requested-With'] = 'XMLHttpRequest');
                for (g in e)
                    h.setRequestHeader(g, e[g]);
                c = function (a) {
                    return function () {
                        c && (c = d = h.onload = h.onerror = h.onabort = h.onreadystatechange = null, 'abort' === a ? h.abort() : 'error' === a ? 'number' != typeof h.status ? f(0, 'error') : f(h.status, h.statusText) : f(Hb[h.status] || h.status, h.statusText, 'text' !== (h.responseType || 'text') || 'string' != typeof h.responseText ? { binary: h.response } : { text: h.responseText }, h.getAllResponseHeaders()));
                    };
                }, h.onload = c(), d = h.onerror = c('error'), void 0 !== h.onabort ? h.onabort = d : h.onreadystatechange = function () {
                    4 === h.readyState && a.setTimeout(function () {
                        c && d();
                    });
                }, c = c('abort');
                try {
                    h.send(b.hasContent && b.data || null);
                } catch (i) {
                    if (c)
                        throw i;
                }
            },
            abort: function () {
                c && c();
            }
        } : void 0;
    }), n.ajaxSetup({
        accepts: { script: 'text/javascript, application/javascript, application/ecmascript, application/x-ecmascript' },
        contents: { script: /\b(?:java|ecma)script\b/ },
        converters: {
            'text script': function (a) {
                return n.globalEval(a), a;
            }
        }
    }), n.ajaxPrefilter('script', function (a) {
        void 0 === a.cache && (a.cache = !1), a.crossDomain && (a.type = 'GET');
    }), n.ajaxTransport('script', function (a) {
        if (a.crossDomain) {
            var b, c;
            return {
                send: function (e, f) {
                    b = n('<script>').prop({
                        charset: a.scriptCharset,
                        src: a.url
                    }).on('load error', c = function (a) {
                        b.remove(), c = null, a && f('error' === a.type ? 404 : 200, a.type);
                    }), d.head.appendChild(b[0]);
                },
                abort: function () {
                    c && c();
                }
            };
        }
    });
    var Jb = [], Kb = /(=)\?(?=&|$)|\?\?/;
    n.ajaxSetup({
        jsonp: 'callback',
        jsonpCallback: function () {
            var a = Jb.pop() || n.expando + '_' + kb++;
            return this[a] = !0, a;
        }
    }), n.ajaxPrefilter('json jsonp', function (b, c, d) {
        var e, f, g, h = b.jsonp !== !1 && (Kb.test(b.url) ? 'url' : 'string' == typeof b.data && 0 === (b.contentType || '').indexOf('application/x-www-form-urlencoded') && Kb.test(b.data) && 'data');
        return h || 'jsonp' === b.dataTypes[0] ? (e = b.jsonpCallback = n.isFunction(b.jsonpCallback) ? b.jsonpCallback() : b.jsonpCallback, h ? b[h] = b[h].replace(Kb, '$1' + e) : b.jsonp !== !1 && (b.url += (lb.test(b.url) ? '&' : '?') + b.jsonp + '=' + e), b.converters['script json'] = function () {
            return g || n.error(e + ' was not called'), g[0];
        }, b.dataTypes[0] = 'json', f = a[e], a[e] = function () {
            g = arguments;
        }, d.always(function () {
            void 0 === f ? n(a).removeProp(e) : a[e] = f, b[e] && (b.jsonpCallback = c.jsonpCallback, Jb.push(e)), g && n.isFunction(f) && f(g[0]), g = f = void 0;
        }), 'script') : void 0;
    }), n.parseHTML = function (a, b, c) {
        if (!a || 'string' != typeof a)
            return null;
        'boolean' == typeof b && (c = b, b = !1), b = b || d;
        var e = x.exec(a), f = !c && [];
        return e ? [b.createElement(e[1])] : (e = ca([a], b, f), f && f.length && n(f).remove(), n.merge([], e.childNodes));
    };
    var Lb = n.fn.load;
    n.fn.load = function (a, b, c) {
        if ('string' != typeof a && Lb)
            return Lb.apply(this, arguments);
        var d, e, f, g = this, h = a.indexOf(' ');
        return h > -1 && (d = n.trim(a.slice(h)), a = a.slice(0, h)), n.isFunction(b) ? (c = b, b = void 0) : b && 'object' == typeof b && (e = 'POST'), g.length > 0 && n.ajax({
            url: a,
            type: e || 'GET',
            dataType: 'html',
            data: b
        }).done(function (a) {
            f = arguments, g.html(d ? n('<div>').append(n.parseHTML(a)).find(d) : a);
        }).always(c && function (a, b) {
            g.each(function () {
                c.apply(this, f || [
                    a.responseText,
                    b,
                    a
                ]);
            });
        }), this;
    }, n.each([
        'ajaxStart',
        'ajaxStop',
        'ajaxComplete',
        'ajaxError',
        'ajaxSuccess',
        'ajaxSend'
    ], function (a, b) {
        n.fn[b] = function (a) {
            return this.on(b, a);
        };
    }), n.expr.filters.animated = function (a) {
        return n.grep(n.timers, function (b) {
            return a === b.elem;
        }).length;
    };
    function Mb(a) {
        return n.isWindow(a) ? a : 9 === a.nodeType && a.defaultView;
    }
    n.offset = {
        setOffset: function (a, b, c) {
            var d, e, f, g, h, i, j, k = n.css(a, 'position'), l = n(a), m = {};
            'static' === k && (a.style.position = 'relative'), h = l.offset(), f = n.css(a, 'top'), i = n.css(a, 'left'), j = ('absolute' === k || 'fixed' === k) && (f + i).indexOf('auto') > -1, j ? (d = l.position(), g = d.top, e = d.left) : (g = parseFloat(f) || 0, e = parseFloat(i) || 0), n.isFunction(b) && (b = b.call(a, c, n.extend({}, h))), null != b.top && (m.top = b.top - h.top + g), null != b.left && (m.left = b.left - h.left + e), 'using' in b ? b.using.call(a, m) : l.css(m);
        }
    }, n.fn.extend({
        offset: function (a) {
            if (arguments.length)
                return void 0 === a ? this : this.each(function (b) {
                    n.offset.setOffset(this, a, b);
                });
            var b, c, d = this[0], e = {
                    top: 0,
                    left: 0
                }, f = d && d.ownerDocument;
            if (f)
                return b = f.documentElement, n.contains(b, d) ? (e = d.getBoundingClientRect(), c = Mb(f), {
                    top: e.top + c.pageYOffset - b.clientTop,
                    left: e.left + c.pageXOffset - b.clientLeft
                }) : e;
        },
        position: function () {
            if (this[0]) {
                var a, b, c = this[0], d = {
                        top: 0,
                        left: 0
                    };
                return 'fixed' === n.css(c, 'position') ? b = c.getBoundingClientRect() : (a = this.offsetParent(), b = this.offset(), n.nodeName(a[0], 'html') || (d = a.offset()), d.top += n.css(a[0], 'borderTopWidth', !0), d.left += n.css(a[0], 'borderLeftWidth', !0)), {
                    top: b.top - d.top - n.css(c, 'marginTop', !0),
                    left: b.left - d.left - n.css(c, 'marginLeft', !0)
                };
            }
        },
        offsetParent: function () {
            return this.map(function () {
                var a = this.offsetParent;
                while (a && 'static' === n.css(a, 'position'))
                    a = a.offsetParent;
                return a || Ea;
            });
        }
    }), n.each({
        scrollLeft: 'pageXOffset',
        scrollTop: 'pageYOffset'
    }, function (a, b) {
        var c = 'pageYOffset' === b;
        n.fn[a] = function (d) {
            return K(this, function (a, d, e) {
                var f = Mb(a);
                return void 0 === e ? f ? f[b] : a[d] : void (f ? f.scrollTo(c ? f.pageXOffset : e, c ? e : f.pageYOffset) : a[d] = e);
            }, a, d, arguments.length);
        };
    }), n.each([
        'top',
        'left'
    ], function (a, b) {
        n.cssHooks[b] = Ga(l.pixelPosition, function (a, c) {
            return c ? (c = Fa(a, b), Ba.test(c) ? n(a).position()[b] + 'px' : c) : void 0;
        });
    }), n.each({
        Height: 'height',
        Width: 'width'
    }, function (a, b) {
        n.each({
            padding: 'inner' + a,
            content: b,
            '': 'outer' + a
        }, function (c, d) {
            n.fn[d] = function (d, e) {
                var f = arguments.length && (c || 'boolean' != typeof d), g = c || (d === !0 || e === !0 ? 'margin' : 'border');
                return K(this, function (b, c, d) {
                    var e;
                    return n.isWindow(b) ? b.document.documentElement['client' + a] : 9 === b.nodeType ? (e = b.documentElement, Math.max(b.body['scroll' + a], e['scroll' + a], b.body['offset' + a], e['offset' + a], e['client' + a])) : void 0 === d ? n.css(b, c, g) : n.style(b, c, d, g);
                }, b, f ? d : void 0, f, null);
            };
        });
    }), n.fn.extend({
        bind: function (a, b, c) {
            return this.on(a, null, b, c);
        },
        unbind: function (a, b) {
            return this.off(a, null, b);
        },
        delegate: function (a, b, c, d) {
            return this.on(b, a, c, d);
        },
        undelegate: function (a, b, c) {
            return 1 === arguments.length ? this.off(a, '**') : this.off(b, a || '**', c);
        },
        size: function () {
            return this.length;
        }
    }), n.fn.andSelf = n.fn.addBack, 'function' == typeof define && define.amd && define('jquery', [], function () {
        return n;
    });
    var Nb = a.jQuery, Ob = a.$;
    return n.noConflict = function (b) {
        return a.$ === n && (a.$ = Ob), b && a.jQuery === n && (a.jQuery = Nb), n;
    }, b || (a.jQuery = a.$ = n), n;
});
var App = App || {};
define('updata', ['jquery'], function ($) {
    var debug = function (_val, _type) {
        if (App.debug) {
            var _d = new Date();
            var _tm = _d.getDate() + '' + _d.getHours() + '' + _d.getMinutes();
            _tm += '' + _d.getSeconds() + '' + _d.getMilliseconds();
            App.debug.push(_tm, _val, _type);
        }
    };
    App.upData = function (_obj) {
        var status = [
            200,
            201,
            202,
            203,
            204,
            205,
            206
        ];
        var obj = {};
        obj.type = 'POST';
        obj.url = '';
        obj.crossDomain = true;
        obj.dataType = 'json';
        obj.contentType = 'application/json;charset=utf-8';
        obj.cache = true;
        obj.beforeSend = function (request) {
            if (App.user.token != '') {
                request.setRequestHeader('Authorization', 'Token ' + App.user.token);
            }
        };
        obj.cxSuccess = function (data) {
        };
        obj.success = function (data, b, c) {
            debug('------read------<br/>' + this.url + '<br/>' + JSON.stringify(data), 2);
            if (_.indexOf(status, c.status) > -1) {
                obj.cxSuccess(data);
            } else {
                App.alert(c.statusText);
            }
        };
        obj.error = function (a, b, c) {
            App.loading(false);
            debug('------error------<br/>' + this.url + '<br/>' + JSON.stringify(c), 2);
            try {
                var results = JSON.parse(a.responseText);
                if (results.detail) {
                    App.alert(results.detail);
                } else {
                    App.alert(results.results.message);
                }
            } catch (err) {
                App.warn(c);
            }
        };
        for (var k in _obj) {
            if (k == 'data') {
                var _typ = obj.type;
                if (_.has(_obj, 'type')) {
                    _typ = _obj.type;
                }
                if (_.keys(_obj[k]).length > 0) {
                    if (_typ == 'POST' || _typ == 'PUT') {
                        obj[k] = JSON.stringify(_obj[k]);
                    } else {
                        obj[k] = _obj[k];
                    }
                }
            } else {
                if (k == 'success') {
                    obj['cxSuccess'] = _obj[k];
                } else {
                    obj[k] = _obj[k];
                }
            }
        }
        if (obj.type == 'GET') {
            if (obj.url.indexOf('?') < 0) {
                obj.url = obj.url + '?format=json';
            } else {
                obj.url = obj.url + '&format=json';
            }
        } else {
            if (obj.url.indexOf('?') < 0) {
                obj.url = obj.url + '?format=json';
            } else {
                obj.url = obj.url + '&format=json';
            }
        }
        debug('------create------<br/>' + obj.url + '<br/>' + obj.data, 1);
        $.ajax(obj);
    };
});
(function () {
    !function (t, e) {
        'object' == typeof exports && 'undefined' != typeof module ? module.exports = e() : 'function' == typeof define && define.amd ? define('vue', [
            'underscore',
            'updata',
            'jquery'
        ], e) : t.Vue = e();
    }(this, function () {
        'use strict';
        function t(e, n, r) {
            if (i(e, n))
                return void (e[n] = r);
            if (e._isVue)
                return void t(e._data, n, r);
            var s = e.__ob__;
            if (!s)
                return void (e[n] = r);
            if (s.convert(n, r), s.dep.notify(), s.vms)
                for (var o = s.vms.length; o--;) {
                    var a = s.vms[o];
                    a._proxy(n), a._digest();
                }
            return r;
        }
        function e(t, e) {
            if (i(t, e)) {
                delete t[e];
                var n = t.__ob__;
                if (!n)
                    return void (t._isVue && (delete t._data[e], t._digest()));
                if (n.dep.notify(), n.vms)
                    for (var r = n.vms.length; r--;) {
                        var s = n.vms[r];
                        s._unproxy(e), s._digest();
                    }
            }
        }
        function i(t, e) {
            return Oi.call(t, e);
        }
        function n(t) {
            return Ti.test(t);
        }
        function r(t) {
            var e = (t + '').charCodeAt(0);
            return 36 === e || 95 === e;
        }
        function s(t) {
            return null == t ? '' : t.toString();
        }
        function o(t) {
            if ('string' != typeof t)
                return t;
            var e = Number(t);
            return isNaN(e) ? t : e;
        }
        function a(t) {
            return 'true' === t ? !0 : 'false' === t ? !1 : t;
        }
        function h(t) {
            var e = t.charCodeAt(0), i = t.charCodeAt(t.length - 1);
            return e !== i || 34 !== e && 39 !== e ? t : t.slice(1, -1);
        }
        function l(t) {
            return t.replace(Ni, c);
        }
        function c(t, e) {
            return e ? e.toUpperCase() : '';
        }
        function u(t) {
            return t.replace(ji, '$1-$2').toLowerCase();
        }
        function f(t) {
            return t.replace(Ei, c);
        }
        function p(t, e) {
            return function (i) {
                var n = arguments.length;
                return n ? n > 1 ? t.apply(e, arguments) : t.call(e, i) : t.call(e);
            };
        }
        function d(t, e) {
            e = e || 0;
            for (var i = t.length - e, n = new Array(i); i--;)
                n[i] = t[i + e];
            return n;
        }
        function v(t, e) {
            for (var i = Object.keys(e), n = i.length; n--;)
                t[i[n]] = e[i[n]];
            return t;
        }
        function m(t) {
            return null !== t && 'object' == typeof t;
        }
        function g(t) {
            return Si.call(t) === Fi;
        }
        function _(t, e, i, n) {
            Object.defineProperty(t, e, {
                value: i,
                enumerable: !!n,
                writable: !0,
                configurable: !0
            });
        }
        function y(t, e) {
            var i, n, r, s, o, a = function h() {
                    var a = Date.now() - s;
                    e > a && a >= 0 ? i = setTimeout(h, e - a) : (i = null, o = t.apply(r, n), i || (r = n = null));
                };
            return function () {
                return r = this, n = arguments, s = Date.now(), i || (i = setTimeout(a, e)), o;
            };
        }
        function b(t, e) {
            for (var i = t.length; i--;)
                if (t[i] === e)
                    return i;
            return -1;
        }
        function w(t) {
            var e = function i() {
                return i.cancelled ? void 0 : t.apply(this, arguments);
            };
            return e.cancel = function () {
                e.cancelled = !0;
            }, e;
        }
        function C(t, e) {
            return t == e || (m(t) && m(e) ? JSON.stringify(t) === JSON.stringify(e) : !1);
        }
        function $(t) {
            this.size = 0, this.limit = t, this.head = this.tail = void 0, this._keymap = Object.create(null);
        }
        function k() {
            var t, e = en.slice(hn, on).trim();
            if (e) {
                t = {};
                var i = e.match(vn);
                t.name = i[0], i.length > 1 && (t.args = i.slice(1).map(x));
            }
            t && (nn.filters = nn.filters || []).push(t), hn = on + 1;
        }
        function x(t) {
            if (mn.test(t))
                return {
                    value: o(t),
                    dynamic: !1
                };
            var e = h(t), i = e === t;
            return {
                value: i ? t : e,
                dynamic: i
            };
        }
        function A(t) {
            var e = dn.get(t);
            if (e)
                return e;
            for (en = t, ln = cn = !1, un = fn = pn = 0, hn = 0, nn = {}, on = 0, an = en.length; an > on; on++)
                if (sn = rn, rn = en.charCodeAt(on), ln)
                    39 === rn && 92 !== sn && (ln = !ln);
                else if (cn)
                    34 === rn && 92 !== sn && (cn = !cn);
                else if (124 === rn && 124 !== en.charCodeAt(on + 1) && 124 !== en.charCodeAt(on - 1))
                    null == nn.expression ? (hn = on + 1, nn.expression = en.slice(0, on).trim()) : k();
                else
                    switch (rn) {
                    case 34:
                        cn = !0;
                        break;
                    case 39:
                        ln = !0;
                        break;
                    case 40:
                        pn++;
                        break;
                    case 41:
                        pn--;
                        break;
                    case 91:
                        fn++;
                        break;
                    case 93:
                        fn--;
                        break;
                    case 123:
                        un++;
                        break;
                    case 125:
                        un--;
                    }
            return null == nn.expression ? nn.expression = en.slice(0, on).trim() : 0 !== hn && k(), dn.put(t, nn), nn;
        }
        function O(t) {
            return t.replace(_n, '\\$&');
        }
        function T() {
            var t = O(An.delimiters[0]), e = O(An.delimiters[1]), i = O(An.unsafeDelimiters[0]), n = O(An.unsafeDelimiters[1]);
            bn = new RegExp(i + '((?:.|\\n)+?)' + n + '|' + t + '((?:.|\\n)+?)' + e, 'g'), wn = new RegExp('^' + i + '((?:.|\\n)+?)' + n + '$'), yn = new $(1000);
        }
        function N(t) {
            yn || T();
            var e = yn.get(t);
            if (e)
                return e;
            if (!bn.test(t))
                return null;
            for (var i, n, r, s, o, a, h = [], l = bn.lastIndex = 0; i = bn.exec(t);)
                n = i.index, n > l && h.push({ value: t.slice(l, n) }), r = wn.test(i[0]), s = r ? i[1] : i[2], o = s.charCodeAt(0), a = 42 === o, s = a ? s.slice(1) : s, h.push({
                    tag: !0,
                    value: s.trim(),
                    html: r,
                    oneTime: a
                }), l = n + i[0].length;
            return l < t.length && h.push({ value: t.slice(l) }), yn.put(t, h), h;
        }
        function j(t, e) {
            return t.length > 1 ? t.map(function (t) {
                return E(t, e);
            }).join('+') : E(t[0], e, !0);
        }
        function E(t, e, i) {
            return t.tag ? t.oneTime && e ? '"' + e.$eval(t.value) + '"' : S(t.value, i) : '"' + t.value + '"';
        }
        function S(t, e) {
            if (Cn.test(t)) {
                var i = A(t);
                return i.filters ? 'this._applyFilters(' + i.expression + ',null,' + JSON.stringify(i.filters) + ',false)' : '(' + t + ')';
            }
            return e ? t : '(' + t + ')';
        }
        function F(t, e, i, n) {
            R(t, 1, function () {
                e.appendChild(t);
            }, i, n);
        }
        function D(t, e, i, n) {
            R(t, 1, function () {
                B(t, e);
            }, i, n);
        }
        function P(t, e, i) {
            R(t, -1, function () {
                z(t);
            }, e, i);
        }
        function R(t, e, i, n, r) {
            var s = t.__v_trans;
            if (!s || !s.hooks && !qi || !n._isCompiled || n.$parent && !n.$parent._isCompiled)
                return i(), void (r && r());
            var o = e > 0 ? 'enter' : 'leave';
            s[o](i, r);
        }
        function L(t) {
            if ('string' == typeof t) {
                t = document.querySelector(t);
            }
            return t;
        }
        function H(t) {
            if (!t)
                return !1;
            var e = t.ownerDocument.documentElement, i = t.parentNode;
            return e === t || e === i || !(!i || 1 !== i.nodeType || !e.contains(i));
        }
        function I(t, e) {
            var i = t.getAttribute(e);
            return null !== i && t.removeAttribute(e), i;
        }
        function M(t, e) {
            var i = I(t, ':' + e);
            return null === i && (i = I(t, 'v-bind:' + e)), i;
        }
        function V(t, e) {
            return t.hasAttribute(e) || t.hasAttribute(':' + e) || t.hasAttribute('v-bind:' + e);
        }
        function B(t, e) {
            e.parentNode.insertBefore(t, e);
        }
        function W(t, e) {
            e.nextSibling ? B(t, e.nextSibling) : e.parentNode.appendChild(t);
        }
        function z(t) {
            t.parentNode.removeChild(t);
        }
        function U(t, e) {
            e.firstChild ? B(t, e.firstChild) : e.appendChild(t);
        }
        function J(t, e) {
            var i = t.parentNode;
            i && i.replaceChild(e, t);
        }
        function q(t, e, i, n) {
            t.addEventListener(e, i, n);
        }
        function Q(t, e, i) {
            t.removeEventListener(e, i);
        }
        function G(t) {
            var e = t.className;
            return 'object' == typeof e && (e = e.baseVal || ''), e;
        }
        function Z(t, e) {
            Mi && !/svg$/.test(t.namespaceURI) ? t.className = e : t.setAttribute('class', e);
        }
        function X(t, e) {
            if (t.classList)
                t.classList.add(e);
            else {
                var i = ' ' + G(t) + ' ';
                i.indexOf(' ' + e + ' ') < 0 && Z(t, (i + e).trim());
            }
        }
        function Y(t, e) {
            if (t.classList)
                t.classList.remove(e);
            else {
                for (var i = ' ' + G(t) + ' ', n = ' ' + e + ' '; i.indexOf(n) >= 0;)
                    i = i.replace(n, ' ');
                Z(t, i.trim());
            }
            t.className || t.removeAttribute('class');
        }
        function K(t, e) {
            var i, n;
            if (it(t) && at(t.content) && (t = t.content), t.hasChildNodes())
                for (tt(t), n = e ? document.createDocumentFragment() : document.createElement('div'); i = t.firstChild;)
                    n.appendChild(i);
            return n;
        }
        function tt(t) {
            for (var e; e = t.firstChild, et(e);)
                t.removeChild(e);
            for (; e = t.lastChild, et(e);)
                t.removeChild(e);
        }
        function et(t) {
            return t && (3 === t.nodeType && !t.data.trim() || 8 === t.nodeType);
        }
        function it(t) {
            return t.tagName && 'template' === t.tagName.toLowerCase();
        }
        function nt(t, e) {
            var i = An.debug ? document.createComment(t) : document.createTextNode(e ? ' ' : '');
            return i.__v_anchor = !0, i;
        }
        function rt(t) {
            if (t.hasAttributes())
                for (var e = t.attributes, i = 0, n = e.length; n > i; i++) {
                    var r = e[i].name;
                    if (Nn.test(r))
                        return l(r.replace(Nn, ''));
                }
        }
        function st(t, e, i) {
            for (var n; t !== e;)
                n = t.nextSibling, i(t), t = n;
            i(e);
        }
        function ot(t, e, i, n, r) {
            function s() {
                if (a++, o && a >= h.length) {
                    for (var t = 0; t < h.length; t++)
                        n.appendChild(h[t]);
                    r && r();
                }
            }
            var o = !1, a = 0, h = [];
            st(t, e, function (t) {
                t === e && (o = !0), h.push(t), P(t, i, s);
            });
        }
        function at(t) {
            return t && 11 === t.nodeType;
        }
        function ht(t) {
            if (t.outerHTML)
                return t.outerHTML;
            var e = document.createElement('div');
            return e.appendChild(t.cloneNode(!0)), e.innerHTML;
        }
        function lt(t, e) {
            var i = t.tagName.toLowerCase(), n = t.hasAttributes();
            if (jn.test(i) || En.test(i)) {
                if (n)
                    return ct(t, e);
            } else {
                if (gt(e, 'components', i))
                    return { id: i };
                var r = n && ct(t, e);
                if (r)
                    return r;
            }
        }
        function ct(t, e) {
            var i = t.getAttribute('is');
            if (null != i) {
                if (gt(e, 'components', i))
                    return t.removeAttribute('is'), { id: i };
            } else if (i = M(t, 'is'), null != i)
                return {
                    id: i,
                    dynamic: !0
                };
        }
        function ut(e, n) {
            var r, s, o;
            for (r in n)
                s = e[r], o = n[r], i(e, r) ? m(s) && m(o) && ut(s, o) : t(e, r, o);
            return e;
        }
        function ft(t, e) {
            var i = Object.create(t || null);
            return e ? v(i, vt(e)) : i;
        }
        function pt(t) {
            if (t.components)
                for (var e, i = t.components = vt(t.components), n = Object.keys(i), r = 0, s = n.length; s > r; r++) {
                    var o = n[r];
                    jn.test(o) || En.test(o) || (e = i[o], g(e) && (i[o] = wi.extend(e)));
                }
        }
        function dt(t) {
            var e, i, n = t.props;
            if (Di(n))
                for (t.props = {}, e = n.length; e--;)
                    i = n[e], 'string' == typeof i ? t.props[i] = null : i.name && (t.props[i.name] = i);
            else if (g(n)) {
                var r = Object.keys(n);
                for (e = r.length; e--;)
                    i = n[r[e]], 'function' == typeof i && (n[r[e]] = { type: i });
            }
        }
        function vt(t) {
            if (Di(t)) {
                for (var e, i = {}, n = t.length; n--;) {
                    e = t[n];
                    var r = 'function' == typeof e ? e.options && e.options.name || e.id : e.name || e.id;
                    r && (i[r] = e);
                }
                return i;
            }
            return t;
        }
        function mt(t, e, n) {
            function r(i) {
                var r = Sn[i] || Fn;
                o[i] = r(t[i], e[i], n, i);
            }
            pt(e), dt(e);
            var s, o = {};
            if (e['extends'] && (t = 'function' == typeof e['extends'] ? mt(t, e['extends'].options, n) : mt(t, e['extends'], n)), e.mixins)
                for (var a = 0, h = e.mixins.length; h > a; a++) {
                    var l = e.mixins[a], c = l.prototype instanceof wi ? l.options : l;
                    t = mt(t, c, n);
                }
            for (s in t)
                r(s);
            for (s in e)
                i(t, s) || r(s);
            return o;
        }
        function gt(t, e, i, n) {
            if ('string' == typeof i) {
                var r, s = t[e], o = s[i] || s[r = l(i)] || s[r.charAt(0).toUpperCase() + r.slice(1)];
                return o;
            }
        }
        function _t() {
            this.id = Dn++, this.subs = [];
        }
        function yt(t) {
            Hn = !1, t(), Hn = !0;
        }
        function bt(t) {
            if (this.value = t, this.dep = new _t(), _(t, '__ob__', this), Di(t)) {
                var e = Pi ? wt : Ct;
                e(t, Rn, Ln), this.observeArray(t);
            } else
                this.walk(t);
        }
        function wt(t, e) {
            t.__proto__ = e;
        }
        function Ct(t, e, i) {
            for (var n = 0, r = i.length; r > n; n++) {
                var s = i[n];
                _(t, s, e[s]);
            }
        }
        function $t(t, e) {
            if (t && 'object' == typeof t) {
                var n;
                return i(t, '__ob__') && t.__ob__ instanceof bt ? n = t.__ob__ : Hn && (Di(t) || g(t)) && Object.isExtensible(t) && !t._isVue && (n = new bt(t)), n && e && n.addVm(e), n;
            }
        }
        function kt(t, e, i) {
            var n = new _t(), r = Object.getOwnPropertyDescriptor(t, e);
            if (!r || r.configurable !== !1) {
                var s = r && r.get, o = r && r.set, a = $t(i);
                Object.defineProperty(t, e, {
                    enumerable: !0,
                    configurable: !0,
                    get: function () {
                        var e = s ? s.call(t) : i;
                        if (_t.target && (n.depend(), a && a.dep.depend(), Di(e)))
                            for (var r, o = 0, h = e.length; h > o; o++)
                                r = e[o], r && r.__ob__ && r.__ob__.dep.depend();
                        return e;
                    },
                    set: function (e) {
                        var r = s ? s.call(t) : i;
                        e !== r && (o ? o.call(t, e) : i = e, a = $t(e), n.notify());
                    }
                });
            }
        }
        function xt(t) {
            t.prototype._init = function (t) {
                t = t || {}, this.$el = null, this.$parent = t.parent, this.$root = this.$parent ? this.$parent.$root : this, this.$children = [], this.$refs = {}, this.$els = {}, this._watchers = [], this._directives = [], this._uid = Mn++, this._isVue = !0, this._events = {}, this._eventsCount = {}, this._isFragment = !1, this._fragment = this._fragmentStart = this._fragmentEnd = null, this._isCompiled = this._isDestroyed = this._isReady = this._isAttached = this._isBeingDestroyed = this._vForRemoving = !1, this._unlinkFn = null, this._context = t._context || this.$parent, this._scope = t._scope, this._frag = t._frag, this._frag && this._frag.children.push(this), this.$parent && this.$parent.$children.push(this), t = this.$options = mt(this.constructor.options, t, this), this._updateRef(), this._data = {}, this._callHook('init'), this._initState(), this._initEvents(), this._callHook('created'), t.el && this.$mount(t.el);
            };
        }
        function At(t) {
            if (void 0 === t)
                return 'eof';
            var e = t.charCodeAt(0);
            switch (e) {
            case 91:
            case 93:
            case 46:
            case 34:
            case 39:
            case 48:
                return t;
            case 95:
            case 36:
                return 'ident';
            case 32:
            case 9:
            case 10:
            case 13:
            case 160:
            case 65279:
            case 8232:
            case 8233:
                return 'ws';
            }
            return e >= 97 && 122 >= e || e >= 65 && 90 >= e ? 'ident' : e >= 49 && 57 >= e ? 'number' : 'else';
        }
        function Ot(t) {
            var e = t.trim();
            return '0' === t.charAt(0) && isNaN(t) ? !1 : n(e) ? h(e) : '*' + e;
        }
        function Tt(t) {
            function e() {
                var e = t[c + 1];
                return u === Xn && '\'' === e || u === Yn && '"' === e ? (c++, n = '\\' + e, p[Bn](), !0) : void 0;
            }
            var i, n, r, s, o, a, h, l = [], c = -1, u = Jn, f = 0, p = [];
            for (p[Wn] = function () {
                    void 0 !== r && (l.push(r), r = void 0);
                }, p[Bn] = function () {
                    void 0 === r ? r = n : r += n;
                }, p[zn] = function () {
                    p[Bn](), f++;
                }, p[Un] = function () {
                    if (f > 0)
                        f--, u = Zn, p[Bn]();
                    else {
                        if (f = 0, r = Ot(r), r === !1)
                            return !1;
                        p[Wn]();
                    }
                }; null != u;)
                if (c++, i = t[c], '\\' !== i || !e()) {
                    if (s = At(i), h = er[u], o = h[s] || h['else'] || tr, o === tr)
                        return;
                    if (u = o[0], a = p[o[1]], a && (n = o[2], n = void 0 === n ? i : n, a() === !1))
                        return;
                    if (u === Kn)
                        return l.raw = t, l;
                }
        }
        function Nt(t) {
            var e = Vn.get(t);
            return e || (e = Tt(t), e && Vn.put(t, e)), e;
        }
        function jt(t, e) {
            return It(e).get(t);
        }
        function Et(e, i, n) {
            var r = e;
            if ('string' == typeof i && (i = Tt(i)), !i || !m(e))
                return !1;
            for (var s, o, a = 0, h = i.length; h > a; a++)
                s = e, o = i[a], '*' === o.charAt(0) && (o = It(o.slice(1)).get.call(r, r)), h - 1 > a ? (e = e[o], m(e) || (e = {}, t(s, o, e))) : Di(e) ? e.$set(o, n) : o in e ? e[o] = n : t(e, o, n);
            return !0;
        }
        function St() {
        }
        function Ft(t, e) {
            var i = vr.length;
            return vr[i] = e ? t.replace(lr, '\\n') : t, '"' + i + '"';
        }
        function Dt(t) {
            var e = t.charAt(0), i = t.slice(1);
            return sr.test(i) ? t : (i = i.indexOf('"') > -1 ? i.replace(ur, Pt) : i, e + 'scope.' + i);
        }
        function Pt(t, e) {
            return vr[e];
        }
        function Rt(t) {
            ar.test(t), vr.length = 0;
            var e = t.replace(cr, Ft).replace(hr, '');
            return e = (' ' + e).replace(pr, Dt).replace(ur, Pt), Lt(e);
        }
        function Lt(t) {
            try {
                return new Function('scope', 'return ' + t + ';');
            } catch (e) {
                return St;
            }
        }
        function Ht(t) {
            var e = Nt(t);
            return e ? function (t, i) {
                Et(t, e, i);
            } : void 0;
        }
        function It(t, e) {
            t = t.trim();
            var i = nr.get(t);
            if (i)
                return e && !i.set && (i.set = Ht(i.exp)), i;
            var n = { exp: t };
            return n.get = Mt(t) && t.indexOf('[') < 0 ? Lt('scope.' + t) : Rt(t), e && (n.set = Ht(t)), nr.put(t, n), n;
        }
        function Mt(t) {
            return fr.test(t) && !dr.test(t) && 'Math.' !== t.slice(0, 5);
        }
        function Vt() {
            gr.length = 0, _r.length = 0, yr = {}, br = {}, wr = !1;
        }
        function Bt() {
            for (var t = !0; t;)
                t = !1, Wt(gr), Wt(_r), gr.length ? t = !0 : (Li && An.devtools && Li.emit('flush'), Vt());
        }
        function Wt(t) {
            for (var e = 0; e < t.length; e++) {
                var i = t[e], n = i.id;
                yr[n] = null, i.run();
            }
            t.length = 0;
        }
        function zt(t) {
            var e = t.id;
            if (null == yr[e]) {
                var i = t.user ? _r : gr;
                yr[e] = i.length, i.push(t), wr || (wr = !0, Yi(Bt));
            }
        }
        function Ut(t, e, i, n) {
            n && v(this, n);
            var r = 'function' == typeof e;
            if (this.vm = t, t._watchers.push(this), this.expression = e, this.cb = i, this.id = ++Cr, this.active = !0, this.dirty = this.lazy, this.deps = [], this.newDeps = [], this.depIds = new Ki(), this.newDepIds = new Ki(), this.prevError = null, r)
                this.getter = e, this.setter = void 0;
            else {
                var s = It(e, this.twoWay);
                this.getter = s.get, this.setter = s.set;
            }
            this.value = this.lazy ? void 0 : this.get(), this.queued = this.shallow = !1;
        }
        function Jt(t, e) {
            var i = void 0, n = void 0;
            e || (e = $r, e.clear());
            var r = Di(t), s = m(t);
            if ((r || s) && Object.isExtensible(t)) {
                if (t.__ob__) {
                    var o = t.__ob__.dep.id;
                    if (e.has(o))
                        return;
                    e.add(o);
                }
                if (r)
                    for (i = t.length; i--;)
                        Jt(t[i], e);
                else if (s)
                    for (n = Object.keys(t), i = n.length; i--;)
                        Jt(t[n[i]], e);
            }
        }
        function qt(t) {
            return it(t) && at(t.content);
        }
        function Qt(t, e) {
            var i = e ? t : t.trim(), n = xr.get(i);
            if (n)
                return n;
            var r = document.createDocumentFragment(), s = t.match(Tr), o = Nr.test(t), a = jr.test(t);
            if (s || o || a) {
                var h = s && s[1], l = Or[h] || Or.efault, c = l[0], u = l[1], f = l[2], p = document.createElement('div');
                for (p.innerHTML = u + t + f; c--;)
                    p = p.lastChild;
                for (var d; d = p.firstChild;)
                    r.appendChild(d);
            } else
                r.appendChild(document.createTextNode(t));
            return e || tt(r), xr.put(i, r), r;
        }
        function Gt(t) {
            if (qt(t))
                return Qt(t.innerHTML);
            if ('SCRIPT' === t.tagName)
                return Qt(t.textContent);
            for (var e, i = Zt(t), n = document.createDocumentFragment(); e = i.firstChild;)
                n.appendChild(e);
            return tt(n), n;
        }
        function Zt(t) {
            if (!t.querySelectorAll)
                return t.cloneNode();
            var e, i, n, r = t.cloneNode(!0);
            if (Er) {
                var s = r;
                if (qt(t) && (t = t.content, s = r.content), i = t.querySelectorAll('template'), i.length)
                    for (n = s.querySelectorAll('template'), e = n.length; e--;)
                        n[e].parentNode.replaceChild(Zt(i[e]), n[e]);
            }
            if (Sr)
                if ('TEXTAREA' === t.tagName)
                    r.value = t.value;
                else if (i = t.querySelectorAll('textarea'), i.length)
                    for (n = r.querySelectorAll('textarea'), e = n.length; e--;)
                        n[e].value = i[e].value;
            return r;
        }
        function Xt(t, e, i) {
            var n, r;
            return at(t) ? (tt(t), e ? Zt(t) : t) : ('string' == typeof t ? i || '#' !== t.charAt(0) ? r = Qt(t, i) : (r = Ar.get(t), r || (n = document.getElementById(t.slice(1)), n && (r = Gt(n), Ar.put(t, r)))) : t.nodeType && (r = Gt(t)), r && e ? Zt(r) : r);
        }
        function Yt(t, e, i, n, r, s) {
            this.children = [], this.childFrags = [], this.vm = e, this.scope = r, this.inserted = !1, this.parentFrag = s, s && s.childFrags.push(this), this.unlink = t(e, i, n, r, this);
            var o = this.single = 1 === i.childNodes.length && !i.childNodes[0].__v_anchor;
            o ? (this.node = i.childNodes[0], this.before = Kt, this.remove = te) : (this.node = nt('fragment-start'), this.end = nt('fragment-end'), this.frag = i, U(this.node, i), i.appendChild(this.end), this.before = ee, this.remove = ie), this.node.__v_frag = this;
        }
        function Kt(t, e) {
            this.inserted = !0;
            var i = e !== !1 ? D : B;
            i(this.node, t, this.vm), H(this.node) && this.callHook(ne);
        }
        function te() {
            this.inserted = !1;
            var t = H(this.node), e = this;
            this.beforeRemove(), P(this.node, this.vm, function () {
                t && e.callHook(re), e.destroy();
            });
        }
        function ee(t, e) {
            this.inserted = !0;
            var i = this.vm, n = e !== !1 ? D : B;
            st(this.node, this.end, function (e) {
                n(e, t, i);
            }), H(this.node) && this.callHook(ne);
        }
        function ie() {
            this.inserted = !1;
            var t = this, e = H(this.node);
            this.beforeRemove(), ot(this.node, this.end, this.vm, this.frag, function () {
                e && t.callHook(re), t.destroy();
            });
        }
        function ne(t) {
            !t._isAttached && H(t.$el) && t._callHook('attached');
        }
        function re(t) {
            t._isAttached && !H(t.$el) && t._callHook('detached');
        }
        function se(t, e) {
            this.vm = t;
            var i, n = 'string' == typeof e;
            n || it(e) && !e.hasAttribute('v-if') ? i = Xt(e, !0) : (i = document.createDocumentFragment(), i.appendChild(e)), this.template = i;
            var r, s = t.constructor.cid;
            if (s > 0) {
                var o = s + (n ? e : ht(e));
                r = Pr.get(o), r || (r = De(i, t.$options, !0), Pr.put(o, r));
            } else
                r = De(i, t.$options, !0);
            this.linker = r;
        }
        function oe(t, e, i) {
            var n = t.node.previousSibling;
            if (n) {
                for (t = n.__v_frag; !(t && t.forId === i && t.inserted || n === e);) {
                    if (n = n.previousSibling, !n)
                        return;
                    t = n.__v_frag;
                }
                return t;
            }
        }
        function ae(t) {
            var e = t.node;
            if (t.end)
                for (; !e.__vue__ && e !== t.end && e.nextSibling;)
                    e = e.nextSibling;
            return e.__vue__;
        }
        function he(t) {
            for (var e = -1, i = new Array(Math.floor(t)); ++e < t;)
                i[e] = e;
            return i;
        }
        function le(t, e, i, n) {
            return n ? '$index' === n ? t : n.charAt(0).match(/\w/) ? jt(i, n) : i[n] : e || i;
        }
        function ce(t, e, i) {
            for (var n, r, s, o = e ? [] : null, a = 0, h = t.options.length; h > a; a++)
                if (n = t.options[a], s = i ? n.hasAttribute('selected') : n.selected) {
                    if (r = n.hasOwnProperty('_value') ? n._value : n.value, !e)
                        return r;
                    o.push(r);
                }
            return o;
        }
        function ue(t, e) {
            for (var i = t.length; i--;)
                if (C(t[i], e))
                    return i;
            return -1;
        }
        function fe(t, e) {
            var i = e.map(function (t) {
                var e = t.charCodeAt(0);
                return e > 47 && 58 > e ? parseInt(t, 10) : 1 === t.length && (e = t.toUpperCase().charCodeAt(0), e > 64 && 91 > e) ? e : is[t];
            });
            return i = [].concat.apply([], i), function (e) {
                return i.indexOf(e.keyCode) > -1 ? t.call(this, e) : void 0;
            };
        }
        function pe(t) {
            return function (e) {
                return e.stopPropagation(), t.call(this, e);
            };
        }
        function de(t) {
            return function (e) {
                return e.preventDefault(), t.call(this, e);
            };
        }
        function ve(t) {
            return function (e) {
                return e.target === e.currentTarget ? t.call(this, e) : void 0;
            };
        }
        function me(t) {
            if (as[t])
                return as[t];
            var e = ge(t);
            return as[t] = as[e] = e, e;
        }
        function ge(t) {
            t = u(t);
            var e = l(t), i = e.charAt(0).toUpperCase() + e.slice(1);
            hs || (hs = document.createElement('div'));
            var n, r = rs.length;
            if ('filter' !== e && e in hs.style)
                return {
                    kebab: t,
                    camel: e
                };
            for (; r--;)
                if (n = ss[r] + i, n in hs.style)
                    return {
                        kebab: rs[r] + t,
                        camel: n
                    };
        }
        function _e(t) {
            var e = [];
            if (Di(t))
                for (var i = 0, n = t.length; n > i; i++) {
                    var r = t[i];
                    if (r)
                        if ('string' == typeof r)
                            e.push(r);
                        else
                            for (var s in r)
                                r[s] && e.push(s);
                }
            else if (m(t))
                for (var o in t)
                    t[o] && e.push(o);
            return e;
        }
        function ye(t, e, i) {
            if (e = e.trim(), -1 === e.indexOf(' '))
                return void i(t, e);
            for (var n = e.split(/\s+/), r = 0, s = n.length; s > r; r++)
                i(t, n[r]);
        }
        function be(t, e, i) {
            function n() {
                ++s >= r ? i() : t[s].call(e, n);
            }
            var r = t.length, s = 0;
            t[0].call(e, n);
        }
        function we(t, e, i) {
            for (var r, s, o, a, h, c, f, p = [], d = Object.keys(e), v = d.length; v--;)
                s = d[v], r = e[s] || ks, h = l(s), xs.test(h) && (f = {
                    name: s,
                    path: h,
                    options: r,
                    mode: $s.ONE_WAY,
                    raw: null
                }, o = u(s), null === (a = M(t, o)) && (null !== (a = M(t, o + '.sync')) ? f.mode = $s.TWO_WAY : null !== (a = M(t, o + '.once')) && (f.mode = $s.ONE_TIME)), null !== a ? (f.raw = a, c = A(a), a = c.expression, f.filters = c.filters, n(a) && !c.filters ? f.optimizedLiteral = !0 : f.dynamic = !0, f.parentPath = a) : null !== (a = I(t, o)) && (f.raw = a), p.push(f));
            return Ce(p);
        }
        function Ce(t) {
            return function (e, n) {
                e._props = {};
                for (var r, s, l, c, f, p = e.$options.propsData, d = t.length; d--;)
                    if (r = t[d], f = r.raw, s = r.path, l = r.options, e._props[s] = r, p && i(p, s) && ke(e, r, p[s]), null === f)
                        ke(e, r, void 0);
                    else if (r.dynamic)
                        r.mode === $s.ONE_TIME ? (c = (n || e._context || e).$get(r.parentPath), ke(e, r, c)) : e._context ? e._bindDir({
                            name: 'prop',
                            def: Os,
                            prop: r
                        }, null, null, n) : ke(e, r, e.$get(r.parentPath));
                    else if (r.optimizedLiteral) {
                        var v = h(f);
                        c = v === f ? a(o(f)) : v, ke(e, r, c);
                    } else
                        c = l.type !== Boolean || '' !== f && f !== u(r.name) ? f : !0, ke(e, r, c);
            };
        }
        function $e(t, e, i, n) {
            var r = e.dynamic && Mt(e.parentPath), s = i;
            void 0 === s && (s = Ae(t, e)), s = Te(e, s, t);
            var o = s !== i;
            Oe(e, s, t) || (s = void 0), r && !o ? yt(function () {
                n(s);
            }) : n(s);
        }
        function ke(t, e, i) {
            $e(t, e, i, function (i) {
                kt(t, e.path, i);
            });
        }
        function xe(t, e, i) {
            $e(t, e, i, function (i) {
                t[e.path] = i;
            });
        }
        function Ae(t, e) {
            var n = e.options;
            if (!i(n, 'default'))
                return n.type === Boolean ? !1 : void 0;
            var r = n['default'];
            return m(r), 'function' == typeof r && n.type !== Function ? r.call(t) : r;
        }
        function Oe(t, e, i) {
            if (!t.options.required && (null === t.raw || null == e))
                return !0;
            var n = t.options, r = n.type, s = !r, o = [];
            if (r) {
                Di(r) || (r = [r]);
                for (var a = 0; a < r.length && !s; a++) {
                    var h = Ne(e, r[a]);
                    o.push(h.expectedType), s = h.valid;
                }
            }
            if (!s)
                return !1;
            var l = n.validator;
            return l && !l(e) ? !1 : !0;
        }
        function Te(t, e, i) {
            var n = t.options.coerce;
            return n && 'function' == typeof n ? n(e) : e;
        }
        function Ne(t, e) {
            var i, n;
            return e === String ? (n = 'string', i = typeof t === n) : e === Number ? (n = 'number', i = typeof t === n) : e === Boolean ? (n = 'boolean', i = typeof t === n) : e === Function ? (n = 'function', i = typeof t === n) : e === Object ? (n = 'object', i = g(t)) : e === Array ? (n = 'array', i = Di(t)) : i = t instanceof e, {
                valid: i,
                expectedType: n
            };
        }
        function je(t) {
            Ts.push(t), Ns || (Ns = !0, Yi(Ee));
        }
        function Ee() {
            for (var t = document.documentElement.offsetHeight, e = 0; e < Ts.length; e++)
                Ts[e]();
            return Ts = [], Ns = !1, t;
        }
        function Se(t, e, i, n) {
            this.id = e, this.el = t, this.enterClass = i && i.enterClass || e + '-enter', this.leaveClass = i && i.leaveClass || e + '-leave', this.hooks = i, this.vm = n, this.pendingCssEvent = this.pendingCssCb = this.cancel = this.pendingJsCb = this.op = this.cb = null, this.justEntered = !1, this.entered = this.left = !1, this.typeCache = {}, this.type = i && i.type;
            var r = this;
            [
                'enterNextTick',
                'enterDone',
                'leaveNextTick',
                'leaveDone'
            ].forEach(function (t) {
                r[t] = p(r[t], r);
            });
        }
        function Fe(t) {
            if (/svg$/.test(t.namespaceURI)) {
                var e = t.getBoundingClientRect();
                return !(e.width || e.height);
            }
            return !(t.offsetWidth || t.offsetHeight || t.getClientRects().length);
        }
        function De(t, e, i) {
            var n = i || !e._asComponent ? Ve(t, e) : null, r = n && n.terminal || ri(t) || !t.hasChildNodes() ? null : qe(t.childNodes, e);
            return function (t, e, i, s, o) {
                var a = d(e.childNodes), h = Pe(function () {
                        n && n(t, e, i, s, o), r && r(t, a, i, s, o);
                    }, t);
                return Le(t, h);
            };
        }
        function Pe(t, e) {
            e._directives = [];
            var i = e._directives.length;
            t();
            var n = e._directives.slice(i);
            n.sort(Re);
            for (var r = 0, s = n.length; s > r; r++)
                n[r]._bind();
            return n;
        }
        function Re(t, e) {
            return t = t.descriptor.def.priority || zs, e = e.descriptor.def.priority || zs, t > e ? -1 : t === e ? 0 : 1;
        }
        function Le(t, e, i, n) {
            function r(r) {
                He(t, e, r), i && n && He(i, n);
            }
            return r.dirs = e, r;
        }
        function He(t, e, i) {
            for (var n = e.length; n--;)
                e[n]._teardown();
        }
        function Ie(t, e, i, n) {
            var r = we(e, i, t), s = Pe(function () {
                    r(t, n);
                }, t);
            return Le(t, s);
        }
        function Me(t, e, i) {
            var n, r, s = e._containerAttrs, o = e._replacerAttrs;
            return 11 !== t.nodeType && (e._asComponent ? (s && i && (n = ti(s, i)), o && (r = ti(o, e))) : r = ti(t.attributes, e)), e._containerAttrs = e._replacerAttrs = null, function (t, e, i) {
                var s, o = t._context;
                o && n && (s = Pe(function () {
                    n(o, e, null, i);
                }, o));
                var a = Pe(function () {
                    r && r(t, e);
                }, t);
                return Le(t, a, o, s);
            };
        }
        function Ve(t, e) {
            var i = t.nodeType;
            return 1 !== i || ri(t) ? 3 === i && t.data.trim() ? We(t, e) : null : Be(t, e);
        }
        function Be(t, e) {
            if ('TEXTAREA' === t.tagName) {
                var i = N(t.value);
                i && (t.setAttribute(':value', j(i)), t.value = '');
            }
            var n, r = t.hasAttributes(), s = r && d(t.attributes);
            return r && (n = Xe(t, s, e)), n || (n = Ge(t, e)), n || (n = Ze(t, e)), !n && r && (n = ti(s, e)), n;
        }
        function We(t, e) {
            if (t._skip)
                return ze;
            var i = N(t.wholeText);
            if (!i)
                return null;
            for (var n = t.nextSibling; n && 3 === n.nodeType;)
                n._skip = !0, n = n.nextSibling;
            for (var r, s, o = document.createDocumentFragment(), a = 0, h = i.length; h > a; a++)
                s = i[a], r = s.tag ? Ue(s, e) : document.createTextNode(s.value), o.appendChild(r);
            return Je(i, o, e);
        }
        function ze(t, e) {
            z(e);
        }
        function Ue(t, e) {
            function i(e) {
                if (!t.descriptor) {
                    var i = A(t.value);
                    t.descriptor = {
                        name: e,
                        def: bs[e],
                        expression: i.expression,
                        filters: i.filters
                    };
                }
            }
            var n;
            return t.oneTime ? n = document.createTextNode(t.value) : t.html ? (n = document.createComment('v-html'), i('html')) : (n = document.createTextNode(' '), i('text')), n;
        }
        function Je(t, e) {
            return function (i, n, r, o) {
                for (var a, h, l, c = e.cloneNode(!0), u = d(c.childNodes), f = 0, p = t.length; p > f; f++)
                    a = t[f], h = a.value, a.tag && (l = u[f], a.oneTime ? (h = (o || i).$eval(h), a.html ? J(l, Xt(h, !0)) : l.data = s(h)) : i._bindDir(a.descriptor, l, r, o));
                J(n, c);
            };
        }
        function qe(t, e) {
            for (var i, n, r, s = [], o = 0, a = t.length; a > o; o++)
                r = t[o], i = Ve(r, e), n = i && i.terminal || 'SCRIPT' === r.tagName || !r.hasChildNodes() ? null : qe(r.childNodes, e), s.push(i, n);
            return s.length ? Qe(s) : null;
        }
        function Qe(t) {
            return function (e, i, n, r, s) {
                for (var o, a, h, l = 0, c = 0, u = t.length; u > l; c++) {
                    o = i[c], a = t[l++], h = t[l++];
                    var f = d(o.childNodes);
                    a && a(e, o, n, r, s), h && h(e, f, n, r, s);
                }
            };
        }
        function Ge(t, e) {
            var i = t.tagName.toLowerCase();
            if (!jn.test(i)) {
                var n = gt(e, 'elementDirectives', i);
                return n ? Ke(t, i, '', e, n) : void 0;
            }
        }
        function Ze(t, e) {
            var i = lt(t, e);
            if (i) {
                var n = rt(t), r = {
                        name: 'component',
                        ref: n,
                        expression: i.id,
                        def: Hs.component,
                        modifiers: { literal: !i.dynamic }
                    }, s = function (t, e, i, s, o) {
                        n && kt((s || t).$refs, n, null), t._bindDir(r, e, i, s, o);
                    };
                return s.terminal = !0, s;
            }
        }
        function Xe(t, e, i) {
            if (null !== I(t, 'v-pre'))
                return Ye;
            if (t.hasAttribute('v-else')) {
                var n = t.previousElementSibling;
                if (n && n.hasAttribute('v-if'))
                    return Ye;
            }
            for (var r, s, o, a, h, l, c, u, f, p, d = 0, v = e.length; v > d; d++)
                r = e[d], s = r.name.replace(Bs, ''), (h = s.match(Vs)) && (f = gt(i, 'directives', h[1]), f && f.terminal && (!p || (f.priority || Us) > p.priority) && (p = f, c = r.name, a = ei(r.name), o = r.value, l = h[1], u = h[2]));
            return p ? Ke(t, l, o, i, p, c, u, a) : void 0;
        }
        function Ye() {
        }
        function Ke(t, e, i, n, r, s, o, a) {
            var h = A(i), l = {
                    name: e,
                    arg: o,
                    expression: h.expression,
                    filters: h.filters,
                    raw: i,
                    attr: s,
                    modifiers: a,
                    def: r
                };
            ('for' === e || 'router-view' === e) && (l.ref = rt(t));
            var c = function (t, e, i, n, r) {
                l.ref && kt((n || t).$refs, l.ref, null), t._bindDir(l, e, i, n, r);
            };
            return c.terminal = !0, c;
        }
        function ti(t, e) {
            function i(t, e, i) {
                var n = i && ni(i), r = !n && A(s);
                v.push({
                    name: t,
                    attr: o,
                    raw: a,
                    def: e,
                    arg: l,
                    modifiers: c,
                    expression: r && r.expression,
                    filters: r && r.filters,
                    interp: i,
                    hasOneTime: n
                });
            }
            for (var n, r, s, o, a, h, l, c, u, f, p, d = t.length, v = []; d--;)
                if (n = t[d], r = o = n.name, s = a = n.value, f = N(s), l = null, c = ei(r), r = r.replace(Bs, ''), f)
                    s = j(f), l = r, i('bind', bs.bind, f);
                else if (Ws.test(r))
                    c.literal = !Is.test(r), i('transition', Hs.transition);
                else if (Ms.test(r))
                    l = r.replace(Ms, ''), i('on', bs.on);
                else if (Is.test(r))
                    h = r.replace(Is, ''), 'style' === h || 'class' === h ? i(h, Hs[h]) : (l = h, i('bind', bs.bind));
                else if (p = r.match(Vs)) {
                    if (h = p[1], l = p[2], 'else' === h)
                        continue;
                    u = gt(e, 'directives', h, !0), u && i(h, u);
                }
            return v.length ? ii(v) : void 0;
        }
        function ei(t) {
            var e = Object.create(null), i = t.match(Bs);
            if (i)
                for (var n = i.length; n--;)
                    e[i[n].slice(1)] = !0;
            return e;
        }
        function ii(t) {
            return function (e, i, n, r, s) {
                for (var o = t.length; o--;)
                    e._bindDir(t[o], i, n, r, s);
            };
        }
        function ni(t) {
            for (var e = t.length; e--;)
                if (t[e].oneTime)
                    return !0;
        }
        function ri(t) {
            return 'SCRIPT' === t.tagName && (!t.hasAttribute('type') || 'text/javascript' === t.getAttribute('type'));
        }
        function si(t, e) {
            return e && (e._containerAttrs = ai(t)), it(t) && (t = Xt(t)), e && (e._asComponent && !e.template && (e.template = '<slot></slot>'), e.template && (e._content = K(t), t = oi(t, e))), at(t) && (U(nt('v-start', !0), t), t.appendChild(nt('v-end', !0))), t;
        }
        function oi(t, e) {
            var i = e.template, n = Xt(i, !0);
            if (n) {
                var r = n.firstChild, s = r.tagName && r.tagName.toLowerCase();
                return e.replace ? (t === document.body, n.childNodes.length > 1 || 1 !== r.nodeType || 'component' === s || gt(e, 'components', s) || V(r, 'is') || gt(e, 'elementDirectives', s) || r.hasAttribute('v-for') || r.hasAttribute('v-if') ? n : (e._replacerAttrs = ai(r), hi(t, r), r)) : (t.appendChild(n), t);
            }
        }
        function ai(t) {
            return 1 === t.nodeType && t.hasAttributes() ? d(t.attributes) : void 0;
        }
        function hi(t, e) {
            for (var i, n, r = t.attributes, s = r.length; s--;)
                i = r[s].name, n = r[s].value, e.hasAttribute(i) || Js.test(i) ? 'class' === i && !N(n) && (n = n.trim()) && n.split(/\s+/).forEach(function (t) {
                    X(e, t);
                }) : e.setAttribute(i, n);
        }
        function li(t, e) {
            if (e) {
                for (var i, n, r = t._slotContents = Object.create(null), s = 0, o = e.children.length; o > s; s++)
                    i = e.children[s], (n = i.getAttribute('slot')) && (r[n] || (r[n] = [])).push(i);
                for (n in r)
                    r[n] = ci(r[n], e);
                if (e.hasChildNodes()) {
                    var a = e.childNodes;
                    if (1 === a.length && 3 === a[0].nodeType && !a[0].data.trim())
                        return;
                    r['default'] = ci(e.childNodes, e);
                }
            }
        }
        function ci(t, e) {
            var i = document.createDocumentFragment();
            t = d(t);
            for (var n = 0, r = t.length; r > n; n++) {
                var s = t[n];
                !it(s) || s.hasAttribute('v-if') || s.hasAttribute('v-for') || (e.removeChild(s), s = Xt(s, !0)), i.appendChild(s);
            }
            return i;
        }
        function ui(t) {
            function e() {
            }
            function n(t, e) {
                var i = new Ut(e, t, null, { lazy: !0 });
                return function () {
                    return i.dirty && i.evaluate(), _t.target && i.depend(), i.value;
                };
            }
            Object.defineProperty(t.prototype, '$data', {
                get: function () {
                    return this._data;
                },
                set: function (t) {
                    t !== this._data && this._setData(t);
                }
            }), t.prototype._initState = function () {
                this._initProps(), this._initMeta(), this._initMethods(), this._initData(), this._initComputed();
            }, t.prototype._initProps = function () {
                var t = this.$options, e = t.el, i = t.props;
                e = t.el = L(e), this._propsUnlinkFn = e && 1 === e.nodeType && i ? Ie(this, e, i, this._scope) : null;
            }, t.prototype._initData = function () {
                var t = this.$options.data, e = this._data = t ? t() : {};
                g(e) || (e = {});
                var n, r, s = this._props, o = Object.keys(e);
                for (n = o.length; n--;)
                    r = o[n], s && i(s, r) || this._proxy(r);
                $t(e, this);
            }, t.prototype._setData = function (t) {
                t = t || {};
                var e = this._data;
                this._data = t;
                var n, r, s;
                for (n = Object.keys(e), s = n.length; s--;)
                    r = n[s], r in t || this._unproxy(r);
                for (n = Object.keys(t), s = n.length; s--;)
                    r = n[s], i(this, r) || this._proxy(r);
                e.__ob__.removeVm(this), $t(t, this), this._digest();
            }, t.prototype._proxy = function (t) {
                if (!r(t)) {
                    var e = this;
                    Object.defineProperty(e, t, {
                        configurable: !0,
                        enumerable: !0,
                        get: function () {
                            return e._data[t];
                        },
                        set: function (i) {
                            e._data[t] = i;
                        }
                    });
                }
            }, t.prototype._unproxy = function (t) {
                r(t) || delete this[t];
            }, t.prototype._digest = function () {
                for (var t = 0, e = this._watchers.length; e > t; t++)
                    this._watchers[t].update(!0);
            }, t.prototype._initComputed = function () {
                var t = this.$options.computed;
                if (t)
                    for (var i in t) {
                        var r = t[i], s = {
                                enumerable: !0,
                                configurable: !0
                            };
                        'function' == typeof r ? (s.get = n(r, this), s.set = e) : (s.get = r.get ? r.cache !== !1 ? n(r.get, this) : p(r.get, this) : e, s.set = r.set ? p(r.set, this) : e), Object.defineProperty(this, i, s);
                    }
            }, t.prototype._initMethods = function () {
                var t = this.$options.methods;
                if (t)
                    for (var e in t)
                        this[e] = p(t[e], this);
            }, t.prototype._initMeta = function () {
                var t = this.$options._meta;
                if (t)
                    for (var e in t)
                        kt(this, e, t[e]);
            };
        }
        function fi(t) {
            function e(t, e) {
                for (var i, n, r, s = e.attributes, o = 0, a = s.length; a > o; o++)
                    i = s[o].name, Qs.test(i) && (i = i.replace(Qs, ''), n = s[o].value, Mt(n) && (n += '.apply(this, $arguments)'), r = (t._scope || t._context).$eval(n, !0), r._fromParent = !0, t.$on(i.replace(Qs), r));
            }
            function i(t, e, i) {
                if (i) {
                    var r, s, o, a;
                    for (s in i)
                        if (r = i[s], Di(r))
                            for (o = 0, a = r.length; a > o; o++)
                                n(t, e, s, r[o]);
                        else
                            n(t, e, s, r);
                }
            }
            function n(t, e, i, r, s) {
                var o = typeof r;
                if ('function' === o)
                    t[e](i, r, s);
                else if ('string' === o) {
                    var a = t.$options.methods, h = a && a[r];
                    h && t[e](i, h, s);
                } else
                    r && 'object' === o && n(t, e, i, r.handler, r);
            }
            function r() {
                this._isAttached || (this._isAttached = !0, this.$children.forEach(s));
            }
            function s(t) {
                !t._isAttached && H(t.$el) && t._callHook('attached');
            }
            function o() {
                this._isAttached && (this._isAttached = !1, this.$children.forEach(a));
            }
            function a(t) {
                t._isAttached && !H(t.$el) && t._callHook('detached');
            }
            t.prototype._initEvents = function () {
                var t = this.$options;
                t._asComponent && e(this, t.el), i(this, '$on', t.events), i(this, '$watch', t.watch);
            }, t.prototype._initDOMHooks = function () {
                this.$on('hook:attached', r), this.$on('hook:detached', o);
            }, t.prototype._callHook = function (t) {
                this.$emit('pre-hook:' + t);
                var e = this.$options[t];
                if (e)
                    for (var i = 0, n = e.length; n > i; i++)
                        e[i].call(this);
                this.$emit('hook:' + t);
            };
        }
        function pi() {
        }
        function di(t, e, i, n, r, s) {
            this.vm = e, this.el = i, this.descriptor = t, this.name = t.name, this.expression = t.expression, this.arg = t.arg, this.modifiers = t.modifiers, this.filters = t.filters, this.literal = this.modifiers && this.modifiers.literal, this._locked = !1, this._bound = !1, this._listeners = null, this._host = n, this._scope = r, this._frag = s;
        }
        function vi(t) {
            t.prototype._updateRef = function (t) {
                var e = this.$options._ref;
                if (e) {
                    var i = (this._scope || this._context).$refs;
                    t ? i[e] === this && (i[e] = null) : i[e] = this;
                }
            }, t.prototype._compile = function (t) {
                var e = this.$options, i = t;
                if (t = si(t, e), this._initElement(t), 1 !== t.nodeType || null === I(t, 'v-pre')) {
                    var n = this._context && this._context.$options, r = Me(t, e, n);
                    li(this, e._content);
                    var s, o = this.constructor;
                    e._linkerCachable && (s = o.linker, s || (s = o.linker = De(t, e)));
                    var a = r(this, t, this._scope), h = s ? s(this, t) : De(t, e)(this, t);
                    this._unlinkFn = function () {
                        a(), h(!0);
                    }, e.replace && J(i, t), this._isCompiled = !0, this._callHook('compiled');
                }
            }, t.prototype._initElement = function (t) {
                at(t) ? (this._isFragment = !0, this.$el = this._fragmentStart = t.firstChild, this._fragmentEnd = t.lastChild, 3 === this._fragmentStart.nodeType && (this._fragmentStart.data = this._fragmentEnd.data = ''), this._fragment = t) : this.$el = t, this.$el.__vue__ = this, this._callHook('beforeCompile');
            }, t.prototype._bindDir = function (t, e, i, n, r) {
                this._directives.push(new di(t, this, e, i, n, r));
            }, t.prototype._destroy = function (t, e) {
                if (this._isBeingDestroyed)
                    return void (e || this._cleanup());
                var i, n, r = this, s = function () {
                        !i || n || e || r._cleanup();
                    };
                t && this.$el && (n = !0, this.$remove(function () {
                    n = !1, s();
                })), this._callHook('beforeDestroy'), this._isBeingDestroyed = !0;
                var o, a = this.$parent;
                for (a && !a._isBeingDestroyed && (a.$children.$remove(this), this._updateRef(!0)), o = this.$children.length; o--;)
                    this.$children[o].$destroy();
                for (this._propsUnlinkFn && this._propsUnlinkFn(), this._unlinkFn && this._unlinkFn(), o = this._watchers.length; o--;)
                    this._watchers[o].teardown();
                this.$el && (this.$el.__vue__ = null), i = !0, s();
            }, t.prototype._cleanup = function () {
                this._isDestroyed || (this._frag && this._frag.children.$remove(this), this._data && this._data.__ob__ && this._data.__ob__.removeVm(this), this.$el = this.$parent = this.$root = this.$children = this._watchers = this._context = this._scope = this._directives = null, this._isDestroyed = !0, this._callHook('destroyed'), this.$off());
            };
        }
        function mi(t) {
            t.prototype._applyFilters = function (t, e, i, n) {
                var r, s, o, a, h, l, c, u, f;
                for (l = 0, c = i.length; c > l; l++)
                    if (r = i[n ? c - l - 1 : l], s = gt(this.$options, 'filters', r.name, !0), s && (s = n ? s.write : s.read || s, 'function' == typeof s)) {
                        if (o = n ? [
                                t,
                                e
                            ] : [t], h = n ? 2 : 1, r.args)
                            for (u = 0, f = r.args.length; f > u; u++)
                                a = r.args[u], o[u + h] = a.dynamic ? this.$get(a.value) : a.value;
                        t = s.apply(this, o);
                    }
                return t;
            }, t.prototype._resolveComponent = function (e, i) {
                var n;
                if (n = 'function' == typeof e ? e : gt(this.$options, 'components', e, !0))
                    if (n.options)
                        i(n);
                    else if (n.resolved)
                        i(n.resolved);
                    else if (n.requested)
                        n.pendingCallbacks.push(i);
                    else {
                        n.requested = !0;
                        var r = n.pendingCallbacks = [i];
                        n.call(this, function (e) {
                            g(e) && (e = t.extend(e)), n.resolved = e;
                            for (var i = 0, s = r.length; s > i; i++)
                                r[i](e);
                        }, function (t) {
                        });
                    }
            };
        }
        function gi(t) {
            function i(t) {
                return JSON.parse(JSON.stringify(t));
            }
            t.prototype.$get = function (t, e) {
                var i = It(t);
                if (i) {
                    if (e) {
                        var n = this;
                        return function () {
                            n.$arguments = d(arguments);
                            var t = i.get.call(n, n);
                            return n.$arguments = null, t;
                        };
                    }
                    try {
                        return i.get.call(this, this);
                    } catch (r) {
                    }
                }
            }, t.prototype.$set = function (t, e) {
                var i = It(t, !0);
                i && i.set && i.set.call(this, this, e);
            }, t.prototype.$delete = function (t) {
                e(this._data, t);
            }, t.prototype.$watch = function (t, e, i) {
                var n, r = this;
                'string' == typeof t && (n = A(t), t = n.expression);
                var s = new Ut(r, t, e, {
                    deep: i && i.deep,
                    sync: i && i.sync,
                    filters: n && n.filters,
                    user: !i || i.user !== !1
                });
                return i && i.immediate && e.call(r, s.value), function () {
                    s.teardown();
                };
            }, t.prototype.$eval = function (t, e) {
                if (Gs.test(t)) {
                    var i = A(t), n = this.$get(i.expression, e);
                    return i.filters ? this._applyFilters(n, null, i.filters) : n;
                }
                return this.$get(t, e);
            }, t.prototype.$interpolate = function (t) {
                var e = N(t), i = this;
                return e ? 1 === e.length ? i.$eval(e[0].value) + '' : e.map(function (t) {
                    return t.tag ? i.$eval(t.value) : t.value;
                }).join('') : t;
            }, t.prototype.$log = function (t) {
                var e = t ? jt(this._data, t) : this._data;
                if (e && (e = i(e)), !t) {
                    var n;
                    for (n in this.$options.computed)
                        e[n] = i(this[n]);
                    if (this._props)
                        for (n in this._props)
                            e[n] = i(this[n]);
                }
                console.log(e);
            };
        }
        function _i(t) {
            function e(t, e, n, r, s, o) {
                e = i(e);
                var a = !H(e), h = r === !1 || a ? s : o, l = !a && !t._isAttached && !H(t.$el);
                return t._isFragment ? (st(t._fragmentStart, t._fragmentEnd, function (i) {
                    h(i, e, t);
                }), n && n()) : h(t.$el, e, t, n), l && t._callHook('attached'), t;
            }
            function i(t) {
                return 'string' == typeof t ? document.querySelector(t) : t;
            }
            function n(t, e, i, n) {
                e.appendChild(t), n && n();
            }
            function r(t, e, i, n) {
                B(t, e), n && n();
            }
            function s(t, e, i) {
                z(t), i && i();
            }
            t.prototype.$nextTick = function (t) {
                Yi(t, this);
            }, t.prototype.$appendTo = function (t, i, r) {
                return e(this, t, i, r, n, F);
            }, t.prototype.$prependTo = function (t, e, n) {
                return t = i(t), t.hasChildNodes() ? this.$before(t.firstChild, e, n) : this.$appendTo(t, e, n), this;
            }, t.prototype.$before = function (t, i, n) {
                return e(this, t, i, n, r, D);
            }, t.prototype.$after = function (t, e, n) {
                return t = i(t), t.nextSibling ? this.$before(t.nextSibling, e, n) : this.$appendTo(t.parentNode, e, n), this;
            }, t.prototype.$remove = function (t, e) {
                if (!this.$el.parentNode)
                    return t && t();
                var i = this._isAttached && H(this.$el);
                i || (e = !1);
                var n = this, r = function () {
                        i && n._callHook('detached'), t && t();
                    };
                if (this._isFragment)
                    ot(this._fragmentStart, this._fragmentEnd, this, this._fragment, r);
                else {
                    var o = e === !1 ? s : P;
                    o(this.$el, this, r);
                }
                return this;
            };
        }
        function yi(t) {
            function e(t, e, n) {
                var r = t.$parent;
                if (r && n && !i.test(e))
                    for (; r;)
                        r._eventsCount[e] = (r._eventsCount[e] || 0) + n, r = r.$parent;
            }
            t.prototype.$on = function (t, i) {
                return (this._events[t] || (this._events[t] = [])).push(i), e(this, t, 1), this;
            }, t.prototype.$once = function (t, e) {
                function i() {
                    n.$off(t, i), e.apply(this, arguments);
                }
                var n = this;
                return i.fn = e, this.$on(t, i), this;
            }, t.prototype.$off = function (t, i) {
                var n;
                if (!arguments.length) {
                    if (this.$parent)
                        for (t in this._events)
                            n = this._events[t], n && e(this, t, -n.length);
                    return this._events = {}, this;
                }
                if (n = this._events[t], !n)
                    return this;
                if (1 === arguments.length)
                    return e(this, t, -n.length), this._events[t] = null, this;
                for (var r, s = n.length; s--;)
                    if (r = n[s], r === i || r.fn === i) {
                        e(this, t, -1), n.splice(s, 1);
                        break;
                    }
                return this;
            }, t.prototype.$emit = function (t) {
                var e = 'string' == typeof t;
                t = e ? t : t.name;
                var i = this._events[t], n = e || !i;
                if (i) {
                    i = i.length > 1 ? d(i) : i;
                    var r = e && i.some(function (t) {
                        return t._fromParent;
                    });
                    r && (n = !1);
                    for (var s = d(arguments, 1), o = 0, a = i.length; a > o; o++) {
                        var h = i[o], l = h.apply(this, s);
                        l !== !0 || r && !h._fromParent || (n = !0);
                    }
                }
                return n;
            }, t.prototype.$broadcast = function (t) {
                var e = 'string' == typeof t;
                if (t = e ? t : t.name, this._eventsCount[t]) {
                    var i = this.$children, n = d(arguments);
                    e && (n[0] = {
                        name: t,
                        source: this
                    });
                    for (var r = 0, s = i.length; s > r; r++) {
                        var o = i[r], a = o.$emit.apply(o, n);
                        a && o.$broadcast.apply(o, n);
                    }
                    return this;
                }
            }, t.prototype.$dispatch = function (t) {
                var e = this.$emit.apply(this, arguments);
                if (e) {
                    var i = this.$parent, n = d(arguments);
                    for (n[0] = {
                            name: t,
                            source: this
                        }; i;)
                        e = i.$emit.apply(i, n), i = e ? i.$parent : null;
                    return this;
                }
            };
            var i = /^hook:/;
        }
        function bi(t) {
            function e() {
                this._isAttached = !0, this._isReady = !0, this._callHook('ready');
            }
            t.prototype.$mount = function (t) {
                return this._isCompiled ? void 0 : (t = L(t), t || (t = document.createElement('div')), this._compile(t), this._initDOMHooks(), H(this.$el) ? (this._callHook('attached'), e.call(this)) : this.$once('hook:attached', e), this);
            }, t.prototype.$destroy = function (t, e) {
                this._destroy(t, e);
            }, t.prototype.$compile = function (t, e, i, n) {
                return De(t, this.$options, !0)(this, t, e, i, n);
            };
        }
        function wi(t) {
            this._init(t);
        }
        function Ci(t, e, i) {
            return i = i ? parseInt(i, 10) : 0, e = o(e), 'number' == typeof e ? t.slice(i, i + e) : t;
        }
        function $i(t, e, i) {
            if (t = Ks(t), null == e)
                return t;
            if ('function' == typeof e)
                return t.filter(e);
            e = ('' + e).toLowerCase();
            for (var n, r, s, o, a = 'in' === i ? 3 : 2, h = Array.prototype.concat.apply([], d(arguments, a)), l = [], c = 0, u = t.length; u > c; c++)
                if (n = t[c], s = n && n.$value || n, o = h.length) {
                    for (; o--;)
                        if (r = h[o], '$key' === r && xi(n.$key, e) || xi(jt(s, r), e)) {
                            l.push(n);
                            break;
                        }
                } else
                    xi(n, e) && l.push(n);
            return l;
        }
        function ki(t) {
            function e(t, e, i) {
                var r = n[i];
                return r && ('$key' !== r && (m(t) && '$value' in t && (t = t.$value), m(e) && '$value' in e && (e = e.$value)), t = m(t) ? jt(t, r) : t, e = m(e) ? jt(e, r) : e), t === e ? 0 : t > e ? s : -s;
            }
            var i = null, n = void 0;
            t = Ks(t);
            var r = d(arguments, 1), s = r[r.length - 1];
            'number' == typeof s ? (s = 0 > s ? -1 : 1, r = r.length > 1 ? r.slice(0, -1) : r) : s = 1;
            var o = r[0];
            return o ? ('function' == typeof o ? i = function (t, e) {
                return o(t, e) * s;
            } : (n = Array.prototype.concat.apply([], r), i = function (t, r, s) {
                return s = s || 0, s >= n.length - 1 ? e(t, r, s) : e(t, r, s) || i(t, r, s + 1);
            }), t.slice().sort(i)) : t;
        }
        function xi(t, e) {
            var i;
            if (g(t)) {
                var n = Object.keys(t);
                for (i = n.length; i--;)
                    if (xi(t[n[i]], e))
                        return !0;
            } else if (Di(t)) {
                for (i = t.length; i--;)
                    if (xi(t[i], e))
                        return !0;
            } else if (null != t)
                return t.toString().toLowerCase().indexOf(e) > -1;
        }
        function Ai(i) {
            function n(t) {
                return new Function('return function ' + f(t) + ' (options) { this._init(options) }')();
            }
            i.options = {
                directives: bs,
                elementDirectives: Ys,
                filters: eo,
                transitions: {},
                components: {},
                partials: {},
                replace: !0
            }, i.util = In, i.config = An, i.set = t, i['delete'] = e, i.nextTick = Yi, i.compiler = qs, i.FragmentFactory = se, i.internalDirectives = Hs, i.parsers = {
                path: ir,
                text: $n,
                template: Fr,
                directive: gn,
                expression: mr
            }, i.cid = 0;
            var r = 1;
            i.extend = function (t) {
                t = t || {};
                var e = this, i = 0 === e.cid;
                if (i && t._Ctor)
                    return t._Ctor;
                var s = t.name || e.options.name, o = n(s || 'VueComponent');
                return o.prototype = Object.create(e.prototype), o.prototype.constructor = o, o.cid = r++, o.options = mt(e.options, t), o['super'] = e, o.extend = e.extend, An._assetTypes.forEach(function (t) {
                    o[t] = e[t];
                }), s && (o.options.components[s] = o), i && (t._Ctor = o), o;
            }, i.use = function (t) {
                if (!t.installed) {
                    var e = d(arguments, 1);
                    return e.unshift(this), 'function' == typeof t.install ? t.install.apply(t, e) : t.apply(null, e), t.installed = !0, this;
                }
            }, i.mixin = function (t) {
                i.options = mt(i.options, t);
            }, An._assetTypes.forEach(function (t) {
                i[t] = function (e, n) {
                    return n ? ('component' === t && g(n) && (n.name || (n.name = e), n = i.extend(n)), this.options[t + 's'][e] = n, n) : this.options[t + 's'][e];
                };
            }), v(i.transition, Tn);
        }
        var Oi = Object.prototype.hasOwnProperty, Ti = /^\s?(true|false|-?[\d\.]+|'[^']*'|"[^"]*")\s?$/, Ni = /-(\w)/g, ji = /([a-z\d])([A-Z])/g, Ei = /(?:^|[-_\/])(\w)/g, Si = Object.prototype.toString, Fi = '[object Object]', Di = Array.isArray, Pi = '__proto__' in {}, Ri = 'undefined' != typeof window && '[object Object]' !== Object.prototype.toString.call(window), Li = Ri && window.__VUE_DEVTOOLS_GLOBAL_HOOK__, Hi = Ri && window.navigator.userAgent.toLowerCase(), Ii = Hi && Hi.indexOf('trident') > 0, Mi = Hi && Hi.indexOf('msie 9.0') > 0, Vi = Hi && Hi.indexOf('android') > 0, Bi = Hi && /(iphone|ipad|ipod|ios)/i.test(Hi), Wi = Bi && Hi.match(/os ([\d_]+)/), zi = Wi && Wi[1].split('_'), Ui = zi && Number(zi[0]) >= 9 && Number(zi[1]) >= 3 && !window.indexedDB, Ji = void 0, qi = void 0, Qi = void 0, Gi = void 0;
        if (Ri && !Mi) {
            var Zi = void 0 === window.ontransitionend && void 0 !== window.onwebkittransitionend, Xi = void 0 === window.onanimationend && void 0 !== window.onwebkitanimationend;
            Ji = Zi ? 'WebkitTransition' : 'transition', qi = Zi ? 'webkitTransitionEnd' : 'transitionend', Qi = Xi ? 'WebkitAnimation' : 'animation', Gi = Xi ? 'webkitAnimationEnd' : 'animationend';
        }
        var Yi = function () {
                function t() {
                    n = !1;
                    var t = i.slice(0);
                    i = [];
                    for (var e = 0; e < t.length; e++)
                        t[e]();
                }
                var e, i = [], n = !1;
                if ('undefined' == typeof MutationObserver || Ui) {
                    var r = Ri ? window : 'undefined' != typeof global ? global : {};
                    e = r.setImmediate || setTimeout;
                } else {
                    var s = 1, o = new MutationObserver(t), a = document.createTextNode(s);
                    o.observe(a, { characterData: !0 }), e = function () {
                        s = (s + 1) % 2, a.data = s;
                    };
                }
                return function (r, s) {
                    var o = s ? function () {
                        r.call(s);
                    } : r;
                    i.push(o), n || (n = !0, e(t, 0));
                };
            }(), Ki = void 0;
        'undefined' != typeof Set && Set.toString().match(/native code/) ? Ki = Set : (Ki = function () {
            this.set = Object.create(null);
        }, Ki.prototype.has = function (t) {
            return void 0 !== this.set[t];
        }, Ki.prototype.add = function (t) {
            this.set[t] = 1;
        }, Ki.prototype.clear = function () {
            this.set = Object.create(null);
        });
        var tn = $.prototype;
        tn.put = function (t, e) {
            var i, n = this.get(t, !0);
            return n || (this.size === this.limit && (i = this.shift()), n = { key: t }, this._keymap[t] = n, this.tail ? (this.tail.newer = n, n.older = this.tail) : this.head = n, this.tail = n, this.size++), n.value = e, i;
        }, tn.shift = function () {
            var t = this.head;
            return t && (this.head = this.head.newer, this.head.older = void 0, t.newer = t.older = void 0, this._keymap[t.key] = void 0, this.size--), t;
        }, tn.get = function (t, e) {
            var i = this._keymap[t];
            if (void 0 !== i)
                return i === this.tail ? e ? i : i.value : (i.newer && (i === this.head && (this.head = i.newer), i.newer.older = i.older), i.older && (i.older.newer = i.newer), i.newer = void 0, i.older = this.tail, this.tail && (this.tail.newer = i), this.tail = i, e ? i : i.value);
        };
        var en, nn, rn, sn, on, an, hn, ln, cn, un, fn, pn, dn = new $(1000), vn = /[^\s'"]+|'[^']*'|"[^"]*"/g, mn = /^in$|^-?\d+/, gn = Object.freeze({ parseDirective: A }), _n = /[-.*+?^${}()|[\]\/\\]/g, yn = void 0, bn = void 0, wn = void 0, Cn = /[^|]\|[^|]/, $n = Object.freeze({
                compileRegex: T,
                parseText: N,
                tokensToExp: j
            }), kn = [
                '{{',
                '}}'
            ], xn = [
                '{{{',
                '}}}'
            ], An = Object.defineProperties({
                debug: !1,
                silent: !1,
                async: !0,
                warnExpressionErrors: !0,
                devtools: !1,
                _delimitersChanged: !0,
                _assetTypes: [
                    'component',
                    'directive',
                    'elementDirective',
                    'filter',
                    'transition',
                    'partial'
                ],
                _propBindingModes: {
                    ONE_WAY: 0,
                    TWO_WAY: 1,
                    ONE_TIME: 2
                },
                _maxUpdateCount: 100
            }, {
                delimiters: {
                    get: function () {
                        return kn;
                    },
                    set: function (t) {
                        kn = t, T();
                    },
                    configurable: !0,
                    enumerable: !0
                },
                unsafeDelimiters: {
                    get: function () {
                        return xn;
                    },
                    set: function (t) {
                        xn = t, T();
                    },
                    configurable: !0,
                    enumerable: !0
                }
            }), On = void 0, Tn = Object.freeze({
                appendWithTransition: F,
                beforeWithTransition: D,
                removeWithTransition: P,
                applyTransition: R
            }), Nn = /^v-ref:/, jn = /^(div|p|span|img|a|b|i|br|ul|ol|li|h1|h2|h3|h4|h5|h6|code|pre|table|th|td|tr|form|label|input|select|option|nav|article|section|header|footer)$/i, En = /^(slot|partial|component)$/i, Sn = An.optionMergeStrategies = Object.create(null);
        Sn.data = function (t, e, i) {
            return i ? t || e ? function () {
                var n = 'function' == typeof e ? e.call(i) : e, r = 'function' == typeof t ? t.call(i) : void 0;
                return n ? ut(n, r) : r;
            } : void 0 : e ? 'function' != typeof e ? t : t ? function () {
                return ut(e.call(this), t.call(this));
            } : e : t;
        }, Sn.el = function (t, e, i) {
            if (i || !e || 'function' == typeof e) {
                var n = e || t;
                return i && 'function' == typeof n ? n.call(i) : n;
            }
        }, Sn.init = Sn.created = Sn.ready = Sn.attached = Sn.detached = Sn.beforeCompile = Sn.compiled = Sn.beforeDestroy = Sn.destroyed = Sn.activate = function (t, e) {
            return e ? t ? t.concat(e) : Di(e) ? e : [e] : t;
        }, An._assetTypes.forEach(function (t) {
            Sn[t + 's'] = ft;
        }), Sn.watch = Sn.events = function (t, e) {
            if (!e)
                return t;
            if (!t)
                return e;
            var i = {};
            v(i, t);
            for (var n in e) {
                var r = i[n], s = e[n];
                r && !Di(r) && (r = [r]), i[n] = r ? r.concat(s) : [s];
            }
            return i;
        }, Sn.props = Sn.methods = Sn.computed = function (t, e) {
            if (!e)
                return t;
            if (!t)
                return e;
            var i = Object.create(null);
            return v(i, t), v(i, e), i;
        };
        var Fn = function (t, e) {
                return void 0 === e ? t : e;
            }, Dn = 0;
        _t.target = null, _t.prototype.addSub = function (t) {
            this.subs.push(t);
        }, _t.prototype.removeSub = function (t) {
            this.subs.$remove(t);
        }, _t.prototype.depend = function () {
            _t.target.addDep(this);
        }, _t.prototype.notify = function () {
            for (var t = d(this.subs), e = 0, i = t.length; i > e; e++)
                t[e].update();
        };
        var Pn = Array.prototype, Rn = Object.create(Pn);
        [
            'push',
            'pop',
            'shift',
            'unshift',
            'splice',
            'sort',
            'reverse'
        ].forEach(function (t) {
            var e = Pn[t];
            _(Rn, t, function () {
                for (var i = arguments.length, n = new Array(i); i--;)
                    n[i] = arguments[i];
                var r, s = e.apply(this, n), o = this.__ob__;
                switch (t) {
                case 'push':
                    r = n;
                    break;
                case 'unshift':
                    r = n;
                    break;
                case 'splice':
                    r = n.slice(2);
                }
                return r && o.observeArray(r), o.dep.notify(), s;
            });
        }), _(Pn, '$set', function (t, e) {
            return t >= this.length && (this.length = Number(t) + 1), this.splice(t, 1, e)[0];
        }), _(Pn, '$remove', function (t) {
            if (this.length) {
                var e = b(this, t);
                return e > -1 ? this.splice(e, 1) : void 0;
            }
        });
        var Ln = Object.getOwnPropertyNames(Rn), Hn = !0;
        bt.prototype.walk = function (t) {
            for (var e = Object.keys(t), i = 0, n = e.length; n > i; i++)
                this.convert(e[i], t[e[i]]);
        }, bt.prototype.observeArray = function (t) {
            for (var e = 0, i = t.length; i > e; e++)
                $t(t[e]);
        }, bt.prototype.convert = function (t, e) {
            kt(this.value, t, e);
        }, bt.prototype.addVm = function (t) {
            (this.vms || (this.vms = [])).push(t);
        }, bt.prototype.removeVm = function (t) {
            this.vms.$remove(t);
        };
        var In = Object.freeze({
                defineReactive: kt,
                set: t,
                del: e,
                hasOwn: i,
                isLiteral: n,
                isReserved: r,
                _toString: s,
                toNumber: o,
                toBoolean: a,
                stripQuotes: h,
                camelize: l,
                hyphenate: u,
                classify: f,
                bind: p,
                toArray: d,
                extend: v,
                isObject: m,
                isPlainObject: g,
                def: _,
                debounce: y,
                indexOf: b,
                cancellable: w,
                looseEqual: C,
                isArray: Di,
                hasProto: Pi,
                inBrowser: Ri,
                devtools: Li,
                isIE: Ii,
                isIE9: Mi,
                isAndroid: Vi,
                isIos: Bi,
                iosVersionMatch: Wi,
                iosVersion: zi,
                hasMutationObserverBug: Ui,
                get transitionProp() {
                    return Ji;
                },
                get transitionEndEvent() {
                    return qi;
                },
                get animationProp() {
                    return Qi;
                },
                get animationEndEvent() {
                    return Gi;
                },
                nextTick: Yi,
                get _Set() {
                    return Ki;
                },
                query: L,
                inDoc: H,
                getAttr: I,
                getBindAttr: M,
                hasBindAttr: V,
                before: B,
                after: W,
                remove: z,
                prepend: U,
                replace: J,
                on: q,
                off: Q,
                setClass: Z,
                addClass: X,
                removeClass: Y,
                extractContent: K,
                trimNode: tt,
                isTemplate: it,
                createAnchor: nt,
                findRef: rt,
                mapNodeRange: st,
                removeNodeRange: ot,
                isFragment: at,
                getOuterHTML: ht,
                mergeOptions: mt,
                resolveAsset: gt,
                checkComponentAttr: lt,
                commonTagRE: jn,
                reservedTagRE: En,
                warn: On
            }), Mn = 0, Vn = new $(1000), Bn = 0, Wn = 1, zn = 2, Un = 3, Jn = 0, qn = 1, Qn = 2, Gn = 3, Zn = 4, Xn = 5, Yn = 6, Kn = 7, tr = 8, er = [];
        er[Jn] = {
            ws: [Jn],
            ident: [
                Gn,
                Bn
            ],
            '[': [Zn],
            eof: [Kn]
        }, er[qn] = {
            ws: [qn],
            '.': [Qn],
            '[': [Zn],
            eof: [Kn]
        }, er[Qn] = {
            ws: [Qn],
            ident: [
                Gn,
                Bn
            ]
        }, er[Gn] = {
            ident: [
                Gn,
                Bn
            ],
            0: [
                Gn,
                Bn
            ],
            number: [
                Gn,
                Bn
            ],
            ws: [
                qn,
                Wn
            ],
            '.': [
                Qn,
                Wn
            ],
            '[': [
                Zn,
                Wn
            ],
            eof: [
                Kn,
                Wn
            ]
        }, er[Zn] = {
            '\'': [
                Xn,
                Bn
            ],
            '"': [
                Yn,
                Bn
            ],
            '[': [
                Zn,
                zn
            ],
            ']': [
                qn,
                Un
            ],
            eof: tr,
            'else': [
                Zn,
                Bn
            ]
        }, er[Xn] = {
            '\'': [
                Zn,
                Bn
            ],
            eof: tr,
            'else': [
                Xn,
                Bn
            ]
        }, er[Yn] = {
            '"': [
                Zn,
                Bn
            ],
            eof: tr,
            'else': [
                Yn,
                Bn
            ]
        };
        var ir = Object.freeze({
                parsePath: Nt,
                getPath: jt,
                setPath: Et
            }), nr = new $(1000), rr = 'Math,Date,this,true,false,null,undefined,Infinity,NaN,isNaN,isFinite,decodeURI,decodeURIComponent,encodeURI,encodeURIComponent,parseInt,parseFloat', sr = new RegExp('^(' + rr.replace(/,/g, '\\b|') + '\\b)'), or = 'break,case,class,catch,const,continue,debugger,default,delete,do,else,export,extends,finally,for,function,if,import,in,instanceof,let,return,super,switch,throw,try,var,while,with,yield,enum,await,implements,package,protected,static,interface,private,public', ar = new RegExp('^(' + or.replace(/,/g, '\\b|') + '\\b)'), hr = /\s/g, lr = /\n/g, cr = /[\{,]\s*[\w\$_]+\s*:|('(?:[^'\\]|\\.)*'|"(?:[^"\\]|\\.)*"|`(?:[^`\\]|\\.)*\$\{|\}(?:[^`\\]|\\.)*`|`(?:[^`\\]|\\.)*`)|new |typeof |void /g, ur = /"(\d+)"/g, fr = /^[A-Za-z_$][\w$]*(?:\.[A-Za-z_$][\w$]*|\['.*?'\]|\[".*?"\]|\[\d+\]|\[[A-Za-z_$][\w$]*\])*$/, pr = /[^\w$\.](?:[A-Za-z_$][\w$]*)/g, dr = /^(?:true|false|null|undefined|Infinity|NaN)$/, vr = [], mr = Object.freeze({
                parseExpression: It,
                isSimplePath: Mt
            }), gr = [], _r = [], yr = {}, br = {}, wr = !1, Cr = 0;
        Ut.prototype.get = function () {
            this.beforeGet();
            var t, e = this.scope || this.vm;
            try {
                t = this.getter.call(e, e);
            } catch (i) {
            }
            return this.deep && Jt(t), this.preProcess && (t = this.preProcess(t)), this.filters && (t = e._applyFilters(t, null, this.filters, !1)), this.postProcess && (t = this.postProcess(t)), this.afterGet(), t;
        }, Ut.prototype.set = function (t) {
            var e = this.scope || this.vm;
            this.filters && (t = e._applyFilters(t, this.value, this.filters, !0));
            try {
                this.setter.call(e, e, t);
            } catch (i) {
            }
            var n = e.$forContext;
            if (n && n.alias === this.expression) {
                if (n.filters)
                    return;
                n._withLock(function () {
                    e.$key ? n.rawValue[e.$key] = t : n.rawValue.$set(e.$index, t);
                });
            }
        }, Ut.prototype.beforeGet = function () {
            _t.target = this;
        }, Ut.prototype.addDep = function (t) {
            var e = t.id;
            this.newDepIds.has(e) || (this.newDepIds.add(e), this.newDeps.push(t), this.depIds.has(e) || t.addSub(this));
        }, Ut.prototype.afterGet = function () {
            _t.target = null;
            for (var t = this.deps.length; t--;) {
                var e = this.deps[t];
                this.newDepIds.has(e.id) || e.removeSub(this);
            }
            var i = this.depIds;
            this.depIds = this.newDepIds, this.newDepIds = i, this.newDepIds.clear(), i = this.deps, this.deps = this.newDeps, this.newDeps = i, this.newDeps.length = 0;
        }, Ut.prototype.update = function (t) {
            this.lazy ? this.dirty = !0 : this.sync || !An.async ? this.run() : (this.shallow = this.queued ? t ? this.shallow : !1 : !!t, this.queued = !0, zt(this));
        }, Ut.prototype.run = function () {
            if (this.active) {
                var t = this.get();
                if (t !== this.value || (m(t) || this.deep) && !this.shallow) {
                    var e = this.value;
                    this.value = t;
                    this.prevError;
                    this.cb.call(this.vm, t, e);
                }
                this.queued = this.shallow = !1;
            }
        }, Ut.prototype.evaluate = function () {
            var t = _t.target;
            this.value = this.get(), this.dirty = !1, _t.target = t;
        }, Ut.prototype.depend = function () {
            for (var t = this.deps.length; t--;)
                this.deps[t].depend();
        }, Ut.prototype.teardown = function () {
            if (this.active) {
                this.vm._isBeingDestroyed || this.vm._vForRemoving || this.vm._watchers.$remove(this);
                for (var t = this.deps.length; t--;)
                    this.deps[t].removeSub(this);
                this.active = !1, this.vm = this.cb = this.value = null;
            }
        };
        var $r = new Ki(), kr = {
                bind: function () {
                    this.attr = 3 === this.el.nodeType ? 'data' : 'textContent';
                },
                update: function (t) {
                    this.el[this.attr] = s(t);
                }
            }, xr = new $(1000), Ar = new $(1000), Or = {
                efault: [
                    0,
                    '',
                    ''
                ],
                legend: [
                    1,
                    '<fieldset>',
                    '</fieldset>'
                ],
                tr: [
                    2,
                    '<table><tbody>',
                    '</tbody></table>'
                ],
                col: [
                    2,
                    '<table><tbody></tbody><colgroup>',
                    '</colgroup></table>'
                ]
            };
        Or.td = Or.th = [
            3,
            '<table><tbody><tr>',
            '</tr></tbody></table>'
        ], Or.option = Or.optgroup = [
            1,
            '<select multiple="multiple">',
            '</select>'
        ], Or.thead = Or.tbody = Or.colgroup = Or.caption = Or.tfoot = [
            1,
            '<table>',
            '</table>'
        ], Or.g = Or.defs = Or.symbol = Or.use = Or.image = Or.text = Or.circle = Or.ellipse = Or.line = Or.path = Or.polygon = Or.polyline = Or.rect = [
            1,
            '<svg xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:ev="http://www.w3.org/2001/xml-events"version="1.1">',
            '</svg>'
        ];
        var Tr = /<([\w:-]+)/, Nr = /&#?\w+?;/, jr = /<!--/, Er = function () {
                if (Ri) {
                    var t = document.createElement('div');
                    return t.innerHTML = '<template>1</template>', !t.cloneNode(!0).firstChild.innerHTML;
                }
                return !1;
            }(), Sr = function () {
                if (Ri) {
                    var t = document.createElement('textarea');
                    return t.placeholder = 't', 't' === t.cloneNode(!0).value;
                }
                return !1;
            }(), Fr = Object.freeze({
                cloneNode: Zt,
                parseTemplate: Xt
            }), Dr = {
                bind: function () {
                    8 === this.el.nodeType && (this.nodes = [], this.anchor = nt('v-html'), J(this.el, this.anchor));
                },
                update: function (t) {
                    t = s(t), this.nodes ? this.swap(t) : this.el.innerHTML = t;
                },
                swap: function (t) {
                    for (var e = this.nodes.length; e--;)
                        z(this.nodes[e]);
                    var i = Xt(t, !0, !0);
                    this.nodes = d(i.childNodes), B(i, this.anchor);
                }
            };
        Yt.prototype.callHook = function (t) {
            var e, i;
            for (e = 0, i = this.childFrags.length; i > e; e++)
                this.childFrags[e].callHook(t);
            for (e = 0, i = this.children.length; i > e; e++)
                t(this.children[e]);
        }, Yt.prototype.beforeRemove = function () {
            var t, e;
            for (t = 0, e = this.childFrags.length; e > t; t++)
                this.childFrags[t].beforeRemove(!1);
            for (t = 0, e = this.children.length; e > t; t++)
                this.children[t].$destroy(!1, !0);
            var i = this.unlink.dirs;
            for (t = 0, e = i.length; e > t; t++)
                i[t]._watcher && i[t]._watcher.teardown();
        }, Yt.prototype.destroy = function () {
            this.parentFrag && this.parentFrag.childFrags.$remove(this), this.node.__v_frag = null, this.unlink();
        };
        var Pr = new $(5000);
        se.prototype.create = function (t, e, i) {
            var n = Zt(this.template);
            return new Yt(this.linker, this.vm, n, t, e, i);
        };
        var Rr = 700, Lr = 800, Hr = 850, Ir = 1100, Mr = 1500, Vr = 1500, Br = 1750, Wr = 2100, zr = 2200, Ur = 2300, Jr = 0, qr = {
                priority: zr,
                terminal: !0,
                params: [
                    'track-by',
                    'stagger',
                    'enter-stagger',
                    'leave-stagger'
                ],
                bind: function () {
                    var t = this.expression.match(/(.*) (?:in|of) (.*)/);
                    if (t) {
                        var e = t[1].match(/\((.*),(.*)\)/);
                        e ? (this.iterator = e[1].trim(), this.alias = e[2].trim()) : this.alias = t[1].trim(), this.expression = t[2];
                    }
                    if (this.alias) {
                        this.id = '__v-for__' + ++Jr;
                        var i = this.el.tagName;
                        this.isOption = ('OPTION' === i || 'OPTGROUP' === i) && 'SELECT' === this.el.parentNode.tagName, this.start = nt('v-for-start'), this.end = nt('v-for-end'), J(this.el, this.end), B(this.start, this.end), this.cache = Object.create(null), this.factory = new se(this.vm, this.el);
                    }
                },
                update: function (t) {
                    this.diff(t), this.updateRef(), this.updateModel();
                },
                diff: function (t) {
                    var e, n, r, s, o, a, h = t[0], l = this.fromObject = m(h) && i(h, '$key') && i(h, '$value'), c = this.params.trackBy, u = this.frags, f = this.frags = new Array(t.length), p = this.alias, d = this.iterator, v = this.start, g = this.end, _ = H(v), y = !u;
                    for (e = 0, n = t.length; n > e; e++)
                        h = t[e], s = l ? h.$key : null, o = l ? h.$value : h, a = !m(o), r = !y && this.getCachedFrag(o, e, s), r ? (r.reused = !0, r.scope.$index = e, s && (r.scope.$key = s), d && (r.scope[d] = null !== s ? s : e), (c || l || a) && yt(function () {
                            r.scope[p] = o;
                        })) : (r = this.create(o, p, e, s), r.fresh = !y), f[e] = r, y && r.before(g);
                    if (!y) {
                        var b = 0, w = u.length - f.length;
                        for (this.vm._vForRemoving = !0, e = 0, n = u.length; n > e; e++)
                            r = u[e], r.reused || (this.deleteCachedFrag(r), this.remove(r, b++, w, _));
                        this.vm._vForRemoving = !1, b && (this.vm._watchers = this.vm._watchers.filter(function (t) {
                            return t.active;
                        }));
                        var C, $, k, x = 0;
                        for (e = 0, n = f.length; n > e; e++)
                            r = f[e], C = f[e - 1], $ = C ? C.staggerCb ? C.staggerAnchor : C.end || C.node : v, r.reused && !r.staggerCb ? (k = oe(r, v, this.id), k === C || k && oe(k, v, this.id) === C || this.move(r, $)) : this.insert(r, x++, $, _), r.reused = r.fresh = !1;
                    }
                },
                create: function (t, e, i, n) {
                    var r = this._host, s = this._scope || this.vm, o = Object.create(s);
                    o.$refs = Object.create(s.$refs), o.$els = Object.create(s.$els), o.$parent = s, o.$forContext = this, yt(function () {
                        kt(o, e, t);
                    }), kt(o, '$index', i), n ? kt(o, '$key', n) : o.$key && _(o, '$key', null), this.iterator && kt(o, this.iterator, null !== n ? n : i);
                    var a = this.factory.create(r, o, this._frag);
                    return a.forId = this.id, this.cacheFrag(t, a, i, n), a;
                },
                updateRef: function () {
                    var t = this.descriptor.ref;
                    if (t) {
                        var e, i = (this._scope || this.vm).$refs;
                        this.fromObject ? (e = {}, this.frags.forEach(function (t) {
                            e[t.scope.$key] = ae(t);
                        })) : e = this.frags.map(ae), i[t] = e;
                    }
                },
                updateModel: function () {
                    if (this.isOption) {
                        var t = this.start.parentNode, e = t && t.__v_model;
                        e && e.forceUpdate();
                    }
                },
                insert: function (t, e, i, n) {
                    t.staggerCb && (t.staggerCb.cancel(), t.staggerCb = null);
                    var r = this.getStagger(t, e, null, 'enter');
                    if (n && r) {
                        var s = t.staggerAnchor;
                        s || (s = t.staggerAnchor = nt('stagger-anchor'), s.__v_frag = t), W(s, i);
                        var o = t.staggerCb = w(function () {
                            t.staggerCb = null, t.before(s), z(s);
                        });
                        setTimeout(o, r);
                    } else {
                        var a = i.nextSibling;
                        a || (W(this.end, i), a = this.end), t.before(a);
                    }
                },
                remove: function (t, e, i, n) {
                    if (t.staggerCb)
                        return t.staggerCb.cancel(), void (t.staggerCb = null);
                    var r = this.getStagger(t, e, i, 'leave');
                    if (n && r) {
                        var s = t.staggerCb = w(function () {
                            t.staggerCb = null, t.remove();
                        });
                        setTimeout(s, r);
                    } else
                        t.remove();
                },
                move: function (t, e) {
                    e.nextSibling || this.end.parentNode.appendChild(this.end), t.before(e.nextSibling, !1);
                },
                cacheFrag: function (t, e, n, r) {
                    var s, o = this.params.trackBy, a = this.cache, h = !m(t);
                    r || o || h ? (s = le(n, r, t, o), a[s] || (a[s] = e)) : (s = this.id, i(t, s) ? null === t[s] && (t[s] = e) : Object.isExtensible(t) && _(t, s, e)), e.raw = t;
                },
                getCachedFrag: function (t, e, i) {
                    var n, r = this.params.trackBy, s = !m(t);
                    if (i || r || s) {
                        var o = le(e, i, t, r);
                        n = this.cache[o];
                    } else
                        n = t[this.id];
                    return n && (n.reused || n.fresh), n;
                },
                deleteCachedFrag: function (t) {
                    var e = t.raw, n = this.params.trackBy, r = t.scope, s = r.$index, o = i(r, '$key') && r.$key, a = !m(e);
                    if (n || o || a) {
                        var h = le(s, o, e, n);
                        this.cache[h] = null;
                    } else
                        e[this.id] = null, t.raw = null;
                },
                getStagger: function (t, e, i, n) {
                    n += 'Stagger';
                    var r = t.node.__v_trans, s = r && r.hooks, o = s && (s[n] || s.stagger);
                    return o ? o.call(t, e, i) : e * parseInt(this.params[n] || this.params.stagger, 10);
                },
                _preProcess: function (t) {
                    return this.rawValue = t, t;
                },
                _postProcess: function (t) {
                    if (Di(t))
                        return t;
                    if (g(t)) {
                        for (var e, i = Object.keys(t), n = i.length, r = new Array(n); n--;)
                            e = i[n], r[n] = {
                                $key: e,
                                $value: t[e]
                            };
                        return r;
                    }
                    return 'number' != typeof t || isNaN(t) || (t = he(t)), t || [];
                },
                unbind: function () {
                    if (this.descriptor.ref && ((this._scope || this.vm).$refs[this.descriptor.ref] = null), this.frags)
                        for (var t, e = this.frags.length; e--;)
                            t = this.frags[e], this.deleteCachedFrag(t), t.destroy();
                }
            }, Qr = {
                priority: Wr,
                terminal: !0,
                bind: function () {
                    var t = this.el;
                    if (t.__vue__)
                        this.invalid = !0;
                    else {
                        var e = t.nextElementSibling;
                        e && null !== I(e, 'v-else') && (z(e), this.elseEl = e), this.anchor = nt('v-if'), J(t, this.anchor);
                    }
                },
                update: function (t) {
                    this.invalid || (t ? this.frag || this.insert() : this.remove());
                },
                insert: function () {
                    this.elseFrag && (this.elseFrag.remove(), this.elseFrag = null), this.factory || (this.factory = new se(this.vm, this.el)), this.frag = this.factory.create(this._host, this._scope, this._frag), this.frag.before(this.anchor);
                },
                remove: function () {
                    this.frag && (this.frag.remove(), this.frag = null), this.elseEl && !this.elseFrag && (this.elseFactory || (this.elseFactory = new se(this.elseEl._context || this.vm, this.elseEl)), this.elseFrag = this.elseFactory.create(this._host, this._scope, this._frag), this.elseFrag.before(this.anchor));
                },
                unbind: function () {
                    this.frag && this.frag.destroy(), this.elseFrag && this.elseFrag.destroy();
                }
            }, Gr = {
                bind: function () {
                    var t = this.el.nextElementSibling;
                    t && null !== I(t, 'v-else') && (this.elseEl = t);
                },
                update: function (t) {
                    this.apply(this.el, t), this.elseEl && this.apply(this.elseEl, !t);
                },
                apply: function (t, e) {
                    function i() {
                        t.style.display = e ? '' : 'none';
                    }
                    H(t) ? R(t, e ? 1 : -1, i, this.vm) : i();
                }
            }, Zr = {
                bind: function () {
                    var t = this, e = this.el, i = 'range' === e.type, n = this.params.lazy, r = this.params.number, s = this.params.debounce, a = !1;
                    if (Vi || i || (this.on('compositionstart', function () {
                            a = !0;
                        }), this.on('compositionend', function () {
                            a = !1, n || t.listener();
                        })), this.focused = !1, i || n || (this.on('focus', function () {
                            t.focused = !0;
                        }), this.on('blur', function () {
                            t.focused = !1, (!t._frag || t._frag.inserted) && t.rawListener();
                        })), this.listener = this.rawListener = function () {
                            if (!a && t._bound) {
                                var n = r || i ? o(e.value) : e.value;
                                t.set(n), Yi(function () {
                                    t._bound && !t.focused && t.update(t._watcher.value);
                                });
                            }
                        }, s && (this.listener = y(this.listener, s)), this.hasjQuery = 'function' == typeof jQuery, this.hasjQuery) {
                        var h = jQuery.fn.on ? 'on' : 'bind';
                        jQuery(e)[h]('change', this.rawListener), n || jQuery(e)[h]('input', this.listener);
                    } else
                        this.on('change', this.rawListener), n || this.on('input', this.listener);
                    !n && Mi && (this.on('cut', function () {
                        Yi(t.listener);
                    }), this.on('keyup', function (e) {
                        (46 === e.keyCode || 8 === e.keyCode) && t.listener();
                    })), (e.hasAttribute('value') || 'TEXTAREA' === e.tagName && e.value.trim()) && (this.afterBind = this.listener);
                },
                update: function (t) {
                    t = s(t), t !== this.el.value && (this.el.value = t);
                },
                unbind: function () {
                    var t = this.el;
                    if (this.hasjQuery) {
                        var e = jQuery.fn.off ? 'off' : 'unbind';
                        jQuery(t)[e]('change', this.listener), jQuery(t)[e]('input', this.listener);
                    }
                }
            }, Xr = {
                bind: function () {
                    var t = this, e = this.el;
                    this.getValue = function () {
                        if (e.hasOwnProperty('_value'))
                            return e._value;
                        var i = e.value;
                        return t.params.number && (i = o(i)), i;
                    }, this.listener = function () {
                        t.set(t.getValue());
                    }, this.on('change', this.listener), e.hasAttribute('checked') && (this.afterBind = this.listener);
                },
                update: function (t) {
                    this.el.checked = C(t, this.getValue());
                }
            }, Yr = {
                bind: function () {
                    var t = this, e = this, i = this.el;
                    this.forceUpdate = function () {
                        e._watcher && e.update(e._watcher.get());
                    };
                    var n = this.multiple = i.hasAttribute('multiple');
                    this.listener = function () {
                        var t = ce(i, n);
                        t = e.params.number ? Di(t) ? t.map(o) : o(t) : t, e.set(t);
                    }, this.on('change', this.listener);
                    var r = ce(i, n, !0);
                    (n && r.length || !n && null !== r) && (this.afterBind = this.listener), this.vm.$on('hook:attached', function () {
                        Yi(t.forceUpdate);
                    }), H(i) || Yi(this.forceUpdate);
                },
                update: function (t) {
                    var e = this.el;
                    e.selectedIndex = -1;
                    for (var i, n, r = this.multiple && Di(t), s = e.options, o = s.length; o--;)
                        i = s[o], n = i.hasOwnProperty('_value') ? i._value : i.value, i.selected = r ? ue(t, n) > -1 : C(t, n);
                },
                unbind: function () {
                    this.vm.$off('hook:attached', this.forceUpdate);
                }
            }, Kr = {
                bind: function () {
                    function t() {
                        var t = i.checked;
                        return t && i.hasOwnProperty('_trueValue') ? i._trueValue : !t && i.hasOwnProperty('_falseValue') ? i._falseValue : t;
                    }
                    var e = this, i = this.el;
                    this.getValue = function () {
                        return i.hasOwnProperty('_value') ? i._value : e.params.number ? o(i.value) : i.value;
                    }, this.listener = function () {
                        var n = e._watcher.value;
                        if (Di(n)) {
                            var r = e.getValue();
                            i.checked ? b(n, r) < 0 && n.push(r) : n.$remove(r);
                        } else
                            e.set(t());
                    }, this.on('change', this.listener), i.hasAttribute('checked') && (this.afterBind = this.listener);
                },
                update: function (t) {
                    var e = this.el;
                    Di(t) ? e.checked = b(t, this.getValue()) > -1 : e.hasOwnProperty('_trueValue') ? e.checked = C(t, e._trueValue) : e.checked = !!t;
                }
            }, ts = {
                text: Zr,
                radio: Xr,
                select: Yr,
                checkbox: Kr
            }, es = {
                priority: Lr,
                twoWay: !0,
                handlers: ts,
                params: [
                    'lazy',
                    'number',
                    'debounce'
                ],
                bind: function () {
                    this.checkFilters(), this.hasRead && !this.hasWrite;
                    var t, e = this.el, i = e.tagName;
                    if ('INPUT' === i)
                        t = ts[e.type] || ts.text;
                    else if ('SELECT' === i)
                        t = ts.select;
                    else {
                        if ('TEXTAREA' !== i)
                            return;
                        t = ts.text;
                    }
                    e.__v_model = this, t.bind.call(this), this.update = t.update, this._unbind = t.unbind;
                },
                checkFilters: function () {
                    var t = this.filters;
                    if (t)
                        for (var e = t.length; e--;) {
                            var i = gt(this.vm.$options, 'filters', t[e].name);
                            ('function' == typeof i || i.read) && (this.hasRead = !0), i.write && (this.hasWrite = !0);
                        }
                },
                unbind: function () {
                    this.el.__v_model = null, this._unbind && this._unbind();
                }
            }, is = {
                esc: 27,
                tab: 9,
                enter: 13,
                space: 32,
                'delete': [
                    8,
                    46
                ],
                up: 38,
                left: 37,
                right: 39,
                down: 40
            }, ns = {
                priority: Rr,
                acceptStatement: !0,
                keyCodes: is,
                bind: function () {
                    if ('IFRAME' === this.el.tagName && 'load' !== this.arg) {
                        var t = this;
                        this.iframeBind = function () {
                            q(t.el.contentWindow, t.arg, t.handler, t.modifiers.capture);
                        }, this.on('load', this.iframeBind);
                    }
                },
                update: function (t) {
                    if (this.descriptor.raw || (t = function () {
                        }), 'function' == typeof t) {
                        this.modifiers.stop && (t = pe(t)), this.modifiers.prevent && (t = de(t)), this.modifiers.self && (t = ve(t));
                        var e = Object.keys(this.modifiers).filter(function (t) {
                            return 'stop' !== t && 'prevent' !== t && 'self' !== t && 'capture' !== t;
                        });
                        e.length && (t = fe(t, e)), this.reset(), this.handler = t, this.iframeBind ? this.iframeBind() : q(this.el, this.arg, this.handler, this.modifiers.capture);
                    }
                },
                reset: function () {
                    var t = this.iframeBind ? this.el.contentWindow : this.el;
                    this.handler && Q(t, this.arg, this.handler);
                },
                unbind: function () {
                    this.reset();
                }
            }, rs = [
                '-webkit-',
                '-moz-',
                '-ms-'
            ], ss = [
                'Webkit',
                'Moz',
                'ms'
            ], os = /!important;?$/, as = Object.create(null), hs = null, ls = {
                deep: !0,
                update: function (t) {
                    'string' == typeof t ? this.el.style.cssText = t : Di(t) ? this.handleObject(t.reduce(v, {})) : this.handleObject(t || {});
                },
                handleObject: function (t) {
                    var e, i, n = this.cache || (this.cache = {});
                    for (e in n)
                        e in t || (this.handleSingle(e, null), delete n[e]);
                    for (e in t)
                        i = t[e], i !== n[e] && (n[e] = i, this.handleSingle(e, i));
                },
                handleSingle: function (t, e) {
                    if (t = me(t))
                        if (null != e && (e += ''), e) {
                            var i = os.test(e) ? 'important' : '';
                            i ? (e = e.replace(os, '').trim(), this.el.style.setProperty(t.kebab, e, i)) : this.el.style[t.camel] = e;
                        } else
                            this.el.style[t.camel] = '';
                }
            }, cs = 'http://www.w3.org/1999/xlink', us = /^xlink:/, fs = /^v-|^:|^@|^(?:is|transition|transition-mode|debounce|track-by|stagger|enter-stagger|leave-stagger)$/, ps = /^(?:value|checked|selected|muted)$/, ds = /^(?:draggable|contenteditable|spellcheck)$/, vs = {
                value: '_value',
                'true-value': '_trueValue',
                'false-value': '_falseValue'
            }, ms = {
                priority: Hr,
                bind: function () {
                    var t = this.arg, e = this.el.tagName;
                    t || (this.deep = !0);
                    var i = this.descriptor, n = i.interp;
                    n && (i.hasOneTime && (this.expression = j(n, this._scope || this.vm)), (fs.test(t) || 'name' === t && ('PARTIAL' === e || 'SLOT' === e)) && (this.el.removeAttribute(t), this.invalid = !0));
                },
                update: function (t) {
                    if (!this.invalid) {
                        var e = this.arg;
                        this.arg ? this.handleSingle(e, t) : this.handleObject(t || {});
                    }
                },
                handleObject: ls.handleObject,
                handleSingle: function (t, e) {
                    var i = this.el, n = this.descriptor.interp;
                    if (this.modifiers.camel && (t = l(t)), !n && ps.test(t) && t in i) {
                        var r = 'value' === t && null == e ? '' : e;
                        i[t] !== r && (i[t] = r);
                    }
                    var s = vs[t];
                    if (!n && s) {
                        i[s] = e;
                        var o = i.__v_model;
                        o && o.listener();
                    }
                    return 'value' === t && 'TEXTAREA' === i.tagName ? void i.removeAttribute(t) : void (ds.test(t) ? i.setAttribute(t, e ? 'true' : 'false') : null != e && e !== !1 ? 'class' === t ? (i.__v_trans && (e += ' ' + i.__v_trans.id + '-transition'), Z(i, e)) : us.test(t) ? i.setAttributeNS(cs, t, e === !0 ? '' : e) : i.setAttribute(t, e === !0 ? '' : e) : i.removeAttribute(t));
                }
            }, gs = {
                priority: Mr,
                bind: function () {
                    if (this.arg) {
                        var t = this.id = l(this.arg), e = (this._scope || this.vm).$els;
                        i(e, t) ? e[t] = this.el : kt(e, t, this.el);
                    }
                },
                unbind: function () {
                    var t = (this._scope || this.vm).$els;
                    t[this.id] === this.el && (t[this.id] = null);
                }
            }, _s = {
                bind: function () {
                }
            }, ys = {
                bind: function () {
                    var t = this.el;
                    this.vm.$once('pre-hook:compiled', function () {
                        t.removeAttribute('v-cloak');
                    });
                }
            }, bs = {
                text: kr,
                html: Dr,
                'for': qr,
                'if': Qr,
                show: Gr,
                model: es,
                on: ns,
                bind: ms,
                el: gs,
                ref: _s,
                cloak: ys
            }, ws = {
                deep: !0,
                update: function (t) {
                    t ? 'string' == typeof t ? this.setClass(t.trim().split(/\s+/)) : this.setClass(_e(t)) : this.cleanup();
                },
                setClass: function (t) {
                    this.cleanup(t);
                    for (var e = 0, i = t.length; i > e; e++) {
                        var n = t[e];
                        n && ye(this.el, n, X);
                    }
                    this.prevKeys = t;
                },
                cleanup: function (t) {
                    var e = this.prevKeys;
                    if (e)
                        for (var i = e.length; i--;) {
                            var n = e[i];
                            (!t || t.indexOf(n) < 0) && ye(this.el, n, Y);
                        }
                }
            }, Cs = {
                priority: Vr,
                params: [
                    'keep-alive',
                    'transition-mode',
                    'inline-template'
                ],
                bind: function () {
                    this.el.__vue__ || (this.keepAlive = this.params.keepAlive, this.keepAlive && (this.cache = {}), this.params.inlineTemplate && (this.inlineTemplate = K(this.el, !0)), this.pendingComponentCb = this.Component = null, this.pendingRemovals = 0, this.pendingRemovalCb = null, this.anchor = nt('v-component'), J(this.el, this.anchor), this.el.removeAttribute('is'), this.el.removeAttribute(':is'), this.descriptor.ref && this.el.removeAttribute('v-ref:' + u(this.descriptor.ref)), this.literal && this.setComponent(this.expression));
                },
                update: function (t) {
                    this.literal || this.setComponent(t);
                },
                setComponent: function (t, e) {
                    if (this.invalidatePending(), t) {
                        var i = this;
                        this.resolveComponent(t, function () {
                            i.mountComponent(e);
                        });
                    } else
                        this.unbuild(!0), this.remove(this.childVM, e), this.childVM = null;
                },
                resolveComponent: function (t, e) {
                    var i = this;
                    this.pendingComponentCb = w(function (n) {
                        i.ComponentName = n.options.name || ('string' == typeof t ? t : null), i.Component = n, e();
                    }), this.vm._resolveComponent(t, this.pendingComponentCb);
                },
                mountComponent: function (t) {
                    this.unbuild(!0);
                    var e = this, i = this.Component.options.activate, n = this.getCached(), r = this.build();
                    i && !n ? (this.waitingFor = r, be(i, r, function () {
                        e.waitingFor === r && (e.waitingFor = null, e.transition(r, t));
                    })) : (n && r._updateRef(), this.transition(r, t));
                },
                invalidatePending: function () {
                    this.pendingComponentCb && (this.pendingComponentCb.cancel(), this.pendingComponentCb = null);
                },
                build: function (t) {
                    var e = this.getCached();
                    if (e)
                        return e;
                    if (this.Component) {
                        var i = {
                            name: this.ComponentName,
                            el: Zt(this.el),
                            template: this.inlineTemplate,
                            parent: this._host || this.vm,
                            _linkerCachable: !this.inlineTemplate,
                            _ref: this.descriptor.ref,
                            _asComponent: !0,
                            _isRouterView: this._isRouterView,
                            _context: this.vm,
                            _scope: this._scope,
                            _frag: this._frag
                        };
                        t && v(i, t);
                        var n = new this.Component(i);
                        return this.keepAlive && (this.cache[this.Component.cid] = n), n;
                    }
                },
                getCached: function () {
                    return this.keepAlive && this.cache[this.Component.cid];
                },
                unbuild: function (t) {
                    this.waitingFor && (this.keepAlive || this.waitingFor.$destroy(), this.waitingFor = null);
                    var e = this.childVM;
                    return !e || this.keepAlive ? void (e && (e._inactive = !0, e._updateRef(!0))) : void e.$destroy(!1, t);
                },
                remove: function (t, e) {
                    var i = this.keepAlive;
                    if (t) {
                        this.pendingRemovals++, this.pendingRemovalCb = e;
                        var n = this;
                        t.$remove(function () {
                            n.pendingRemovals--, i || t._cleanup(), !n.pendingRemovals && n.pendingRemovalCb && (n.pendingRemovalCb(), n.pendingRemovalCb = null);
                        });
                    } else
                        e && e();
                },
                transition: function (t, e) {
                    var i = this, n = this.childVM;
                    switch (n && (n._inactive = !0), t._inactive = !1, this.childVM = t, i.params.transitionMode) {
                    case 'in-out':
                        t.$before(i.anchor, function () {
                            i.remove(n, e);
                        });
                        break;
                    case 'out-in':
                        i.remove(n, function () {
                            t.$before(i.anchor, e);
                        });
                        break;
                    default:
                        i.remove(n), t.$before(i.anchor, e);
                    }
                },
                unbind: function () {
                    if (this.invalidatePending(), this.unbuild(), this.cache) {
                        for (var t in this.cache)
                            this.cache[t].$destroy();
                        this.cache = null;
                    }
                }
            }, $s = An._propBindingModes, ks = {}, xs = /^[$_a-zA-Z]+[\w$]*$/, As = An._propBindingModes, Os = {
                bind: function () {
                    var t = this.vm, e = t._context, i = this.descriptor.prop, n = i.path, r = i.parentPath, s = i.mode === As.TWO_WAY, o = this.parentWatcher = new Ut(e, r, function (e) {
                            xe(t, i, e);
                        }, {
                            twoWay: s,
                            filters: i.filters,
                            scope: this._scope
                        });
                    if (ke(t, i, o.value), s) {
                        var a = this;
                        t.$once('pre-hook:created', function () {
                            a.childWatcher = new Ut(t, n, function (t) {
                                o.set(t);
                            }, { sync: !0 });
                        });
                    }
                },
                unbind: function () {
                    this.parentWatcher.teardown(), this.childWatcher && this.childWatcher.teardown();
                }
            }, Ts = [], Ns = !1, js = 'transition', Es = 'animation', Ss = Ji + 'Duration', Fs = Qi + 'Duration', Ds = Ri && window.requestAnimationFrame, Ps = Ds ? function (t) {
                Ds(function () {
                    Ds(t);
                });
            } : function (t) {
                setTimeout(t, 50);
            }, Rs = Se.prototype;
        Rs.enter = function (t, e) {
            this.cancelPending(), this.callHook('beforeEnter'), this.cb = e, X(this.el, this.enterClass), t(), this.entered = !1, this.callHookWithCb('enter'), this.entered || (this.cancel = this.hooks && this.hooks.enterCancelled, je(this.enterNextTick));
        }, Rs.enterNextTick = function () {
            var t = this;
            this.justEntered = !0, Ps(function () {
                t.justEntered = !1;
            });
            var e = this.enterDone, i = this.getCssTransitionType(this.enterClass);
            this.pendingJsCb ? i === js && Y(this.el, this.enterClass) : i === js ? (Y(this.el, this.enterClass), this.setupCssCb(qi, e)) : i === Es ? this.setupCssCb(Gi, e) : e();
        }, Rs.enterDone = function () {
            this.entered = !0, this.cancel = this.pendingJsCb = null, Y(this.el, this.enterClass), this.callHook('afterEnter'), this.cb && this.cb();
        }, Rs.leave = function (t, e) {
            this.cancelPending(), this.callHook('beforeLeave'), this.op = t, this.cb = e, X(this.el, this.leaveClass), this.left = !1, this.callHookWithCb('leave'), this.left || (this.cancel = this.hooks && this.hooks.leaveCancelled, this.op && !this.pendingJsCb && (this.justEntered ? this.leaveDone() : je(this.leaveNextTick)));
        }, Rs.leaveNextTick = function () {
            var t = this.getCssTransitionType(this.leaveClass);
            if (t) {
                var e = t === js ? qi : Gi;
                this.setupCssCb(e, this.leaveDone);
            } else
                this.leaveDone();
        }, Rs.leaveDone = function () {
            this.left = !0, this.cancel = this.pendingJsCb = null, this.op(), Y(this.el, this.leaveClass), this.callHook('afterLeave'), this.cb && this.cb(), this.op = null;
        }, Rs.cancelPending = function () {
            this.op = this.cb = null;
            var t = !1;
            this.pendingCssCb && (t = !0, Q(this.el, this.pendingCssEvent, this.pendingCssCb), this.pendingCssEvent = this.pendingCssCb = null), this.pendingJsCb && (t = !0, this.pendingJsCb.cancel(), this.pendingJsCb = null), t && (Y(this.el, this.enterClass), Y(this.el, this.leaveClass)), this.cancel && (this.cancel.call(this.vm, this.el), this.cancel = null);
        }, Rs.callHook = function (t) {
            this.hooks && this.hooks[t] && this.hooks[t].call(this.vm, this.el);
        }, Rs.callHookWithCb = function (t) {
            var e = this.hooks && this.hooks[t];
            e && (e.length > 1 && (this.pendingJsCb = w(this[t + 'Done'])), e.call(this.vm, this.el, this.pendingJsCb));
        }, Rs.getCssTransitionType = function (t) {
            if (!(!qi || document.hidden || this.hooks && this.hooks.css === !1 || Fe(this.el))) {
                var e = this.type || this.typeCache[t];
                if (e)
                    return e;
                var i = this.el.style, n = window.getComputedStyle(this.el), r = i[Ss] || n[Ss];
                if (r && '0s' !== r)
                    e = js;
                else {
                    var s = i[Fs] || n[Fs];
                    s && '0s' !== s && (e = Es);
                }
                return e && (this.typeCache[t] = e), e;
            }
        }, Rs.setupCssCb = function (t, e) {
            this.pendingCssEvent = t;
            var i = this, n = this.el, r = this.pendingCssCb = function (s) {
                    s.target === n && (Q(n, t, r), i.pendingCssEvent = i.pendingCssCb = null, !i.pendingJsCb && e && e());
                };
            q(n, t, r);
        };
        var Ls = {
                priority: Ir,
                update: function (t, e) {
                    var i = this.el, n = gt(this.vm.$options, 'transitions', t);
                    t = t || 'v', e = e || 'v', i.__v_trans = new Se(i, t, n, this.vm), Y(i, e + '-transition'), X(i, t + '-transition');
                }
            }, Hs = {
                style: ls,
                'class': ws,
                component: Cs,
                prop: Os,
                transition: Ls
            }, Is = /^v-bind:|^:/, Ms = /^v-on:|^@/, Vs = /^v-([^:]+)(?:$|:(.*)$)/, Bs = /\.[^\.]+/g, Ws = /^(v-bind:|:)?transition$/, zs = 1000, Us = 2000;
        Ye.terminal = !0;
        var Js = /[^\w\-:\.]/, qs = Object.freeze({
                compile: De,
                compileAndLinkProps: Ie,
                compileRoot: Me,
                transclude: si,
                resolveSlots: li
            }), Qs = /^v-on:|^@/;
        di.prototype._bind = function () {
            var t = this.name, e = this.descriptor;
            if (('cloak' !== t || this.vm._isCompiled) && this.el && this.el.removeAttribute) {
                var i = e.attr || 'v-' + t;
                this.el.removeAttribute(i);
            }
            var n = e.def;
            if ('function' == typeof n ? this.update = n : v(this, n), this._setupParams(), this.bind && this.bind(), this._bound = !0, this.literal)
                this.update && this.update(e.raw);
            else if ((this.expression || this.modifiers) && (this.update || this.twoWay) && !this._checkStatement()) {
                var r = this;
                this.update ? this._update = function (t, e) {
                    r._locked || r.update(t, e);
                } : this._update = pi;
                var s = this._preProcess ? p(this._preProcess, this) : null, o = this._postProcess ? p(this._postProcess, this) : null, a = this._watcher = new Ut(this.vm, this.expression, this._update, {
                        filters: this.filters,
                        twoWay: this.twoWay,
                        deep: this.deep,
                        preProcess: s,
                        postProcess: o,
                        scope: this._scope
                    });
                this.afterBind ? this.afterBind() : this.update && this.update(a.value);
            }
        }, di.prototype._setupParams = function () {
            if (this.params) {
                var t = this.params;
                this.params = Object.create(null);
                for (var e, i, n, r = t.length; r--;)
                    e = u(t[r]), n = l(e), i = M(this.el, e), null != i ? this._setupParamWatcher(n, i) : (i = I(this.el, e), null != i && (this.params[n] = '' === i ? !0 : i));
            }
        }, di.prototype._setupParamWatcher = function (t, e) {
            var i = this, n = !1, r = (this._scope || this.vm).$watch(e, function (e, r) {
                    if (i.params[t] = e, n) {
                        var s = i.paramWatchers && i.paramWatchers[t];
                        s && s.call(i, e, r);
                    } else
                        n = !0;
                }, {
                    immediate: !0,
                    user: !1
                });
            (this._paramUnwatchFns || (this._paramUnwatchFns = [])).push(r);
        }, di.prototype._checkStatement = function () {
            var t = this.expression;
            if (t && this.acceptStatement && !Mt(t)) {
                var e = It(t).get, i = this._scope || this.vm, n = function (t) {
                        i.$event = t, e.call(i, i), i.$event = null;
                    };
                return this.filters && (n = i._applyFilters(n, null, this.filters)), this.update(n), !0;
            }
        }, di.prototype.set = function (t) {
            this.twoWay && this._withLock(function () {
                this._watcher.set(t);
            });
        }, di.prototype._withLock = function (t) {
            var e = this;
            e._locked = !0, t.call(e), Yi(function () {
                e._locked = !1;
            });
        }, di.prototype.on = function (t, e, i) {
            q(this.el, t, e, i), (this._listeners || (this._listeners = [])).push([
                t,
                e
            ]);
        }, di.prototype._teardown = function () {
            if (this._bound) {
                this._bound = !1, this.unbind && this.unbind(), this._watcher && this._watcher.teardown();
                var t, e = this._listeners;
                if (e)
                    for (t = e.length; t--;)
                        Q(this.el, e[t][0], e[t][1]);
                var i = this._paramUnwatchFns;
                if (i)
                    for (t = i.length; t--;)
                        i[t]();
                this.vm = this.el = this._watcher = this._listeners = null;
            }
        };
        var Gs = /[^|]\|[^|]/;
        xt(wi), ui(wi), fi(wi), vi(wi), mi(wi), gi(wi), _i(wi), yi(wi), bi(wi);
        var Zs = {
                priority: Ur,
                params: ['name'],
                bind: function () {
                    var t = this.params.name || 'default', e = this.vm._slotContents && this.vm._slotContents[t];
                    e && e.hasChildNodes() ? this.compile(e.cloneNode(!0), this.vm._context, this.vm) : this.fallback();
                },
                compile: function (t, e, i) {
                    if (t && e) {
                        if (this.el.hasChildNodes() && 1 === t.childNodes.length && 1 === t.childNodes[0].nodeType && t.childNodes[0].hasAttribute('v-if')) {
                            var n = document.createElement('template');
                            n.setAttribute('v-else', ''), n.innerHTML = this.el.innerHTML, n._context = this.vm, t.appendChild(n);
                        }
                        var r = i ? i._scope : this._scope;
                        this.unlink = e.$compile(t, i, r, this._frag);
                    }
                    t ? J(this.el, t) : z(this.el);
                },
                fallback: function () {
                    this.compile(K(this.el, !0), this.vm);
                },
                unbind: function () {
                    this.unlink && this.unlink();
                }
            }, Xs = {
                priority: Br,
                params: ['name'],
                paramWatchers: {
                    name: function (t) {
                        Qr.remove.call(this), t && this.insert(t);
                    }
                },
                bind: function () {
                    this.anchor = nt('v-partial'), J(this.el, this.anchor), this.insert(this.params.name);
                },
                insert: function (t) {
                    var e = gt(this.vm.$options, 'partials', t, !0);
                    e && (this.factory = new se(this.vm, e), Qr.insert.call(this));
                },
                unbind: function () {
                    this.frag && this.frag.destroy();
                }
            }, Ys = {
                slot: Zs,
                partial: Xs
            }, Ks = qr._postProcess, to = /(\d{3})(?=\d)/g, eo = {
                orderBy: ki,
                filterBy: $i,
                limitBy: Ci,
                json: {
                    read: function (t, e) {
                        return 'string' == typeof t ? t : JSON.stringify(t, null, arguments.length > 1 ? e : 2);
                    },
                    write: function (t) {
                        try {
                            return JSON.parse(t);
                        } catch (e) {
                            return t;
                        }
                    }
                },
                capitalize: function (t) {
                    return t || 0 === t ? (t = t.toString(), t.charAt(0).toUpperCase() + t.slice(1)) : '';
                },
                uppercase: function (t) {
                    return t || 0 === t ? t.toString().toUpperCase() : '';
                },
                lowercase: function (t) {
                    return t || 0 === t ? t.toString().toLowerCase() : '';
                },
                currency: function (t, e, i) {
                    if (t = parseFloat(t), !isFinite(t) || !t && 0 !== t)
                        return '';
                    e = null != e ? e : '$', i = null != i ? i : 2;
                    var n = Math.abs(t).toFixed(i), r = i ? n.slice(0, -1 - i) : n, s = r.length % 3, o = s > 0 ? r.slice(0, s) + (r.length > 3 ? ',' : '') : '', a = i ? n.slice(-1 - i) : '', h = 0 > t ? '-' : '';
                    return h + e + o + r.slice(s).replace(to, '$1,') + a;
                },
                pluralize: function (t) {
                    var e = d(arguments, 1), i = e.length;
                    if (i > 1) {
                        var n = t % 10 - 1;
                        return n in e ? e[n] : e[i - 1];
                    }
                    return e[0] + (1 === t ? '' : 's');
                },
                debounce: function (t, e) {
                    return t ? (e || (e = 300), y(t, e)) : void 0;
                }
            };
        return Ai(wi), wi.version = '1.0.26', setTimeout(function () {
            An.devtools && Li && Li.emit('init', wi);
        }, 0), wi;
    });
}.call(this));
(function (window, document, Math) {
    var rAF = window.requestAnimationFrame || window.webkitRequestAnimationFrame || window.mozRequestAnimationFrame || window.oRequestAnimationFrame || window.msRequestAnimationFrame || function (callback) {
        window.setTimeout(callback, 1000 / 60);
    };
    var utils = function () {
        var me = {};
        var _elementStyle = document.createElement('div').style;
        var _vendor = function () {
            var vendors = [
                    't',
                    'webkitT',
                    'MozT',
                    'msT',
                    'OT'
                ], transform, i = 0, l = vendors.length;
            for (; i < l; i++) {
                transform = vendors[i] + 'ransform';
                if (transform in _elementStyle)
                    return vendors[i].substr(0, vendors[i].length - 1);
            }
            return false;
        }();
        function _prefixStyle(style) {
            if (_vendor === false)
                return false;
            if (_vendor === '')
                return style;
            return _vendor + style.charAt(0).toUpperCase() + style.substr(1);
        }
        me.getTime = Date.now || function getTime() {
            return new Date().getTime();
        };
        me.extend = function (target, obj) {
            for (var i in obj) {
                target[i] = obj[i];
            }
        };
        me.addEvent = function (el, type, fn, capture) {
            el.addEventListener(type, fn, !!capture);
        };
        me.removeEvent = function (el, type, fn, capture) {
            el.removeEventListener(type, fn, !!capture);
        };
        me.prefixPointerEvent = function (pointerEvent) {
            return window.MSPointerEvent ? 'MSPointer' + pointerEvent.charAt(7).toUpperCase() + pointerEvent.substr(8) : pointerEvent;
        };
        me.momentum = function (current, start, time, lowerMargin, wrapperSize, deceleration) {
            var distance = current - start, speed = Math.abs(distance) / time, destination, duration;
            deceleration = deceleration === undefined ? 0.0006 : deceleration;
            destination = current + speed * speed / (2 * deceleration) * (distance < 0 ? -1 : 1);
            duration = speed / deceleration;
            if (destination < lowerMargin) {
                destination = wrapperSize ? lowerMargin - wrapperSize / 2.5 * (speed / 8) : lowerMargin;
                distance = Math.abs(destination - current);
                duration = distance / speed;
            } else if (destination > 0) {
                destination = wrapperSize ? wrapperSize / 2.5 * (speed / 8) : 0;
                distance = Math.abs(current) + destination;
                duration = distance / speed;
            }
            return {
                destination: Math.round(destination),
                duration: duration
            };
        };
        var _transform = _prefixStyle('transform');
        me.extend(me, {
            hasTransform: _transform !== false,
            hasPerspective: _prefixStyle('perspective') in _elementStyle,
            hasTouch: 'ontouchstart' in window,
            hasPointer: !!(window.PointerEvent || window.MSPointerEvent),
            hasTransition: _prefixStyle('transition') in _elementStyle
        });
        me.isBadAndroid = function () {
            var appVersion = window.navigator.appVersion;
            if (/Android/.test(appVersion) && !/Chrome\/\d/.test(appVersion)) {
                var safariVersion = appVersion.match(/Safari\/(\d+.\d)/);
                if (safariVersion && typeof safariVersion === 'object' && safariVersion.length >= 2) {
                    return parseFloat(safariVersion[1]) < 535.19;
                } else {
                    return true;
                }
            } else {
                return false;
            }
        }();
        me.extend(me.style = {}, {
            transform: _transform,
            transitionTimingFunction: _prefixStyle('transitionTimingFunction'),
            transitionDuration: _prefixStyle('transitionDuration'),
            transitionDelay: _prefixStyle('transitionDelay'),
            transformOrigin: _prefixStyle('transformOrigin'),
            touchAction: _prefixStyle('touchAction')
        });
        me.hasClass = function (e, c) {
            var re = new RegExp('(^|\\s)' + c + '(\\s|$)');
            return re.test(e.className);
        };
        me.addClass = function (e, c) {
            if (me.hasClass(e, c)) {
                return;
            }
            var newclass = e.className.split(' ');
            newclass.push(c);
            e.className = newclass.join(' ');
        };
        me.removeClass = function (e, c) {
            if (!me.hasClass(e, c)) {
                return;
            }
            var re = new RegExp('(^|\\s)' + c + '(\\s|$)', 'g');
            e.className = e.className.replace(re, ' ');
        };
        me.offset = function (el) {
            var left = -el.offsetLeft, top = -el.offsetTop;
            while (el = el.offsetParent) {
                left -= el.offsetLeft;
                top -= el.offsetTop;
            }
            return {
                left: left,
                top: top
            };
        };
        me.preventDefaultException = function (el, exceptions) {
            for (var i in exceptions) {
                if (exceptions[i].test(el[i])) {
                    return true;
                }
            }
            return false;
        };
        me.extend(me.eventType = {}, {
            touchstart: 1,
            touchmove: 1,
            touchend: 1,
            mousedown: 2,
            mousemove: 2,
            mouseup: 2,
            pointerdown: 3,
            pointermove: 3,
            pointerup: 3,
            MSPointerDown: 3,
            MSPointerMove: 3,
            MSPointerUp: 3
        });
        me.extend(me.ease = {}, {
            quadratic: {
                style: 'cubic-bezier(0.25, 0.46, 0.45, 0.94)',
                fn: function (k) {
                    return k * (2 - k);
                }
            },
            circular: {
                style: 'cubic-bezier(0.1, 0.57, 0.1, 1)',
                fn: function (k) {
                    return Math.sqrt(1 - --k * k);
                }
            },
            back: {
                style: 'cubic-bezier(0.175, 0.885, 0.32, 1.275)',
                fn: function (k) {
                    var b = 4;
                    return (k = k - 1) * k * ((b + 1) * k + b) + 1;
                }
            },
            bounce: {
                style: '',
                fn: function (k) {
                    if ((k /= 1) < 1 / 2.75) {
                        return 7.5625 * k * k;
                    } else if (k < 2 / 2.75) {
                        return 7.5625 * (k -= 1.5 / 2.75) * k + 0.75;
                    } else if (k < 2.5 / 2.75) {
                        return 7.5625 * (k -= 2.25 / 2.75) * k + 0.9375;
                    } else {
                        return 7.5625 * (k -= 2.625 / 2.75) * k + 0.984375;
                    }
                }
            },
            elastic: {
                style: '',
                fn: function (k) {
                    var f = 0.22, e = 0.4;
                    if (k === 0) {
                        return 0;
                    }
                    if (k == 1) {
                        return 1;
                    }
                    return e * Math.pow(2, -10 * k) * Math.sin((k - f / 4) * (2 * Math.PI) / f) + 1;
                }
            }
        });
        me.tap = function (e, eventName) {
            var ev = document.createEvent('Event');
            ev.initEvent(eventName, true, true);
            ev.pageX = e.pageX;
            ev.pageY = e.pageY;
            e.target.dispatchEvent(ev);
        };
        me.click = function (e) {
            var target = e.target, ev;
            if (!/(SELECT|INPUT|TEXTAREA)/i.test(target.tagName)) {
                ev = document.createEvent(window.MouseEvent ? 'MouseEvents' : 'Event');
                ev.initEvent('click', true, true);
                ev.view = e.view || window;
                ev.detail = 1;
                ev.screenX = target.screenX || 0;
                ev.screenY = target.screenY || 0;
                ev.clientX = target.clientX || 0;
                ev.clientY = target.clientY || 0;
                ev.ctrlKey = !!e.ctrlKey;
                ev.altKey = !!e.altKey;
                ev.shiftKey = !!e.shiftKey;
                ev.metaKey = !!e.metaKey;
                ev.button = 0;
                ev.relatedTarget = null;
                ev._constructed = true;
                target.dispatchEvent(ev);
            }
        };
        me.getTouchAction = function (eventPassthrough, addPinch) {
            var touchAction = 'none';
            if (eventPassthrough === 'vertical') {
                touchAction = 'pan-y';
            } else if (eventPassthrough === 'horizontal') {
                touchAction = 'pan-x';
            }
            if (addPinch && touchAction != 'none') {
                touchAction += ' pinch-zoom';
            }
            return touchAction;
        };
        me.getRect = function (el) {
            if (el instanceof SVGElement) {
                var rect = el.getBoundingClientRect();
                return {
                    top: rect.top,
                    left: rect.left,
                    width: rect.width,
                    height: rect.height
                };
            } else {
                return {
                    top: el.offsetTop,
                    left: el.offsetLeft,
                    width: el.offsetWidth,
                    height: el.offsetHeight
                };
            }
        };
        return me;
    }();
    function IScroll(el, options) {
        this.wrapper = typeof el == 'string' ? document.querySelector(el) : el;
        this.scroller = this.wrapper.children[0];
        this.scrollerStyle = this.scroller.style;
        this.options = {
            resizeScrollbars: true,
            mouseWheelSpeed: 20,
            snapThreshold: 0.334,
            disablePointer: !utils.hasPointer,
            disableTouch: utils.hasPointer || !utils.hasTouch,
            disableMouse: utils.hasPointer || utils.hasTouch,
            startX: 0,
            startY: 0,
            scrollY: true,
            directionLockThreshold: 5,
            momentum: true,
            bounce: true,
            bounceTime: 600,
            bounceEasing: '',
            preventDefault: true,
            preventDefaultException: { tagName: /^(INPUT|TEXTAREA|BUTTON|SELECT)$/ },
            HWCompositing: true,
            useTransition: true,
            useTransform: true,
            bindToWrapper: typeof window.onmousedown === 'undefined'
        };
        for (var i in options) {
            this.options[i] = options[i];
        }
        this.translateZ = this.options.HWCompositing && utils.hasPerspective ? ' translateZ(0)' : '';
        this.options.useTransition = utils.hasTransition && this.options.useTransition;
        this.options.useTransform = utils.hasTransform && this.options.useTransform;
        this.options.eventPassthrough = this.options.eventPassthrough === true ? 'vertical' : this.options.eventPassthrough;
        this.options.preventDefault = !this.options.eventPassthrough && this.options.preventDefault;
        this.options.scrollY = this.options.eventPassthrough == 'vertical' ? false : this.options.scrollY;
        this.options.scrollX = this.options.eventPassthrough == 'horizontal' ? false : this.options.scrollX;
        this.options.freeScroll = this.options.freeScroll && !this.options.eventPassthrough;
        this.options.directionLockThreshold = this.options.eventPassthrough ? 0 : this.options.directionLockThreshold;
        this.options.bounceEasing = typeof this.options.bounceEasing == 'string' ? utils.ease[this.options.bounceEasing] || utils.ease.circular : this.options.bounceEasing;
        this.options.resizePolling = this.options.resizePolling === undefined ? 60 : this.options.resizePolling;
        if (this.options.tap === true) {
            this.options.tap = 'tap';
        }
        if (!this.options.useTransition && !this.options.useTransform) {
            if (!/relative|absolute/i.test(this.scrollerStyle.position)) {
                this.scrollerStyle.position = 'relative';
            }
        }
        if (this.options.shrinkScrollbars == 'scale') {
            this.options.useTransition = false;
        }
        this.options.invertWheelDirection = this.options.invertWheelDirection ? -1 : 1;
        if (this.options.probeType == 3) {
            this.options.useTransition = false;
        }
        this.x = 0;
        this.y = 0;
        this.directionX = 0;
        this.directionY = 0;
        this._events = {};
        this._init();
        this.refresh();
        this.scrollTo(this.options.startX, this.options.startY);
        this.enable();
    }
    IScroll.prototype = {
        version: '5.2.0-snapshot',
        _init: function () {
            this._initEvents();
            if (this.options.scrollbars || this.options.indicators) {
                this._initIndicators();
            }
            if (this.options.mouseWheel) {
                this._initWheel();
            }
            if (this.options.snap) {
                this._initSnap();
            }
            if (this.options.keyBindings) {
                this._initKeys();
            }
        },
        destroy: function () {
            this._initEvents(true);
            clearTimeout(this.resizeTimeout);
            this.resizeTimeout = null;
            this._execEvent('destroy');
        },
        _transitionEnd: function (e) {
            if (e.target != this.scroller || !this.isInTransition) {
                return;
            }
            this._transitionTime();
            if (!this.resetPosition(this.options.bounceTime)) {
                this.isInTransition = false;
                this._execEvent('scrollEnd');
            }
        },
        _start: function (e) {
            if (utils.eventType[e.type] != 1) {
                var button;
                if (!e.which) {
                    button = e.button < 2 ? 0 : e.button == 4 ? 1 : 2;
                } else {
                    button = e.button;
                }
                if (button !== 0) {
                    return;
                }
            }
            if (!this.enabled || this.initiated && utils.eventType[e.type] !== this.initiated) {
                return;
            }
            if (this.options.preventDefault && !utils.isBadAndroid && !utils.preventDefaultException(e.target, this.options.preventDefaultException)) {
                e.preventDefault();
            }
            var point = e.touches ? e.touches[0] : e, pos;
            this.initiated = utils.eventType[e.type];
            this.moved = false;
            this.distX = 0;
            this.distY = 0;
            this.directionX = 0;
            this.directionY = 0;
            this.directionLocked = 0;
            this.startTime = utils.getTime();
            if (this.options.useTransition && this.isInTransition) {
                this._transitionTime();
                this.isInTransition = false;
                pos = this.getComputedPosition();
                this._translate(Math.round(pos.x), Math.round(pos.y));
                this._execEvent('scrollEnd');
            } else if (!this.options.useTransition && this.isAnimating) {
                this.isAnimating = false;
                this._execEvent('scrollEnd');
            }
            this.startX = this.x;
            this.startY = this.y;
            this.absStartX = this.x;
            this.absStartY = this.y;
            this.pointX = point.pageX;
            this.pointY = point.pageY;
            this._execEvent('beforeScrollStart');
        },
        _move: function (e) {
            if (!this.enabled || utils.eventType[e.type] !== this.initiated) {
                return;
            }
            if (this.options.preventDefault) {
                e.preventDefault();
            }
            var point = e.touches ? e.touches[0] : e, deltaX = point.pageX - this.pointX, deltaY = point.pageY - this.pointY, timestamp = utils.getTime(), newX, newY, absDistX, absDistY;
            this.pointX = point.pageX;
            this.pointY = point.pageY;
            this.distX += deltaX;
            this.distY += deltaY;
            absDistX = Math.abs(this.distX);
            absDistY = Math.abs(this.distY);
            if (timestamp - this.endTime > 300 && (absDistX < 10 && absDistY < 10)) {
                return;
            }
            if (!this.directionLocked && !this.options.freeScroll) {
                if (absDistX > absDistY + this.options.directionLockThreshold) {
                    this.directionLocked = 'h';
                } else if (absDistY >= absDistX + this.options.directionLockThreshold) {
                    this.directionLocked = 'v';
                } else {
                    this.directionLocked = 'n';
                }
            }
            if (this.directionLocked == 'h') {
                if (this.options.eventPassthrough == 'vertical') {
                    e.preventDefault();
                } else if (this.options.eventPassthrough == 'horizontal') {
                    this.initiated = false;
                    return;
                }
                deltaY = 0;
            } else if (this.directionLocked == 'v') {
                if (this.options.eventPassthrough == 'horizontal') {
                    e.preventDefault();
                } else if (this.options.eventPassthrough == 'vertical') {
                    this.initiated = false;
                    return;
                }
                deltaX = 0;
            }
            deltaX = this.hasHorizontalScroll ? deltaX : 0;
            deltaY = this.hasVerticalScroll ? deltaY : 0;
            newX = this.x + deltaX;
            newY = this.y + deltaY;
            if (newX > 0 || newX < this.maxScrollX) {
                newX = this.options.bounce ? this.x + deltaX / 3 : newX > 0 ? 0 : this.maxScrollX;
            }
            if (newY > 0 || newY < this.maxScrollY) {
                newY = this.options.bounce ? this.y + deltaY / 3 : newY > 0 ? 0 : this.maxScrollY;
            }
            this.directionX = deltaX > 0 ? -1 : deltaX < 0 ? 1 : 0;
            this.directionY = deltaY > 0 ? -1 : deltaY < 0 ? 1 : 0;
            if (!this.moved) {
                this._execEvent('scrollStart');
            }
            this.moved = true;
            this._translate(newX, newY);
            if (timestamp - this.startTime > 300) {
                this.startTime = timestamp;
                this.startX = this.x;
                this.startY = this.y;
                if (this.options.probeType == 1) {
                    this._execEvent('scroll');
                }
            }
            if (this.options.probeType > 1) {
                this._execEvent('scroll');
            }
        },
        _end: function (e) {
            if (!this.enabled || utils.eventType[e.type] !== this.initiated) {
                return;
            }
            if (this.options.preventDefault && !utils.preventDefaultException(e.target, this.options.preventDefaultException)) {
                e.preventDefault();
            }
            var point = e.changedTouches ? e.changedTouches[0] : e, momentumX, momentumY, duration = utils.getTime() - this.startTime, newX = Math.round(this.x), newY = Math.round(this.y), distanceX = Math.abs(newX - this.startX), distanceY = Math.abs(newY - this.startY), time = 0, easing = '';
            this.isInTransition = 0;
            this.initiated = 0;
            this.endTime = utils.getTime();
            if (this.resetPosition(this.options.bounceTime)) {
                return;
            }
            this.scrollTo(newX, newY);
            if (!this.moved) {
                if (this.options.tap) {
                    utils.tap(e, this.options.tap);
                }
                if (this.options.click) {
                    utils.click(e);
                }
                this._execEvent('scrollCancel');
                return;
            }
            if (this._events.flick && duration < 200 && distanceX < 100 && distanceY < 100) {
                this._execEvent('flick');
                return;
            }
            if (this.options.momentum && duration < 300) {
                momentumX = this.hasHorizontalScroll ? utils.momentum(this.x, this.startX, duration, this.maxScrollX, this.options.bounce ? this.wrapperWidth : 0, this.options.deceleration) : {
                    destination: newX,
                    duration: 0
                };
                momentumY = this.hasVerticalScroll ? utils.momentum(this.y, this.startY, duration, this.maxScrollY, this.options.bounce ? this.wrapperHeight : 0, this.options.deceleration) : {
                    destination: newY,
                    duration: 0
                };
                newX = momentumX.destination;
                newY = momentumY.destination;
                time = Math.max(momentumX.duration, momentumY.duration);
                this.isInTransition = 1;
            }
            if (this.options.snap) {
                var snap = this._nearestSnap(newX, newY);
                this.currentPage = snap;
                time = this.options.snapSpeed || Math.max(Math.max(Math.min(Math.abs(newX - snap.x), 1000), Math.min(Math.abs(newY - snap.y), 1000)), 300);
                newX = snap.x;
                newY = snap.y;
                this.directionX = 0;
                this.directionY = 0;
                easing = this.options.bounceEasing;
            }
            if (newX != this.x || newY != this.y) {
                if (newX > 0 || newX < this.maxScrollX || newY > 0 || newY < this.maxScrollY) {
                    easing = utils.ease.quadratic;
                }
                this.scrollTo(newX, newY, time, easing);
                return;
            }
            this._execEvent('scrollEnd');
        },
        _resize: function () {
            var that = this;
            clearTimeout(this.resizeTimeout);
            this.resizeTimeout = setTimeout(function () {
                that.refresh();
            }, this.options.resizePolling);
        },
        resetPosition: function (time) {
            var x = this.x, y = this.y;
            time = time || 0;
            if (!this.hasHorizontalScroll || this.x > 0) {
                x = 0;
            } else if (this.x < this.maxScrollX) {
                x = this.maxScrollX;
            }
            if (!this.hasVerticalScroll || this.y > 0) {
                y = 0;
            } else if (this.y < this.maxScrollY) {
                y = this.maxScrollY;
            }
            if (x == this.x && y == this.y) {
                return false;
            }
            this.scrollTo(x, y, time, this.options.bounceEasing);
            return true;
        },
        disable: function () {
            this.enabled = false;
        },
        enable: function () {
            this.enabled = true;
        },
        refresh: function () {
            utils.getRect(this.wrapper);
            this.wrapperWidth = this.wrapper.clientWidth;
            this.wrapperHeight = this.wrapper.clientHeight;
            var rect = utils.getRect(this.scroller);
            this.scrollerWidth = rect.width;
            this.scrollerHeight = rect.height;
            this.maxScrollX = this.wrapperWidth - this.scrollerWidth;
            this.maxScrollY = this.wrapperHeight - this.scrollerHeight;
            this.hasHorizontalScroll = this.options.scrollX && this.maxScrollX < 0;
            this.hasVerticalScroll = this.options.scrollY && this.maxScrollY < 0;
            if (!this.hasHorizontalScroll) {
                this.maxScrollX = 0;
                this.scrollerWidth = this.wrapperWidth;
            }
            if (!this.hasVerticalScroll) {
                this.maxScrollY = 0;
                this.scrollerHeight = this.wrapperHeight;
            }
            this.endTime = 0;
            this.directionX = 0;
            this.directionY = 0;
            if (utils.hasPointer && !this.options.disablePointer) {
                this.wrapper.style[utils.style.touchAction] = utils.getTouchAction(this.options.eventPassthrough, true);
                if (!this.wrapper.style[utils.style.touchAction]) {
                    this.wrapper.style[utils.style.touchAction] = utils.getTouchAction(this.options.eventPassthrough, false);
                }
            }
            this.wrapperOffset = utils.offset(this.wrapper);
            this._execEvent('refresh');
            this.resetPosition();
        },
        on: function (type, fn) {
            if (!this._events[type]) {
                this._events[type] = [];
            }
            this._events[type].push(fn);
        },
        off: function (type, fn) {
            if (!this._events[type]) {
                return;
            }
            var index = this._events[type].indexOf(fn);
            if (index > -1) {
                this._events[type].splice(index, 1);
            }
        },
        _execEvent: function (type) {
            if (!this._events[type]) {
                return;
            }
            var i = 0, l = this._events[type].length;
            if (!l) {
                return;
            }
            for (; i < l; i++) {
                this._events[type][i].apply(this, [].slice.call(arguments, 1));
            }
        },
        scrollBy: function (x, y, time, easing) {
            x = this.x + x;
            y = this.y + y;
            time = time || 0;
            this.scrollTo(x, y, time, easing);
        },
        scrollTo: function (x, y, time, easing) {
            easing = easing || utils.ease.circular;
            this.isInTransition = this.options.useTransition && time > 0;
            var transitionType = this.options.useTransition && easing.style;
            if (!time || transitionType) {
                if (transitionType) {
                    this._transitionTimingFunction(easing.style);
                    this._transitionTime(time);
                }
                this._translate(x, y);
            } else {
                this._animate(x, y, time, easing.fn);
            }
        },
        scrollToElement: function (el, time, offsetX, offsetY, easing) {
            el = el.nodeType ? el : this.scroller.querySelector(el);
            if (!el) {
                return;
            }
            var pos = utils.offset(el);
            pos.left -= this.wrapperOffset.left;
            pos.top -= this.wrapperOffset.top;
            var elRect = utils.getRect(el);
            var wrapperRect = utils.getRect(this.wrapper);
            if (offsetX === true) {
                offsetX = Math.round(elRect.width / 2 - wrapperRect.width / 2);
            }
            if (offsetY === true) {
                offsetY = Math.round(elRect.height / 2 - wrapperRect.height / 2);
            }
            pos.left -= offsetX || 0;
            pos.top -= offsetY || 0;
            pos.left = pos.left > 0 ? 0 : pos.left < this.maxScrollX ? this.maxScrollX : pos.left;
            pos.top = pos.top > 0 ? 0 : pos.top < this.maxScrollY ? this.maxScrollY : pos.top;
            time = time === undefined || time === null || time === 'auto' ? Math.max(Math.abs(this.x - pos.left), Math.abs(this.y - pos.top)) : time;
            this.scrollTo(pos.left, pos.top, time, easing);
        },
        _transitionTime: function (time) {
            if (!this.options.useTransition) {
                return;
            }
            time = time || 0;
            var durationProp = utils.style.transitionDuration;
            if (!durationProp) {
                return;
            }
            this.scrollerStyle[durationProp] = time + 'ms';
            if (!time && utils.isBadAndroid) {
                this.scrollerStyle[durationProp] = '0.0001ms';
                var self = this;
                rAF(function () {
                    if (self.scrollerStyle[durationProp] === '0.0001ms') {
                        self.scrollerStyle[durationProp] = '0s';
                    }
                });
            }
            if (this.indicators) {
                for (var i = this.indicators.length; i--;) {
                    this.indicators[i].transitionTime(time);
                }
            }
        },
        _transitionTimingFunction: function (easing) {
            this.scrollerStyle[utils.style.transitionTimingFunction] = easing;
            if (this.indicators) {
                for (var i = this.indicators.length; i--;) {
                    this.indicators[i].transitionTimingFunction(easing);
                }
            }
        },
        _translate: function (x, y) {
            if (this.options.useTransform) {
                this.scrollerStyle[utils.style.transform] = 'translate(' + x + 'px,' + y + 'px)' + this.translateZ;
            } else {
                x = Math.round(x);
                y = Math.round(y);
                this.scrollerStyle.left = x + 'px';
                this.scrollerStyle.top = y + 'px';
            }
            this.x = x;
            this.y = y;
            if (this.indicators) {
                for (var i = this.indicators.length; i--;) {
                    this.indicators[i].updatePosition();
                }
            }
        },
        _initEvents: function (remove) {
            var eventType = remove ? utils.removeEvent : utils.addEvent, target = this.options.bindToWrapper ? this.wrapper : window;
            eventType(window, 'orientationchange', this);
            eventType(window, 'resize', this);
            if (this.options.click) {
                eventType(this.wrapper, 'click', this, true);
            }
            if (!this.options.disableMouse) {
                eventType(this.wrapper, 'mousedown', this);
                eventType(target, 'mousemove', this);
                eventType(target, 'mousecancel', this);
                eventType(target, 'mouseup', this);
            }
            if (utils.hasPointer && !this.options.disablePointer) {
                eventType(this.wrapper, utils.prefixPointerEvent('pointerdown'), this);
                eventType(target, utils.prefixPointerEvent('pointermove'), this);
                eventType(target, utils.prefixPointerEvent('pointercancel'), this);
                eventType(target, utils.prefixPointerEvent('pointerup'), this);
            }
            if (utils.hasTouch && !this.options.disableTouch) {
                eventType(this.wrapper, 'touchstart', this);
                eventType(target, 'touchmove', this);
                eventType(target, 'touchcancel', this);
                eventType(target, 'touchend', this);
            }
            eventType(this.scroller, 'transitionend', this);
            eventType(this.scroller, 'webkitTransitionEnd', this);
            eventType(this.scroller, 'oTransitionEnd', this);
            eventType(this.scroller, 'MSTransitionEnd', this);
        },
        getComputedPosition: function () {
            var matrix = window.getComputedStyle(this.scroller, null), x, y;
            if (this.options.useTransform) {
                matrix = matrix[utils.style.transform].split(')')[0].split(', ');
                x = +(matrix[12] || matrix[4]);
                y = +(matrix[13] || matrix[5]);
            } else {
                x = +matrix.left.replace(/[^-\d.]/g, '');
                y = +matrix.top.replace(/[^-\d.]/g, '');
            }
            return {
                x: x,
                y: y
            };
        },
        _initIndicators: function () {
            var interactive = this.options.interactiveScrollbars, customStyle = typeof this.options.scrollbars != 'string', indicators = [], indicator;
            var that = this;
            this.indicators = [];
            if (this.options.scrollbars) {
                if (this.options.scrollY) {
                    indicator = {
                        el: createDefaultScrollbar('v', interactive, this.options.scrollbars),
                        interactive: interactive,
                        defaultScrollbars: true,
                        customStyle: customStyle,
                        resize: this.options.resizeScrollbars,
                        shrink: this.options.shrinkScrollbars,
                        fade: this.options.fadeScrollbars,
                        listenX: false
                    };
                    this.wrapper.appendChild(indicator.el);
                    indicators.push(indicator);
                }
                if (this.options.scrollX) {
                    indicator = {
                        el: createDefaultScrollbar('h', interactive, this.options.scrollbars),
                        interactive: interactive,
                        defaultScrollbars: true,
                        customStyle: customStyle,
                        resize: this.options.resizeScrollbars,
                        shrink: this.options.shrinkScrollbars,
                        fade: this.options.fadeScrollbars,
                        listenY: false
                    };
                    this.wrapper.appendChild(indicator.el);
                    indicators.push(indicator);
                }
            }
            if (this.options.indicators) {
                indicators = indicators.concat(this.options.indicators);
            }
            for (var i = indicators.length; i--;) {
                this.indicators.push(new Indicator(this, indicators[i]));
            }
            function _indicatorsMap(fn) {
                if (that.indicators) {
                    for (var i = that.indicators.length; i--;) {
                        fn.call(that.indicators[i]);
                    }
                }
            }
            if (this.options.fadeScrollbars) {
                this.on('scrollEnd', function () {
                    _indicatorsMap(function () {
                        this.fade();
                    });
                });
                this.on('scrollCancel', function () {
                    _indicatorsMap(function () {
                        this.fade();
                    });
                });
                this.on('scrollStart', function () {
                    _indicatorsMap(function () {
                        this.fade(1);
                    });
                });
                this.on('beforeScrollStart', function () {
                    _indicatorsMap(function () {
                        this.fade(1, true);
                    });
                });
            }
            this.on('refresh', function () {
                _indicatorsMap(function () {
                    this.refresh();
                });
            });
            this.on('destroy', function () {
                _indicatorsMap(function () {
                    this.destroy();
                });
                delete this.indicators;
            });
        },
        _initWheel: function () {
            utils.addEvent(this.wrapper, 'wheel', this);
            utils.addEvent(this.wrapper, 'mousewheel', this);
            utils.addEvent(this.wrapper, 'DOMMouseScroll', this);
            this.on('destroy', function () {
                clearTimeout(this.wheelTimeout);
                this.wheelTimeout = null;
                utils.removeEvent(this.wrapper, 'wheel', this);
                utils.removeEvent(this.wrapper, 'mousewheel', this);
                utils.removeEvent(this.wrapper, 'DOMMouseScroll', this);
            });
        },
        _wheel: function (e) {
            if (!this.enabled) {
                return;
            }
            e.preventDefault();
            var wheelDeltaX, wheelDeltaY, newX, newY, that = this;
            if (this.wheelTimeout === undefined) {
                that._execEvent('scrollStart');
            }
            clearTimeout(this.wheelTimeout);
            this.wheelTimeout = setTimeout(function () {
                if (!that.options.snap) {
                    that._execEvent('scrollEnd');
                }
                that.wheelTimeout = undefined;
            }, 400);
            if ('deltaX' in e) {
                if (e.deltaMode === 1) {
                    wheelDeltaX = -e.deltaX * this.options.mouseWheelSpeed;
                    wheelDeltaY = -e.deltaY * this.options.mouseWheelSpeed;
                } else {
                    wheelDeltaX = -e.deltaX;
                    wheelDeltaY = -e.deltaY;
                }
            } else if ('wheelDeltaX' in e) {
                wheelDeltaX = e.wheelDeltaX / 120 * this.options.mouseWheelSpeed;
                wheelDeltaY = e.wheelDeltaY / 120 * this.options.mouseWheelSpeed;
            } else if ('wheelDelta' in e) {
                wheelDeltaX = wheelDeltaY = e.wheelDelta / 120 * this.options.mouseWheelSpeed;
            } else if ('detail' in e) {
                wheelDeltaX = wheelDeltaY = -e.detail / 3 * this.options.mouseWheelSpeed;
            } else {
                return;
            }
            wheelDeltaX *= this.options.invertWheelDirection;
            wheelDeltaY *= this.options.invertWheelDirection;
            if (!this.hasVerticalScroll) {
                wheelDeltaX = wheelDeltaY;
                wheelDeltaY = 0;
            }
            if (this.options.snap) {
                newX = this.currentPage.pageX;
                newY = this.currentPage.pageY;
                if (wheelDeltaX > 0) {
                    newX--;
                } else if (wheelDeltaX < 0) {
                    newX++;
                }
                if (wheelDeltaY > 0) {
                    newY--;
                } else if (wheelDeltaY < 0) {
                    newY++;
                }
                this.goToPage(newX, newY);
                return;
            }
            newX = this.x + Math.round(this.hasHorizontalScroll ? wheelDeltaX : 0);
            newY = this.y + Math.round(this.hasVerticalScroll ? wheelDeltaY : 0);
            this.directionX = wheelDeltaX > 0 ? -1 : wheelDeltaX < 0 ? 1 : 0;
            this.directionY = wheelDeltaY > 0 ? -1 : wheelDeltaY < 0 ? 1 : 0;
            if (newX > 0) {
                newX = 0;
            } else if (newX < this.maxScrollX) {
                newX = this.maxScrollX;
            }
            if (newY > 0) {
                newY = 0;
            } else if (newY < this.maxScrollY) {
                newY = this.maxScrollY;
            }
            this.scrollTo(newX, newY, 0);
            if (this.options.probeType > 1) {
                this._execEvent('scroll');
            }
        },
        _initSnap: function () {
            this.currentPage = {};
            if (typeof this.options.snap == 'string') {
                this.options.snap = this.scroller.querySelectorAll(this.options.snap);
            }
            this.on('refresh', function () {
                var i = 0, l, m = 0, n, cx, cy, x = 0, y, stepX = this.options.snapStepX || this.wrapperWidth, stepY = this.options.snapStepY || this.wrapperHeight, el, rect;
                this.pages = [];
                if (!this.wrapperWidth || !this.wrapperHeight || !this.scrollerWidth || !this.scrollerHeight) {
                    return;
                }
                if (this.options.snap === true) {
                    cx = Math.round(stepX / 2);
                    cy = Math.round(stepY / 2);
                    while (x > -this.scrollerWidth) {
                        this.pages[i] = [];
                        l = 0;
                        y = 0;
                        while (y > -this.scrollerHeight) {
                            this.pages[i][l] = {
                                x: Math.max(x, this.maxScrollX),
                                y: Math.max(y, this.maxScrollY),
                                width: stepX,
                                height: stepY,
                                cx: x - cx,
                                cy: y - cy
                            };
                            y -= stepY;
                            l++;
                        }
                        x -= stepX;
                        i++;
                    }
                } else {
                    el = this.options.snap;
                    l = el.length;
                    n = -1;
                    for (; i < l; i++) {
                        rect = utils.getRect(el[i]);
                        if (i === 0 || rect.left <= utils.getRect(el[i - 1]).left) {
                            m = 0;
                            n++;
                        }
                        if (!this.pages[m]) {
                            this.pages[m] = [];
                        }
                        x = Math.max(-rect.left, this.maxScrollX);
                        y = Math.max(-rect.top, this.maxScrollY);
                        cx = x - Math.round(rect.width / 2);
                        cy = y - Math.round(rect.height / 2);
                        this.pages[m][n] = {
                            x: x,
                            y: y,
                            width: rect.width,
                            height: rect.height,
                            cx: cx,
                            cy: cy
                        };
                        if (x > this.maxScrollX) {
                            m++;
                        }
                    }
                }
                this.goToPage(this.currentPage.pageX || 0, this.currentPage.pageY || 0, 0);
                if (this.options.snapThreshold % 1 === 0) {
                    this.snapThresholdX = this.options.snapThreshold;
                    this.snapThresholdY = this.options.snapThreshold;
                } else {
                    this.snapThresholdX = Math.round(this.pages[this.currentPage.pageX][this.currentPage.pageY].width * this.options.snapThreshold);
                    this.snapThresholdY = Math.round(this.pages[this.currentPage.pageX][this.currentPage.pageY].height * this.options.snapThreshold);
                }
            });
            this.on('flick', function () {
                var time = this.options.snapSpeed || Math.max(Math.max(Math.min(Math.abs(this.x - this.startX), 1000), Math.min(Math.abs(this.y - this.startY), 1000)), 300);
                this.goToPage(this.currentPage.pageX + this.directionX, this.currentPage.pageY + this.directionY, time);
            });
        },
        _nearestSnap: function (x, y) {
            if (!this.pages.length) {
                return {
                    x: 0,
                    y: 0,
                    pageX: 0,
                    pageY: 0
                };
            }
            var i = 0, l = this.pages.length, m = 0;
            if (Math.abs(x - this.absStartX) < this.snapThresholdX && Math.abs(y - this.absStartY) < this.snapThresholdY) {
                return this.currentPage;
            }
            if (x > 0) {
                x = 0;
            } else if (x < this.maxScrollX) {
                x = this.maxScrollX;
            }
            if (y > 0) {
                y = 0;
            } else if (y < this.maxScrollY) {
                y = this.maxScrollY;
            }
            for (; i < l; i++) {
                if (x >= this.pages[i][0].cx) {
                    x = this.pages[i][0].x;
                    break;
                }
            }
            l = this.pages[i].length;
            for (; m < l; m++) {
                if (y >= this.pages[0][m].cy) {
                    y = this.pages[0][m].y;
                    break;
                }
            }
            if (i == this.currentPage.pageX) {
                i += this.directionX;
                if (i < 0) {
                    i = 0;
                } else if (i >= this.pages.length) {
                    i = this.pages.length - 1;
                }
                x = this.pages[i][0].x;
            }
            if (m == this.currentPage.pageY) {
                m += this.directionY;
                if (m < 0) {
                    m = 0;
                } else if (m >= this.pages[0].length) {
                    m = this.pages[0].length - 1;
                }
                y = this.pages[0][m].y;
            }
            return {
                x: x,
                y: y,
                pageX: i,
                pageY: m
            };
        },
        goToPage: function (x, y, time, easing) {
            easing = easing || this.options.bounceEasing;
            if (x >= this.pages.length) {
                x = this.pages.length - 1;
            } else if (x < 0) {
                x = 0;
            }
            if (y >= this.pages[x].length) {
                y = this.pages[x].length - 1;
            } else if (y < 0) {
                y = 0;
            }
            var posX = this.pages[x][y].x, posY = this.pages[x][y].y;
            time = time === undefined ? this.options.snapSpeed || Math.max(Math.max(Math.min(Math.abs(posX - this.x), 1000), Math.min(Math.abs(posY - this.y), 1000)), 300) : time;
            this.currentPage = {
                x: posX,
                y: posY,
                pageX: x,
                pageY: y
            };
            this.scrollTo(posX, posY, time, easing);
        },
        next: function (time, easing) {
            var x = this.currentPage.pageX, y = this.currentPage.pageY;
            x++;
            if (x >= this.pages.length && this.hasVerticalScroll) {
                x = 0;
                y++;
            }
            this.goToPage(x, y, time, easing);
        },
        prev: function (time, easing) {
            var x = this.currentPage.pageX, y = this.currentPage.pageY;
            x--;
            if (x < 0 && this.hasVerticalScroll) {
                x = 0;
                y--;
            }
            this.goToPage(x, y, time, easing);
        },
        _initKeys: function (e) {
            var keys = {
                pageUp: 33,
                pageDown: 34,
                end: 35,
                home: 36,
                left: 37,
                up: 38,
                right: 39,
                down: 40
            };
            var i;
            if (typeof this.options.keyBindings == 'object') {
                for (i in this.options.keyBindings) {
                    if (typeof this.options.keyBindings[i] == 'string') {
                        this.options.keyBindings[i] = this.options.keyBindings[i].toUpperCase().charCodeAt(0);
                    }
                }
            } else {
                this.options.keyBindings = {};
            }
            for (i in keys) {
                this.options.keyBindings[i] = this.options.keyBindings[i] || keys[i];
            }
            utils.addEvent(window, 'keydown', this);
            this.on('destroy', function () {
                utils.removeEvent(window, 'keydown', this);
            });
        },
        _key: function (e) {
            if (!this.enabled) {
                return;
            }
            var snap = this.options.snap, newX = snap ? this.currentPage.pageX : this.x, newY = snap ? this.currentPage.pageY : this.y, now = utils.getTime(), prevTime = this.keyTime || 0, acceleration = 0.25, pos;
            if (this.options.useTransition && this.isInTransition) {
                pos = this.getComputedPosition();
                this._translate(Math.round(pos.x), Math.round(pos.y));
                this.isInTransition = false;
            }
            this.keyAcceleration = now - prevTime < 200 ? Math.min(this.keyAcceleration + acceleration, 50) : 0;
            switch (e.keyCode) {
            case this.options.keyBindings.pageUp:
                if (this.hasHorizontalScroll && !this.hasVerticalScroll) {
                    newX += snap ? 1 : this.wrapperWidth;
                } else {
                    newY += snap ? 1 : this.wrapperHeight;
                }
                break;
            case this.options.keyBindings.pageDown:
                if (this.hasHorizontalScroll && !this.hasVerticalScroll) {
                    newX -= snap ? 1 : this.wrapperWidth;
                } else {
                    newY -= snap ? 1 : this.wrapperHeight;
                }
                break;
            case this.options.keyBindings.end:
                newX = snap ? this.pages.length - 1 : this.maxScrollX;
                newY = snap ? this.pages[0].length - 1 : this.maxScrollY;
                break;
            case this.options.keyBindings.home:
                newX = 0;
                newY = 0;
                break;
            case this.options.keyBindings.left:
                newX += snap ? -1 : 5 + this.keyAcceleration >> 0;
                break;
            case this.options.keyBindings.up:
                newY += snap ? 1 : 5 + this.keyAcceleration >> 0;
                break;
            case this.options.keyBindings.right:
                newX -= snap ? -1 : 5 + this.keyAcceleration >> 0;
                break;
            case this.options.keyBindings.down:
                newY -= snap ? 1 : 5 + this.keyAcceleration >> 0;
                break;
            default:
                return;
            }
            if (snap) {
                this.goToPage(newX, newY);
                return;
            }
            if (newX > 0) {
                newX = 0;
                this.keyAcceleration = 0;
            } else if (newX < this.maxScrollX) {
                newX = this.maxScrollX;
                this.keyAcceleration = 0;
            }
            if (newY > 0) {
                newY = 0;
                this.keyAcceleration = 0;
            } else if (newY < this.maxScrollY) {
                newY = this.maxScrollY;
                this.keyAcceleration = 0;
            }
            this.scrollTo(newX, newY, 0);
            this.keyTime = now;
        },
        _animate: function (destX, destY, duration, easingFn) {
            var that = this, startX = this.x, startY = this.y, startTime = utils.getTime(), destTime = startTime + duration;
            function step() {
                var now = utils.getTime(), newX, newY, easing;
                if (now >= destTime) {
                    that.isAnimating = false;
                    that._translate(destX, destY);
                    if (!that.resetPosition(that.options.bounceTime)) {
                        that._execEvent('scrollEnd');
                    }
                    return;
                }
                now = (now - startTime) / duration;
                easing = easingFn(now);
                newX = (destX - startX) * easing + startX;
                newY = (destY - startY) * easing + startY;
                that._translate(newX, newY);
                if (that.isAnimating) {
                    rAF(step);
                }
                if (that.options.probeType == 3) {
                    that._execEvent('scroll');
                }
            }
            this.isAnimating = true;
            step();
        },
        handleEvent: function (e) {
            switch (e.type) {
            case 'touchstart':
            case 'pointerdown':
            case 'MSPointerDown':
            case 'mousedown':
                this._start(e);
                break;
            case 'touchmove':
            case 'pointermove':
            case 'MSPointerMove':
            case 'mousemove':
                this._move(e);
                break;
            case 'touchend':
            case 'pointerup':
            case 'MSPointerUp':
            case 'mouseup':
            case 'touchcancel':
            case 'pointercancel':
            case 'MSPointerCancel':
            case 'mousecancel':
                this._end(e);
                break;
            case 'orientationchange':
            case 'resize':
                this._resize();
                break;
            case 'transitionend':
            case 'webkitTransitionEnd':
            case 'oTransitionEnd':
            case 'MSTransitionEnd':
                this._transitionEnd(e);
                break;
            case 'wheel':
            case 'DOMMouseScroll':
            case 'mousewheel':
                this._wheel(e);
                break;
            case 'keydown':
                this._key(e);
                break;
            case 'click':
                if (this.enabled && !e._constructed) {
                    e.preventDefault();
                    e.stopPropagation();
                }
                break;
            }
        }
    };
    function createDefaultScrollbar(direction, interactive, type) {
        var scrollbar = document.createElement('div'), indicator = document.createElement('div');
        if (type === true) {
            scrollbar.style.cssText = 'position:absolute;z-index:9999';
            indicator.style.cssText = '-webkit-box-sizing:border-box;-moz-box-sizing:border-box;box-sizing:border-box;position:absolute;background:rgba(0,0,0,0.5);border:1px solid rgba(255,255,255,0.9);border-radius:3px';
        }
        indicator.className = 'iScrollIndicator';
        if (direction == 'h') {
            if (type === true) {
                scrollbar.style.cssText += ';height:7px;left:2px;right:2px;bottom:0';
                indicator.style.height = '100%';
            }
            scrollbar.className = 'iScrollHorizontalScrollbar';
        } else {
            if (type === true) {
                scrollbar.style.cssText += ';width:7px;bottom:2px;top:2px;right:1px';
                indicator.style.width = '100%';
            }
            scrollbar.className = 'iScrollVerticalScrollbar';
        }
        scrollbar.style.cssText += ';overflow:hidden';
        if (!interactive) {
            scrollbar.style.pointerEvents = 'none';
        }
        scrollbar.appendChild(indicator);
        return scrollbar;
    }
    function Indicator(scroller, options) {
        this.wrapper = typeof options.el == 'string' ? document.querySelector(options.el) : options.el;
        this.wrapperStyle = this.wrapper.style;
        this.indicator = this.wrapper.children[0];
        this.indicatorStyle = this.indicator.style;
        this.scroller = scroller;
        this.options = {
            listenX: true,
            listenY: true,
            interactive: false,
            resize: true,
            defaultScrollbars: false,
            shrink: false,
            fade: false,
            speedRatioX: 0,
            speedRatioY: 0
        };
        for (var i in options) {
            this.options[i] = options[i];
        }
        this.sizeRatioX = 1;
        this.sizeRatioY = 1;
        this.maxPosX = 0;
        this.maxPosY = 0;
        if (this.options.interactive) {
            if (!this.options.disableTouch) {
                utils.addEvent(this.indicator, 'touchstart', this);
                utils.addEvent(window, 'touchend', this);
            }
            if (!this.options.disablePointer) {
                utils.addEvent(this.indicator, utils.prefixPointerEvent('pointerdown'), this);
                utils.addEvent(window, utils.prefixPointerEvent('pointerup'), this);
            }
            if (!this.options.disableMouse) {
                utils.addEvent(this.indicator, 'mousedown', this);
                utils.addEvent(window, 'mouseup', this);
            }
        }
        if (this.options.fade) {
            this.wrapperStyle[utils.style.transform] = this.scroller.translateZ;
            var durationProp = utils.style.transitionDuration;
            if (!durationProp) {
                return;
            }
            this.wrapperStyle[durationProp] = utils.isBadAndroid ? '0.0001ms' : '0ms';
            var self = this;
            if (utils.isBadAndroid) {
                rAF(function () {
                    if (self.wrapperStyle[durationProp] === '0.0001ms') {
                        self.wrapperStyle[durationProp] = '0s';
                    }
                });
            }
            this.wrapperStyle.opacity = '0';
        }
    }
    Indicator.prototype = {
        handleEvent: function (e) {
            switch (e.type) {
            case 'touchstart':
            case 'pointerdown':
            case 'MSPointerDown':
            case 'mousedown':
                this._start(e);
                break;
            case 'touchmove':
            case 'pointermove':
            case 'MSPointerMove':
            case 'mousemove':
                this._move(e);
                break;
            case 'touchend':
            case 'pointerup':
            case 'MSPointerUp':
            case 'mouseup':
            case 'touchcancel':
            case 'pointercancel':
            case 'MSPointerCancel':
            case 'mousecancel':
                this._end(e);
                break;
            }
        },
        destroy: function () {
            if (this.options.fadeScrollbars) {
                clearTimeout(this.fadeTimeout);
                this.fadeTimeout = null;
            }
            if (this.options.interactive) {
                utils.removeEvent(this.indicator, 'touchstart', this);
                utils.removeEvent(this.indicator, utils.prefixPointerEvent('pointerdown'), this);
                utils.removeEvent(this.indicator, 'mousedown', this);
                utils.removeEvent(window, 'touchmove', this);
                utils.removeEvent(window, utils.prefixPointerEvent('pointermove'), this);
                utils.removeEvent(window, 'mousemove', this);
                utils.removeEvent(window, 'touchend', this);
                utils.removeEvent(window, utils.prefixPointerEvent('pointerup'), this);
                utils.removeEvent(window, 'mouseup', this);
            }
            if (this.options.defaultScrollbars && this.wrapper.parentNode) {
                this.wrapper.parentNode.removeChild(this.wrapper);
            }
        },
        _start: function (e) {
            var point = e.touches ? e.touches[0] : e;
            e.preventDefault();
            e.stopPropagation();
            this.transitionTime();
            this.initiated = true;
            this.moved = false;
            this.lastPointX = point.pageX;
            this.lastPointY = point.pageY;
            this.startTime = utils.getTime();
            if (!this.options.disableTouch) {
                utils.addEvent(window, 'touchmove', this);
            }
            if (!this.options.disablePointer) {
                utils.addEvent(window, utils.prefixPointerEvent('pointermove'), this);
            }
            if (!this.options.disableMouse) {
                utils.addEvent(window, 'mousemove', this);
            }
            this.scroller._execEvent('beforeScrollStart');
        },
        _move: function (e) {
            var point = e.touches ? e.touches[0] : e, deltaX, deltaY, newX, newY, timestamp = utils.getTime();
            if (!this.moved) {
                this.scroller._execEvent('scrollStart');
            }
            this.moved = true;
            deltaX = point.pageX - this.lastPointX;
            this.lastPointX = point.pageX;
            deltaY = point.pageY - this.lastPointY;
            this.lastPointY = point.pageY;
            newX = this.x + deltaX;
            newY = this.y + deltaY;
            this._pos(newX, newY);
            if (this.scroller.options.probeType == 1 && timestamp - this.startTime > 300) {
                this.startTime = timestamp;
                this.scroller._execEvent('scroll');
            } else if (this.scroller.options.probeType > 1) {
                this.scroller._execEvent('scroll');
            }
            e.preventDefault();
            e.stopPropagation();
        },
        _end: function (e) {
            if (!this.initiated) {
                return;
            }
            this.initiated = false;
            e.preventDefault();
            e.stopPropagation();
            utils.removeEvent(window, 'touchmove', this);
            utils.removeEvent(window, utils.prefixPointerEvent('pointermove'), this);
            utils.removeEvent(window, 'mousemove', this);
            if (this.scroller.options.snap) {
                var snap = this.scroller._nearestSnap(this.scroller.x, this.scroller.y);
                var time = this.options.snapSpeed || Math.max(Math.max(Math.min(Math.abs(this.scroller.x - snap.x), 1000), Math.min(Math.abs(this.scroller.y - snap.y), 1000)), 300);
                if (this.scroller.x != snap.x || this.scroller.y != snap.y) {
                    this.scroller.directionX = 0;
                    this.scroller.directionY = 0;
                    this.scroller.currentPage = snap;
                    this.scroller.scrollTo(snap.x, snap.y, time, this.scroller.options.bounceEasing);
                }
            }
            if (this.moved) {
                this.scroller._execEvent('scrollEnd');
            }
        },
        transitionTime: function (time) {
            time = time || 0;
            var durationProp = utils.style.transitionDuration;
            if (!durationProp) {
                return;
            }
            this.indicatorStyle[durationProp] = time + 'ms';
            if (!time && utils.isBadAndroid) {
                this.indicatorStyle[durationProp] = '0.0001ms';
                var self = this;
                rAF(function () {
                    if (self.indicatorStyle[durationProp] === '0.0001ms') {
                        self.indicatorStyle[durationProp] = '0s';
                    }
                });
            }
        },
        transitionTimingFunction: function (easing) {
            this.indicatorStyle[utils.style.transitionTimingFunction] = easing;
        },
        refresh: function () {
            this.transitionTime();
            if (this.options.listenX && !this.options.listenY) {
                this.indicatorStyle.display = this.scroller.hasHorizontalScroll ? 'block' : 'none';
            } else if (this.options.listenY && !this.options.listenX) {
                this.indicatorStyle.display = this.scroller.hasVerticalScroll ? 'block' : 'none';
            } else {
                this.indicatorStyle.display = this.scroller.hasHorizontalScroll || this.scroller.hasVerticalScroll ? 'block' : 'none';
            }
            if (this.scroller.hasHorizontalScroll && this.scroller.hasVerticalScroll) {
                utils.addClass(this.wrapper, 'iScrollBothScrollbars');
                utils.removeClass(this.wrapper, 'iScrollLoneScrollbar');
                if (this.options.defaultScrollbars && this.options.customStyle) {
                    if (this.options.listenX) {
                        this.wrapper.style.right = '8px';
                    } else {
                        this.wrapper.style.bottom = '8px';
                    }
                }
            } else {
                utils.removeClass(this.wrapper, 'iScrollBothScrollbars');
                utils.addClass(this.wrapper, 'iScrollLoneScrollbar');
                if (this.options.defaultScrollbars && this.options.customStyle) {
                    if (this.options.listenX) {
                        this.wrapper.style.right = '2px';
                    } else {
                        this.wrapper.style.bottom = '2px';
                    }
                }
            }
            utils.getRect(this.wrapper);
            if (this.options.listenX) {
                this.wrapperWidth = this.wrapper.clientWidth;
                if (this.options.resize) {
                    this.indicatorWidth = Math.max(Math.round(this.wrapperWidth * this.wrapperWidth / (this.scroller.scrollerWidth || this.wrapperWidth || 1)), 8);
                    this.indicatorStyle.width = this.indicatorWidth + 'px';
                } else {
                    this.indicatorWidth = this.indicator.clientWidth;
                }
                this.maxPosX = this.wrapperWidth - this.indicatorWidth;
                if (this.options.shrink == 'clip') {
                    this.minBoundaryX = -this.indicatorWidth + 8;
                    this.maxBoundaryX = this.wrapperWidth - 8;
                } else {
                    this.minBoundaryX = 0;
                    this.maxBoundaryX = this.maxPosX;
                }
                this.sizeRatioX = this.options.speedRatioX || this.scroller.maxScrollX && this.maxPosX / this.scroller.maxScrollX;
            }
            if (this.options.listenY) {
                this.wrapperHeight = this.wrapper.clientHeight;
                if (this.options.resize) {
                    this.indicatorHeight = Math.max(Math.round(this.wrapperHeight * this.wrapperHeight / (this.scroller.scrollerHeight || this.wrapperHeight || 1)), 8);
                    this.indicatorStyle.height = this.indicatorHeight + 'px';
                } else {
                    this.indicatorHeight = this.indicator.clientHeight;
                }
                this.maxPosY = this.wrapperHeight - this.indicatorHeight;
                if (this.options.shrink == 'clip') {
                    this.minBoundaryY = -this.indicatorHeight + 8;
                    this.maxBoundaryY = this.wrapperHeight - 8;
                } else {
                    this.minBoundaryY = 0;
                    this.maxBoundaryY = this.maxPosY;
                }
                this.maxPosY = this.wrapperHeight - this.indicatorHeight;
                this.sizeRatioY = this.options.speedRatioY || this.scroller.maxScrollY && this.maxPosY / this.scroller.maxScrollY;
            }
            this.updatePosition();
        },
        updatePosition: function () {
            var x = this.options.listenX && Math.round(this.sizeRatioX * this.scroller.x) || 0, y = this.options.listenY && Math.round(this.sizeRatioY * this.scroller.y) || 0;
            if (!this.options.ignoreBoundaries) {
                if (x < this.minBoundaryX) {
                    if (this.options.shrink == 'scale') {
                        this.width = Math.max(this.indicatorWidth + x, 8);
                        this.indicatorStyle.width = this.width + 'px';
                    }
                    x = this.minBoundaryX;
                } else if (x > this.maxBoundaryX) {
                    if (this.options.shrink == 'scale') {
                        this.width = Math.max(this.indicatorWidth - (x - this.maxPosX), 8);
                        this.indicatorStyle.width = this.width + 'px';
                        x = this.maxPosX + this.indicatorWidth - this.width;
                    } else {
                        x = this.maxBoundaryX;
                    }
                } else if (this.options.shrink == 'scale' && this.width != this.indicatorWidth) {
                    this.width = this.indicatorWidth;
                    this.indicatorStyle.width = this.width + 'px';
                }
                if (y < this.minBoundaryY) {
                    if (this.options.shrink == 'scale') {
                        this.height = Math.max(this.indicatorHeight + y * 3, 8);
                        this.indicatorStyle.height = this.height + 'px';
                    }
                    y = this.minBoundaryY;
                } else if (y > this.maxBoundaryY) {
                    if (this.options.shrink == 'scale') {
                        this.height = Math.max(this.indicatorHeight - (y - this.maxPosY) * 3, 8);
                        this.indicatorStyle.height = this.height + 'px';
                        y = this.maxPosY + this.indicatorHeight - this.height;
                    } else {
                        y = this.maxBoundaryY;
                    }
                } else if (this.options.shrink == 'scale' && this.height != this.indicatorHeight) {
                    this.height = this.indicatorHeight;
                    this.indicatorStyle.height = this.height + 'px';
                }
            }
            this.x = x;
            this.y = y;
            if (this.scroller.options.useTransform) {
                this.indicatorStyle[utils.style.transform] = 'translate(' + x + 'px,' + y + 'px)' + this.scroller.translateZ;
            } else {
                this.indicatorStyle.left = x + 'px';
                this.indicatorStyle.top = y + 'px';
            }
        },
        _pos: function (x, y) {
            if (x < 0) {
                x = 0;
            } else if (x > this.maxPosX) {
                x = this.maxPosX;
            }
            if (y < 0) {
                y = 0;
            } else if (y > this.maxPosY) {
                y = this.maxPosY;
            }
            x = this.options.listenX ? Math.round(x / this.sizeRatioX) : this.scroller.x;
            y = this.options.listenY ? Math.round(y / this.sizeRatioY) : this.scroller.y;
            this.scroller.scrollTo(x, y);
        },
        fade: function (val, hold) {
            if (hold && !this.visible) {
                return;
            }
            clearTimeout(this.fadeTimeout);
            this.fadeTimeout = null;
            var time = val ? 250 : 500, delay = val ? 0 : 300;
            val = val ? '1' : '0';
            this.wrapperStyle[utils.style.transitionDuration] = time + 'ms';
            this.fadeTimeout = setTimeout(function (val) {
                this.wrapperStyle.opacity = val;
                this.visible = +val;
            }.bind(this, val), delay);
        }
    };
    IScroll.utils = utils;
    if (typeof module != 'undefined' && module.exports) {
        module.exports = IScroll;
    } else if (typeof define == 'function' && define.amd) {
        define('IScroll', [], function () {
            return IScroll;
        });
    } else {
        window.IScroll = IScroll;
    }
}(window, document, Math));
var App = App || {};
define('uview', [
    'vue',
    'IScroll'
], function (Vue, IScroll) {
    var v = Vue.extend({
        _objectExtend: {
            cxName: '',
            cxId: '',
            cxChildId: '',
            cxWpid: '',
            probeType: '',
            cxChildP: null,
            cxChildPs: [],
            cxParentP: null,
            cxChildPage: {},
            cxNextPageNs: [],
            cxPrevPageNs: [],
            cxInState: '',
            cxLsnImg: '',
            cxApi: '',
            cxVas: {
                limit: 10,
                offset: 0
            },
            cxPage: 1,
            cxPagesize: 10,
            cxPageEnd: false,
            cxState: -1,
            cxTotal: 0,
            cxAllPage: 0,
            cxAutoload: false,
            cxDld: true,
            cxDno: 0,
            cxAmt: 'cxpFade',
            cxAmtSt: -1,
            cxAdded: false,
            cxAutoShow: false,
            cxAmtEnd: false,
            cxDel: true,
            $loading_b: $('<div id="splistloading">上拉加载更多</div>'),
            $loading_t: $('<div id="splistloading_t">刷新</div>'),
            $noSpan: $('<div>没有数据</div>'),
            ldVisble: true,
            iScroll: null,
            vScroll: null,
            vScrollStaY: 0,
            vScrollEndY: 0,
            vRenData: false,
            _dataInit: {
                replace: false,
                list: [],
                show: false,
                transitionName: 'cxpFade'
            },
            cxInit: function () {
            },
            cxCreated: function () {
            },
            loadData: function (_fun, _vas, _option) {
                var _this = this;
                if (typeof _option != 'undefined') {
                    App.upData(_option);
                } else if (this.cxApi != '') {
                    var _cxVas = {};
                    if (typeof _vas != 'undefined') {
                        for (var k in _vas) {
                            _cxVas[k] = _vas[k];
                        }
                    }
                    ;
                    App.loading(true);
                    this._loadExp('上拉加载更多');
                    this.cxPageEnd = false;
                    this.$loading_b.remove();
                    this.list = [];
                    if (this.vScroll)
                        _this.vScroll.scrollTo(0, 0);
                    this.loadDataPlus(_cxVas, _fun);
                } else {
                    if (typeof _fun != 'undefined')
                        _fun(this);
                }
            },
            renData: function () {
                this.cxVas = {
                    limit: 10,
                    offset: 0
                };
                this.loadData();
            },
            loadDataPlus: function (_vas, _fun) {
                if (typeof _vas == 'undefined' && _vas instanceof Object) {
                    App.alert('缺少数据');
                } else if (this.cxApi != '') {
                    var _this = this;
                    var _url = App.config.urlPath + this.cxApi + '?' + App.config.accompany;
                    if (this.cxApi.indexOf('?') > 0) {
                        _url = App.config.urlPath + this.cxApi + '&' + App.config.accompany;
                    }
                    if (typeof _vas != 'undefined') {
                        for (var k in _vas) {
                            this.cxVas[k] = _vas[k];
                        }
                        this.cxDld = false;
                        this.cxDno++;
                        App.upData({
                            type: 'GET',
                            url: _url,
                            data: this.cxVas,
                            success: function (data) {
                                _this.cxDld = true;
                                try {
                                    if (data.results instanceof Array) {
                                        _this.cxTotal = data.count;
                                        var _count = _this.cxVas.limit + _this.cxVas.offset;
                                        if (_this.cxVas.offset < 1 && _this.vRenData) {
                                            _this.list = data.results;
                                            $(_this.cxWpid).children(':first').append(_this.$loading_b);
                                        } else {
                                            var _lg = data.results.length;
                                            for (var i = 0; i < _lg; i++) {
                                                _this.list.push(data.results[i]);
                                            }
                                        }
                                        if (_count >= _this.cxTotal) {
                                            _this._loadExp('没有更多数据了');
                                        } else {
                                            _this._loadExp('上拉加载更多');
                                        }
                                    } else {
                                        _.each(data, function (val, key) {
                                            Vue.set(_this, key, val);
                                        });
                                    }
                                    _this.$nextTick(_this._cxNextTick);
                                    if (typeof _fun != 'undefined')
                                        _fun(_this);
                                    _this.cxLoadDataSuccess(data);
                                } catch (er) {
                                    App.trace('返回的数据格式处理错误');
                                }
                                App.loading(false);
                            },
                            error: function (a) {
                                _this.cxDld = true;
                                _this.cxLoadDataError(a);
                                App.loading(false);
                                App.alert('获取数据错误');
                            }
                        });
                    }
                    ;
                }
            },
            cxLoadDataSuccess: function () {
            },
            cxLoadDataError: function () {
            },
            _cxNextTick: function () {
                var _this = this;
                var _img = new Image();
                _img.src = 'assets/imgs/fire.png';
                _img.onload = function () {
                    $('img').error(function () {
                        this.src = 'assets/imgs/fire.png';
                    });
                };
                if (this.cxLsnImg != '') {
                    $(this.cxLsnImg).each(function () {
                        this.onload = function () {
                            _this._cxRenderAfterPut();
                        };
                    });
                }
                this._cxRenderAfterPut();
                this.cxNextTick();
            },
            cxNextTick: function () {
            },
            plusPage: function () {
                if (this.cxTotal > this.cxVas.offset + this.cxVas.limit) {
                    this._cxRenderAfterPut();
                    this.vScroll.scrollBy(0, -1);
                    this._loadExp('数据加载中...');
                    this.loadDataPlus({ offset: this.cxVas.offset + this.cxVas.limit });
                } else {
                    this._loadExp('没有更多数据了');
                    this.cxPageEnd = true;
                }
            },
            cxRender: function () {
            },
            _loadExp: function (_val) {
                this.$loading_b.html(_val);
            },
            _cxRenderAfterPut: function () {
                var _this = this;
                if (this.vScroll) {
                    var _it = setTimeout(function () {
                        _this.vScroll.refresh();
                        _this.cxRenderAfterPut();
                        clearTimeout(_it);
                    }, 10);
                } else {
                    if (this.cxWpid != '') {
                        this.vScroll = new this.iScroll(this.cxWpid, {
                            probeType: 3,
                            mouseWheel: true,
                            disableTouch: false,
                            eventPassthrough: 'horizontal',
                            startY: this.vScrollEndY
                        });
                        this.vScroll.on('scrollStart', function () {
                            _this.vScrollStaY = this.y;
                            if (_this.vScrollStaY == this.maxScrollY && _this.vScrollStaY != 0) {
                                _this.scrollBomStart();
                            }
                            _this.scrollStart(this);
                        });
                        this.vScroll.on('scroll', function () {
                            if (this.y > 0 && _this.vScrollStaY == 0 && _this.vRenData) {
                                if ($('#splistloading_t').length < 1) {
                                    $(_this.cxWpid).prepend(_this.$loading_t);
                                }
                            }
                            _this.scroll(this);
                        });
                        this.vScroll.on('scrollEnd', function () {
                            if (this.y < 1) {
                                if ($('#splistloading_t').length > 0) {
                                    _this.$loading_t.remove();
                                }
                            }
                            _this.vScrollEndY = this.y;
                            if (_this.vScrollStaY == _this.vScrollEndY && _this.vScrollEndY == 0) {
                                _this.scrollTopEvt();
                            } else if (_this.vScrollStaY == _this.vScrollEndY && _this.vScrollStaY != 0) {
                                _this.scrollBomEvt();
                            } else {
                                _this._loadExp('上拉加载更多');
                            }
                            _this.scrollEnd(this);
                        });
                    }
                    this.cxRenderAfterPut();
                }
            },
            cxRenderAfterPut: function () {
            },
            scrollStart: function () {
            },
            scroll: function () {
            },
            scrollEnd: function () {
            },
            scrollTopEvt: function () {
                if (this.vRenData)
                    this.renData();
            },
            scrollBomStart: function () {
                if (!this.cxPageEnd) {
                    this._loadExp('释放加载数据');
                }
            },
            scrollBomEvt: function () {
                if (!this.cxPageEnd) {
                    this.plusPage();
                }
            },
            cxShow: function () {
                if (this.transitionName == 'cxpFadeRight') {
                    this.transitionName = 'cxpFadeLeft';
                }
                this.show = true;
                this.cxAdded = true;
            },
            cxRemove: function () {
                var _this = this;
                if (this.cxDel) {
                    if (this.cxChildP) {
                        this.cxChildP.cxDel = true;
                        this.cxChildP.cxRemove();
                    }
                    var _sub = _.indexOf(this.cxParentP.cxChildPs, this);
                    this.cxParentP.cxChildPs.splice(_sub, 1);
                    if (this.cxAmt == 'cxpFade') {
                        this.transitionName = 'cxpFade';
                    }
                    _.defer(function (_this) {
                        _this.$destroy(true);
                    }, this);
                } else {
                    if (this.vScroll) {
                        this.vScroll.destroy();
                        this.vScroll = null;
                    }
                    this.show = false;
                    this.cxAdded = false;
                }
            },
            loadPage: function (_page, _delCP) {
                if (typeof _delCP != 'undefined') {
                    _page.cxDel = _delCP;
                }
                if (this.cxChildP != null) {
                    if (_.indexOf(this.cxChildP.cxNextPageNs, _page.cxName) > -1) {
                        this.cxChildP.transitionName = 'cxpFadeRight';
                    }
                    this.cxChildP.cxRemove();
                }
                if (this.cxChildId != '') {
                    _page.cxParentP = this;
                    if (this.cxChildP != null) {
                        if (_.indexOf(_page.cxNextPageNs, this.cxChildP.cxName) > -1) {
                            _page.transitionName = 'cxpFadeLeft';
                        }
                    }
                    if (_.indexOf(this.cxChildPs, _page) < 0) {
                        this.cxChildPs.push(_page);
                        _page.$mount().$appendTo(this.cxChildId);
                    }
                    this.$nextTick(this.cxNextTick);
                    if (_page.cxAutoShow && !_page.cxAdded) {
                        _page.cxShow();
                    }
                    this.cxChildP = _page;
                }
            },
            closeChild: function () {
                if (this.cxChildP != null) {
                    this.cxChildP.cxRemove();
                }
            },
            _appendBefore: function () {
                if (this.cxParentP) {
                }
            },
            _appendInit: function () {
                this._cxRenderAfterPut();
            },
            _appendComplete: function () {
                this.cxAmtEnd = true;
                if (this.transitionName == 'cxpRight') {
                    this.transitionName = 'cxpLeft';
                } else if (this.transitionName == 'cxpLeft') {
                    this.transitionName = 'cxpRight';
                }
                if (typeof this.transitionName !== 'undefined') {
                    if (this.cxAutoload && this.cxDno == 0)
                        this.loadData();
                }
                this.cxReady();
            },
            _removeInit: function () {
            },
            _removeComplete: function () {
            },
            cxInput: function () {
            },
            appendBefore: function () {
            },
            appendInit: function () {
            },
            appendComplete: function () {
            },
            removeInit: function () {
            },
            removeComplete: function () {
            },
            cxReady: function () {
            },
            cxDestroy: function () {
            },
            openChildComplete: function () {
            }
        },
        methods: {
            openChild: function (_obj) {
                var _cxName = '';
                var _vas = null;
                if (typeof _obj == 'string') {
                    _cxName = _obj;
                } else {
                    _cxName = _obj.child;
                    _vas = { vas: _obj.vas };
                }
                if (this.cxChildPage.hasOwnProperty(_cxName)) {
                    if (this.cxChildP) {
                        if (this.cxChildP.cxName == _cxName) {
                            this.cxChildP.show = true;
                            if (this.cxChildP.cxChildP) {
                                this.cxChildP.cxChildP.cxRemove();
                            }
                            return false;
                        }
                    }
                    var _vu = _.find(this.cxChildPs, function (_cp) {
                        return _cp.cxName == _cxName;
                    });
                    if (typeof _vu == 'undefined') {
                        var _cp = null;
                        if (_vas) {
                            _cp = new this.cxChildPage[_cxName](_vas);
                        } else {
                            _cp = new this.cxChildPage[_cxName]();
                        }
                        this.loadPage(_cp, _cp.cxDel);
                    } else {
                        this.loadPage(_vu, _vu.cxDel);
                    }
                    this.openChildComplete(_obj);
                } else {
                    App.warn('打开地址错误', {
                        closed: function () {
                            window.history.go(-1);
                        }
                    });
                }
            },
            goBack: function () {
                if (window.history.length > 1) {
                    window.history.back();
                } else {
                    window.location.href = '#';
                }
            }
        },
        computed: {},
        init: function () {
            _.extend(this, this.$options._objectExtend);
            if (typeof this.$options.objectExtend === 'object') {
                _.extend(this, this.$options.objectExtend);
            }
            this.cxChildPs = [];
            this.iScroll = IScroll;
            this.cxInit();
        },
        created: function () {
            for (var key in this._dataInit) {
                Vue.set(this, key, this._dataInit[key]);
            }
            if (typeof this.$options.cxData === 'object') {
                for (var key in this.$options.cxData) {
                    Vue.set(this, key, this.$options.cxData[key]);
                }
            }
            this.cxAmt = this.transitionName;
            this.cxVas = {
                limit: 10,
                offset: 0
            };
            this.cxCreated();
        },
        beforeCompile: function () {
        },
        ready: function () {
            if (typeof this.transitionName == 'undefined' || this.transitionName == 'cxpNone') {
                if (this.cxAutoload && this.cxApi != '') {
                    this.loadData();
                } else {
                    this._cxNextTick();
                }
                this.cxReady();
                this.$nextTick(this._cxNextTick);
            } else {
            }
        },
        attached: function () {
            if (this.cxParentP) {
            }
        },
        detached: function () {
        },
        beforeDestroy: function () {
        },
        destroyed: function () {
        }
    });
    return v;
});
define('tpl/main.html', [], function () {
    return '<div id="cx-main" class="cx-page" v-if="show" :transition="transitionName">\r\n    <div id="cx_main"></div>\r\n    <com-footbar v-ref:footbar></com-footbar>\r\n</div>\r\n';
});
define('tpl/com/bar_b1.html', [], function () {
    return '<footer class="u-foot ui-border-t" id="u_foot" v-show="show">\r\n    <div class="foot-cell">\r\n        <a href="#h" :class="{act:ah}">\r\n            <i class="fa fa-home fa-lg"></i>\r\n            <h5>惠风</h5>\r\n        </a>\r\n    </div>\r\n    <div class="foot-cell">\r\n        <a href="#t" :class="{act:at}">\r\n            <i class="fa fa-ticket fa-lg"></i>\r\n            <h5>票务</h5>\r\n        </a>\r\n    </div>\r\n    <div class="foot-cell">\r\n        <a href="#r" :class="{act:ar}">\r\n        <i class="fa fa-calendar"></i>\r\n        <h5>预定</h5>\r\n        </a>\r\n    </div>\r\n    <div class="foot-cell">\r\n        <a href="#g" :class="{act:ag}">\r\n        <i class="fa fa-users"></i>\r\n        <h5>部落</h5>\r\n        </a>\r\n    </div>\r\n    <div class="foot-cell">\r\n        <a href="#u" :class="{act:au}">\r\n            <i class="fa fa-navicon fa-lg"></i>\r\n            <h5>我的</h5>\r\n        </a>\r\n    </div>\r\n</footer>';
});
var App = App || {};
define('views/component/footBar', [
    'vue',
    'tpl/com/bar_b1.html'
], function (Vue, tpl) {
    var v = Vue.extend({
        template: tpl,
        data: function () {
            return {
                ah: true,
                at: false,
                ar: false,
                ag: false,
                au: false,
                show: true,
                a_buy: '#buy'
            };
        },
        created: function () {
        },
        methods: {
            change: function (_pname) {
                this.ah = false;
                this.at = false;
                this.ar = false;
                this.ag = false;
                this.au = false;
                switch (_pname) {
                case 'home':
                    this.ah = true;
                    break;
                case 'ticket':
                    this.at = true;
                    break;
                case 'reserve':
                    this.ar = true;
                    break;
                case 'group':
                    this.ag = true;
                    break;
                case 'ucenter':
                    this.au = true;
                    break;
                }
            }
        }
    });
    return v;
});
define('tpl/home.html', [], function () {
    return '<div class="views" id="cx-home" v-if="show" :transition="transitionName">\n    <div id="cx_home">\n    </div>\n</div>';
});
define('tpl/home/h_index.html', [], function () {
    return '<div id="h_index" v-if="show" :transition="transitionName">\r\n    <com-utopbar v-ref:utopbar title="惠风体育" :lspan="lspan" :rspan="rspan" v-on:lbtn-evt="lClick" v-on:rbtn-evt="rClick"></com-utopbar>\r\n    <div class="wrapper4" id="h_index_con">\r\n        <div class="bd">\r\n           <div class="indexnews">\r\n            <template v-for="(i,item) in list">\r\n                <a href="#h/newx/{{item.pk}}">\r\n                <img :src="item.pre_image">\r\n                   <div>\r\n                    <h3>{{item.title}}</h3>\r\n                    <span>{{item.pre_summary}}</span>\r\n                    </div>\r\n                </a>\r\n            </template>\r\n            <a href="#h/hnews" class="morenewBtn">更多</a>\r\n            </div>\r\n            <div class="indexbtn">\r\n                <a href="#t"><img src="assets/imgs/ibtn01.jpg"></a>\r\n                <a href="#r"><img src="assets/imgs/ibtn02.jpg"></a>\r\n                <a href="#g"><img src="assets/imgs/ibtn03.jpg"></a>\r\n            </div>\r\n        </div>\r\n    </div>\r\n</div>\r\n';
});
define('tpl/com/bar_t4.html', [], function () {
    return '<div class="g g-wrap u-header">\r\n    <div class="col col-1 text-mc" v-on:click="lClick">\r\n        {{lspan}}\r\n    </div>\r\n    <div class="col col-4 text-mc">\r\n        <h3 class="center">{{title}}</h3>\r\n    </div>\r\n    <div class="col c0l-1 text-mc" v-on:click="rClick">\r\n        {{rspan}}\r\n    </div>\r\n</div>\r\n';
});
var App = App || {};
define('views/component/utopBar_4', [
    'uview',
    'tpl/com/bar_t4.html'
], function (Vue, tpl) {
    var v = Vue.extend({
        props: [
            'title',
            'lspan',
            'rspan'
        ],
        template: tpl,
        data: function () {
            return { ai: true };
        },
        created: function () {
        },
        methods: {
            lClick: function () {
                this.$dispatch('lbtn-evt', this);
            },
            rClick: function () {
                this.$dispatch('rbtn-evt', this);
            }
        }
    });
    return v;
});
var App = App || {};
define('views/home/hindex', [
    'uview',
    'tpl/home/h_index.html',
    'views/component/utopBar_4'
], function (uview, tpl, utopbar) {
    var v = uview.extend({
        template: tpl,
        components: { 'com-utopbar': utopbar },
        objectExtend: {
            cxName: 'hindex',
            cxId: '#h-index',
            cxWpid: '#h_index_con',
            cxNextPageNs: [
                'hnews',
                'newx'
            ],
            cxApi: '/v1/news/list/?limit=2&is_top=true',
            cxLsnImg: 'img',
            cxAutoShow: true,
            cxAutoload: true,
            cxDel: false,
            cxInit: function () {
            },
            cxCreated: function () {
                if (App.user.info) {
                    this.lspan = App.user.info.nickname;
                    this.rspan = '退出';
                } else {
                    this.lspan = '登录';
                    this.rspan = '注册';
                }
            },
            cxReady: function () {
            },
            appendComplete: function () {
                this.transitionName = 'cxpFadeRight';
            }
        },
        cxData: {
            show: false,
            transitionName: 'cxpFade',
            user: null,
            lspan: '登录',
            rspan: '注册'
        },
        methods: {
            closeMask: function () {
            },
            lClick: function () {
                if (App.user.info) {
                    window.location.href = '#u';
                } else {
                    window.location.href = '#u/ulogin';
                }
            },
            rClick: function () {
                var _this = this;
                if (App.user.token == '') {
                    window.location.href = '#u/ureg';
                } else {
                    App.logout(function () {
                        _this.lspan = '登录';
                        _this.rspan = '注册';
                    });
                }
            }
        }
    });
    return v;
});
define('tpl/home/h_news.html', [], function () {
    return '<div id="h_news" v-if="show" :transition="transitionName">\r\n    <com-utopbar v-ref:utopbar title="新闻中心"></com-utopbar>\r\n    <div class="wrapper4" id="h_news_con">\r\n        <div class="bd">\r\n            <template v-for="(i,item) in list">\r\n                <div class="weui-panel weui-panel_access">\r\n                    <div class="weui-panel__bd">\r\n                        <a href="#h/newx/{{item.pk}}" class="weui-media-box weui-media-box_appmsg">\r\n                            <div class="weui-media-box__hd">\r\n                                <img class="weui-media__thumb" :src="item.sub_image" alt="" style="height: 100%;">\r\n                            </div>\r\n                            <div class="weui-media-box__bd">\r\n                                <h4 class="weui-media-box__title">{{item.title}}</h4>\r\n                                <p style="height:30px;" class="weui-media-box__desc">{{item.pre_summary}}</p>\r\n                            </div>\r\n                        </a>\r\n                    </div>\r\n                    <div class="weui-panel__ft">\r\n                        <a href="#h/newx/{{item.pk}}" class="weui-cell weui-cell_access weui-cell_link">\r\n                            <div class="weui-cell__bd news_bd">发布时间 {{item.datetime_created}} 阅读数量 {{item.count_read}} </div>\r\n                        </a>\r\n                    </div>\r\n                </div>\r\n            </template>\r\n        </div>\r\n    </div>\r\n</div>\r\n';
});
define('tpl/com/bar_t2.html', [], function () {
    return '<div class="g g-wrap u-header">\r\n    <div class="col col-1 text-mc" @click="goBack">\r\n        <i class="fa fa-chevron-left"></i>\r\n    </div>\r\n    <div class="col col-4 text-mc">\r\n        <h3 class="center">{{title}}</h3>\r\n    </div>\r\n    <div class="col c0l-1 text-mc">\r\n        <a id="saveBtn" v-on:click="saveData">{{btname}}</a>\r\n    </div>\r\n</div>\r\n';
});
var App = App || {};
define('views/component/utopBar_2', [
    'uview',
    'tpl/com/bar_t2.html'
], function (Vue, tpl) {
    var v = Vue.extend({
        props: [
            'title',
            'btname'
        ],
        template: tpl,
        data: function () {
            return { ai: true };
        },
        created: function () {
        },
        methods: {
            saveData: function () {
                this.$dispatch('btn-evt', this);
            },
            change: function (_pname) {
            }
        }
    });
    return v;
});
var App = App || {};
define('views/home/hnews', [
    'uview',
    'tpl/home/h_news.html',
    'views/component/utopBar_2'
], function (uview, tpl, utopbar) {
    var v = uview.extend({
        template: tpl,
        components: { 'com-utopbar': utopbar },
        objectExtend: {
            cxName: 'hnews',
            cxId: '#h-news',
            cxWpid: '#h_news_con',
            cxNextPageNs: ['newx'],
            cxApi: '/v1/news/list/',
            cxLsnImg: 'img',
            cxAutoShow: true,
            cxAutoload: true,
            cxDel: true,
            cxInit: function () {
            },
            cxCreated: function () {
            },
            cxReady: function () {
            },
            appendComplete: function () {
                this._cxNextTick();
            }
        },
        cxData: {
            show: true,
            transitionName: 'cxpRight'
        },
        methods: {
            closeMask: function () {
            },
            lClick: function () {
            }
        }
    });
    return v;
});
define('tpl/home/h_newsx.html', [], function () {
    return '<div id="h_newx" v-if="show" :transition="transitionName">\r\n    <com-utopbar v-ref:utopbar title="新闻中心"></com-utopbar>\r\n    <div class="wrapper4" id="h_newx_con">\r\n        <div class="weui-panel">\r\n            <div class="weui-panel__bd line-bottom">\r\n                <div class="weui-media-box weui-media-box_text">\r\n                    <h4 class="weui-media__title">{{title}}</h4>\r\n                    <ul class="weui-media__info lh23">\r\n                        <li class="weui-media__info__meta">\r\n                        发布时间 {{datetime_created}} 阅读数量 {{count_read}} </li>\r\n                    </ul>\r\n\r\n                </div>\r\n            </div>\r\n            <div class="weui-panel__bd line-bottom">\r\n                <div class="weui-media-box weui-media-box_text">\r\n                    <p class="weui-media__desc all-text">{{{body}}}</p>\r\n                </div>\r\n            </div>\r\n        </div>\r\n    </div>\r\n</div>\r\n';
});
var App = App || {};
define('views/home/newx', [
    'uview',
    'tpl/home/h_newsx.html',
    'views/component/utopBar_2'
], function (uview, tpl, utopbar) {
    var v = uview.extend({
        template: tpl,
        components: { 'com-utopbar': utopbar },
        objectExtend: {
            cxName: 'newx',
            cxId: '#h-newx',
            cxWpid: '#h_newx_con',
            cxNextPageNs: ['newx'],
            cxApi: '/v1/news/list/',
            cxLsnImg: 'img',
            cxAutoShow: true,
            cxAutoload: true,
            cxInit: function () {
            },
            cxCreated: function () {
                this.cxApi = '/v1/news/list/' + this.$options.vas + '/';
            },
            cxReady: function () {
            },
            appendComplete: function () {
            }
        },
        cxData: {
            show: true,
            transitionName: 'cxpRight'
        },
        methods: {
            closeMask: function () {
            },
            lClick: function () {
                window.location.href = '#u/ulogin';
            }
        }
    });
    return v;
});
var App = App || {};
define('views/home', [
    'uview',
    'tpl/home.html',
    'views/home/hindex',
    'views/home/hnews',
    'views/home/newx'
], function (uview, tpl, hindex, hnews, newx) {
    var v = uview.extend({
        template: tpl,
        objectExtend: {
            cxName: 'home',
            cxId: '#cx-home',
            cxChildId: '#cx_home',
            cxAutoload: false,
            cxAutoShow: true,
            cxOs: null,
            cxChildPage: {
                'hindex': hindex,
                'hnews': hnews,
                'newx': newx
            },
            cxCreated: function () {
            },
            cxReady: function () {
                if (typeof this.$options.vas != 'undefined') {
                    this.openChild(this.$options.vas);
                } else {
                    this.openChild('hindex');
                }
            }
        },
        cxData: {
            transitionName: 'cxpFade',
            show: true
        },
        methods: {
            initChild: function (_obj) {
                this.initPage = _obj.child;
            }
        }
    });
    return v;
});
define('tpl/ucenter.html', [], function () {
    return '<div class="views" id="cx-ucenter" v-if="show" :transition="transitionName">\n    <div id="ucenter">\n    </div>\n</div>';
});
define('tpl/com/bar_t1.html', [], function () {
    return '<div class="g g-wrap u-header" id="u_header">\r\n    <div class="col col-1 text-mc" @click="goBack">\r\n        <i class="fa fa-chevron-left"></i>\r\n    </div>\r\n    <div class="col col-4 text-mc">\r\n        <h3 class="center">{{title}}</h3>\r\n    </div>\r\n    <div class="col c0l-1 text-mc">\r\n        <a href="#u/usbase"><i class="fa fa-gear"></i></a>\r\n    </div>\r\n</div>\r\n';
});
var App = App || {};
define('views/component/utopBar_1', [
    'uview',
    'tpl/com/bar_t1.html'
], function (Vue, tpl) {
    var v = Vue.extend({
        props: ['title'],
        template: tpl,
        data: function () {
            return { ai: true };
        },
        created: function () {
        },
        methods: {
            change: function (_pname) {
            }
        }
    });
    return v;
});
define('tpl/ucenter/u_index.html', [], function () {
    return '<div class="" id="u_index" v-if="show" :transition="transitionName">\r\n    <com-utopbar v-ref:utopbar title="个人中心"></com-utopbar>\r\n    <div class="u-main wrapper4" id="u_main">\r\n        <div>\r\n            <div v-on:click="setus()" class="m-top ui-border-b">\r\n                <div class="t-image">\r\n                    <img :src="avatar" />\r\n                </div>\r\n                <div class="t-title text-mc">\r\n                    <h4>{{nickname}}</h4>\r\n                </div>\r\n            </div>\r\n<!--\r\n            <div class="g m-top-2 ui-border-b">\r\n                <div class="col ui-border-r">\r\n                    <div class="content text-mc">\r\n                        <div class="con-num">9</div>\r\n                        <i class="fa fa-bell-o fa-lg"></i>\r\n                        <h4>消息</h4>\r\n                    </div>\r\n\r\n                </div>\r\n                <div class="col">\r\n                    <div class="content text-mc">\r\n                        <div class="dot"></div>\r\n                        <i class="fa fa-commenting-o fa-lg"></i>\r\n                        <h4>私信</h4>\r\n                    </div>\r\n                </div>\r\n            </div>\r\n-->\r\n\r\n            <div class="bd">\r\n                <div class="weui-cells">\r\n                    <a @click="testLogin($event)" href="#u/upay" class="weui-cell weui-cell_access">\r\n                        <div class="weui-cell__bd">\r\n                            <p><i class="fa fa-cny"></i>账户余额</p>\r\n                        </div>\r\n                        <div class="weui-cell__ft">\r\n                        </div>\r\n                    </a>\r\n                </div>\r\n\r\n\r\n                <div class="weui-cells">\r\n                    <a @click="testLogin($event)" href="#u/uorder" class="weui-cell weui-cell_access">\r\n                        <div class="weui-cell__bd">\r\n                            <p><i class="fa fa-shopping-cart"></i>我的订单</p>\r\n                        </div>\r\n                        <div class="weui-cell__ft">\r\n                        </div>\r\n                    </a>\r\n                    <a @click="testLogin($event)" href="#u/uticket" class="weui-cell weui-cell_access">\r\n                        <div class="weui-cell__bd">\r\n                            <p><i class="fa fa-ticket"></i>我的票务</p>\r\n                        </div>\r\n                        <div class="weui-cell__ft">\r\n                        </div>\r\n                    </a>\r\n                    <a @click="testLogin($event)" href="#u/ureserve/venue" class="weui-cell weui-cell_access">\r\n                        <div class="weui-cell__bd">\r\n                            <p><i class="fa fa-calendar"></i>我的预定</p>\r\n                        </div>\r\n                        <div class="weui-cell__ft">\r\n                        </div>\r\n                    </a>\r\n                    <a @click="testLogin($event)" href="#u/utrain" class="weui-cell weui-cell_access">\r\n                        <div class="weui-cell__bd">\r\n                            <p><i class="fa fa-book"></i>我的培训</p>\r\n                        </div>\r\n                        <div class="weui-cell__ft">\r\n\r\n                        </div>\r\n                    </a>\r\n                </div>\r\n<!--\r\n                <div class="weui-cells">\r\n                    <a @click="testLogin($event)" href="#u/ugroup" class="weui-cell weui-cell_access">\r\n                        <div class="weui-cell__bd">\r\n                            <p><i class="fa fa-user"></i>我的部落</p>\r\n                        </div>\r\n                        <div class="weui-cell__ft">\r\n\r\n                        </div>\r\n                    </a>\r\n                    <a @click="testLogin($event)" href="#u/uinvite" class="weui-cell weui-cell_access">\r\n                        <div class="weui-cell__bd">\r\n                            <p><i class="fa fa-soccer-ball-o"></i>我的约球</p>\r\n                        </div>\r\n                        <div class="weui-cell__ft">\r\n\r\n                        </div>\r\n                    </a>\r\n                    <a @click="testLogin($event)" href="#u/ufavorite" class="weui-cell weui-cell_access">\r\n                        <div class="weui-cell__bd">\r\n                            <p><i class="fa fa-star"></i>我的收藏</p>\r\n                        </div>\r\n                        <div class="weui-cell__ft">\r\n\r\n                        </div>\r\n                    </a>\r\n                </div>\r\n-->\r\n                <div class="weui-cells">\r\n                    <a @click="testLogin($event)" href="#u/uabout" class="weui-cell weui-cell_access">\r\n                        <div class="weui-cell__bd">\r\n                            <p><i class="fa fa-file-text"></i>关于我们</p>\r\n                        </div>\r\n                        <div class="weui-cell__ft">\r\n\r\n                        </div>\r\n                    </a>\r\n                </div>\r\n\r\n                <div class="weui-cells">\r\n                    <a  v-on:click="logout()" class="weui-cell db">\r\n                        <div class="weui-cell__ft quit txtCenter" style="width: 100%;">退出登录</div>\r\n                    </a>\r\n                </div>\r\n                <div style="height:30px;"></div>\r\n            </div>\r\n        </div>\r\n    </div>\r\n</div>\r\n';
});
var App = App || {};
define('views/ucenter/uindex', [
    'uview',
    'views/component/utopBar_1',
    'tpl/ucenter/u_index.html'
], function (uview, utopbar, tpl) {
    var v = uview.extend({
        template: tpl,
        components: { 'com-utopbar': utopbar },
        objectExtend: {
            cxName: 'uindex',
            cxId: '#u-index',
            cxWpid: '#u_main',
            cxApi: '/v1/user/profile/',
            cxAutoShow: true,
            cxDel: false,
            cxLsnImg: 'img',
            cxInit: function () {
            },
            cxCreated: function () {
            },
            cxReady: function () {
                if (App.user.info) {
                    this.avatar = App.user.info.avatar;
                    this.nickname = App.user.info.nickname;
                }
            },
            appendComplete: function () {
                this.transitionName = 'cxpFadeRight';
                if (App.user.info) {
                    this.avatar = App.user.info.avatar;
                    this.nickname = App.user.info.nickname;
                }
            }
        },
        cxData: {
            show: true,
            transitionName: 'cxpFade',
            avatar: './assets/imgs/fire.png',
            urlPath: App.config.urlPath,
            nickname: '登陆账号'
        },
        methods: {
            setus: function () {
                if (App.user.login) {
                    window.location.href = '#u/usbase';
                } else {
                    window.location.href = '#u/ulogin';
                }
            },
            testLogin: function (evt) {
                if (!App.user.login) {
                    evt.preventDefault();
                    App.warn('请先登陆');
                    return false;
                }
            },
            logout: function () {
                var _this = this;
                App.logout(function () {
                    _this.avatar = './assets/imgs/fire.png';
                    _this.nickname = '登陆账号';
                    App.warn('退出成功');
                    window.location.href = '#h';
                });
            }
        }
    });
    return v;
});
define('tpl/ucenter/u_ticket.html', [], function () {
    return '<div class="" id="u_ticket" v-if="show" :transition="transitionName">\r\n    <com-utopbar v-ref:utopbar title="我的票务"></com-utopbar>\r\n    <div class="u-main wrapper4" id="u_ticket_m">\r\n        <div class="weui-tab">\r\n            <div class="weui-navbar">\r\n                <div v-on:click="changeTabs(\'swim\')" class="weui-navbar__item" :class="{\'weui-bar__item_on\': swim}">\r\n                    <span>游泳票</span>\r\n                </div>\r\n                <div v-on:click="changeTabs(\'general\')" class="weui-navbar__item" :class="{\'weui-bar__item_on\': general}">\r\n                    <span>消费券</span>\r\n                </div>\r\n                <div v-on:click="changeTabs(\'competition\')" class="weui-navbar__item" :class="{\'weui-bar__item_on\': match}">\r\n                    <span>比赛票</span>\r\n                </div>\r\n                <div v-on:click="changeTabs(\'dining\')" class="weui-navbar__item" :class="{\'weui-bar__item_on\': dining}">\r\n                    <span>餐饮券</span>\r\n                </div>\r\n            </div>\r\n        </div>\r\n        <div class="bd ulistA" id="u_ticket_list">\r\n            <div>\r\n                <template v-for="(i,item) in list">\r\n                    <div class="item">\r\n                        <div class="weui-form-preview">\r\n                            <div class="weui-form-preview__hd">\r\n                                <label class="weui-form-preview__label">{{item.ticket_title}}</label>\r\n                                <em class="weui-form-preview__value">\xA5{{item.ticket_selling_price}}</em>\r\n                            </div>\r\n                            <div class="weui-form-preview__bd">\r\n                                <p>\r\n                                    <label class="weui-form-preview__label">时间</label>\r\n                                    <span class="weui-form-preview__value"> {{item.datetime_created}}\r\n                                    </span>\r\n                                </p>\r\n                                <p>\r\n                                    <label class="weui-form-preview__label">状态</label>\r\n                                    <span class="weui-form-preview__value">\r\n                                    <template v-if="item.status==1">\r\n                                        支付\r\n                                    </template>\r\n                                    <template v-else>\r\n                                         未支付\r\n                                    </template>\r\n                                    </span>\r\n                                </p>\r\n                                <p>\r\n                                    <label class="weui-form-preview__label">订单详情</label>\r\n                                    <span class="weui-form-preview__value des lineClamp2 txtLeft">{{item.ticket_content}}</span>\r\n                                </p>\r\n                            </div>\r\n                            <div class="weui-form-preview__ft">\r\n                                <a @click="goQrcode(item.exchange_url)" class="weui-form-preview__btn weui-form-preview__btn_primary">详细兑换</a>\r\n                            </div>\r\n                        </div>\r\n                    </div>\r\n                </template>\r\n            </div>\r\n        </div>\r\n    </div>\r\n</div>\r\n';
});
var App = App || {};
define('views/ucenter/uticket', [
    'uview',
    'views/component/utopBar_1',
    'tpl/ucenter/u_ticket.html'
], function (uview, utopbar, tpl) {
    var v = uview.extend({
        template: tpl,
        components: { 'com-utopbar': utopbar },
        objectExtend: {
            cxName: 'uticket',
            cxId: '#u-ticket',
            cxWpid: '#u_ticket_list',
            cxNextPageNs: ['uqrcode'],
            cxApi: '/v1/ticket/swim/reservations/',
            cxAutoShow: true,
            cxAutoload: true,
            cxTabs: 'swim',
            cxInit: function () {
            },
            cxCreated: function () {
                if (this.$options.vas) {
                    this.cxTabs = this.$options.vas;
                    this.setApi(this.cxTabs);
                    this.changeTabs(this.cxTabs);
                }
            },
            cxReady: function () {
            }
        },
        cxData: {
            show: true,
            transitionName: 'cxpRight',
            swim: true,
            general: false,
            match: false,
            dining: false
        },
        methods: {
            setApi: function (_val) {
                if (_val == 'dining') {
                    this.cxApi = '/v1/dining/reservations/';
                } else {
                    this.cxApi = '/v1/ticket/' + _val + '/reservations/';
                }
            },
            changeTabs: function (_val) {
                this.swim = this.general = this.match = this.dining = false;
                switch (_val) {
                case 'swim':
                    this.swim = true;
                    break;
                case 'general':
                    this.general = true;
                    break;
                case 'competition':
                    this.match = true;
                    break;
                case 'dining':
                    this.dining = true;
                    break;
                default:
                    this.swim = true;
                }
                if (window.history) {
                    window.history.replaceState(null, null, '#u/uticket/' + _val);
                }
                if (this.cxDld) {
                    this.setApi(_val);
                    this.renData();
                }
            },
            goQrcode: function (val) {
                if (val.state == 1) {
                    App.p.dhQrcode = val.message;
                    window.location.href = '#u/uqrcode';
                } else {
                    App.warn(val.message);
                }
            }
        }
    });
    return v;
});
define('tpl/ucenter/ureg.html', [], function () {
    return '<div class="" id="u_reg" v-if="show" :transition="transitionName">\r\n    <com-utopbar v-ref:utopbar title="注册" btname="登录" v-on:btn-evt="saveBtn"></com-utopbar>\r\n    <div class="u-main wrapper4 {{regcss}}" id="u_reg_m">\r\n        <div class="bd">\r\n            <div class="weui-cells__title">请填写您的手机号注册</div>\r\n            <div class="weui-cells">\r\n                <div class="weui-cell weui-cell_select weui-cell_select-before">\r\n                    <div class="weui-cell__hd">\r\n                        <select class="weui-select" name="select2">\r\n                            <option value="1">+86</option>\r\n                            <option value="2">+80</option>\r\n                            <option value="3">+84</option>\r\n                            <option value="4">+87</option>\r\n                        </select>\r\n                    </div>\r\n                    <div class="weui-cell__bd">\r\n                        <input class="weui-input" v-model="mobile" type="number" pattern="[0-9]*" placeholder="请输入号码">\r\n                    </div>\r\n                </div>\r\n            </div>\r\n            <div class="actBtn">\r\n                <div class="weui-btn-area">\r\n                    <a class="weui-btn weui-btn_primary" @click="getValidate">获取验证码</a>\r\n                </div>\r\n            </div>\r\n        </div>\r\n    </div>\r\n    <div class="u-main wrapper4 {{reg2css}}" id="u_reg_m2">\r\n        <div class="u-main" id="ur_main">\r\n            <div class="bd">\r\n                <div class="weui-cells__title">\r\n                    验证码已经短信发送到\uFF08+86\uFF09{{mobile}}\r\n                </div>\r\n                <div class="weui-cells weui-cells_form">\r\n                    <div class="weui-cell">\r\n                        <div class="weui-cell__bd weui-cell__primary btn_green">\r\n                            <p>\r\n                                <input class="weui-input" v-model="code" type="number" pattern="[0-9]*" placeholder="输入验证码">\r\n                            </p>\r\n                        </div>\r\n                        <div class="weui-cell__ft">\r\n                            <a class="weui-btn weui-btn_mini weui-btn_default">重新发送</a>\r\n                        </div>\r\n                    </div>\r\n                    <div class="weui-cell">\r\n                        <div class="weui-cell__bd weui-cell__primary">\r\n                            <p>\r\n                                <input class="weui-input" v-model="password" type="password" placeholder="请输入至少六位数的密码">\r\n                            </p>\r\n                        </div>\r\n                    </div>\r\n                </div>\r\n                <label for="weuiAgree" class="weui-agree">\r\n                    <input id="weuiAgree" type="checkbox" class="weui-agree__checkbox">\r\n                    <span class="weui-agree__text">\r\n                    阅读并同意<a href="javascript:void(0);">\u300A相关条款\u300B</a>\r\n                    </span>\r\n                </label>\r\n                <div class="weui-btn-area">\r\n                    <a @click="reg" class="weui-btn weui-btn_primary">完成注册</a>\r\n                </div>\r\n            </div>\r\n        </div>\r\n    </div>\r\n</div>\r\n';
});
var App = App || {};
define('views/ucenter/ureg', [
    'uview',
    'views/component/utopBar_2',
    'tpl/ucenter/ureg.html'
], function (uview, utopbar, tpl) {
    var v = uview.extend({
        template: tpl,
        components: { 'com-utopbar': utopbar },
        objectExtend: {
            cxName: 'ureg',
            cxId: '#u-reg',
            cxWpid: '#u_reg_m',
            cxAutoShow: true,
            cxDel: false,
            cxInit: function () {
            },
            cxCreated: function () {
            },
            cxReady: function () {
            },
            appendComplete: function () {
                this.transitionName = 'cxpFadeLeft';
            }
        },
        cxData: {
            show: true,
            transitionName: 'cxpRight',
            regcss: '',
            reg2css: 'cxpLeft-leave',
            mobile: '',
            password: '',
            sms_pk: 0,
            code: ''
        },
        methods: {
            getValidate: function () {
                var _this = this;
                App.upData({
                    url: App.config.urlPath + '/v1/entry/sms/?' + App.config.accompany,
                    data: {
                        mobile: this.mobile,
                        type: 1
                    },
                    success: function (a) {
                        _this.sms_pk = a.pk;
                        _this.regcss = 'cxpRight-leave';
                        _this.reg2css = 'cxpLeft-transition';
                    }
                });
            },
            reg: function () {
                var _this = this;
                App.upData({
                    url: App.config.urlPath + '/v1/user/register/?' + App.config.accompany,
                    data: {
                        username: this.mobile,
                        password: this.password,
                        code: this.code,
                        sms_pk: this.sms_pk
                    },
                    success: function (a) {
                        console.log(a);
                    }
                });
            },
            saveBtn: function () {
                if (window.history) {
                }
            }
        }
    });
    return v;
});
define('tpl/ucenter/ureg2.html', [], function () {
    return '<div class="" id="u_reg2" v-if="show" :transition="transitionName">\r\n    <com-utopbar v-ref:utopbar title="注册"></com-utopbar>\r\n    <div class="u-main wrapper4" id="u_reg_m2">\r\n        <div class="u-main" id="ur_main">\r\n            <div class="bd">\r\n                <div class="weui_cells_title">\r\n                    验证码已经短信发送到\uFF08+86\uFF0913412341234\r\n                </div>\r\n                <div class="weui_cells weui_cells_form">\r\n                    <div class="weui_cell">\r\n                        <div class="weui_cell_bd weui_cell_primary btn_green">\r\n                            <p>验证码</p>\r\n                        </div>\r\n                        <div class="weui_cell_ft">\r\n                            <a class="weui_btn weui_btn_plain_primary btn_green">发送验证码</a>\r\n                        </div>\r\n                    </div>\r\n                    <div class="weui_cell">\r\n                        <div class="weui_cell_bd weui_cell_primary">\r\n                            <p>请输入至少六位数的密码</p>\r\n                        </div>\r\n                    </div>\r\n                    <div class="weui_cell">\r\n                        <div class="weui_cell_bd weui_cell_primary">\r\n                            <p>请再次输入密码</p>\r\n                        </div>\r\n                    </div>\r\n                </div>\r\n                <div class="weui_cells_tips">\r\n                    <i class="weui_icon_success i_cuccess"></i> 我已阅读并同意 \u300A**注册协议\u300B\r\n                </div>\r\n                <div class="weui_btn_area">\r\n                    <a class="weui_btn weui_btn_primary">完成注册</a>\r\n                </div>\r\n            </div>\r\n        </div>\r\n    </div>\r\n</div>\r\n';
});
var App = App || {};
define('views/ucenter/ureg2', [
    'uview',
    'views/component/utopBar_1',
    'tpl/ucenter/ureg2.html'
], function (uview, utopbar, tpl) {
    var v = uview.extend({
        template: tpl,
        components: { 'com-utopbar': utopbar },
        objectExtend: {
            cxName: 'ureg2',
            cxId: '#u-reg',
            cxWpid: '#u_reg_m2',
            cxAutoShow: true,
            cxAutoload: false,
            cxDel: false,
            cxInit: function () {
            },
            cxCreated: function () {
            },
            cxReady: function () {
            },
            appendComplete: function () {
                this.transitionName = 'cxpFadeLeft';
            }
        },
        cxData: {
            show: true,
            transitionName: 'cxpRight'
        },
        methods: {
            closeMask: function () {
            }
        }
    });
    return v;
});
define('tpl/ucenter/ulogin.html', [], function () {
    return '<div class="" id="u_login" v-if="show" :transition="transitionName">\r\n    <com-utopbar v-ref:utopbar title="登录" btname="注册" v-on:btn-evt="saveBtn"></com-utopbar>\r\n    <div class="u-main wrapper4" id="u_login_m">\r\n        <div class="bd">\r\n            <div class="weui-tab">\r\n                <div class="weui-navbar">\r\n                    <div class="weui-navbar__item weui-bar__item_on">\r\n                        <h4>普通登录</h4>\r\n                    </div>\r\n<!--                    <div class="weui-navbar__item">\r\n                        验证码登陆\r\n                    </div>-->\r\n                </div>\r\n            </div>\r\n            <div class="page__hd">\r\n                <div class="weui-cells weui-cells_form">\r\n                    <div class="weui-cell">\r\n                        <div class="weui-cell__hd">\r\n                            <label class="weui-label"><i class="fa fa-mobile-phone"></i></label>\r\n                        </div>\r\n                        <div class="weui-cell__hd">\r\n                            <input v-model="username" class="weui-input" type="number" pattern="[0-9]*" placeholder="手机号码">\r\n                        </div>\r\n                    </div>\r\n                    <div class="weui-cell">\r\n                        <div class="weui-cell__hd">\r\n                            <label class="weui-label"><i class="fa fa-key"></i></label>\r\n                        </div>\r\n                        <div class="weui-cell__hd">\r\n                            <input class="weui-input" type="password" v-model="password" placeholder="输入密码">\r\n                        </div>\r\n                    </div>\r\n                </div>\r\n                <div class="actBtn">\r\n                    <div class="weui-btn-area">\r\n                        <a class="weui-btn weui-btn_primary" @click="getValidate">登录</a>\r\n                    </div>\r\n                </div>\r\n            </div>\r\n        </div>\r\n    </div>\r\n</div>\r\n';
});
var App = App || {};
define('views/ucenter/ulogin', [
    'uview',
    'views/component/utopBar_2',
    'tpl/ucenter/ulogin.html'
], function (uview, utopbar, tpl) {
    var v = uview.extend({
        template: tpl,
        components: { 'com-utopbar': utopbar },
        objectExtend: {
            cxName: 'ulogin',
            cxId: '#u-login',
            cxWpid: '#u_login_m',
            cxAutoShow: true,
            cxAutoload: false,
            cxInit: function () {
            },
            cxCreated: function () {
            },
            cxReady: function () {
            }
        },
        cxData: {
            show: true,
            transitionName: 'cxpRight',
            username: '',
            password: ''
        },
        methods: {
            getValidate: function () {
                App.user.token = '';
                App.upData({
                    url: App.config.urlPath + '/v1/entry/api_user_login/',
                    data: {
                        username: this.username,
                        password: this.password,
                        os_type: 1
                    },
                    success: function (a) {
                        if (a.results.state == 1) {
                            App.user.info = a.results;
                            App.user.uid = a.results.pk;
                            App.user.token = a.results.token;
                            App.user.login = true;
                            App.ldUserinfo(function () {
                                window.history.back();
                            });
                        }
                    }
                });
            },
            saveBtn: function () {
                window.location.href = '#u/ureg';
                if (window.history) {
                    window.history.replaceState(null, null, '#u/ureg');
                }
            }
        }
    });
    return v;
});
define('tpl/ucenter/uset_base.html', [], function () {
    return '<div class="" id="u_usbase" v-if="show" :transition="transitionName">\r\n    <com-utopbar v-ref:utopbar title="修改资料" btname="保存" v-on:btn-evt="saveBtn"></com-utopbar>\r\n    <div class="u-main wrapper4" id="u_usbase_m">\r\n        <div class="u-main">\r\n            <div class="bd">\r\n                <div class="weui-cells weui-cells_form">\r\n                    <div @click="selectHead" class="weui-cell">\r\n                        <div class="weui-cell__bd">\r\n                            <label class="weui-label">头像</label>\r\n                        </div>\r\n                        <div class="weui-cell__bd">\r\n                            <img class="uhimg" :src="avatar">\r\n                        </div>\r\n                    </div>\r\n                    <div class="weui-cell">\r\n                        <div class="weui-cell__bd">\r\n                            <label class="weui-label">用户名</label>\r\n                        </div>\r\n                        <div class="weui-cell__bd">\r\n                            <input class="weui-input" v-model="info.nickname"  type="text" placeholder="填写">\r\n                        </div>\r\n                    </div>\r\n                    <div class="weui-cell">\r\n                        <div class="weui-cell__bd">\r\n                            <label class="weui-label">身高cm</label>\r\n                        </div>\r\n                        <div class="weui-cell__bd">\r\n                            <input class="weui-input"v-model="info.height"  type="text" placeholder="填写">\r\n                        </div>\r\n                    </div>\r\n                    <div class="weui-cell">\r\n                        <div class="weui-cell__bd">\r\n                            <label class="weui-label">体重Kg</label>\r\n                        </div>\r\n                        <div class="weui-cell__bd">\r\n                            <input class="weui-input"v-model="info.weight"  type="text" placeholder="填写">\r\n                        </div>\r\n                    </div>\r\n                    <div class="weui-cell">\r\n                        <div class="weui-cell__bd">\r\n                            <label for="" class="weui-label">生日</label>\r\n                        </div>\r\n                        <div class="weui-cell__bd iuwDate">\r\n                            <input class="weui-input" placeholder="出生年月日" type="date" v-model="info.birthday" >\r\n                        </div>\r\n                    </div>\r\n                    <div class="weui-cell weui_cell_select">\r\n                        <div class="weui-cell__bd">\r\n                            <label for="" class="weui_label">性别</label>\r\n                        </div>\r\n                        <div class="weui-cell__bd">\r\n                            <select v-model="info.sex" class="weui-select" name="select2">\r\n                                <option value="1">男</option>\r\n                                <option value="0">女</option>\r\n                            </select>\r\n                        </div>\r\n                    </div>\r\n                </div>\r\n                <div class="weui-cells">\r\n                    <a href="#u/uforget" class="weui-cell weui-cell_access">\r\n                        <div class="weui-cell__bd">\r\n                            <p>修改密码</p>\r\n                        </div>\r\n                        <div class="weui-cell__ft">\r\n                        </div>\r\n                    </a>\r\n                </div>\r\n            </div>\r\n        </div>\r\n    </div>\r\n</div>\r\n';
});
var App = App || {};
define('views/ucenter/usbase', [
    'uview',
    'views/component/utopBar_2',
    'tpl/ucenter/uset_base.html'
], function (uview, utopbar, tpl) {
    var v = uview.extend({
        template: tpl,
        components: { 'com-utopbar': utopbar },
        objectExtend: {
            cxName: 'usbase',
            cxId: '#u-sbase',
            cxWpid: '#u_usbase_m',
            cxApi: '/v1/user/profile/',
            cxNextPageNs: ['uforget'],
            cxAutoShow: true,
            cxInit: function () {
            },
            cxCreated: function () {
                this.info = App.user.info;
                this.avatar = App.user.info.avatar;
            },
            cxReady: function () {
            },
            appendComplete: function () {
                App.cxmain.footShow(true);
            }
        },
        cxData: {
            show: true,
            transitionName: 'cxpRight',
            info: {},
            regcss: '',
            reg2css: 'cxpLeft-leave',
            nickname: '',
            height: '',
            weight: '',
            birthday: '',
            sex: '',
            avatar: 'http://shp.qpic.cn/weixinsrc_pic/pScBR7sbqjOBJomcuvVJ6iacVrbMJaoJZkFUIq4nzQZUIqzTKziam7ibg/',
            urlPath: App.config.urlPath
        },
        methods: {
            getValidate: function () {
                this.regcss = 'cxpRight-leave';
                this.reg2css = 'cxpLeft-transition';
            },
            saveBtn: function () {
                var _this = this;
                App.upData({
                    type: 'PUT',
                    contentType: 'application/json',
                    url: App.config.urlPath + '/v1/user/profile/' + App.user.uid + '/?' + App.config.accompany,
                    data: this.info,
                    success: function (data) {
                        App.alert('修改成功');
                    }
                });
            },
            selectHead: function () {
                var _this = this;
                App.eImage.selectImage({
                    api: '/v1/entry/imageupload/',
                    success: function (data) {
                        if (data.results.state == 1) {
                            if (App.user.info) {
                                App.user.info.avatar = data.results.data.img_url;
                            }
                            _this.avatar = App.user.info.avatar;
                            history.back();
                        } else {
                            App.alert('上传失败');
                        }
                    }
                });
            }
        }
    });
    return v;
});
define('tpl/ucenter/u_reserve.html', [], function () {
    return '<div class="" id="u_reserve" v-if="show" :transition="transitionName">\r\n    <com-utopbar v-ref:utopbar title="我的预定"></com-utopbar>\r\n    <div class="u-main wrapper4" id="u_reserve_m">\r\n        <div class="bd ulistA" id="u_reserve_list">\r\n            <div v-if="venue">\r\n                <template v-for="(i,item) in list">\r\n                    <div class="item">\r\n                        <div class="weui-form-preview">\r\n                            <div class="weui-form-preview__hd">\r\n                                <label class="weui-form-preview__label">{{item.venue_title}}&nbsp</label>&nbsp\r\n                                <em class="weui-form-preview__value" v-if="item.venue==1">\r\n                                网球\r\n                                </em>\r\n                                <em class="weui-form-preview__value" v-if="item.venue==2">\r\n                                羽毛球\r\n                                </em>\r\n                                <em class="weui-form-preview__value" v-if="item.venue==3">\r\n                                游泳\r\n                                </em>\r\n                            </div>\r\n                            <div class="weui-form-preview__bd">\r\n                                <p>\r\n                                    <label class="weui-form-preview__label">日期</label>\r\n                                    <span class="weui-form-preview__value">\r\n                                    {{item.date_reserved}}\r\n                                    </span>\r\n                                </p>\r\n                                <p>\r\n                                    <label class="weui-form-preview__label">时间段</label>\r\n                                    <span class="weui-form-preview__value">\r\n                                    {{selectArr[item.time_range_reserved].name}}\r\n                                    </span>\r\n                                </p>\r\n                            </div>\r\n                            <div class="weui-form-preview__ft">\r\n                                <a class="weui-form-preview__btn weui-form-preview__btn_primary" href="#u/uqrcode">兑换</a>\r\n                            </div>\r\n                        </div>\r\n                    </div>\r\n                </template>\r\n            </div>\r\n            <div v-else>\r\n                <template v-for="(i,item) in list">\r\n                    <div class="item">\r\n                        <div class="weui-form-preview">\r\n                            <div class="weui-form-preview__hd">\r\n                                <label class="weui-form-preview__label">{{item.course_title}}</label>\r\n                                <em class="weui-form-preview__value" v-if="item.course==1">\r\n                                网球\r\n                                </em>\r\n                                <em class="weui-form-preview__value" v-if="item.course==2">\r\n                                羽毛球\r\n                                </em>\r\n                                <em class="weui-form-preview__value" v-if="item.course==3">\r\n                                游泳\r\n                                </em>\r\n                            </div>\r\n                            <div class="weui-form-preview__bd">\r\n                                <p>\r\n                                    <label class="weui-form-preview__label">创建时间</label>\r\n                                    <span class="weui-form-preview__value">\r\n                                    {{item.datetime_created}}\r\n                                    </span>\r\n                                </p>\r\n                                <p>\r\n                                    <label class="weui-form-preview__label">说明</label>\r\n                                    <span class="weui-form-preview__value">\r\n                                    {{item.course_content}}\r\n                                    </span>\r\n                                </p>\r\n                            </div>\r\n                            <div class="weui-form-preview__ft">\r\n                                <a class="weui-form-preview__btn weui-form-preview__btn_primary" href="javascript:">兑换</a>\r\n                            </div>\r\n                        </div>\r\n                    </div>\r\n                </template>\r\n            </div>\r\n        </div>\r\n    </div>\r\n</div>\r\n';
});
var App = App || {};
define('views/ucenter/ureserve', [
    'uview',
    'views/component/utopBar_1',
    'tpl/ucenter/u_reserve.html'
], function (uview, utopbar, tpl) {
    var v = uview.extend({
        template: tpl,
        components: { 'com-utopbar': utopbar },
        objectExtend: {
            cxName: 'ureserve',
            cxId: '#u-reserve',
            cxWpid: '#u_reserve_list',
            cxApi: '/v1/venue/reservations/',
            cxAutoShow: true,
            cxAutoload: false,
            cxTabs: -1,
            cxInit: function () {
            },
            cxCreated: function () {
                if (this.$options.vas) {
                    this.cxTabs = this.$options.vas;
                    this.setApi(this.cxTabs);
                    this.changeTabs(this.cxTabs);
                }
            },
            cxReady: function () {
            },
            appendComplete: function () {
                this.transitionName = 'cxpFadeLeft';
            }
        },
        cxData: {
            show: true,
            transitionName: 'cxpRight',
            venue: true,
            coach: false,
            selectArr: [
                { name: '08:00 09:00' },
                { name: '09:00 10:00' },
                { name: '10:00 11:00' },
                { name: '11:00 12:00' },
                { name: '12:00 13:00' },
                { name: '13:00 14:00' },
                { name: '14:00 16:00' },
                { name: '15:00 17:00' },
                { name: '16:00 18:00' },
                { name: '17:00 19:00' },
                { name: '18:00 10:00' },
                { name: '19:00 20:00' },
                { name: '20:00 21:00' }
            ]
        },
        methods: {
            setApi: function (_val) {
                if (_val == 'venue') {
                    this.cxApi = '/v1/venue/reservations/';
                } else {
                    this.cxApi = '/v1/coach/courses/reservation/';
                }
            },
            changeTabs: function (_val) {
                this.venue = this.coach = false;
                switch (_val) {
                case 'venue':
                    this.venue = true;
                    break;
                case 'coach':
                    this.coach = true;
                    break;
                default:
                    this.venue = true;
                }
                if (window.history) {
                    window.history.replaceState(null, null, '#u/ureserve/' + _val);
                }
                if (this.cxDld) {
                    this.setApi(_val);
                    this.renData();
                }
            },
            closeMask: function () {
            }
        }
    });
    return v;
});
define('tpl/ucenter/u_group.html', [], function () {
    return '<div class="" id="u_group" v-if="show" :transition="transitionName">\r\n    <com-utopbar v-ref:utopbar title="我的部落"></com-utopbar>\r\n    <div class="u-main wrapper4" id="u_group_m">\r\n        <div class="bd">\r\n            <div class="weui-panel weui-panel_access">\r\n                <div class="weui-panel__bd">\r\n                    <div class="g cx-col_a">\r\n                        <div class="col col-4">\r\n                            <a href="javascript:void(0);" class="weui-media-box weui-media-box_appmsg">\r\n                                <div class="weui-media__hd ug_item_img">\r\n                                    <img class="weui-media__thumb imgA" src="assets/imgs/wq001.jpg" alt="">                                </div>\r\n                                <div class="weui-media__bd">\r\n                                    <div class="weui-media__title">宁波市鄞州网球俱乐部</div>\r\n                                </div>\r\n                            </a>\r\n                        </div>\r\n                        <div class="col col-2 txtRight">\r\n                            <div class="joinState sa">\r\n                            申请中\r\n                            </div>\r\n                        </div>\r\n                    </div>\r\n                </div>\r\n            </div>\r\n            <div class="weui-panel weui-panel_access">\r\n                <div class="weui-panel__bd">\r\n                    <div class="g cx-col_a">\r\n                        <div class="col col-4">\r\n                            <a href="javascript:void(0);" class="weui-media-box weui-media-box_appmsg">\r\n                                <div class="weui-media__hd ug_item_img">\r\n                                    <img class="weui-media__thumb imgA" src="assets/imgs/wq001.jpg" alt="">                                </div>\r\n                                <div class="weui-media__bd">\r\n                                    <div class="weui-media__title">宁波市惠风网球俱乐部</div>\r\n                                </div>\r\n                            </a>\r\n                        </div>\r\n                        <div class="col col-2 txtRight">\r\n                            <div class="joinState sc">\r\n                            被拒绝\r\n                            </div>\r\n                        </div>\r\n                    </div>\r\n                </div>\r\n            </div>\r\n            <div class="weui-panel weui-panel_access">\r\n                <div class="weui-panel__bd">\r\n                    <div class="g cx-col_a">\r\n                        <div class="col col-4">\r\n                            <a href="javascript:void(0);" class="weui-media-box weui-media-box_appmsg">\r\n                                <div class="weui-media__hd ug_item_img">\r\n                                    <img class="weui-media__thumb imgA" src="assets/imgs/wq001.jpg" alt="">                                </div>\r\n                                <div class="weui-media__bd">\r\n                                    <div class="weui-media__title">宁波市翠柏网球俱乐部</div>\r\n                                </div>\r\n                            </a>\r\n                        </div>\r\n                        <div class="col col-2 txtRight">\r\n                            <div class="joinState sb">\r\n                            已加入\r\n                            </div>\r\n                        </div>\r\n                    </div>\r\n                </div>\r\n            </div>\r\n            <div class="weui-panel weui-panel_access">\r\n                <div class="weui-panel__bd">\r\n                    <div class="g cx-col_a">\r\n                        <div class="col col-4">\r\n                            <a href="javascript:void(0);" class="weui-media-box weui-media-box_appmsg">\r\n                                <div class="weui-media__hd ug_item_img">\r\n                                    <img class="weui-media__thumb imgA" src="assets/imgs/wq001.jpg" alt="">                                </div>\r\n                                <div class="weui-media__bd">\r\n                                    <div class="weui-media__title">宁波市翠柏网球俱乐部</div>\r\n                                </div>\r\n                            </a>\r\n                        </div>\r\n                        <div class="col col-2 txtRight">\r\n                            <div class="joinState sb">\r\n                            <a href="javascript:;" class="weui-btn weui-btn_mini weui-btn_default v_middle">查看成员</a>\r\n                            </div>\r\n                        </div>\r\n                    </div>\r\n                </div>\r\n            </div>\r\n        </div>\r\n    </div>\r\n</div>\r\n';
});
var App = App || {};
define('views/ucenter/ugroup', [
    'uview',
    'views/component/utopBar_1',
    'tpl/ucenter/u_group.html'
], function (uview, utopbar, tpl) {
    var v = uview.extend({
        template: tpl,
        components: { 'com-utopbar': utopbar },
        objectExtend: {
            cxName: 'ugroup',
            cxId: '#u-group',
            cxWpid: '#u_group_m',
            cxApi: '/v1/news/list/',
            cxAutoShow: true,
            cxAutoload: false,
            cxInit: function () {
            },
            cxCreated: function () {
            },
            cxReady: function () {
            },
            appendComplete: function () {
                this.transitionName = 'cxpFadeLeft';
            }
        },
        cxData: {
            show: true,
            transitionName: 'cxpRight'
        },
        methods: {
            closeMask: function () {
            }
        }
    });
    return v;
});
define('tpl/ucenter/u_invite.html', [], function () {
    return '<div class="" id="u_invite" v-if="show" :transition="transitionName">\r\n    <com-utopbar v-ref:utopbar title="我的约球"></com-utopbar>\r\n    <div class="u-main wrapper4" id="u_invite_m">\r\n        <div class="bd ulistB">\r\n            <div>\r\n                <div class="item">\r\n                    <div class="weui-form-preview">\r\n                        <div class="weui-form-preview__hd">\r\n                            <label class="weui-form-preview__label">鄞州网球中心活动</label>\r\n                            <em class="weui-form-preview__value">2010-10-10</em>\r\n                        </div>\r\n                        <div class="weui-form-preview__bd">\r\n                            <p>\r\n                                <label class="weui-form-preview__label">时间</label>\r\n                                <span class="weui-form-preview__value">2016-10-10 15:30</span>\r\n                            </p>\r\n                            <p>\r\n                                <label class="weui-form-preview__label">发起人</label>\r\n                                <span class="weui-form-preview__value">张三</span>\r\n                            </p>\r\n                            <p>\r\n                                <label class="weui-form-preview__label">人数</label>\r\n                                <span class="weui-form-preview__value">2/16</span>\r\n                            </p>\r\n                            <p>\r\n                                <label class="weui-form-preview__label">费用</label>\r\n                                <span class="weui-form-preview__value">\uFFE530</span>\r\n                            </p>\r\n                        </div>\r\n                        <div class="weui-panel__ft">\r\n                            <a href="javascript:void(0);" class="weui-cell weui-cell_access weui-cell_link">\r\n                                <div class="weui-cell__bd">查看更多</div>\r\n                                <span class="weui-cell__ft"></span>\r\n                            </a>\r\n                        </div>\r\n                    </div>\r\n                </div>\r\n                <div class="item">\r\n                    <div class="weui-form-preview">\r\n                        <div class="weui-form-preview__hd">\r\n                            <label class="weui-form-preview__label">鄞州网球中心活动</label>\r\n                            <em class="weui-form-preview__value">2010-10-10</em>\r\n                        </div>\r\n                        <div class="weui-form-preview__bd">\r\n                            <p>\r\n                                <label class="weui-form-preview__label">时间</label>\r\n                                <span class="weui-form-preview__value">2016-10-10 15:30</span>\r\n                            </p>\r\n                            <p>\r\n                                <label class="weui-form-preview__label">发起人</label>\r\n                                <span class="weui-form-preview__value">张三</span>\r\n                            </p>\r\n                            <p>\r\n                                <label class="weui-form-preview__label">人数</label>\r\n                                <span class="weui-form-preview__value">2/16</span>\r\n                            </p>\r\n                            <p>\r\n                                <label class="weui-form-preview__label">费用</label>\r\n                                <span class="weui-form-preview__value">\uFFE530</span>\r\n                            </p>\r\n                        </div>\r\n                        <div class="weui-panel__ft">\r\n                            <a href="javascript:void(0);" class="weui-cell weui-cell_access weui-cell_link">\r\n                                <div class="weui-cell__bd">查看更多</div>\r\n                                <span class="weui-cell__ft"></span>\r\n                            </a>\r\n                        </div>\r\n                    </div>\r\n                </div>\r\n                <div class="item">\r\n                    <div class="weui-form-preview">\r\n                        <div class="weui-form-preview__hd">\r\n                            <label class="weui-form-preview__label">鄞州网球中心活动</label>\r\n                            <em class="weui-form-preview__value">2010-10-10</em>\r\n                        </div>\r\n                        <div class="weui-form-preview__bd">\r\n                            <p>\r\n                                <label class="weui-form-preview__label">时间</label>\r\n                                <span class="weui-form-preview__value">2016-10-10 15:30</span>\r\n                            </p>\r\n                            <p>\r\n                                <label class="weui-form-preview__label">发起人</label>\r\n                                <span class="weui-form-preview__value">张三</span>\r\n                            </p>\r\n                            <p>\r\n                                <label class="weui-form-preview__label">人数</label>\r\n                                <span class="weui-form-preview__value">2/16</span>\r\n                            </p>\r\n                            <p>\r\n                                <label class="weui-form-preview__label">费用</label>\r\n                                <span class="weui-form-preview__value">\uFFE530</span>\r\n                            </p>\r\n                        </div>\r\n                        <div class="weui-panel__ft">\r\n                            <a href="javascript:void(0);" class="weui-cell weui-cell_access weui-cell_link">\r\n                                <div class="weui-cell__bd">查看更多</div>\r\n                                <span class="weui-cell__ft"></span>\r\n                            </a>\r\n                        </div>\r\n                    </div>\r\n                </div>\r\n            </div>\r\n        </div>\r\n    </div>\r\n</div>\r\n';
});
var App = App || {};
define('views/ucenter/uinvite', [
    'uview',
    'views/component/utopBar_1',
    'tpl/ucenter/u_invite.html'
], function (uview, utopbar, tpl) {
    var v = uview.extend({
        template: tpl,
        components: { 'com-utopbar': utopbar },
        objectExtend: {
            cxName: 'uinvite',
            cxId: '#u-invite',
            cxWpid: '#u_invite_m',
            cxApi: '/v1/news/list/',
            cxAutoShow: true,
            cxAutoload: false,
            cxInit: function () {
            },
            cxCreated: function () {
            },
            cxReady: function () {
            },
            appendComplete: function () {
                this.transitionName = 'cxpFadeLeft';
            }
        },
        cxData: {
            show: true,
            transitionName: 'cxpRight'
        },
        methods: {
            closeMask: function () {
            }
        }
    });
    return v;
});
define('tpl/ucenter/u_train.html', [], function () {
    return '<div class="" id="u_train" v-if="show" :transition="transitionName">\r\n    <com-utopbar v-ref:utopbar title="培训项目"></com-utopbar>\r\n    <div class="u-main wrapper4" id="u_train_m">\r\n        <div class="bd">\r\n            <template v-for="(i,item) in list">\r\n                <div class="weui-panel weui-panel_access cx-panel_a">\r\n                    <div class="weui-panel__hd">\r\n                        <h3 class="weui-form-preview__label">{{item.training_title}}</h3>\r\n                        <span class="weui-form-preview__value price"> .</span>\r\n                    </div>\r\n                    <div class="weui-panel__bd">\r\n                        <ul class="ptlist">\r\n                            <li>{{{item.training_content}}}</li>\r\n                        </ul>\r\n                    </div>\r\n                    <div class="weui-form-preview__ft">\r\n                        <a @click="goQrcode(item.exchange_url)" class="weui-form-preview__btn weui-form-preview__btn_primary">详细兑换</a>\r\n                    </div>\r\n                </div>\r\n            </template>\r\n        </div>\r\n    </div>\r\n</div>';
});
var App = App || {};
define('views/ucenter/utrain', [
    'uview',
    'views/component/utopBar_1',
    'tpl/ucenter/u_train.html'
], function (uview, utopbar, tpl) {
    var v = uview.extend({
        template: tpl,
        components: { 'com-utopbar': utopbar },
        objectExtend: {
            cxName: 'utrain',
            cxId: '#u-train',
            cxWpid: '#u_train_m',
            cxApi: '/v1/training/reservation/',
            cxNextPageNs: ['uqrcode'],
            cxAutoShow: true,
            cxAutoload: true,
            cxInit: function () {
            },
            cxCreated: function () {
            },
            cxReady: function () {
            },
            appendComplete: function () {
                this.transitionName = 'cxpFadeLeft';
            }
        },
        cxData: {
            show: true,
            transitionName: 'cxpRight'
        },
        methods: {
            closeMask: function () {
            },
            goQrcode: function (val) {
                if (val.state == 1) {
                    App.p.dhQrcode = val.message;
                    window.location.href = '#u/uqrcode';
                } else {
                    App.warn(val.message);
                }
            }
        }
    });
    return v;
});
define('tpl/ucenter/u_favorite.html', [], function () {
    return '<div class="" id="u_favorite" v-if="show" :transition="transitionName">\r\n    <com-utopbar v-ref:utopbar title="我的收藏"></com-utopbar>\r\n    <div class="u-main wrapper4" id="u_favorite_m">\r\n        <div class="bd">\r\n            <div class="weui-cells">\r\n                <a class="weui-cell weui-cell_access" href="javascript:;">\r\n                    <div class="weui-cell__hd">\r\n                        <i class="fa fa-bookmark"></i>\r\n                    </div>\r\n                    <div class="weui-cell__bd">\r\n                        <p class="lineClamp">斯诺克英格兰赛签表:TOP16全勤 丁俊晖墨菲同区</p>\r\n                    </div>\r\n                    <div class="weui-cell__ft"></div>\r\n                </a>\r\n            </div>\r\n            <div class="weui-cells">\r\n                <a class="weui-cell weui-cell_access" href="javascript:;">\r\n                    <div class="weui-cell__hd">\r\n                        <i class="fa fa-star"></i>\r\n                    </div>\r\n                    <div class="weui-cell__bd">\r\n                        <p class="lineClamp">斯诺克英格兰赛签表:TOP16全勤 丁俊晖墨菲同区</p>\r\n                    </div>\r\n                    <div class="weui-cell__ft"></div>\r\n                </a>\r\n            </div>\r\n            <div class="weui-cells">\r\n                <a class="weui-cell weui-cell_access" href="javascript:;">\r\n                    <div class="weui-cell__hd">\r\n                        <i class="fa fa-tag"></i>\r\n                    </div>\r\n                    <div class="weui-cell__bd">\r\n                        <p class="lineClamp">斯诺克英格兰赛签表:TOP16全勤 丁俊晖墨菲同区</p>\r\n                    </div>\r\n                    <div class="weui-cell__ft"></div>\r\n                </a>\r\n            </div>\r\n        </div>\r\n    </div>\r\n</div>\r\n';
});
var App = App || {};
define('views/ucenter/ufavorite', [
    'uview',
    'views/component/utopBar_1',
    'tpl/ucenter/u_favorite.html'
], function (uview, utopbar, tpl) {
    var v = uview.extend({
        template: tpl,
        components: { 'com-utopbar': utopbar },
        objectExtend: {
            cxName: 'ufavorite',
            cxId: '#u-favorite',
            cxWpid: '#u_favorite_m',
            cxApi: '/v1/news/list/',
            cxAutoShow: true,
            cxAutoload: false,
            cxInit: function () {
            },
            cxCreated: function () {
            },
            cxReady: function () {
            },
            appendComplete: function () {
                this.transitionName = 'cxpFadeLeft';
            }
        },
        cxData: {
            show: true,
            transitionName: 'cxpRight'
        },
        methods: {
            closeMask: function () {
            }
        }
    });
    return v;
});
define('tpl/ucenter/u_about.html', [], function () {
    return '<div class="" id="u_uabout" v-if="show" :transition="transitionName">\r\n    <com-utopbar v-ref:utopbar title="版权协议"></com-utopbar>\r\n    <div class="u-main wrapper4" id="u_about_m">\r\n        <div class="bd">\r\n            <p>请您仔细阅读以下条款\uFF0C如果您对本协议的任何条款表示异议\uFF0C您可以选择不进入惠风\u3002当您注册成功\uFF0C无论是进入惠风\uFF0C还是在惠风上发布任何内容\uFF08即\u300C内容\u300D\uFF09\uFF0C均意味着您\uFF08即\u300C用户\u300D\uFF09完全接受本协议项下的全部条款\u3002</p>\r\n\r\n            <p>使用规则用户注册成功后\uFF0C惠风将给予每个用户一个用户帐号及相应的密码\uFF0C该用户帐号和密码由用户负责保管\uFF1B用户应当对以其用户帐号进行的所有活动和事件负法律责任\u3002用户须对在惠风的注册信息的真实性\u3001合法性\u3001有效性承担全部责任\uFF0C用户不得冒充他人\uFF1B不得利用他人的名义发布任何信息\uFF1B不得恶意使用注册帐号导致其他用户误认\uFF1B否则惠风有权立即停止提供服务\uFF0C收回其帐号并由用户独自承担由此而产生的一切法律责任\u3002用户直接或通过各类方式\uFF08如 RSS 源和站外 API 引用等\uFF09间接使用惠风服务和数据的行为\uFF0C都将被视作已无条件接受本协议全部内容\uFF1B若用户对本协议的任何条款存在异议\uFF0C请停止使用惠风所提供的全部服务\u3002惠风是一个信息分享\u3001传播及获取的平台\uFF0C用户通过惠风发表的信息为公开的信息\uFF0C其他第三方均可以通过惠风获取用户发表的信息\uFF0C用户对任何信息的发表即认可该信息为公开的信息\uFF0C并单独对此行为承担法律责任\uFF1B任何用户不愿被其他第三人获知的信息都不应该在惠风上进行发表\u3002用户承诺不得以任何方式利用惠风直接或间接从事违反中国法律以及社会公德的行为\uFF0C惠风有权对违反上述承诺的内容予以删除\u3002\r\n            </p>\r\n            <p>用户不得利用惠风服务制作\u3001上载\u3001复制\u3001发布\u3001传播或者转载如下内容\uFF1A\r\n            </p>\r\n            <p>反对宪法所确定的基本原则的\uFF1B危害国家安全\uFF0C泄露国家秘密\uFF0C颠覆国家政权\uFF0C破坏国家统一的\uFF1B损害国家荣誉和利益的\uFF1B煽动民族仇恨\u3001民族歧视\uFF0C破坏民族团结的\uFF1B破坏国家宗教政策\uFF0C宣扬邪教和封建迷信的\uFF1B散布谣言\uFF0C扰乱社会秩序\uFF0C破坏社会稳定的\uFF1B散布淫秽\u3001色情\u3001赌博\u3001暴力\u3001凶杀\u3001恐怖或者教唆犯罪的\uFF1B侮辱或者诽谤他人\uFF0C侵害他人合法权益的\uFF1B含有法律\u3001行政法规禁止的其他内容的信息\u3002所有用户同意遵守惠风社区管理规定\uFF08试行\uFF09\u3002机构用户同意遵守惠风机构帐号服务协议\uFF0C以及惠风机构帐号使用规范\uFF08试行\uFF09\u3002惠风有权对用户使用惠风的情况进行审查和监督\uFF0C如用户在使用惠风时违反任何上述规定\uFF0C惠风或其授权的人有权要求用户改正或直接采取一切必要的措施\uFF08包括但不限于更改或删除用户张贴的内容\u3001暂停或终止用户使用惠风的权利\uFF09以减轻用户不当行为造成的影响\u3002\r\n            </p>\r\n            <p>知识产权\r\n            </p>\r\n            <p>惠风是一个信息获取\u3001分享及传播的平台\uFF0C我们尊重和鼓励惠风用户创作的内容\uFF0C认识到保护知识产权对惠风生存与发展的重要性\uFF0C承诺将保护知识产权作为惠风运营的基本原则之一\u3002\r\n            </p>\r\n        </div>\r\n    </div>\r\n</div>\r\n';
});
var App = App || {};
define('views/ucenter/uabout', [
    'uview',
    'views/component/utopBar_1',
    'tpl/ucenter/u_about.html'
], function (uview, utopbar, tpl) {
    var v = uview.extend({
        template: tpl,
        components: { 'com-utopbar': utopbar },
        objectExtend: {
            cxName: 'uabout',
            cxId: '#u-about',
            cxWpid: '#u_about_m',
            cxAutoShow: true,
            cxAutoload: false,
            cxInit: function () {
            },
            cxCreated: function () {
            },
            cxReady: function () {
            },
            appendComplete: function () {
                this.transitionName = 'cxpFadeLeft';
            }
        },
        cxData: {
            show: true,
            transitionName: 'cxpRight'
        },
        methods: {
            closeMask: function () {
            }
        }
    });
    return v;
});
define('tpl/ucenter/u_order.html', [], function () {
    return '<div class="" id="u_order" v-if="show" :transition="transitionName">\r\n    <com-utopbar v-ref:utopbar title="我的订单"></com-utopbar>\r\n    <div class="u-main wrapper4" id="u_order_m">\r\n        <div class="weui-tab">\r\n            <div class="weui-navbar">\r\n                <div v-on:click="changeTabs(\'\')" class="weui-navbar__item" :class="{\'weui-bar__item_on\': status===\'\'}">\r\n                    <span>全部</span>\r\n                </div>\r\n                <div v-on:click="changeTabs(0)" class="weui-navbar__item" :class="{\'weui-bar__item_on\': status===0}">\r\n                    <span>未支付</span>\r\n                </div>\r\n                <div v-on:click="changeTabs(1)" class="weui-navbar__item" :class="{\'weui-bar__item_on\': status===1}">\r\n                    <span>已支付</span>\r\n                </div>\r\n            </div>\r\n        </div>\r\n        <div class="bd ulistA" id="u_order_list">\r\n            <div>\r\n                <template v-for="(i,item) in list">\r\n                    <div class="item">\r\n                        <div class="weui-form-preview">\r\n                            <div class="weui-form-preview__hd">\r\n                                <label class="weui-form-preview__label">{{item.datetime_created}}</label>\r\n                                <em class="weui-form-preview__value">\xA5{{item.total_fee}}</em>\r\n                            </div>\r\n                            <div class="weui-form-preview__bd">\r\n                                <p>\r\n                                    <label class="weui-form-preview__label">名称</label>\r\n                                    <span class="weui-form-preview__value"> {{item.title}}\r\n                                    </span>\r\n                                </p>\r\n                                <p>\r\n                                    <label class="weui-form-preview__label">状态</label>\r\n                                    <span class="weui-form-preview__value">\r\n                                    <template v-if="item.status==1">\r\n                                        支付\r\n                                    </template>\r\n                                    <template v-else>\r\n                                         未支付\r\n                                    </template>\r\n                                    </span>\r\n                                </p>\r\n                                <p>\r\n                                    <label class="weui-form-preview__label">数量</label>\r\n                                    <span class="weui-form-preview__value"> {{item.count}}\r\n                                    </span>\r\n                                </p>\r\n                                <p>\r\n                                    <label class="weui-form-preview__label">类别</label>\r\n                                    <span class="weui-form-preview__value">&nbsp {{typArr[item.category]}}\r\n                                    </span>\r\n                                </p>\r\n                            </div>\r\n                            <div class="weui-form-preview__ft" v-if="item.status==0">\r\n                                <a class="weui-form-preview__btn weui-form-preview__btn_default" @click="cancel(i,item)">取消</a>\r\n                                <a class="weui-form-preview__btn weui-form-preview__btn_primary" :href="\'#u/uorderpay/\'+item.pk">支付</a>\r\n                            </div>\r\n                        </div>\r\n                    </div>\r\n                </template>\r\n            </div>\r\n        </div>\r\n    </div>\r\n</div>\r\n';
});
var App = App || {};
define('views/ucenter/uorder', [
    'uview',
    'views/component/utopBar_1',
    'tpl/ucenter/u_order.html'
], function (uview, utopbar, tpl) {
    var v = uview.extend({
        template: tpl,
        components: { 'com-utopbar': utopbar },
        objectExtend: {
            cxName: 'uorder',
            cxId: '#u-order',
            cxWpid: '#u_order_list',
            cxApi: '/v1/entry/orders/',
            cxNextPageNs: ['uorderpay'],
            cxAutoShow: true,
            cxAutoload: true,
            vRenData: true,
            cxDel: false,
            cxTabs: -1,
            cxInit: function () {
            },
            cxCreated: function () {
                if (this.$options.vas) {
                    this.status = this.$options.vas;
                    this.cxTabs = this.$options.vas;
                    this.setApi(this.cxTabs);
                    this.changeTabs(this.cxTabs);
                }
            }
        },
        cxData: {
            show: true,
            transitionName: 'cxpRight',
            status: '',
            typArr: [
                '',
                '游泳票',
                '比赛门票',
                '消费券',
                '餐饮预定',
                '场地预定',
                '教练课程',
                '培训课程',
                '充值'
            ]
        },
        methods: {
            setApi: function (_val) {
                if (_.isUndefined(_val)) {
                    this.cxApi = '/v1/entry/orders/';
                } else {
                    this.cxApi = '/v1/entry/orders/?status=' + _val;
                }
            },
            changeTabs: function (_val) {
                this.status = _val;
                if (window.history) {
                    window.history.replaceState(null, null, '#u/uorder/' + _val);
                }
                if (this.cxDld) {
                    this.setApi(_val);
                    this.renData();
                }
            },
            actPay: function (sub, item) {
                var _this = this;
                App.confirm('确认取消', {
                    onConfirm: function () {
                        App.upData({
                            url: App.config.urlPath + '/v1/entry/resumeorder/?' + App.config.accompany,
                            data: {
                                uuid: item.uuid,
                                pk: item.pk
                            },
                            success: function (data) {
                                App.pay(JSON.stringify(data.results.message), function () {
                                    App.loading(false);
                                    App.warn('支付成功');
                                    _this.changeTabs(1);
                                }, function () {
                                    App.loading(false);
                                    App.warn('支付失败');
                                    App.trace('支付失败\uFF1A' + error.code);
                                });
                            }
                        });
                    }
                });
            },
            cancel: function (sub, item) {
                var _this = this;
                App.confirm('确认取消', {
                    onConfirm: function () {
                        App.upData({
                            url: App.config.urlPath + '/v1/entry/cancelorder/?' + App.config.accompany,
                            data: { uuid: item.uuid },
                            success: function (data) {
                                _this.list.splice(sub, 1);
                                App.at.type = '';
                                App.loading(false);
                            }
                        });
                    }
                });
            }
        }
    });
    return v;
});
define('tpl/ucenter/uforget.html', [], function () {
    return '<div class="" id="u_uforget" v-if="show" :transition="transitionName">\r\n    <com-utopbar v-ref:utopbar title="密码重置"></com-utopbar>\r\n    <div class="u-main wrapper4" id="u_uforget_com">\r\n        <div class="u-main" id="ur_main">\r\n            <div class="page__bd">\r\n                <div class="weui-cells__title">\r\n                    发送验证码重置密码\r\n                </div>\r\n                <div class="weui-cells weui-cells_form">\r\n                    <div class="weui-cell weui-cell_vcode">\r\n                        <div class="weui-cell__hd">\r\n                            <label class="weui-label">手机号</label>\r\n                        </div>\r\n                        <div class="weui-cell__bd">\r\n                            <input class="weui-input" type="tel" placeholder="请输入手机号" readonly v-model="phone_number">\r\n                        </div>\r\n                        <div class="weui-cell__ft">\r\n                            <button class="weui-vcode-btn"  @click="getValidate">获取验证码</button>\r\n                        </div>\r\n                    </div>\r\n                    <div class="weui-cell">\r\n                        <div class="weui-cell__hd">\r\n                            <label class="weui-label">输入验证码</label>\r\n                        </div>\r\n                        <div class="weui-cell__bd">\r\n                            <input class="weui-input" type="number" v-model="code" pattern="[0-9]*" placeholder="手机接收到的6位验证码">\r\n                        </div>\r\n                    </div>\r\n                    <div class="weui-cell">\r\n                        <div class="weui-cell__hd">\r\n                            <label class="weui-label">输入新密码</label>\r\n                        </div>\r\n                        <div class="weui-cell__bd">\r\n                            <input class="weui-input" type="text" v-model="password" placeholder="大于6位">\r\n                        </div>\r\n                    </div>\r\n                </div>\r\n                <div class="weui-btn_area" style="padding:12px;">\r\n                    <a class="weui-btn weui-btn_primary" @click="updata">确认修改</a>\r\n                </div>\r\n            </div>\r\n        </div>\r\n    </div>\r\n</div>\r\n';
});
var App = App || {};
define('views/ucenter/uforget', [
    'uview',
    'views/component/utopBar_1',
    'tpl/ucenter/uforget.html'
], function (uview, utopbar, tpl) {
    var v = uview.extend({
        template: tpl,
        components: { 'com-utopbar': utopbar },
        objectExtend: {
            cxName: 'uforget',
            cxId: '#u-uforgetg',
            cxWpid: '#u_uforget_com',
            cxAutoShow: true,
            cxAutoload: false,
            cxInit: function () {
            },
            cxCreated: function () {
            },
            cxReady: function () {
                this.phone_number = App.user.info.phone_number;
            },
            appendComplete: function () {
                this.transitionName = 'cxpFadeLeft';
            }
        },
        cxData: {
            phone_number: '',
            show: true,
            sms_pk: '',
            password: '',
            code: '',
            transitionName: 'cxpRight'
        },
        methods: {
            getValidate: function () {
                var _this = this;
                App.upData({
                    url: App.config.urlPath + '/v1/entry/sms/?' + App.config.accompany,
                    data: {
                        mobile: this.phone_number,
                        type: 3
                    },
                    success: function (a) {
                        if (a.results.state == 1) {
                            App.alert(a.results.message);
                            _this.sms_pk = a.results.pk;
                        } else {
                            App.alert('发送失败');
                        }
                    }
                });
            },
            updata: function () {
                var _this = this;
                App.upData({
                    url: App.config.urlPath + '/v1/entry/password/' + App.user.uid + '/?' + App.config.accompany,
                    type: 'PUT',
                    data: {
                        code: this.code,
                        sms_pk: this.sms_pk,
                        password: this.password
                    },
                    success: function (a) {
                        App.alert('密码已修改');
                    }
                });
            },
            send: function () {
            }
        }
    });
    return v;
});
define('tpl/ucenter/u_qrcode.html', [], function () {
    return '<div id="r_qrcode" v-if="show" :transition="transitionName">\r\n    <com-utopbar v-ref:utopbar title="兑换" btname="" v-on:btn-evt="clickRBtn"></com-utopbar>\r\n    <div class="wrapper4" id="u_qrcode_con">\r\n        <div class="wrapper2">\r\n            <div id="ouqrcode"></div>\r\n            <div id="qdes">您的票券还未兑换</div>\r\n        </div>\r\n    </div>\r\n</div>\r\n';
});
(function (r) {
    r.fn.qrcode = function (h) {
        var s;
        function u(a) {
            this.mode = s;
            this.data = a;
        }
        function o(a, c) {
            this.typeNumber = a;
            this.errorCorrectLevel = c;
            this.modules = null;
            this.moduleCount = 0;
            this.dataCache = null;
            this.dataList = [];
        }
        function q(a, c) {
            if (void 0 == a.length)
                throw Error(a.length + '/' + c);
            for (var d = 0; d < a.length && 0 == a[d];)
                d++;
            this.num = Array(a.length - d + c);
            for (var b = 0; b < a.length - d; b++)
                this.num[b] = a[b + d];
        }
        function p(a, c) {
            this.totalCount = a;
            this.dataCount = c;
        }
        function t() {
            this.buffer = [];
            this.length = 0;
        }
        u.prototype = {
            getLength: function () {
                return this.data.length;
            },
            write: function (a) {
                for (var c = 0; c < this.data.length; c++)
                    a.put(this.data.charCodeAt(c), 8);
            }
        };
        o.prototype = {
            addData: function (a) {
                this.dataList.push(new u(a));
                this.dataCache = null;
            },
            isDark: function (a, c) {
                if (0 > a || this.moduleCount <= a || 0 > c || this.moduleCount <= c)
                    throw Error(a + ',' + c);
                return this.modules[a][c];
            },
            getModuleCount: function () {
                return this.moduleCount;
            },
            make: function () {
                if (1 > this.typeNumber) {
                    for (var a = 1, a = 1; 40 > a; a++) {
                        for (var c = p.getRSBlocks(a, this.errorCorrectLevel), d = new t(), b = 0, e = 0; e < c.length; e++)
                            b += c[e].dataCount;
                        for (e = 0; e < this.dataList.length; e++)
                            c = this.dataList[e], d.put(c.mode, 4), d.put(c.getLength(), j.getLengthInBits(c.mode, a)), c.write(d);
                        if (d.getLengthInBits() <= 8 * b)
                            break;
                    }
                    this.typeNumber = a;
                }
                this.makeImpl(!1, this.getBestMaskPattern());
            },
            makeImpl: function (a, c) {
                this.moduleCount = 4 * this.typeNumber + 17;
                this.modules = Array(this.moduleCount);
                for (var d = 0; d < this.moduleCount; d++) {
                    this.modules[d] = Array(this.moduleCount);
                    for (var b = 0; b < this.moduleCount; b++)
                        this.modules[d][b] = null;
                }
                this.setupPositionProbePattern(0, 0);
                this.setupPositionProbePattern(this.moduleCount - 7, 0);
                this.setupPositionProbePattern(0, this.moduleCount - 7);
                this.setupPositionAdjustPattern();
                this.setupTimingPattern();
                this.setupTypeInfo(a, c);
                7 <= this.typeNumber && this.setupTypeNumber(a);
                null == this.dataCache && (this.dataCache = o.createData(this.typeNumber, this.errorCorrectLevel, this.dataList));
                this.mapData(this.dataCache, c);
            },
            setupPositionProbePattern: function (a, c) {
                for (var d = -1; 7 >= d; d++)
                    if (!(-1 >= a + d || this.moduleCount <= a + d))
                        for (var b = -1; 7 >= b; b++)
                            -1 >= c + b || this.moduleCount <= c + b || (this.modules[a + d][c + b] = 0 <= d && 6 >= d && (0 == b || 6 == b) || 0 <= b && 6 >= b && (0 == d || 6 == d) || 2 <= d && 4 >= d && 2 <= b && 4 >= b ? !0 : !1);
            },
            getBestMaskPattern: function () {
                for (var a = 0, c = 0, d = 0; 8 > d; d++) {
                    this.makeImpl(!0, d);
                    var b = j.getLostPoint(this);
                    if (0 == d || a > b)
                        a = b, c = d;
                }
                return c;
            },
            createMovieClip: function (a, c, d) {
                a = a.createEmptyMovieClip(c, d);
                this.make();
                for (c = 0; c < this.modules.length; c++)
                    for (var d = 1 * c, b = 0; b < this.modules[c].length; b++) {
                        var e = 1 * b;
                        this.modules[c][b] && (a.beginFill(0, 100), a.moveTo(e, d), a.lineTo(e + 1, d), a.lineTo(e + 1, d + 1), a.lineTo(e, d + 1), a.endFill());
                    }
                return a;
            },
            setupTimingPattern: function () {
                for (var a = 8; a < this.moduleCount - 8; a++)
                    null == this.modules[a][6] && (this.modules[a][6] = 0 == a % 2);
                for (a = 8; a < this.moduleCount - 8; a++)
                    null == this.modules[6][a] && (this.modules[6][a] = 0 == a % 2);
            },
            setupPositionAdjustPattern: function () {
                for (var a = j.getPatternPosition(this.typeNumber), c = 0; c < a.length; c++)
                    for (var d = 0; d < a.length; d++) {
                        var b = a[c], e = a[d];
                        if (null == this.modules[b][e])
                            for (var f = -2; 2 >= f; f++)
                                for (var i = -2; 2 >= i; i++)
                                    this.modules[b + f][e + i] = -2 == f || 2 == f || -2 == i || 2 == i || 0 == f && 0 == i ? !0 : !1;
                    }
            },
            setupTypeNumber: function (a) {
                for (var c = j.getBCHTypeNumber(this.typeNumber), d = 0; 18 > d; d++) {
                    var b = !a && 1 == (c >> d & 1);
                    this.modules[Math.floor(d / 3)][d % 3 + this.moduleCount - 8 - 3] = b;
                }
                for (d = 0; 18 > d; d++)
                    b = !a && 1 == (c >> d & 1), this.modules[d % 3 + this.moduleCount - 8 - 3][Math.floor(d / 3)] = b;
            },
            setupTypeInfo: function (a, c) {
                for (var d = j.getBCHTypeInfo(this.errorCorrectLevel << 3 | c), b = 0; 15 > b; b++) {
                    var e = !a && 1 == (d >> b & 1);
                    6 > b ? this.modules[b][8] = e : 8 > b ? this.modules[b + 1][8] = e : this.modules[this.moduleCount - 15 + b][8] = e;
                }
                for (b = 0; 15 > b; b++)
                    e = !a && 1 == (d >> b & 1), 8 > b ? this.modules[8][this.moduleCount - b - 1] = e : 9 > b ? this.modules[8][15 - b - 1 + 1] = e : this.modules[8][15 - b - 1] = e;
                this.modules[this.moduleCount - 8][8] = !a;
            },
            mapData: function (a, c) {
                for (var d = -1, b = this.moduleCount - 1, e = 7, f = 0, i = this.moduleCount - 1; 0 < i; i -= 2)
                    for (6 == i && i--;;) {
                        for (var g = 0; 2 > g; g++)
                            if (null == this.modules[b][i - g]) {
                                var n = !1;
                                f < a.length && (n = 1 == (a[f] >>> e & 1));
                                j.getMask(c, b, i - g) && (n = !n);
                                this.modules[b][i - g] = n;
                                e--;
                                -1 == e && (f++, e = 7);
                            }
                        b += d;
                        if (0 > b || this.moduleCount <= b) {
                            b -= d;
                            d = -d;
                            break;
                        }
                    }
            }
        };
        o.PAD0 = 236;
        o.PAD1 = 17;
        o.createData = function (a, c, d) {
            for (var c = p.getRSBlocks(a, c), b = new t(), e = 0; e < d.length; e++) {
                var f = d[e];
                b.put(f.mode, 4);
                b.put(f.getLength(), j.getLengthInBits(f.mode, a));
                f.write(b);
            }
            for (e = a = 0; e < c.length; e++)
                a += c[e].dataCount;
            if (b.getLengthInBits() > 8 * a)
                throw Error('code length overflow. (' + b.getLengthInBits() + '>' + 8 * a + ')');
            for (b.getLengthInBits() + 4 <= 8 * a && b.put(0, 4); 0 != b.getLengthInBits() % 8;)
                b.putBit(!1);
            for (; !(b.getLengthInBits() >= 8 * a);) {
                b.put(o.PAD0, 8);
                if (b.getLengthInBits() >= 8 * a)
                    break;
                b.put(o.PAD1, 8);
            }
            return o.createBytes(b, c);
        };
        o.createBytes = function (a, c) {
            for (var d = 0, b = 0, e = 0, f = Array(c.length), i = Array(c.length), g = 0; g < c.length; g++) {
                var n = c[g].dataCount, h = c[g].totalCount - n, b = Math.max(b, n), e = Math.max(e, h);
                f[g] = Array(n);
                for (var k = 0; k < f[g].length; k++)
                    f[g][k] = 255 & a.buffer[k + d];
                d += n;
                k = j.getErrorCorrectPolynomial(h);
                n = new q(f[g], k.getLength() - 1).mod(k);
                i[g] = Array(k.getLength() - 1);
                for (k = 0; k < i[g].length; k++)
                    h = k + n.getLength() - i[g].length, i[g][k] = 0 <= h ? n.get(h) : 0;
            }
            for (k = g = 0; k < c.length; k++)
                g += c[k].totalCount;
            d = Array(g);
            for (k = n = 0; k < b; k++)
                for (g = 0; g < c.length; g++)
                    k < f[g].length && (d[n++] = f[g][k]);
            for (k = 0; k < e; k++)
                for (g = 0; g < c.length; g++)
                    k < i[g].length && (d[n++] = i[g][k]);
            return d;
        };
        s = 4;
        for (var j = {
                    PATTERN_POSITION_TABLE: [
                        [],
                        [
                            6,
                            18
                        ],
                        [
                            6,
                            22
                        ],
                        [
                            6,
                            26
                        ],
                        [
                            6,
                            30
                        ],
                        [
                            6,
                            34
                        ],
                        [
                            6,
                            22,
                            38
                        ],
                        [
                            6,
                            24,
                            42
                        ],
                        [
                            6,
                            26,
                            46
                        ],
                        [
                            6,
                            28,
                            50
                        ],
                        [
                            6,
                            30,
                            54
                        ],
                        [
                            6,
                            32,
                            58
                        ],
                        [
                            6,
                            34,
                            62
                        ],
                        [
                            6,
                            26,
                            46,
                            66
                        ],
                        [
                            6,
                            26,
                            48,
                            70
                        ],
                        [
                            6,
                            26,
                            50,
                            74
                        ],
                        [
                            6,
                            30,
                            54,
                            78
                        ],
                        [
                            6,
                            30,
                            56,
                            82
                        ],
                        [
                            6,
                            30,
                            58,
                            86
                        ],
                        [
                            6,
                            34,
                            62,
                            90
                        ],
                        [
                            6,
                            28,
                            50,
                            72,
                            94
                        ],
                        [
                            6,
                            26,
                            50,
                            74,
                            98
                        ],
                        [
                            6,
                            30,
                            54,
                            78,
                            102
                        ],
                        [
                            6,
                            28,
                            54,
                            80,
                            106
                        ],
                        [
                            6,
                            32,
                            58,
                            84,
                            110
                        ],
                        [
                            6,
                            30,
                            58,
                            86,
                            114
                        ],
                        [
                            6,
                            34,
                            62,
                            90,
                            118
                        ],
                        [
                            6,
                            26,
                            50,
                            74,
                            98,
                            122
                        ],
                        [
                            6,
                            30,
                            54,
                            78,
                            102,
                            126
                        ],
                        [
                            6,
                            26,
                            52,
                            78,
                            104,
                            130
                        ],
                        [
                            6,
                            30,
                            56,
                            82,
                            108,
                            134
                        ],
                        [
                            6,
                            34,
                            60,
                            86,
                            112,
                            138
                        ],
                        [
                            6,
                            30,
                            58,
                            86,
                            114,
                            142
                        ],
                        [
                            6,
                            34,
                            62,
                            90,
                            118,
                            146
                        ],
                        [
                            6,
                            30,
                            54,
                            78,
                            102,
                            126,
                            150
                        ],
                        [
                            6,
                            24,
                            50,
                            76,
                            102,
                            128,
                            154
                        ],
                        [
                            6,
                            28,
                            54,
                            80,
                            106,
                            132,
                            158
                        ],
                        [
                            6,
                            32,
                            58,
                            84,
                            110,
                            136,
                            162
                        ],
                        [
                            6,
                            26,
                            54,
                            82,
                            110,
                            138,
                            166
                        ],
                        [
                            6,
                            30,
                            58,
                            86,
                            114,
                            142,
                            170
                        ]
                    ],
                    G15: 1335,
                    G18: 7973,
                    G15_MASK: 21522,
                    getBCHTypeInfo: function (a) {
                        for (var c = a << 10; 0 <= j.getBCHDigit(c) - j.getBCHDigit(j.G15);)
                            c ^= j.G15 << j.getBCHDigit(c) - j.getBCHDigit(j.G15);
                        return (a << 10 | c) ^ j.G15_MASK;
                    },
                    getBCHTypeNumber: function (a) {
                        for (var c = a << 12; 0 <= j.getBCHDigit(c) - j.getBCHDigit(j.G18);)
                            c ^= j.G18 << j.getBCHDigit(c) - j.getBCHDigit(j.G18);
                        return a << 12 | c;
                    },
                    getBCHDigit: function (a) {
                        for (var c = 0; 0 != a;)
                            c++, a >>>= 1;
                        return c;
                    },
                    getPatternPosition: function (a) {
                        return j.PATTERN_POSITION_TABLE[a - 1];
                    },
                    getMask: function (a, c, d) {
                        switch (a) {
                        case 0:
                            return 0 == (c + d) % 2;
                        case 1:
                            return 0 == c % 2;
                        case 2:
                            return 0 == d % 3;
                        case 3:
                            return 0 == (c + d) % 3;
                        case 4:
                            return 0 == (Math.floor(c / 2) + Math.floor(d / 3)) % 2;
                        case 5:
                            return 0 == c * d % 2 + c * d % 3;
                        case 6:
                            return 0 == (c * d % 2 + c * d % 3) % 2;
                        case 7:
                            return 0 == (c * d % 3 + (c + d) % 2) % 2;
                        default:
                            throw Error('bad maskPattern:' + a);
                        }
                    },
                    getErrorCorrectPolynomial: function (a) {
                        for (var c = new q([1], 0), d = 0; d < a; d++)
                            c = c.multiply(new q([
                                1,
                                l.gexp(d)
                            ], 0));
                        return c;
                    },
                    getLengthInBits: function (a, c) {
                        if (1 <= c && 10 > c)
                            switch (a) {
                            case 1:
                                return 10;
                            case 2:
                                return 9;
                            case s:
                                return 8;
                            case 8:
                                return 8;
                            default:
                                throw Error('mode:' + a);
                            }
                        else if (27 > c)
                            switch (a) {
                            case 1:
                                return 12;
                            case 2:
                                return 11;
                            case s:
                                return 16;
                            case 8:
                                return 10;
                            default:
                                throw Error('mode:' + a);
                            }
                        else if (41 > c)
                            switch (a) {
                            case 1:
                                return 14;
                            case 2:
                                return 13;
                            case s:
                                return 16;
                            case 8:
                                return 12;
                            default:
                                throw Error('mode:' + a);
                            }
                        else
                            throw Error('type:' + c);
                    },
                    getLostPoint: function (a) {
                        for (var c = a.getModuleCount(), d = 0, b = 0; b < c; b++)
                            for (var e = 0; e < c; e++) {
                                for (var f = 0, i = a.isDark(b, e), g = -1; 1 >= g; g++)
                                    if (!(0 > b + g || c <= b + g))
                                        for (var h = -1; 1 >= h; h++)
                                            0 > e + h || c <= e + h || 0 == g && 0 == h || i == a.isDark(b + g, e + h) && f++;
                                5 < f && (d += 3 + f - 5);
                            }
                        for (b = 0; b < c - 1; b++)
                            for (e = 0; e < c - 1; e++)
                                if (f = 0, a.isDark(b, e) && f++, a.isDark(b + 1, e) && f++, a.isDark(b, e + 1) && f++, a.isDark(b + 1, e + 1) && f++, 0 == f || 4 == f)
                                    d += 3;
                        for (b = 0; b < c; b++)
                            for (e = 0; e < c - 6; e++)
                                a.isDark(b, e) && !a.isDark(b, e + 1) && a.isDark(b, e + 2) && a.isDark(b, e + 3) && a.isDark(b, e + 4) && !a.isDark(b, e + 5) && a.isDark(b, e + 6) && (d += 40);
                        for (e = 0; e < c; e++)
                            for (b = 0; b < c - 6; b++)
                                a.isDark(b, e) && !a.isDark(b + 1, e) && a.isDark(b + 2, e) && a.isDark(b + 3, e) && a.isDark(b + 4, e) && !a.isDark(b + 5, e) && a.isDark(b + 6, e) && (d += 40);
                        for (e = f = 0; e < c; e++)
                            for (b = 0; b < c; b++)
                                a.isDark(b, e) && f++;
                        a = Math.abs(100 * f / c / c - 50) / 5;
                        return d + 10 * a;
                    }
                }, l = {
                    glog: function (a) {
                        if (1 > a)
                            throw Error('glog(' + a + ')');
                        return l.LOG_TABLE[a];
                    },
                    gexp: function (a) {
                        for (; 0 > a;)
                            a += 255;
                        for (; 256 <= a;)
                            a -= 255;
                        return l.EXP_TABLE[a];
                    },
                    EXP_TABLE: Array(256),
                    LOG_TABLE: Array(256)
                }, m = 0; 8 > m; m++)
            l.EXP_TABLE[m] = 1 << m;
        for (m = 8; 256 > m; m++)
            l.EXP_TABLE[m] = l.EXP_TABLE[m - 4] ^ l.EXP_TABLE[m - 5] ^ l.EXP_TABLE[m - 6] ^ l.EXP_TABLE[m - 8];
        for (m = 0; 255 > m; m++)
            l.LOG_TABLE[l.EXP_TABLE[m]] = m;
        q.prototype = {
            get: function (a) {
                return this.num[a];
            },
            getLength: function () {
                return this.num.length;
            },
            multiply: function (a) {
                for (var c = Array(this.getLength() + a.getLength() - 1), d = 0; d < this.getLength(); d++)
                    for (var b = 0; b < a.getLength(); b++)
                        c[d + b] ^= l.gexp(l.glog(this.get(d)) + l.glog(a.get(b)));
                return new q(c, 0);
            },
            mod: function (a) {
                if (0 > this.getLength() - a.getLength())
                    return this;
                for (var c = l.glog(this.get(0)) - l.glog(a.get(0)), d = Array(this.getLength()), b = 0; b < this.getLength(); b++)
                    d[b] = this.get(b);
                for (b = 0; b < a.getLength(); b++)
                    d[b] ^= l.gexp(l.glog(a.get(b)) + c);
                return new q(d, 0).mod(a);
            }
        };
        p.RS_BLOCK_TABLE = [
            [
                1,
                26,
                19
            ],
            [
                1,
                26,
                16
            ],
            [
                1,
                26,
                13
            ],
            [
                1,
                26,
                9
            ],
            [
                1,
                44,
                34
            ],
            [
                1,
                44,
                28
            ],
            [
                1,
                44,
                22
            ],
            [
                1,
                44,
                16
            ],
            [
                1,
                70,
                55
            ],
            [
                1,
                70,
                44
            ],
            [
                2,
                35,
                17
            ],
            [
                2,
                35,
                13
            ],
            [
                1,
                100,
                80
            ],
            [
                2,
                50,
                32
            ],
            [
                2,
                50,
                24
            ],
            [
                4,
                25,
                9
            ],
            [
                1,
                134,
                108
            ],
            [
                2,
                67,
                43
            ],
            [
                2,
                33,
                15,
                2,
                34,
                16
            ],
            [
                2,
                33,
                11,
                2,
                34,
                12
            ],
            [
                2,
                86,
                68
            ],
            [
                4,
                43,
                27
            ],
            [
                4,
                43,
                19
            ],
            [
                4,
                43,
                15
            ],
            [
                2,
                98,
                78
            ],
            [
                4,
                49,
                31
            ],
            [
                2,
                32,
                14,
                4,
                33,
                15
            ],
            [
                4,
                39,
                13,
                1,
                40,
                14
            ],
            [
                2,
                121,
                97
            ],
            [
                2,
                60,
                38,
                2,
                61,
                39
            ],
            [
                4,
                40,
                18,
                2,
                41,
                19
            ],
            [
                4,
                40,
                14,
                2,
                41,
                15
            ],
            [
                2,
                146,
                116
            ],
            [
                3,
                58,
                36,
                2,
                59,
                37
            ],
            [
                4,
                36,
                16,
                4,
                37,
                17
            ],
            [
                4,
                36,
                12,
                4,
                37,
                13
            ],
            [
                2,
                86,
                68,
                2,
                87,
                69
            ],
            [
                4,
                69,
                43,
                1,
                70,
                44
            ],
            [
                6,
                43,
                19,
                2,
                44,
                20
            ],
            [
                6,
                43,
                15,
                2,
                44,
                16
            ],
            [
                4,
                101,
                81
            ],
            [
                1,
                80,
                50,
                4,
                81,
                51
            ],
            [
                4,
                50,
                22,
                4,
                51,
                23
            ],
            [
                3,
                36,
                12,
                8,
                37,
                13
            ],
            [
                2,
                116,
                92,
                2,
                117,
                93
            ],
            [
                6,
                58,
                36,
                2,
                59,
                37
            ],
            [
                4,
                46,
                20,
                6,
                47,
                21
            ],
            [
                7,
                42,
                14,
                4,
                43,
                15
            ],
            [
                4,
                133,
                107
            ],
            [
                8,
                59,
                37,
                1,
                60,
                38
            ],
            [
                8,
                44,
                20,
                4,
                45,
                21
            ],
            [
                12,
                33,
                11,
                4,
                34,
                12
            ],
            [
                3,
                145,
                115,
                1,
                146,
                116
            ],
            [
                4,
                64,
                40,
                5,
                65,
                41
            ],
            [
                11,
                36,
                16,
                5,
                37,
                17
            ],
            [
                11,
                36,
                12,
                5,
                37,
                13
            ],
            [
                5,
                109,
                87,
                1,
                110,
                88
            ],
            [
                5,
                65,
                41,
                5,
                66,
                42
            ],
            [
                5,
                54,
                24,
                7,
                55,
                25
            ],
            [
                11,
                36,
                12
            ],
            [
                5,
                122,
                98,
                1,
                123,
                99
            ],
            [
                7,
                73,
                45,
                3,
                74,
                46
            ],
            [
                15,
                43,
                19,
                2,
                44,
                20
            ],
            [
                3,
                45,
                15,
                13,
                46,
                16
            ],
            [
                1,
                135,
                107,
                5,
                136,
                108
            ],
            [
                10,
                74,
                46,
                1,
                75,
                47
            ],
            [
                1,
                50,
                22,
                15,
                51,
                23
            ],
            [
                2,
                42,
                14,
                17,
                43,
                15
            ],
            [
                5,
                150,
                120,
                1,
                151,
                121
            ],
            [
                9,
                69,
                43,
                4,
                70,
                44
            ],
            [
                17,
                50,
                22,
                1,
                51,
                23
            ],
            [
                2,
                42,
                14,
                19,
                43,
                15
            ],
            [
                3,
                141,
                113,
                4,
                142,
                114
            ],
            [
                3,
                70,
                44,
                11,
                71,
                45
            ],
            [
                17,
                47,
                21,
                4,
                48,
                22
            ],
            [
                9,
                39,
                13,
                16,
                40,
                14
            ],
            [
                3,
                135,
                107,
                5,
                136,
                108
            ],
            [
                3,
                67,
                41,
                13,
                68,
                42
            ],
            [
                15,
                54,
                24,
                5,
                55,
                25
            ],
            [
                15,
                43,
                15,
                10,
                44,
                16
            ],
            [
                4,
                144,
                116,
                4,
                145,
                117
            ],
            [
                17,
                68,
                42
            ],
            [
                17,
                50,
                22,
                6,
                51,
                23
            ],
            [
                19,
                46,
                16,
                6,
                47,
                17
            ],
            [
                2,
                139,
                111,
                7,
                140,
                112
            ],
            [
                17,
                74,
                46
            ],
            [
                7,
                54,
                24,
                16,
                55,
                25
            ],
            [
                34,
                37,
                13
            ],
            [
                4,
                151,
                121,
                5,
                152,
                122
            ],
            [
                4,
                75,
                47,
                14,
                76,
                48
            ],
            [
                11,
                54,
                24,
                14,
                55,
                25
            ],
            [
                16,
                45,
                15,
                14,
                46,
                16
            ],
            [
                6,
                147,
                117,
                4,
                148,
                118
            ],
            [
                6,
                73,
                45,
                14,
                74,
                46
            ],
            [
                11,
                54,
                24,
                16,
                55,
                25
            ],
            [
                30,
                46,
                16,
                2,
                47,
                17
            ],
            [
                8,
                132,
                106,
                4,
                133,
                107
            ],
            [
                8,
                75,
                47,
                13,
                76,
                48
            ],
            [
                7,
                54,
                24,
                22,
                55,
                25
            ],
            [
                22,
                45,
                15,
                13,
                46,
                16
            ],
            [
                10,
                142,
                114,
                2,
                143,
                115
            ],
            [
                19,
                74,
                46,
                4,
                75,
                47
            ],
            [
                28,
                50,
                22,
                6,
                51,
                23
            ],
            [
                33,
                46,
                16,
                4,
                47,
                17
            ],
            [
                8,
                152,
                122,
                4,
                153,
                123
            ],
            [
                22,
                73,
                45,
                3,
                74,
                46
            ],
            [
                8,
                53,
                23,
                26,
                54,
                24
            ],
            [
                12,
                45,
                15,
                28,
                46,
                16
            ],
            [
                3,
                147,
                117,
                10,
                148,
                118
            ],
            [
                3,
                73,
                45,
                23,
                74,
                46
            ],
            [
                4,
                54,
                24,
                31,
                55,
                25
            ],
            [
                11,
                45,
                15,
                31,
                46,
                16
            ],
            [
                7,
                146,
                116,
                7,
                147,
                117
            ],
            [
                21,
                73,
                45,
                7,
                74,
                46
            ],
            [
                1,
                53,
                23,
                37,
                54,
                24
            ],
            [
                19,
                45,
                15,
                26,
                46,
                16
            ],
            [
                5,
                145,
                115,
                10,
                146,
                116
            ],
            [
                19,
                75,
                47,
                10,
                76,
                48
            ],
            [
                15,
                54,
                24,
                25,
                55,
                25
            ],
            [
                23,
                45,
                15,
                25,
                46,
                16
            ],
            [
                13,
                145,
                115,
                3,
                146,
                116
            ],
            [
                2,
                74,
                46,
                29,
                75,
                47
            ],
            [
                42,
                54,
                24,
                1,
                55,
                25
            ],
            [
                23,
                45,
                15,
                28,
                46,
                16
            ],
            [
                17,
                145,
                115
            ],
            [
                10,
                74,
                46,
                23,
                75,
                47
            ],
            [
                10,
                54,
                24,
                35,
                55,
                25
            ],
            [
                19,
                45,
                15,
                35,
                46,
                16
            ],
            [
                17,
                145,
                115,
                1,
                146,
                116
            ],
            [
                14,
                74,
                46,
                21,
                75,
                47
            ],
            [
                29,
                54,
                24,
                19,
                55,
                25
            ],
            [
                11,
                45,
                15,
                46,
                46,
                16
            ],
            [
                13,
                145,
                115,
                6,
                146,
                116
            ],
            [
                14,
                74,
                46,
                23,
                75,
                47
            ],
            [
                44,
                54,
                24,
                7,
                55,
                25
            ],
            [
                59,
                46,
                16,
                1,
                47,
                17
            ],
            [
                12,
                151,
                121,
                7,
                152,
                122
            ],
            [
                12,
                75,
                47,
                26,
                76,
                48
            ],
            [
                39,
                54,
                24,
                14,
                55,
                25
            ],
            [
                22,
                45,
                15,
                41,
                46,
                16
            ],
            [
                6,
                151,
                121,
                14,
                152,
                122
            ],
            [
                6,
                75,
                47,
                34,
                76,
                48
            ],
            [
                46,
                54,
                24,
                10,
                55,
                25
            ],
            [
                2,
                45,
                15,
                64,
                46,
                16
            ],
            [
                17,
                152,
                122,
                4,
                153,
                123
            ],
            [
                29,
                74,
                46,
                14,
                75,
                47
            ],
            [
                49,
                54,
                24,
                10,
                55,
                25
            ],
            [
                24,
                45,
                15,
                46,
                46,
                16
            ],
            [
                4,
                152,
                122,
                18,
                153,
                123
            ],
            [
                13,
                74,
                46,
                32,
                75,
                47
            ],
            [
                48,
                54,
                24,
                14,
                55,
                25
            ],
            [
                42,
                45,
                15,
                32,
                46,
                16
            ],
            [
                20,
                147,
                117,
                4,
                148,
                118
            ],
            [
                40,
                75,
                47,
                7,
                76,
                48
            ],
            [
                43,
                54,
                24,
                22,
                55,
                25
            ],
            [
                10,
                45,
                15,
                67,
                46,
                16
            ],
            [
                19,
                148,
                118,
                6,
                149,
                119
            ],
            [
                18,
                75,
                47,
                31,
                76,
                48
            ],
            [
                34,
                54,
                24,
                34,
                55,
                25
            ],
            [
                20,
                45,
                15,
                61,
                46,
                16
            ]
        ];
        p.getRSBlocks = function (a, c) {
            var d = p.getRsBlockTable(a, c);
            if (void 0 == d)
                throw Error('bad rs block @ typeNumber:' + a + '/errorCorrectLevel:' + c);
            for (var b = d.length / 3, e = [], f = 0; f < b; f++)
                for (var h = d[3 * f + 0], g = d[3 * f + 1], j = d[3 * f + 2], l = 0; l < h; l++)
                    e.push(new p(g, j));
            return e;
        };
        p.getRsBlockTable = function (a, c) {
            switch (c) {
            case 1:
                return p.RS_BLOCK_TABLE[4 * (a - 1) + 0];
            case 0:
                return p.RS_BLOCK_TABLE[4 * (a - 1) + 1];
            case 3:
                return p.RS_BLOCK_TABLE[4 * (a - 1) + 2];
            case 2:
                return p.RS_BLOCK_TABLE[4 * (a - 1) + 3];
            }
        };
        t.prototype = {
            get: function (a) {
                return 1 == (this.buffer[Math.floor(a / 8)] >>> 7 - a % 8 & 1);
            },
            put: function (a, c) {
                for (var d = 0; d < c; d++)
                    this.putBit(1 == (a >>> c - d - 1 & 1));
            },
            getLengthInBits: function () {
                return this.length;
            },
            putBit: function (a) {
                var c = Math.floor(this.length / 8);
                this.buffer.length <= c && this.buffer.push(0);
                a && (this.buffer[c] |= 128 >>> this.length % 8);
                this.length++;
            }
        };
        'string' === typeof h && (h = { text: h });
        h = r.extend({}, {
            render: 'canvas',
            width: 256,
            height: 256,
            typeNumber: -1,
            correctLevel: 2,
            background: '#ffffff',
            foreground: '#000000'
        }, h);
        return this.each(function () {
            var a;
            if ('canvas' == h.render) {
                a = new o(h.typeNumber, h.correctLevel);
                a.addData(h.text);
                a.make();
                var c = document.createElement('canvas');
                c.width = h.width;
                c.height = h.height;
                for (var d = c.getContext('2d'), b = h.width / a.getModuleCount(), e = h.height / a.getModuleCount(), f = 0; f < a.getModuleCount(); f++)
                    for (var i = 0; i < a.getModuleCount(); i++) {
                        d.fillStyle = a.isDark(f, i) ? h.foreground : h.background;
                        var g = Math.ceil((i + 1) * b) - Math.floor(i * b), j = Math.ceil((f + 1) * b) - Math.floor(f * b);
                        d.fillRect(Math.round(i * b), Math.round(f * e), g, j);
                    }
            } else {
                a = new o(h.typeNumber, h.correctLevel);
                a.addData(h.text);
                a.make();
                c = r('<table></table>').css('width', h.width + 'px').css('height', h.height + 'px').css('border', '0px').css('border-collapse', 'collapse').css('background-color', h.background);
                d = h.width / a.getModuleCount();
                b = h.height / a.getModuleCount();
                for (e = 0; e < a.getModuleCount(); e++) {
                    f = r('<tr></tr>').css('height', b + 'px').appendTo(c);
                    for (i = 0; i < a.getModuleCount(); i++)
                        r('<td></td>').css('width', d + 'px').css('background-color', a.isDark(e, i) ? h.foreground : h.background).appendTo(f);
                }
            }
            a = c;
            jQuery(a).appendTo(this);
        });
    };
}(jQuery));
define('qrcode', [], function () {
    return;
});
var App = App || {};
define('views/ucenter/uqrcode', [
    'uview',
    'views/component/utopBar_2',
    'tpl/ucenter/u_qrcode.html',
    'qrcode'
], function (uview, utopbar, tpl, qrcode) {
    var v = uview.extend({
        template: tpl,
        components: { 'com-utopbar': utopbar },
        objectExtend: {
            cxName: 'uqrcode',
            cxId: '#u-qrcode',
            cxWpid: '#u_qrcode_con',
            cxAutoShow: true,
            cxInit: function () {
            },
            cxCreated: function () {
            },
            cxReady: function () {
                var _txt = 'nothing';
                if (App.p.dhQrcode) {
                    _txt = App.p.dhQrcode;
                }
                jQuery('#ouqrcode').qrcode({
                    width: 500,
                    height: 500,
                    text: _txt
                });
            },
            appendComplete: function () {
                this.transitionName = 'cxpFadeLeft';
            }
        },
        cxData: {
            show: true,
            transitionName: 'cxpRight'
        },
        methods: {
            closeMask: function () {
            }
        }
    });
    return v;
});
define('tpl/ucenter/u_pay.html', [], function () {
    return '<div class="" id="u_pay" v-if="show" :transition="transitionName">\r\n    <com-utopbar v-ref:utopbar title="账户余额"></com-utopbar>\r\n    <div class="u-main wrapper4" id="u_pay_m">\r\n        <div class="bd">\r\n            <div class="weui-msg">\r\n                <div class="weui-msg__text-area">\r\n                    <h2 class="weui-msg__title">\r\n                        余额\uFF1A<i class="fa fa-yen" aria-hidden="true"></i>{{info.balance}}\r\n                    </h2>\r\n                </div>\r\n            </div>\r\n            <div class="page__bd">\r\n                <div class="weui-cells__title">选择充值金额</div>\r\n                <div class="weui-cells weui-cells_radio">\r\n                    <template v-for="(i,item) in list">\r\n                        <label class="weui-cell weui-check__label" :for=\'"x"+i\'>\r\n                            <div class="weui-cell__bd">\r\n                                <p>{{item.title}}</p>\r\n                            </div>\r\n                            <div class="weui-cell__ft">\r\n                                <input @click="selectPrice(item)" type="radio" class="weui-check" name="radio1" :id=\'"x"+i\' v-model="picked" v-bind:value="item.pk">\r\n                                <span class="weui-icon-checked"></span>\r\n                            </div>\r\n                        </label>\r\n                    </template>\r\n                </div>\r\n                <div class="weui-cells__title">支付选择</div>\r\n                <div class="weui-cells weui-cells_radio">\r\n                    <label class="weui-cell weui-check__label" for="x11">\r\n                        <div class="weui-cell__bd">\r\n                            <p><i class="fa fa-wechat" aria-hidden="true"></i> 微信</p>\r\n                        </div>\r\n                        <div class="weui-cell__ft">\r\n                            <input value="1" type="radio" class="weui-check" name="payselt" id="x11" checked="checked" v-model="paytype">\r\n                            <span class="weui-icon-checked"></span>\r\n                        </div>\r\n                    </label>\r\n                    <!--                    <label class="weui-cell weui-check__label" for="x12">\r\n                        <div class="weui-cell__bd">\r\n                            <p><img style="height: 22px;vertical-align: sub;padding-right: 16px;" src="./assets/imgs/alipay.png">支付宝</p>\r\n                        </div>\r\n                        <div class="weui-cell__ft">\r\n                            <input value="2" type="radio" name="payselt" class="weui-check" id="x12" v-model="paytype">\r\n                            <span class="weui-icon-checked"></span>\r\n                        </div>\r\n                    </label>-->\r\n                </div>\r\n            </div>\r\n            <div class="weui-msg">\r\n                <div class="weui-msg__opr-area">\r\n                    <p class="weui-btn-area">\r\n                        <a href="javascript:;" @click="recharge()" class="weui-btn weui-btn_primary">充值</a>\r\n                    </p>\r\n                </div>\r\n                <div class="weui-msg__opr-area">\r\n                    <p class="weui-btn-area">\r\n                        <a href="#u/upay2" class="weui-btn weui-btn_primary">余额支付</a>\r\n                    </p>\r\n                </div>\r\n            </div>\r\n        </div>\r\n    </div>\r\n</div>';
});
var App = App || {};
define('views/ucenter/upay', [
    'uview',
    'views/component/utopBar_1',
    'tpl/ucenter/u_pay.html'
], function (uview, utopbar, tpl) {
    var v = uview.extend({
        template: tpl,
        components: { 'com-utopbar': utopbar },
        objectExtend: {
            cxName: 'upay',
            cxId: '#u-pay',
            cxWpid: '#u_pay_m',
            cxApi: '/v1/recharge/list/',
            cxNextPageNs: ['upay2'],
            cxAutoShow: true,
            cxAutoload: true,
            cxInit: function () {
            },
            cxCreated: function () {
                this.info = App.user.info;
            },
            cxReady: function () {
            },
            appendComplete: function () {
                this.transitionName = 'cxpFadeLeft';
            }
        },
        cxData: {
            info: {},
            balance: 0,
            show: true,
            picked: 1,
            paytype: 1,
            transitionName: 'cxpRight'
        },
        methods: {
            selectPrice: function (val) {
            },
            recharge: function () {
                var _this = this;
                var _url = App.config.urlPath + '/v1/recharge/reservations/?' + App.config.accompany;
                App.upData({
                    url: _url,
                    data: {
                        ticket: this.picked,
                        paytype: this.paytype,
                        user: App.user.uid
                    },
                    success: function (data) {
                        App.pay(JSON.stringify(data.results.message));
                    }
                });
            },
            yepay: function () {
            }
        }
    });
    return v;
});
define('tpl/ucenter/u_pay2.html', [], function () {
    return '<div class="" id="u_pay2" v-if="show" :transition="transitionName">\r\n    <com-utopbar v-ref:utopbar title="账户余额"></com-utopbar>\r\n    <div class="u-main wrapper4" id="u_pay_m2">\r\n        <div class="bd">\r\n            <div class="weui-msg">\r\n                <div class="weui-msg__text-area">\r\n                    <h2 class="weui-msg__title">\r\n                        余额\uFF1A<i class="fa fa-yen" aria-hidden="true"></i>{{info.balance}}\r\n                    </h2>\r\n                </div>\r\n            </div>\r\n            <div class="page__bd">\r\n                <div class="weui-cells__title">输入支付金额</div>\r\n                <div class="weui-cells">\r\n                    <div class="weui-cell">\r\n                        <div class="weui-cell__bd">\r\n                            <input class="weui-input" type="number" placeholder="请输入数字金额" v-model="amount">\r\n                        </div>\r\n                    </div>\r\n                </div>\r\n                <div class="weui-cells__title">支付备注说明</div>\r\n                <div class="weui-cells weui-cells_form">\r\n                    <div class="weui-cell">\r\n                        <div class="weui-cell__bd">\r\n                            <textarea class="weui-textarea" placeholder="请输入文本" rows="3" v-model="remark"></textarea>\r\n                        </div>\r\n                    </div>\r\n                </div>\r\n            </div>\r\n            <div class="weui-msg">\r\n                <div class="weui-msg__opr-area">\r\n                    <p class="weui-btn-area">\r\n                        <a href="javascript:;" @click="yepay()" class="weui-btn weui-btn_primary">支付</a>\r\n                    </p>\r\n                </div>\r\n            </div>\r\n        </div>\r\n    </div>\r\n</div>';
});
var App = App || {};
define('views/ucenter/upay2', [
    'uview',
    'views/component/utopBar_1',
    'tpl/ucenter/u_pay2.html'
], function (uview, utopbar, tpl) {
    var v = uview.extend({
        template: tpl,
        components: { 'com-utopbar': utopbar },
        objectExtend: {
            cxName: 'upay2',
            cxId: '#u-pay2',
            cxWpid: '#u_pay_m2',
            cxApi: '/v1/entry/balancepayment/',
            cxAutoShow: true,
            cxAutoload: false,
            cxInit: function () {
            },
            cxCreated: function () {
                this.info = App.user.info;
            },
            cxReady: function () {
            },
            appendComplete: function () {
                this.transitionName = 'cxpFadeLeft';
            }
        },
        cxData: {
            info: {},
            remark: '',
            show: true,
            amount: 0,
            remark: '',
            paytype: 1,
            transitionName: 'cxpRight'
        },
        methods: {
            selectPrice: function (val) {
            },
            yepay: function () {
                var _this = this;
                var _url = App.config.urlPath + '/v1/entry/balancepayment/?' + App.config.accompany;
                App.upData({
                    url: _url,
                    data: {
                        user_id: App.user.uid,
                        amount: this.amount,
                        paytype: 3,
                        remark: this.remark
                    },
                    success: function (data) {
                        if (data.results.state == 1) {
                            App.alert(data.results.message);
                            App.ldUserinfo(function () {
                                window.history.back();
                            });
                        } else {
                            App.alert(data.results.message);
                        }
                    }
                });
            }
        }
    });
    return v;
});
define('tpl/ucenter/u_orderpay.html', [], function () {
    return '<div class="" id="u-order" v-if="show" :transition="transitionName">\r\n    <com-utopbar v-ref:utopbar title="我的订单"></com-utopbar>\r\n    <div class="u-main wrapper4" id="u_orderpay_m">\r\n        <div class="bd ulistA" id="u_order_list" style="top:5px;">\r\n            <div class="weui-cells weui-cells_form">\r\n                <div class="weui-cell">\r\n                    <div class="weui-cell__hd">\r\n                        <label class="weui-label" style="text-align: right;">内 容\uFF1A</label>\r\n                    </div>\r\n                    <div class="weui-cell__bd">\r\n                        {{title}}\r\n                    </div>\r\n                </div>\r\n                <div class="weui-cell">\r\n                    <div class="weui-cell__hd">\r\n                        <label class="weui-label" style="text-align: right;">单  价\uFF1A</label>\r\n                    </div>\r\n                    <div class="weui-cell__bd">\r\n                        {{fee}}\r\n                    </div>\r\n                </div>\r\n                <div class="weui-cell">\r\n                    <div class="weui-cell__hd">\r\n                        <label class="weui-label" style="text-align: right;">数  量\uFF1A</label>\r\n                    </div>\r\n                    <div class="weui-cell__bd">\r\n                        {{count}}\r\n                    </div>\r\n                </div>\r\n                <div class="weui-cell">\r\n                    <div class="weui-cell__hd">\r\n                        <label class="weui-label" style="text-align: right;">总金额\uFF1A</label>\r\n                    </div>\r\n                    <div class="weui-cell__bd">\r\n                        {{total_fee}}\r\n                    </div>\r\n                </div>\r\n            </div>\r\n            <div class="weui-cells__title">支付选择</div>\r\n            <div class="weui-cells weui-cells_radio">\r\n                <label class="weui-cell weui-check__label" for="x11">\r\n                    <div class="weui-cell__bd">\r\n                        <p><i class="fa fa-wechat" aria-hidden="true"></i> 微信</p>\r\n                    </div>\r\n                    <div class="weui-cell__ft">\r\n                        <input type="radio" v-model="paytype" value="1" class="weui-check" name="payselt" id="x11" checked="checked">\r\n                        <span class="weui-icon-checked"></span>\r\n                    </div>\r\n                </label>\r\n                <label class="weui-cell weui-check__label" for="x12">\r\n\r\n                    <div class="weui-cell__bd">\r\n                        <p><i class="fa fa-money" aria-hidden="true"></i> 余额</p>\r\n                    </div>\r\n                    <div class="weui-cell__ft">\r\n                        <input type="radio"  v-model="paytype" value="3" name="payselt" class="weui-check" id="x12">\r\n                        <span class="weui-icon-checked"></span>\r\n                    </div>\r\n                </label>\r\n            </div>\r\n            <div class="weui-btn-area">\r\n                <a @click="actPay" class="weui-btn weui-btn_primary b-yellow" id="showTooltips">支付</a>\r\n            </div>\r\n        </div>\r\n    </div>\r\n</div>';
});
var App = App || {};
define('views/ucenter/uorderpay', [
    'uview',
    'views/component/utopBar_1',
    'tpl/ucenter/u_orderpay.html'
], function (uview, utopbar, tpl) {
    var v = uview.extend({
        template: tpl,
        components: { 'com-utopbar': utopbar },
        objectExtend: {
            cxName: 'uorderpay',
            cxId: '#u-orderpay',
            cxWpid: '#u_orderpay_m',
            cxApi: '/v1/entry/orders',
            cxNextPageNs: ['upay2'],
            cxAutoShow: true,
            cxAutoload: true,
            vRenData: true,
            cxInit: function () {
            },
            cxCreated: function () {
                this.info = App.user.info;
                if (this.$options.vas) {
                    this.cxApi = '/v1/entry/orders/' + this.$options.vas + '/';
                }
            },
            cxReady: function () {
            }
        },
        cxData: {
            info: {},
            uuid: 0,
            out_trade_no: 0,
            category: 0,
            title: 0,
            fee: 0,
            show: true,
            picked: 1,
            paytype: 1,
            transitionName: 'cxpRight'
        },
        methods: {
            actPay: function () {
                var _this = this;
                App.upData({
                    url: App.config.urlPath + '/v1/entry/resumeorder/?' + App.config.accompany,
                    data: {
                        uuid: _this.uuid,
                        paytype: parseInt(_this.paytype)
                    },
                    success: function (data) {
                        if (_this.paytype == 1) {
                            App.pay(JSON.stringify(data.results.message), function () {
                                App.loading(false);
                                App.warn('支付成功');
                                _this.changeTabs(1);
                            }, function () {
                                App.loading(false);
                                App.warn('支付失败');
                                App.trace('支付失败\uFF1A' + error.code);
                            });
                        } else {
                            if (data.results.state == 0) {
                                App.warn(data.results.message);
                            } else {
                                window.history.back();
                                window.location.href = '#u/uorder/1';
                            }
                        }
                    }
                });
            }
        }
    });
    return v;
});
define('tpl/com/eimage.html', [], function () {
    return '<div class="views" id="eimage" v-if="show" :transition="transitionName">\n    <div class="wrapper am-container">\n        <img id="e_imgcon">\n        <div id="e_work">\n            <div id="maskL"></div>\n            <div id="maskR"></div>\n            <div id="maskT"></div>\n            <div id="maskB"></div>\n            <div id="e_area"></div>\n            <div class="img-select-box">\n                <div class="img-select">\n                    <div @click="cancel" class="am-btn">取消</div>\n                    <div @click="upBtn" class="am-btn">确认</div>\n                </div>\n            </div>\n        </div>\n    </div>\n</div>\n';
});
var App = App || {};
define('views/component/eimage', [
    'uview',
    'tpl/com/eimage.html'
], function (uview, tpl) {
    var angle = 0;
    var start = 0;
    var v = uview.extend({
        template: tpl,
        objectExtend: {
            cxName: 'eimage',
            cxId: '#eimage',
            canvas: null,
            context: null,
            $img: null,
            img: null,
            imageData: null,
            $area: null,
            $inputFile: null,
            $maskL: null,
            $maskR: null,
            $maskT: null,
            $maskB: null,
            aRect: {
                left: 0,
                top: 0,
                width: 0,
                height: 0
            },
            iRect: {
                left: 0,
                top: 0,
                width: 0,
                height: 0
            },
            iRectEdt: {
                left: 0,
                top: 0,
                width: 0,
                height: 0
            },
            iRectOrg: {
                left: 0,
                top: 0,
                width: 0,
                height: 0
            },
            iPot: {
                x: 0,
                y: 0
            },
            iPot2: {
                x: 0,
                y: 0
            },
            iDa: 0,
            iDb: 0,
            iScale: 1,
            iScaleTemp: 1,
            iMargin: 40,
            startMove: false,
            startScale: false,
            wArea: 0,
            hArea: 0,
            hdImg: null,
            cxInit: function () {
            },
            cxCreated: function () {
                this.wArea = window.innerWidth;
                this.hArea = window.innerHeight;
                this.uisn = !App.n.is;
            },
            cxReady: function () {
                App.cxmain.footShow(false);
                this.$maskL = $('#maskL');
                this.$maskR = $('#maskR');
                this.$maskT = $('#maskT');
                this.$maskB = $('#maskB');
                this.$img = $('#e_imgcon');
                this.img = this.$img[0];
                this.$area = $('#e_area');
                this.init();
                if (App.eImage.data) {
                    this.loadData(App.eImage.data);
                }
            },
            appendComplete: function () {
            }
        },
        cxData: {
            transitionName: 'cxpRight',
            show: true,
            uisn: true
        },
        methods: {
            init: function () {
                var _this = this;
                this.aRect.top = (this.hArea - this.wArea - this.iMargin) / 2;
                this.aRect.left = this.iMargin / 2;
                this.aRect.width = this.wArea - this.iMargin;
                this.aRect.height = this.wArea - this.iMargin;
                this.$area.css(this.aRect);
                this.changeMask();
                this.canvas = document.createElement('canvas');
                this.canvas.width = this.aRect.width;
                this.canvas.height = this.aRect.height;
                this.context = this.canvas.getContext('2d');
            },
            loadData: function (_data) {
                this.$img.hide();
                App.loading(true);
                var _this = this;
                this.img.crossorigin = '';
                this.img.onload = function () {
                    App.loading(false);
                    _this.formatImg();
                    _this.onTouch();
                };
                this.img.onerror = function () {
                    App.loading(false);
                    App.alert('获取图片失败', { tips: true });
                };
                this.img.src = _data;
            },
            onTouch: function () {
                this.$area.on('touchstart', this, this.touchStart);
                this.$area.on('touchmove', this, this.touchMove);
                this.$area.on('touchend', this, this.touchEnd);
            },
            rotateImg: function () {
            },
            formatImg: function () {
                this.iRectOrg.width = this.img.width;
                this.iRectOrg.height = this.img.height;
                if (this.img.width > this.img.height) {
                    this.iScale = this.aRect.height / this.img.height;
                    this.iRect.height = this.aRect.height;
                    this.iRect.top = this.aRect.top;
                    this.iRect.width = this.img.width * this.iScale;
                    this.iRect.left = this.aRect.left - (this.iRect.width - this.aRect.width) / 2;
                } else {
                    this.iScale = this.aRect.width / this.img.width;
                    this.iRect.width = this.aRect.width;
                    this.iRect.left = this.aRect.left;
                    this.iRect.height = this.img.height * this.iScale;
                    this.iRect.top = this.aRect.top - (this.iRect.height - this.aRect.height) / 2;
                }
                this.iRectOrg.left = this.iRect.left;
                this.iRectOrg.top = this.iRect.top;
                this.$img.css(this.iRect);
                this.$img.show();
                this.drawImg();
            },
            scaleImg: function (_scale) {
                var _height = this.iRectOrg.height * _scale;
                var _width = this.iRectOrg.width * _scale;
                if (_height > this.aRect.height && _width > this.aRect.width) {
                    var _goX = this.iRectEdt.left - (_width - this.iRectEdt.width) / 2;
                    var _goY = this.iRectEdt.top - (_height - this.iRectEdt.height) / 2;
                    var _goxV = _width - this.aRect.width - this.aRect.left;
                    var _goyV = _height - this.aRect.height - this.aRect.top;
                    if (_goX < this.aRect.left && _goX > -_goxV) {
                        this.iRect.left = _goX;
                    } else if (_goX > this.aRect.left - 1) {
                        this.iRect.left = this.aRect.left;
                    } else {
                        this.iRect.left = -_goxV;
                    }
                    if (_goY < this.aRect.top && _goY > -_goyV) {
                        this.iRect.top = _goY;
                    } else if (_goY > this.aRect.top - 1) {
                        this.iRect.top = this.aRect.top;
                    } else {
                        this.iRect.top = -_goyV;
                    }
                    this.iRect.height = _height;
                    this.iRect.width = _width;
                    this.$img.css(this.iRect);
                    this.iScale = _scale;
                }
            },
            changeMask: function () {
                this.$maskT.css({
                    'left': 0,
                    'top': 0,
                    'height': this.aRect.top
                });
                this.$maskB.css({
                    'top': this.aRect.top + this.aRect.height,
                    'height': '100%'
                });
                this.$maskL.css({
                    'left': 0,
                    'top': this.aRect.top,
                    'width': this.aRect.left,
                    'height': this.aRect.height
                });
                this.$maskR.css({
                    'left': this.aRect.left + this.aRect.width,
                    'top': this.aRect.top,
                    'width': '100%',
                    'height': this.aRect.height
                });
            },
            touchStart: function (evt) {
                this.iRectEdt = _.clone(this.iRect);
                var _touches = evt.originalEvent.touches;
                if (_touches.length == 1) {
                    this.startMove = true;
                    this.startScale = false;
                    this.iPot.x = _touches[0].clientX;
                    this.iPot.y = _touches[0].clientY;
                } else {
                    this.startMove = false;
                    this.startScale = true;
                    this.iPot.x = _touches[0].clientX;
                    this.iPot.y = _touches[0].clientY;
                    this.iPot2.x = _touches[1].clientX;
                    this.iPot2.y = _touches[1].clientY;
                    this.iDa = Math.sqrt(Math.pow(this.iPot.x - this.iPot2.x, 2) + Math.pow(this.iPot.y - this.iPot2.y, 2));
                    this.iScaleTemp = this.iScale;
                }
            },
            touchMove: function (evt) {
                evt.preventDefault();
                var _touches = evt.originalEvent.touches;
                if (this.startMove && _touches.length == 1) {
                    var _goX = this.iRectEdt.left + _touches[0].clientX - this.iPot.x;
                    var _goY = this.iRectEdt.top + _touches[0].clientY - this.iPot.y;
                    var _goxV = this.iRect.width - this.aRect.width - this.aRect.left;
                    var _goyV = this.iRect.height - this.aRect.height - this.aRect.top;
                    if (_goX < this.aRect.left && _goX > -_goxV) {
                        this.iRect.left = _goX;
                    } else if (_goX > this.aRect.left - 1) {
                        this.iRect.left = this.aRect.left;
                    } else {
                        this.iRect.left = -_goxV;
                    }
                    if (_goY < this.aRect.top && _goY > -_goyV) {
                        this.iRect.top = _goY;
                    } else if (_goY > this.aRect.top - 1) {
                        this.iRect.top = this.aRect.top;
                    } else {
                        this.iRect.top = -_goyV;
                    }
                    this.$img.css(this.iRect);
                } else if (this.startScale) {
                    var _vx = _touches[0].clientX;
                    var _vy = _touches[0].clientY;
                    var _vx2 = _touches[1].clientX;
                    var _vy2 = _touches[1].clientY;
                    this.iDb = Math.sqrt(Math.pow(_vx - _vx2, 2) + Math.pow(_vy - _vy2, 2));
                    var _scale = this.iScaleTemp * this.iDb / this.iDa;
                    this.scaleImg(_scale);
                }
            },
            touchEnd: function (evt) {
                this.drawImg();
            },
            drawImg: function () {
                var _x = Math.round((this.aRect.left - this.iRect.left) / this.iScale);
                var _y = Math.round((this.aRect.top - this.iRect.top) / this.iScale);
                var _w = Math.round(this.aRect.width / this.iScale);
                var _h = Math.round(this.aRect.height / this.iScale);
                var _iw = Math.round(this.aRect.width);
                var _ih = Math.round(this.aRect.height);
                this.context.clearRect(0, 0, this.canvas.width, this.canvas.height);
                this.context.save();
                this.context.drawImage(this.img, _x, _y, _w, _h, 0, 0, _iw, _ih);
            },
            getIData: function (_img) {
                var canvas = document.createElement('canvas');
                canvas.width = _img.width;
                canvas.height = _img.height;
                var ctx = canvas.getContext('2d');
                ctx.drawImage(_img, 0, 0, _img.width, _img.height);
                var iData = ctx.getImageData(0, 0, _img.width, _img.height);
                return iData;
            },
            getBase64Image: function () {
                var dataURL = this.canvas.toDataURL('image/jpeg', 0.95);
                return dataURL;
            },
            upBtn: function () {
                App.eImage.data = this.getBase64Image();
                App.eImage.confirm();
            },
            cancel: function () {
                history.back();
            }
        }
    });
    return v;
});
var App = App || {};
define('views/ucenter', [
    'uview',
    'tpl/ucenter.html',
    'views/ucenter/uindex',
    'views/ucenter/uticket',
    'views/ucenter/ureg',
    'views/ucenter/ureg2',
    'views/ucenter/ulogin',
    'views/ucenter/usbase',
    'views/ucenter/ureserve',
    'views/ucenter/ugroup',
    'views/ucenter/uinvite',
    'views/ucenter/utrain',
    'views/ucenter/ufavorite',
    'views/ucenter/uabout',
    'views/ucenter/uorder',
    'views/ucenter/uforget',
    'views/ucenter/uqrcode',
    'views/ucenter/upay',
    'views/ucenter/upay2',
    'views/ucenter/uorderpay',
    'views/component/eimage'
], function (uview, tpl, uindex, uticket, ureg, ureg2, ulogin, usbase, ureserve, ugroup, uinvite, utrain, ufavorite, uabout, uorder, uforget, uqrcode, upay, upay2, uorderpay, eimage) {
    var v = uview.extend({
        template: tpl,
        objectExtend: {
            cxName: 'ucenter',
            cxId: '#cx-ucenter',
            cxChildId: '#ucenter',
            cxAutoload: false,
            cxAutoShow: true,
            cxOs: null,
            cxChildPage: {
                'uindex': uindex,
                'uticket': uticket,
                'ureg': ureg,
                'ureg2': ureg2,
                'ulogin': ulogin,
                'usbase': usbase,
                'ureserve': ureserve,
                'ugroup': ugroup,
                'uinvite': uinvite,
                'utrain': utrain,
                'ufavorite': ufavorite,
                'uabout': uabout,
                'uorder': uorder,
                'eimage': eimage,
                'uforget': uforget,
                'upay': upay,
                'upay2': upay2,
                'uorderpay': uorderpay,
                'uqrcode': uqrcode
            },
            cxCreated: function () {
            },
            cxReady: function () {
                if (typeof this.$options.vas != 'undefined') {
                    this.openChild(this.$options.vas);
                } else {
                    this.openChild('hindex');
                }
            }
        },
        cxData: {
            transitionName: 'cxpFade',
            show: true,
            phone: ''
        },
        methods: {
            initChild: function (_obj) {
                this.initPage = _obj.child;
            },
            getValidate: function () {
                App.upData({
                    url: '',
                    data: { phone: this.phone },
                    success: function (data) {
                    }
                });
            }
        }
    });
    return v;
});
define('tpl/ticket.html', [], function () {
    return '<div class="views" id="cx-ticket" v-if="show" :transition="transitionName">\n    <div id="ticket">\n    </div>\n</div>';
});
define('tpl/com/bar_t3.html', [], function () {
    return '<div class="g g-wrap u-header">\r\n    <div class="col col-1 text-mc">\r\n        \r\n    </div>\r\n    <div class="col col-4 text-mc">\r\n        <h3 class="center">{{title}}</h3>\r\n    </div>\r\n    <div class="col c0l-1 text-mc">\r\n        \r\n    </div>\r\n</div>\r\n';
});
var App = App || {};
define('views/component/utopBar_3', [
    'uview',
    'tpl/com/bar_t3.html'
], function (Vue, tpl) {
    var v = Vue.extend({
        props: [
            'title',
            'btname'
        ],
        template: tpl,
        data: function () {
            return { ai: true };
        },
        created: function () {
        },
        methods: {
            change: function (_pname) {
            }
        }
    });
    return v;
});
define('tpl/ticket/tindex.html', [], function () {
    return '<div class="" id="t_index" v-if="show" :transition="transitionName">\r\n    <com-utopbar v-ref:utopbar title="票务中心"></com-utopbar>\r\n    <div class="u-main wrapper4" id="t_index_m">\r\n        <div class="page__bd page__bd_spacing btnList">\r\n            <a href="#t/tswim" class="weui-btn weui-btn_default tindexBtn">\r\n                <div>\r\n                    <img src="assets/imgs/swimming.png">\r\n                </div>\r\n                <div>\r\n                    <h3>游泳票</h3>\r\n                </div>\r\n            </a>\r\n            <a href="#t/tpark" class="weui-btn weui-btn_default tindexBtn">\r\n                <div>\r\n                    <img src="assets/imgs/parking.png">\r\n                </div>\r\n                <div>\r\n                    <h3>通用券</h3>\r\n                </div>\r\n            </a>\r\n            <a href="#t/tmatch" class="weui-btn weui-btn_default tindexBtn">\r\n                <div>\r\n                    <img src="assets/imgs/ticket.png">\r\n                </div>\r\n                <div>\r\n                    <h3>比赛票</h3>\r\n                </div>\r\n            </a>\r\n            <a href="#t/tfood" class="weui-btn weui-btn_default tindexBtn">\r\n                <div>\r\n                    <img src="assets/imgs/restaurant.png">\r\n                </div>\r\n                <div>\r\n                    <h3>餐饮券</h3>\r\n                </div>\r\n            </a>\r\n        </div>\r\n    </div>\r\n</div>\r\n';
});
var App = App || {};
define('views/ticket/tindex', [
    'uview',
    'views/component/utopBar_3',
    'tpl/ticket/tindex.html'
], function (uview, utopbar, tpl) {
    var v = uview.extend({
        template: tpl,
        components: { 'com-utopbar': utopbar },
        objectExtend: {
            cxName: 'tindex',
            cxId: '#t-index',
            cxWpid: '#t_index_m',
            cxAutoShow: true,
            cxDel: false,
            cxNextPageNs: [
                'tmatch',
                'tpark',
                'tswim'
            ],
            cxInit: function () {
            },
            cxCreated: function () {
            },
            cxReady: function () {
            },
            appendComplete: function () {
                this.transitionName = 'cxpFadeRight';
            }
        },
        cxData: {
            show: true,
            transitionName: 'cxpFade'
        },
        methods: {
            closeMask: function () {
            }
        }
    });
    return v;
});
define('tpl/ticket/t_swim.html', [], function () {
    return '<div class="" id="t_swim" v-if="show" :transition="transitionName">\r\n    <com-utopbar v-ref:utopbar title="游泳票"></com-utopbar>\r\n    <div class="u-main wrapper4" id="t_list_m">\r\n        <div>\r\n            <ul class="bd headCon  ui-border-b">\r\n                <li>\r\n                    <img src="assets/imgs/yy.jpg">\r\n                </li>\r\n                <li style="font-size: 14px;text-align: justify;">\r\n鄞州游泳中心是宁波市顶级游泳场所\uFF0C设有室内标准游泳池50m\xD725m\uFF0C400座观众席\uFF1B室外游泳池50m\xD725m和室内训练池50m\xD710m\uFF0C配套设施健全\uFF0C拥有先进的水循环系统和水加热\u3001给药\u3001消毒及PH值自动检测系统\u3002可举办各级游泳比赛\uFF0C是鄞州区教育局游泳中考达标指定测试点\u3002\r\n                </li>\r\n            </ul>\r\n            <template v-for="(i,item) in list">\r\n                <div class="weui-panel weui-panel_access t_item">\r\n                    <div class="weui-form-preview__hd">\r\n                        <label class="weui-form-preview__label">\r\n                        {{item.title}}\r\n                        </label>\r\n                        <em class="weui-form-preview__value">\xA5{{item.selling_price}}\r\n                        <span class="txtDel">\xA5{{item.original_price}}</span>\r\n                        </em>\r\n                    </div>\r\n                    <div class="weui-panel__bd">\r\n                        <div class="weui-media-box weui-media-box_text">\r\n                            <div class="g">\r\n                                <div class="col col-4">\r\n                                    <p class="weui-media__desc">{{item.contents}}</p>\r\n                                </div>\r\n                                <div class="col col-2 tbuyBtn">\r\n                                    <a @click="goBuy(i)" class="weui-btn weui-btn_plain-primary ">购买</a>\r\n                                </div>\r\n                            </div>\r\n                        </div>\r\n                    </div>\r\n                </div>\r\n            </template>\r\n        </div>\r\n    </div>\r\n</div>\r\n';
});
var App = App || {};
define('views/ticket/tswim', [
    'uview',
    'views/component/utopBar_2',
    'tpl/ticket/t_swim.html'
], function (uview, utopbar, tpl) {
    var v = uview.extend({
        template: tpl,
        components: { 'com-utopbar': utopbar },
        objectExtend: {
            cxName: 'tswim',
            cxId: '#t_swim',
            cxWpid: '#t_list_m',
            cxApi: '/v1/ticket/swim/list/',
            cxAutoload: true,
            cxAutoShow: true,
            vRenData: true,
            cxNextPageNs: ['torder'],
            cxInit: function () {
            },
            cxCreated: function () {
                this.cxVas = {
                    type: 1,
                    limit: 10,
                    offset: 0
                };
            },
            cxReady: function () {
            },
            appendComplete: function () {
            }
        },
        cxData: {
            show: true,
            transitionName: 'cxpRight'
        },
        methods: {
            closeMask: function () {
            },
            goBuy: function (_sub) {
                if (App.user.login) {
                    App.buyinfo = this.list[_sub];
                    App.buyinfo.pcDes = this.list[_sub].contents;
                    App.buyinfo.upUrl = '/v1/ticket/swim/reservations/';
                    window.location.href = '#t/torder';
                } else {
                    App.confirm('请先登陆', {
                        onConfirm: function () {
                            window.location.href = '#u/ulogin';
                        }
                    });
                }
            }
        }
    });
    return v;
});
define('tpl/ticket/t_park.html', [], function () {
    return '<div class="" id="t_park" v-if="show" :transition="transitionName">\r\n    <com-utopbar v-ref:utopbar title="通用券"></com-utopbar>\r\n    <div class="u-main wrapper4" id="t_park_m">\r\n        <div class="" id="t_park_main">\r\n            <div class="weui-panel_access">\r\n                <div>\r\n                    <img src="assets/imgs/park_img.jpg" />\r\n                </div>\r\n                <p class="weui-media__desc desc">\r\n                由各种物质组成的巨型球状天体\uFF0C叫做星球\u3002星球有一定的形状\uFF0C有自己的运行轨道\u3002\r\n                </p>\r\n            </div>\r\n            <template v-for="(i,item) in list">\r\n               \r\n                <div class="weui-panel weui-panel_access t_item">\r\n                    <div class="weui-form-preview__hd">\r\n                        <label class="weui-form-preview__label">{{item.title}}</label>\r\n                        <em class="weui-form-preview__value">\xA5{{item.selling_price}}\r\n                        <span class="txtDel">\xA5{{item.original_price}}</span>\r\n                        </em>\r\n                    </div>\r\n                    <div class="weui-panel__bd">\r\n                        <div class="weui-media-box weui-media-box_text">\r\n                            <div class="g">\r\n                                <div class="col col-4">\r\n                                    <p class="weui-media__desc">{{item.contents}}</p>\r\n                                </div>\r\n                                <div class="col col-2 tbuyBtn">\r\n                                    <a @click="goBuy(i)" class="weui-btn weui-btn_plain-primary ">购买</a>\r\n                                </div>\r\n                            </div>\r\n                        </div>\r\n                    </div>\r\n                </div>\r\n            </template>\r\n        </div>\r\n    </div>\r\n</div>\r\n';
});
var App = App || {};
define('views/ticket/tpark', [
    'uview',
    'views/component/utopBar_2',
    'tpl/ticket/t_park.html'
], function (uview, utopbar, tpl) {
    var v = uview.extend({
        template: tpl,
        components: { 'com-utopbar': utopbar },
        objectExtend: {
            cxName: 'tpark',
            cxId: '#t_park',
            cxWpid: '#t_park_m',
            cxApi: '/v1/ticket/general/list/',
            cxAutoload: true,
            cxAutoShow: true,
            cxNextPageNs: ['torder'],
            cxInit: function () {
            },
            cxCreated: function () {
                this.cxVas = { type: 1 };
            },
            cxReady: function () {
            },
            appendComplete: function () {
            }
        },
        cxData: {
            show: true,
            transitionName: 'cxpRight'
        },
        methods: {
            closeMask: function () {
            },
            goBuy: function (_sub) {
                if (App.user.login) {
                    App.buyinfo = this.list[_sub];
                    App.buyinfo.pcDes = this.list[_sub].contents;
                    App.buyinfo.upUrl = '/v1/ticket/general/reservations/';
                    window.location.href = '#t/torder';
                } else {
                    App.confirm('请先登陆', {
                        onConfirm: function () {
                            window.location.href = '#u/ulogin';
                        }
                    });
                }
            }
        }
    });
    return v;
});
define('tpl/ticket/t_match.html', [], function () {
    return '<div class="" id="t_match" v-if="show" :transition="transitionName">\r\n    <com-utopbar v-ref:utopbar title="比赛门票"></com-utopbar>\r\n    <div class="u-main wrapper4" id="t_match_m">\r\n        <div class="">\r\n            <div class="weui-panel_access">\r\n                <div>\r\n                    <img src="assets/imgs/wq_img.jpg" />\r\n                </div>\r\n                <p class="weui-media__desc desc">\r\n                    由各种物质组成的巨型球状天体\uFF0C叫做星球\u3002星球有一定的形状\uFF0C有自己的运行轨道\u3002\r\n                </p>\r\n            </div>\r\n            <div class="page__bd">\r\n                <template v-for="(i,item) in list">\r\n                    <div class="weui-panel weui-panel_access">\r\n                        <div class="weui-panel__hd">\r\n                        {{item.date_start}}\r\n                        至\r\n                        {{item.date_end}}\r\n                        </div>\r\n                        <div class="weui-panel__bd">\r\n                            <a href="#t/tmatchx/{{item.pk}}" class="weui-media-box weui-media-box_appmsg">\r\n                                <div class="weui-media-box__hd">\r\n                                    <img class="weui-media-box__thumb" :src="item.pic" alt="">\r\n                                </div>\r\n                                <div class="weui-media-box__bd">\r\n                                    <div>{{item.title}}</div>\r\n                                </div>\r\n                            </a>\r\n                        </div>\r\n                        <div class="weui-panel__ft">\r\n                            <a href="#t/tmatchx/{{item.pk}}" class="weui-cell weui-cell_access weui-cell_link">\r\n                                <div class="weui-cell__bd">查看更多</div>\r\n                                <span class="weui-cell__ft"></span>\r\n                            </a>\r\n                        </div>\r\n                    </div>\r\n                </template>\r\n            </div>\r\n        </div>\r\n    </div>\r\n</div>\r\n';
});
var App = App || {};
define('views/ticket/tmatch', [
    'uview',
    'views/component/utopBar_2',
    'tpl/ticket/t_match.html'
], function (uview, utopbar, tpl) {
    var v = uview.extend({
        template: tpl,
        components: { 'com-utopbar': utopbar },
        objectExtend: {
            cxName: 'tmatch',
            cxId: '#t_match',
            cxWpid: '#t_match_m',
            cxApi: '/v1/competition/list/',
            cxAutoload: true,
            cxAutoShow: true,
            cxNextPageNs: [
                'tmatchx',
                'tschedule'
            ],
            cxInit: function () {
            },
            cxCreated: function () {
                this.cxVas = { type: 1 };
            },
            cxReady: function () {
            },
            appendComplete: function () {
            }
        },
        cxData: {
            show: true,
            transitionName: 'cxpRight'
        },
        methods: {
            closeMask: function () {
            },
            goBuy: function (_sub) {
            }
        }
    });
    return v;
});
define('tpl/ticket/t_schedule.html', [], function () {
    return '<div class="" id="t_schedule" v-if="show" :transition="transitionName">\r\n    <com-utopbar v-ref:utopbar title="比赛规程列表"></com-utopbar>\r\n    <div class="u-main grid wrapper4" id="t_schedule_m">\r\n        <div class="page">\r\n            <div class="page__bd">\r\n                <template v-for="(i,item) in list">\r\n                    <div class="weui-panel weui-panel_access">\r\n                        <div class="weui-panel__hd">{{item.date_start}}至{{item.date_end}}</div>\r\n                        <div class="weui-panel__bd">\r\n                            <a href="javascript:void(0);" class="weui-media-box weui-media-box_appmsg" @click="goBuy(i)">\r\n                                <div class="weui-media-box__bd">\r\n                                    <div class="weui-flex">\r\n                                        <div class="weui-flex__item">\r\n                                            <h4 class="weui-media-box__title">{{item.title}}</h4>\r\n                                        </div>\r\n                                        <div style="    padding-right: 10px;">\r\n                                            <span>出售\uFF1A{{item.reservation_count}}</span>\r\n                                        </div>\r\n                                    </div>\r\n                                    <p class="weui-media-box__desc" style="line-height:2">场地\uFF1A{{item.venue}} {{item.contents}}</p>\r\n                                </div>\r\n                                <div class="weui-cell_access weui-cell_link">\r\n                                    <span class="weui-cell__ft"></span>\r\n                                </div>\r\n                            </a>\r\n                        </div>\r\n                    </div>\r\n                </template>\r\n            </div>\r\n        </div>\r\n    </div>\r\n</div>';
});
var App = App || {};
define('views/ticket/tschedule', [
    'uview',
    'views/component/utopBar_2',
    'tpl/ticket/t_schedule.html'
], function (uview, utopbar, tpl) {
    var v = uview.extend({
        template: tpl,
        components: { 'com-utopbar': utopbar },
        objectExtend: {
            cxName: 'tschedule',
            cxId: '#t_schedule',
            cxWpid: '#t_schedule_m',
            cxApi: '/v1/competition/schedule/list/',
            cxAutoload: true,
            cxAutoShow: true,
            cxNextPageNs: ['tschedule2'],
            cxInit: function () {
            },
            cxCreated: function () {
                this.cxVas = { competition: this.$options.vas };
            },
            cxReady: function () {
            },
            appendComplete: function () {
            }
        },
        cxData: {
            show: true,
            transitionName: 'cxpRight'
        },
        methods: {
            closeMask: function () {
            },
            goBuy: function (_sub) {
                App.buyinfo = this.list[_sub];
                App.buyinfo.title = this.list[_sub].title;
                App.buyinfo.pcDes = this.list[_sub].date_start + '至' + this.list[_sub].date_end + ' <br/>场地\uFF1A' + this.list[_sub].venue + '<br/>' + this.list[_sub].contents;
                App.buyinfo.upUrl = '/v1/ticket/competition/reservations/';
                window.location.href = '#t/tschedule2/' + this.list[_sub].pk;
            }
        }
    });
    return v;
});
define('tpl/ticket/t_schedule2.html', [], function () {
    return '<div class="" id="t_schedule2" v-if="show" :transition="transitionName">\r\n    <com-utopbar v-ref:utopbar title="比赛门票列表"></com-utopbar>\r\n    <div class="u-main grid wrapper4" id="t_schedule_m2">\r\n        <div class="page">\r\n            <div class="page__bd">\r\n                <template v-for="(i,item) in list">\r\n                    <div class="weui-panel weui-panel_access">\r\n                        <div class="weui-panel__hd">{{item.date_start}}至{{item.date_end}}</div>\r\n                        <div class="weui-panel__bd">\r\n                            <a href="javascript:void(0);" class="weui-media-box weui-media-box_appmsg" @click="goBuy(i)">\r\n                                <div class="weui-media-box__bd">\r\n                                    <div class="weui-flex">\r\n                                        <div class="weui-flex__item">\r\n                                            {{item.competition_schedule_title}}\r\n                                        </div>\r\n                                        <div style="    padding-right: 10px;">\r\n                                            <span>售价\uFF1A{{item.selling_price}}</span>\r\n                                        </div>\r\n                                    </div>\r\n\r\n                                    <div class="weui-flex">\r\n                                        <div class="weui-flex__item" style="line-height:2;color:#ccc;font-size:13px;">\r\n                                            场地\uFF1A{{item.venue}}<br> 级别\uFF1A{{item.level}}\r\n                                            <br> 备注\uFF1A{{item.remarks}}\r\n                                        </div>\r\n                                        <div class="weui-cell_access weui-cell_link">\r\n                                            <span class="weui-cell__ft" style="font-size: 32px;">购买</span>\r\n                                        </div>\r\n                                    </div>\r\n                                </div>\r\n                            </a>\r\n                        </div>\r\n                    </div>\r\n                </template>\r\n            </div>\r\n        </div>\r\n    </div>\r\n</div>';
});
var App = App || {};
define('views/ticket/tschedule2', [
    'uview',
    'views/component/utopBar_2',
    'tpl/ticket/t_schedule2.html'
], function (uview, utopbar, tpl) {
    var v = uview.extend({
        template: tpl,
        components: { 'com-utopbar': utopbar },
        objectExtend: {
            cxName: 'tschedule2',
            cxId: '#t_schedule',
            cxWpid: '#t_schedule_m2',
            cxApi: '/v1/ticket/competition/list/',
            cxAutoload: true,
            cxAutoShow: true,
            cxNextPageNs: ['torder'],
            cxInit: function () {
            },
            cxCreated: function () {
                if (this.$options.vas) {
                    this.cxApi = '/v1/ticket/competition/list/?competition_schedule=' + this.$options.vas;
                }
            },
            cxReady: function () {
            },
            appendComplete: function () {
            }
        },
        cxData: {
            show: true,
            transitionName: 'cxpRight'
        },
        methods: {
            closeMask: function () {
            },
            goBuy: function (_sub) {
                App.buyinfo = this.list[_sub];
                App.buyinfo.title = this.list[_sub].title;
                App.buyinfo.pcDes = this.list[_sub].date_start + '至' + this.list[_sub].date_end + ' <br/>场地\uFF1A' + this.list[_sub].venue + '<br/>' + this.list[_sub].contents;
                App.buyinfo.upUrl = '/v1/ticket/competition/reservations/';
                window.location.href = '#t/torder';
            }
        }
    });
    return v;
});
define('tpl/ticket/t_matchx.html', [], function () {
    return '<div class="" id="t_matchx" v-if="show" :transition="transitionName">\r\n    <com-utopbar v-ref:utopbar title="比赛详细说明" btname="购票" v-on:btn-evt="clickRBtn"></com-utopbar>\r\n    <div class="wrapper4" id="t_matchx_m">\r\n        <div class="page__bd">\r\n            <div class="weui-panel">\r\n                <div class="weui-panel__bd line-bottom">\r\n                    <div class="weui-media-box weui-media-box_text">\r\n                        <h4 class="weui-media__title">{{title}}</h4>\r\n                        <ul class="weui-media__info lh23">\r\n                            <li class="weui-media__info__meta">\r\n                                发布时间 {{datetime_created}} 阅读数量 {{count_read}} </li>\r\n                        </ul>\r\n\r\n                    </div>\r\n                </div>\r\n                <div class="weui-panel__bd line-bottom">\r\n                    <div class="weui-media-box weui-media-box_text">\r\n                        <p class="weui-media__desc all-text">{{{contents}}}</p>\r\n                    </div>\r\n                </div>\r\n            </div>\r\n        </div>\r\n    </div>\r\n</div>';
});
var App = App || {};
define('views/ticket/tmatchx', [
    'uview',
    'views/component/utopBar_2',
    'tpl/ticket/t_matchx.html'
], function (uview, utopbar, tpl) {
    var v = uview.extend({
        template: tpl,
        components: { 'com-utopbar': utopbar },
        objectExtend: {
            cxName: 'tmatchx',
            cxId: '#t_matchx',
            cxWpid: '#t_matchx_m',
            cxApi: '/v1/ticket/competition/list/',
            cxAutoload: true,
            cxAutoShow: true,
            cxNextPageNs: [
                '',
                'tschedule'
            ],
            cxInit: function () {
            },
            cxCreated: function () {
                this.cxApi = '/v1/competition/list/' + this.$options.vas + '/';
            },
            cxReady: function () {
            },
            appendComplete: function () {
            }
        },
        cxData: {
            show: true,
            transitionName: 'cxpRight'
        },
        methods: {
            clickRBtn: function () {
                window.location.href = '#t/tschedule/' + this.$options.vas;
            },
            goBuy: function (_sub) {
                App.buyinfo = this.list[_sub];
                App.buyinfo.title = this.list[_sub].competition_title;
                App.buyinfo.pcDes = this.list[_sub].competition_content;
                App.buyinfo.upUrl = '/v1/ticket/competition/reservations/';
                window.location.href = '#t/torder';
            }
        }
    });
    return v;
});
define('tpl/ticket/t_food2.html', [], function () {
    return '<div id="t_food" v-if="show" :transition="transitionName">\r\n    <com-utopbar v-ref:utopbar title="餐饮预定" btname="" v-on:btn-evt="clickRBtn"></com-utopbar>\r\n\r\n    <div class="wrapper2 r-main" id="t_food_main">\r\n        <div>\r\n            <template v-for="(i,item) in list">\r\n                <div class="weui-panel weui-panel_access">\r\n                    <div class="weui-panel__bd">\r\n                        <div class="weui-media-box weui-media-box_appmsg">\r\n                            <div class="g">\r\n                                <div class="col col-1 pd0">\r\n                                    <img class="weui-media__thumb" :src="item.pic" alt="" v-if="item.pic!=\'\'">\r\n                                </div>\r\n                                <div class="col col-5">\r\n                                    <h4 class="weui-media__title">{{item.title}}</h4>\r\n                                    <p class="weui-media__desc">{{item.contents}}</p>\r\n                                </div>\r\n                            </div>\r\n                        </div>\r\n                    </div>\r\n                    <div class="weui-panel__ft">\r\n                        <a  @click="goBuy(i)" class="weui-cell weui-cell_access weui-cell_link cxBtn">\r\n                           <label class="f-yellow">\xA5{{item.selling_price}} <span class="txtDel">\xA5{{item.original_price}}</span></label>\r\n                            <div class="weui-btn weui-btn_plain-primary cxBuyBtn">购买</div>\r\n                        </a>\r\n                    </div>\r\n                </div>\r\n            </template>\r\n        </div>\r\n    </div>\r\n</div>\r\n';
});
var App = App || {};
define('views/ticket/tfood', [
    'uview',
    'tpl/ticket/t_food2.html',
    'views/component/utopBar_2'
], function (uview, tpl, utopbar) {
    var v = uview.extend({
        template: tpl,
        components: { 'com-utopbar': utopbar },
        objectExtend: {
            cxName: 'tfood',
            cxId: '#t-food',
            cxWpid: '#t_food_main',
            cxApi: '/v1/dining/list/',
            cxAutoShow: true,
            cxAutoload: true,
            cxNextPageNs: ['torder'],
            cxInit: function () {
            },
            cxCreated: function () {
                this.cxVas = {};
            },
            cxReady: function () {
            },
            appendComplete: function () {
            }
        },
        cxData: {
            show: false,
            transitionName: 'cxpRight'
        },
        methods: {
            closeMask: function () {
            },
            clickRBtn: function () {
                console.log('ol');
            },
            goBuy: function (_sub) {
                if (App.user.login) {
                    App.buyinfo = this.list[_sub];
                    App.buyinfo.title = this.list[_sub].title;
                    App.buyinfo.pcDes = this.list[_sub].contents;
                    App.buyinfo.upUrl = '/v1/dining/reservations/';
                    window.location.href = '#t/torder_f';
                } else {
                    App.confirm('请先登陆', {
                        onConfirm: function () {
                            window.location.href = '#u/ulogin';
                        }
                    });
                }
            }
        }
    });
    return v;
});
define('tpl/ticket/t_order.html', [], function () {
    return '<div class="" id="t_order" v-if="show" :transition="transitionName">\r\n    <com-utopbar v-ref:utopbar title="订单提交"></com-utopbar>\r\n    <div class="u-main wrapper4" id="t_order_m">\r\n        <div class="" id="order_main">\r\n            <div class="weui-panel weui-panel_access">\r\n                <div class="weui-panel__bd">\r\n                    <div class="weui-media-box weui-media-box_text">\r\n                        <h4 class="weui-media__title">{{title}}</h4>\r\n                        <p class="weui-media__desc">\r\n                            {{{pcDes}}}\r\n                        </p>\r\n                    </div>\r\n                </div>\r\n            </div>\r\n            <div class="weui-cells weui-cells_form">\r\n                <div class="weui-cell">\r\n                    <div class="weui-cell__hd">\r\n                        <label class="weui-label">单价\uFF1A{{price}}</label>\r\n                    </div>\r\n                    <div class="weui-cell__bd">\r\n                        <input class="weui-input" type="number">\r\n                    </div>\r\n                </div>\r\n                <div class="weui-cell">\r\n                    <div class="weui-cell__hd">\r\n                        <label class="weui-label">小计\uFF1A{{totalPrice}}</label>\r\n                    </div>\r\n                    <div class="weui-cell__bd">\r\n                        <input class="weui-input" type="number">\r\n                    </div>\r\n                </div>\r\n            </div>\r\n            <div class="weui-cells__title">支付选择</div>\r\n            <div class="weui-cells weui-cells_radio">\r\n                <label class="weui-cell weui-check__label" for="x11">\r\n                    <div class="weui-cell__bd">\r\n                        <p><i class="fa fa-wechat" aria-hidden="true"></i> 微信</p>\r\n                    </div>\r\n                    <div class="weui-cell__ft">\r\n                        <input type="radio" v-model="paytype" value="1" class="weui-check" name="payselt" id="x11" checked="checked">\r\n                        <span class="weui-icon-checked"></span>\r\n                    </div>\r\n                </label>\r\n                <label class="weui-cell weui-check__label" for="x12">\r\n\r\n                    <div class="weui-cell__bd">\r\n                        <p><i class="fa fa-money" aria-hidden="true"></i> 余额</p>\r\n                    </div>\r\n                    <div class="weui-cell__ft">\r\n                        <input type="radio"  v-model="paytype" value="3" name="payselt" class="weui-check" id="x12">\r\n                        <span class="weui-icon-checked"></span>\r\n                    </div>\r\n                </label>\r\n<!--                <label class="weui-cell weui-check__label" for="x12">\r\n\r\n                    <div class="weui-cell__bd">\r\n                        <p><img style="height: 22px;vertical-align: sub;padding-right: 6px;" src="./assets/imgs/alipay.png" >支付宝</p>\r\n                    </div>\r\n                    <div class="weui-cell__ft">\r\n                        <input type="radio" name="payselt" class="weui-check" id="x12">\r\n                        <span class="weui-icon-checked"></span>\r\n                    </div>\r\n                </label>-->\r\n            </div>\r\n            <div class="weui-btn-area">\r\n                <a @click="upDataFun" class="weui-btn weui-btn_primary b-yellow" id="showTooltips">购买并支付</a>\r\n            </div>\r\n        </div>\r\n    </div>\r\n</div>\r\n';
});
var App = App || {};
define('views/ticket/torder', [
    'uview',
    'views/component/utopBar_2',
    'tpl/ticket/t_order.html'
], function (uview, utopbar, tpl) {
    var v = uview.extend({
        template: tpl,
        components: { 'com-utopbar': utopbar },
        objectExtend: {
            cxName: 'torder',
            cxId: '#t_order',
            cxWpid: '#t_order_m',
            cxApi: '/v1/ticket/',
            cxAutoShow: true,
            cxInit: function () {
            },
            cxCreated: function () {
                if (App.buyinfo && App.user.login) {
                    this.ticket = App.buyinfo.pk;
                    this.cxApi = App.buyinfo.upUrl;
                    this.user = App.user.uid;
                    this.price = App.buyinfo.selling_price;
                    this.title = App.buyinfo.title;
                    this.pcDes = App.buyinfo.pcDes;
                    this.totalPrice = this.price * this.num;
                } else {
                    setTimeout(function () {
                        window.history.back();
                        setTimeout(function () {
                            App.alert('请先登陆');
                            window.location.href = '/#u/ulogin';
                        }, 600);
                    }, 600);
                }
            },
            cxReady: function () {
                this.$watch('num', function (val) {
                    this.totalPrice = this.price * val;
                });
            },
            appendComplete: function () {
            }
        },
        cxData: {
            price: 0,
            num: 1,
            totalPrice: 0,
            show: true,
            paytype: 1,
            ticket: '',
            user: '',
            title: '',
            pcDes: '',
            is_exchanged: false,
            transitionName: 'cxpRight'
        },
        methods: {
            addNum: function () {
                this.num++;
            },
            delNum: function () {
                if (this.num > 1) {
                    this.num--;
                }
            },
            upDataFun: function () {
                var _this = this;
                App.loading(true);
                App.upData({
                    url: App.config.urlPath + this.cxApi + '?' + App.config.accompany,
                    data: {
                        ticket: this.ticket,
                        user: this.user,
                        count: this.num,
                        is_exchanged: false,
                        paytype: this.paytype
                    },
                    success: function (data) {
                        if (data.results.state == 1) {
                            if (_this.paytype == 1) {
                                App.pay(JSON.stringify(data.results.message));
                            } else {
                                App.alert(data.results.message);
                                window.location.href = '#u/uorder/1';
                            }
                        } else {
                            App.alert(data.results.message);
                        }
                        App.loading(false);
                    }
                });
            }
        }
    });
    return v;
});
var App = App || {};
define('views/ticket/torder_f', [
    'uview',
    'views/component/utopBar_2',
    'tpl/ticket/t_order.html'
], function (uview, utopbar, tpl) {
    var v = uview.extend({
        template: tpl,
        components: { 'com-utopbar': utopbar },
        objectExtend: {
            cxName: 'torder',
            cxId: '#t_order',
            cxWpid: '#t_order_m',
            cxApi: '/v1/ticket/',
            cxAutoShow: true,
            cxInit: function () {
            },
            cxCreated: function () {
                if (App.buyinfo && App.user.login) {
                    this.ticket = App.buyinfo.pk;
                    this.cxApi = App.buyinfo.upUrl;
                    this.user = App.user.uid;
                    this.price = App.buyinfo.selling_price;
                    this.title = App.buyinfo.title;
                    this.pcDes = App.buyinfo.pcDes;
                    this.totalPrice = this.price * this.num;
                } else {
                    setTimeout(function () {
                        window.history.back();
                        setTimeout(function () {
                            App.alert('请先登陆');
                            window.location.href = '/#u/ulogin';
                        }, 600);
                    }, 600);
                }
            },
            cxReady: function () {
                this.$watch('num', function (val) {
                    this.totalPrice = this.price * val;
                });
            },
            appendComplete: function () {
            }
        },
        cxData: {
            price: 0,
            num: 1,
            totalPrice: 0,
            show: true,
            paytype: 1,
            ticket: '',
            user: '',
            title: '',
            pcDes: '',
            is_exchanged: false,
            transitionName: 'cxpRight'
        },
        methods: {
            addNum: function () {
                this.num++;
            },
            delNum: function () {
                if (this.num > 1) {
                    this.num--;
                }
            },
            upDataFun: function () {
                var _this = this;
                App.loading(true);
                App.upData({
                    url: App.config.urlPath + this.cxApi + '?' + App.config.accompany,
                    data: {
                        dining: this.ticket,
                        user: this.user,
                        count: this.num,
                        paytype: this.paytype
                    },
                    success: function (data) {
                        if (data.results.state == 1) {
                            if (_this.paytype == 1) {
                                App.pay(JSON.stringify(data.results.message));
                            } else {
                                App.alert(data.results.message);
                                window.location.href = '#u/uorder/1';
                            }
                        } else {
                            App.alert(data.results.message);
                        }
                        App.loading(false);
                    }
                });
            }
        }
    });
    return v;
});
var App = App || {};
define('views/ticket', [
    'uview',
    'tpl/ticket.html',
    'views/ticket/tindex',
    'views/ticket/tswim',
    'views/ticket/tpark',
    'views/ticket/tmatch',
    'views/ticket/tschedule',
    'views/ticket/tschedule2',
    'views/ticket/tmatchx',
    'views/ticket/tfood',
    'views/ticket/torder',
    'views/ticket/torder_f'
], function (uview, tpl, tindex, tswim, tpark, tmatch, tschedule, tschedule2, tmatchx, tfood, torder, torder_f) {
    var v = uview.extend({
        template: tpl,
        objectExtend: {
            cxName: 'ticket',
            cxId: '#cx-ticket',
            cxChildId: '#ticket',
            cxAutoload: false,
            cxAutoShow: true,
            cxChildPage: {
                'tindex': tindex,
                'tswim': tswim,
                'tpark': tpark,
                'tmatch': tmatch,
                'tschedule': tschedule,
                'tschedule2': tschedule2,
                'tmatchx': tmatchx,
                'tfood': tfood,
                'torder': torder,
                'torder_f': torder_f
            },
            cxCreated: function () {
                this.cxVas = { type: 1 };
            },
            cxReady: function () {
                if (typeof this.$options.vas != 'undefined') {
                    this.openChild(this.$options.vas);
                } else {
                    this.openChild('tindex');
                }
            }
        },
        cxData: {
            transitionName: 'cxpFade',
            show: true,
            phone: ''
        },
        methods: {
            initChild: function (_obj) {
                this.initPage = _obj.child;
            },
            getValidate: function () {
                App.upData({
                    url: '',
                    data: { phone: this.phone },
                    success: function (data) {
                    }
                });
            }
        }
    });
    return v;
});
define('tpl/group.html', [], function () {
    return '<div class="views" id="cx-group" v-if="show" :transition="transitionName">\n    <div id="group">\n    </div>\n</div>';
});
define('tpl/group/gmain.html', [], function () {
    return '<div class="" id="g_main" v-if="show" :transition="transitionName">\r\n    <com-utopbar v-ref:utopbar title="部落"></com-utopbar>\r\n    <div class="u-main wrapper4" id="g_main_m">\r\n        <div class="page__bd page__bd_spacing btnList">\r\n            <a href="#g/gindex/1" class="weui-btn weui-btn_default tindexBtn">\r\n                <div>\r\n                    <i class="fa fa-home"></i>\r\n                </div>\r\n                <div>\r\n                    <h3>网球俱乐部</h3>\r\n                </div>\r\n            </a>\r\n<!--            <a href="#g/gindex/2" class="weui-btn weui-btn_default tindexBtn">\r\n                <div>\r\n                    <i class="fa fa-home"></i>\r\n                </div>\r\n                <div>\r\n                    <h3>羽毛球俱乐部</h3>\r\n                </div>\r\n            </a>\r\n            <a href="#g/gindex/3" class="weui-btn weui-btn_default tindexBtn">\r\n                <div>\r\n                    <i class="fa fa-home"></i>\r\n                </div>\r\n                <div>\r\n                    <h3>游泳俱乐部</h3>\r\n                </div>\r\n            </a>-->\r\n        </div>\r\n    </div>\r\n</div>\r\n';
});
var App = App || {};
define('views/group/gmain', [
    'uview',
    'views/component/utopBar_4',
    'tpl/group/gmain.html'
], function (uview, utopbar, tpl) {
    var v = uview.extend({
        template: tpl,
        components: { 'com-utopbar': utopbar },
        objectExtend: {
            cxName: 'gmain',
            cxId: '#g-main',
            cxWpid: '#g_main_m',
            cxNextPageNs: ['gindex'],
            cxLsnImg: 'img',
            cxAutoShow: true,
            cxDel: false,
            cxInit: function () {
            },
            cxCreated: function () {
            },
            cxReady: function () {
            },
            appendComplete: function () {
            }
        },
        cxData: {
            show: true,
            transitionName: 'cxpFade',
            scListA: true,
            scListB: false
        },
        methods: {
            changeTabs: function (_sub) {
                if (_sub == 1) {
                    this.scListA = true;
                    this.scListB = false;
                } else {
                    this.scListA = false;
                    this.scListB = true;
                }
            }
        }
    });
    return v;
});
define('tpl/group/g_indexLista.html', [], function () {
    return '<div id="g_gindexLista_con" v-if="show" :transition="transitionName">\r\n    <div class="page__bd">\r\n        <template v-for="(i,item) in list">\r\n            <div class="weui-panel weui-panel_access item">\r\n                <div class="weui-panel__bd">\r\n                    <a href="#g/gtopic/{{item.pk}}" class="weui-media-box weui-media-box_appmsg">\r\n                        <div class="weui-media__hd">\r\n                            <img class="weui-media__thumb" :src="item.image" alt="">\r\n                        </div>\r\n                        <div class="weui-media__bd">\r\n                            <h4 class="weui-media__title">{{item.title}}</h4>\r\n                            <p class="weui-media__desc">{{item.contents}}</p>\r\n                        </div>\r\n                    </a>\r\n                    <div class="g foot">\r\n                        <div class="col col-3">\r\n                            <img src="assets/imgs/ht.jpg" class="userImg">\r\n                            <span class="username">{{item.user_name}}</span>\r\n                            <span>发布</span>\r\n                        </div>\r\n                        <div class="col col-3 txt_r">\r\n                            <span><i class="fa fa-commenting-o"></i> {{item.count_comment_follow}}</span>\r\n                            <span><i class="fa fa-eye"></i> {{item.count_read}}</span>\r\n                        </div>\r\n                    </div>\r\n                </div>\r\n                <div class="weui-panel__ft">\r\n                    <a href="#g/gtopic/{{item.pk}}" class="weui-cell weui-cell_access weui-cell_link">\r\n                        <div class="weui-cell__bd">查看更多</div>\r\n                        <span class="weui-cell__ft"></span>\r\n                    </a>\r\n                </div>\r\n            </div>\r\n        </template>\r\n    </div>\r\n</div>\r\n';
});
var App = App || {};
define('views/group/gindexLista', [
    'uview',
    'tpl/group/g_indexLista.html'
], function (uview, tpl) {
    var v = uview.extend({
        template: tpl,
        props: ['club'],
        objectExtend: {
            cxName: 'gindexLista',
            cxId: '#g-gindexLista',
            cxWpid: '#g_gindexLista_con',
            cxApi: '/v1/comment/list/',
            cxAutoShow: true,
            cxAutoload: true,
            vRenData: true,
            cxInit: function () {
            },
            cxCreated: function () {
                this.cxVas.club = this.club;
            },
            cxReady: function () {
            }
        },
        cxData: {
            show: true,
            transitionName: 'cxpNone'
        },
        methods: {}
    });
    return v;
});
define('tpl/group/gindex.html', [], function () {
    return '<div class="" id="t_index" v-if="show" :transition="transitionName">\r\n    <com-utopbar v-ref:utopbar v-bind:title="title" btname=""></com-utopbar>\r\n    <div class="wrapper4  ui-border-t" id="gindex">\r\n        <div class="g" id="gindex_top">\r\n            <div class="col col-5">\r\n                <img src="assets/imgs/ucenter-head.png" class="img_ghd">\r\n                <h3 class="gi_t_tit"><span>人数:150</span> <span>话题:20</span> <span>约球:20</span></h3>\r\n                <div class="gi_t_des">生命不熄\uFF0C运动不止\u3002</div>\r\n            </div>\r\n            <div class="col c0l-1 gitright">\r\n                <a id="saveBtn" href="#g/gnewtm/{{club}}"><i class="fa fa-pencil-square-o"></i>发表</a>\r\n            </div>\r\n        </div>\r\n        <div v-bind:class="{\'act\':scListA}" id="gindexlist" class="wlist cxpLeft-transition">            \r\n            <com-lista v-bind:club="club"></com-lista>\r\n        </div>\r\n\r\n        <div v-bind:class="{\'act\':scListB}" id="gindexlist2" class="wlist cxpLeft-transition">\r\n            <div class="page__bd">\r\n                <div class="weui-panel weui-panel_access item">\r\n                    <div class="weui-panel__bd">\r\n                        <a href="#g/ginviteinfo/12" class="weui-media-box weui-media-box_appmsg">\r\n                            <div class="weui-media__bd">\r\n                                <h4 class="weui-media__title">上海赛丁俊晖10-6胜塞尔比</h4>\r\n                                <ul class="weui-media__desc">\r\n                                <li>地点\uFF1A论文类雷锋倒了19号</li>\r\n                                <li>时间\uFF1A2012-12-12 16:30</li>\r\n                                </ul>\r\n                            </div>\r\n                        </a>\r\n                        <span class="tabState">报名中</span>\r\n                    </div>\r\n                    <div class="weui-panel__ft">\r\n                        <div class="weui-cell weui-cell_access weui-cell_link">\r\n                            <div class="g cx-col_a foot">\r\n                                <div class="col col-3">\r\n                                    <img src="assets/imgs/ht.jpg" class="userImg">\r\n                                    <span class="username">长得不错</span>\r\n                                    <span>发布</span>\r\n                                </div>\r\n                                <div class="col col-3 txt_r">\r\n                                    <img src="assets/imgs/ht.jpg" class="userImg">\r\n                                    <img src="assets/imgs/ht.jpg" class="userImg">\r\n                                    <img src="assets/imgs/ht.jpg" class="userImg">\r\n                                    <span>10/20</span>\r\n                                </div>\r\n                            </div>\r\n                        </div>\r\n                    </div>\r\n                </div>\r\n                <div class="weui-panel weui-panel_access item">\r\n                    <div class="weui-panel__bd">\r\n                        <a href="#g/ginviteinfo/12" class="weui-media-box weui-media-box_appmsg">\r\n                            <div class="weui-media__bd">\r\n                                <h4 class="weui-media__title">上海赛丁俊晖10-6胜塞尔比</h4>\r\n                                <ul class="weui-media__desc">\r\n                                <li>地点\uFF1A论文类雷锋倒了19号</li>\r\n                                <li>时间\uFF1A2012-12-12 16:30</li>\r\n                                </ul>\r\n                            </div>\r\n                        </a>\r\n                        <span class="tabState">报名中</span>\r\n                    </div>\r\n                    <div class="weui-panel__ft">\r\n                        <div class="weui-cell weui-cell_access weui-cell_link">\r\n                            <div class="g cx-col_a foot">\r\n                                <div class="col col-3">\r\n                                    <img src="assets/imgs/ht.jpg" class="userImg">\r\n                                    <span class="username">长得不错</span>\r\n                                    <span>发布</span>\r\n                                </div>\r\n                                <div class="col col-3 txt_r">\r\n                                    <img src="assets/imgs/ht.jpg" class="userImg">\r\n                                    <img src="assets/imgs/ht.jpg" class="userImg">\r\n                                    <img src="assets/imgs/ht.jpg" class="userImg">\r\n                                    <span>10/20</span>\r\n                                </div>\r\n                            </div>\r\n                        </div>\r\n                    </div>\r\n                </div>\r\n                <div class="weui-panel weui-panel_access item">\r\n                    <div class="weui-panel__bd">\r\n                        <a href="#g/ginviteinfo/12" class="weui-media-box weui-media-box_appmsg">\r\n                            <div class="weui-media__bd">\r\n                                <h4 class="weui-media__title">上海赛丁俊晖10-6胜塞尔比</h4>\r\n                                <ul class="weui-media__desc">\r\n                                <li>地点\uFF1A论文类雷锋倒了19号</li>\r\n                                <li>时间\uFF1A2012-12-12 16:30</li>\r\n                                </ul>\r\n                            </div>\r\n                        </a>\r\n                        <span class="tabState">报名中</span>\r\n                    </div>\r\n                    <div class="weui-panel__ft">\r\n                        <div class="weui-cell weui-cell_access weui-cell_link">\r\n                            <div class="g cx-col_a foot">\r\n                                <div class="col col-3">\r\n                                    <img src="assets/imgs/ht.jpg" class="userImg">\r\n                                    <span class="username">长得不错</span>\r\n                                    <span>发布</span>\r\n                                </div>\r\n                                <div class="col col-3 txt_r">\r\n                                    <img src="assets/imgs/ht.jpg" class="userImg">\r\n                                    <img src="assets/imgs/ht.jpg" class="userImg">\r\n                                    <img src="assets/imgs/ht.jpg" class="userImg">\r\n                                    <span>10/20</span>\r\n                                </div>\r\n                            </div>\r\n                        </div>\r\n                    </div>\r\n                </div>\r\n                <div class="weui-panel weui-panel_access item">\r\n                    <div class="weui-panel__bd">\r\n                        <a href="#g/ginviteinfo/12" class="weui-media-box weui-media-box_appmsg">\r\n                            <div class="weui-media__bd">\r\n                                <h4 class="weui-media__title">上海赛丁俊晖10-6胜塞尔比</h4>\r\n                                <ul class="weui-media__desc">\r\n                                <li>地点\uFF1A论文类雷锋倒了19号</li>\r\n                                <li>时间\uFF1A2012-12-12 16:30</li>\r\n                                </ul>\r\n                            </div>\r\n                        </a>\r\n                        <span class="tabState">报名中</span>\r\n                    </div>\r\n                    <div class="weui-panel__ft">\r\n                        <div class="weui-cell weui-cell_access weui-cell_link">\r\n                            <div class="g cx-col_a foot">\r\n                                <div class="col col-3">\r\n                                    <img src="assets/imgs/ht.jpg" class="userImg">\r\n                                    <span class="username">长得不错</span>\r\n                                    <span>发布</span>\r\n                                </div>\r\n                                <div class="col col-3 txt_r">\r\n                                    <img src="assets/imgs/ht.jpg" class="userImg">\r\n                                    <img src="assets/imgs/ht.jpg" class="userImg">\r\n                                    <img src="assets/imgs/ht.jpg" class="userImg">\r\n                                    <span>10/20</span>\r\n                                </div>\r\n                            </div>\r\n                        </div>\r\n                    </div>\r\n                </div>\r\n                <div class="weui-panel weui-panel_access item">\r\n                    <div class="weui-panel__bd">\r\n                        <a href="#g/ginviteinfo/12" class="weui-media-box weui-media-box_appmsg">\r\n                            <div class="weui-media__bd">\r\n                                <h4 class="weui-media__title">上海赛丁俊晖10-6胜塞尔比</h4>\r\n                                <ul class="weui-media__desc">\r\n                                <li>地点\uFF1A论文类雷锋倒了19号</li>\r\n                                <li>时间\uFF1A2012-12-12 16:30</li>\r\n                                </ul>\r\n                            </div>\r\n                        </a>\r\n                        <span class="tabState">报名中</span>\r\n                    </div>\r\n                    <div class="weui-panel__ft">\r\n                        <div class="weui-cell weui-cell_access weui-cell_link">\r\n                            <div class="g cx-col_a foot">\r\n                                <div class="col col-3">\r\n                                    <img src="assets/imgs/ht.jpg" class="userImg">\r\n                                    <span class="username">长得不错</span>\r\n                                    <span>发布</span>\r\n                                </div>\r\n                                <div class="col col-3 txt_r">\r\n                                    <img src="assets/imgs/ht.jpg" class="userImg">\r\n                                    <img src="assets/imgs/ht.jpg" class="userImg">\r\n                                    <img src="assets/imgs/ht.jpg" class="userImg">\r\n                                    <span>10/20</span>\r\n                                </div>\r\n                            </div>\r\n                        </div>\r\n                    </div>\r\n                </div>\r\n                <div class="weui-panel weui-panel_access item">\r\n                    <div class="weui-panel__bd">\r\n                        <a href="#g/ginviteinfo/12" class="weui-media-box weui-media-box_appmsg">\r\n                            <div class="weui-media__bd">\r\n                                <h4 class="weui-media__title">上海赛丁俊晖10-6胜塞尔比</h4>\r\n                                <ul class="weui-media__desc">\r\n                                <li>地点\uFF1A论文类雷锋倒了19号</li>\r\n                                <li>时间\uFF1A2012-12-12 16:30</li>\r\n                                </ul>\r\n                            </div>\r\n                        </a>\r\n                        <span class="tabState">报名中</span>\r\n                    </div>\r\n                    <div class="weui-panel__ft">\r\n                        <div class="weui-cell weui-cell_access weui-cell_link">\r\n                            <div class="g cx-col_a foot">\r\n                                <div class="col col-3">\r\n                                    <img src="assets/imgs/ht.jpg" class="userImg">\r\n                                    <span class="username">长得不错</span>\r\n                                    <span>发布</span>\r\n                                </div>\r\n                                <div class="col col-3 txt_r">\r\n                                    <img src="assets/imgs/ht.jpg" class="userImg">\r\n                                    <img src="assets/imgs/ht.jpg" class="userImg">\r\n                                    <img src="assets/imgs/ht.jpg" class="userImg">\r\n                                    <span>10/20</span>\r\n                                </div>\r\n                            </div>\r\n                        </div>\r\n                    </div>\r\n                </div>\r\n                <div class="weui-panel weui-panel_access item">\r\n                    <div class="weui-panel__bd">\r\n                        <a href="#g/ginviteinfo/12" class="weui-media-box weui-media-box_appmsg">\r\n                            <div class="weui-media__bd">\r\n                                <h4 class="weui-media__title">上海赛丁俊晖10-6胜塞尔比</h4>\r\n                                <ul class="weui-media__desc">\r\n                                <li>地点\uFF1A论文类雷锋倒了19号</li>\r\n                                <li>时间\uFF1A2012-12-12 16:30</li>\r\n                                </ul>\r\n                            </div>\r\n                        </a>\r\n                        <span class="tabState">报名中</span>\r\n                    </div>\r\n                    <div class="weui-panel__ft">\r\n                        <div class="weui-cell weui-cell_access weui-cell_link">\r\n                            <div class="g cx-col_a foot">\r\n                                <div class="col col-3">\r\n                                    <img src="assets/imgs/ht.jpg" class="userImg">\r\n                                    <span class="username">长得不错</span>\r\n                                    <span>发布</span>\r\n                                </div>\r\n                                <div class="col col-3 txt_r">\r\n                                    <img src="assets/imgs/ht.jpg" class="userImg">\r\n                                    <img src="assets/imgs/ht.jpg" class="userImg">\r\n                                    <img src="assets/imgs/ht.jpg" class="userImg">\r\n                                    <span>10/20</span>\r\n                                </div>\r\n                            </div>\r\n                        </div>\r\n                    </div>\r\n                </div>\r\n            </div>\r\n        </div>\r\n    </div>\r\n</div>\r\n';
});
var App = App || {};
define('views/group/gindex', [
    'uview',
    'views/component/utopBar_2',
    'views/group/gindexLista',
    'tpl/group/gindex.html'
], function (uview, utopbar, gindexLista, tpl) {
    var v = uview.extend({
        template: tpl,
        components: {
            'com-utopbar': utopbar,
            'com-lista': gindexLista
        },
        objectExtend: {
            cxName: 'gindex',
            cxId: '#g-index',
            cxNextPageNs: [
                'gtopic',
                'gnewtm'
            ],
            cxLsnImg: 'img',
            cxAutoShow: true,
            cxInit: function () {
            },
            cxCreated: function () {
                if (this.$options.vas) {
                    this.club = this.$options.vas;
                    switch (this.club) {
                    case '1':
                        this.title = '鄞州网球俱乐部';
                        break;
                    case '2':
                        this.title = '鄞州羽毛球俱乐部';
                        break;
                    case '3':
                        this.title = '鄞州游泳俱乐部';
                    }
                }
            },
            cxReady: function () {
            },
            appendComplete: function () {
            }
        },
        cxData: {
            show: true,
            transitionName: 'cxpRight',
            scListA: true,
            scListB: false,
            club: 1,
            title: '鄞州网球俱乐部'
        },
        methods: {
            changeTabs: function (_sub) {
                if (_sub == 1) {
                    this.scListA = true;
                    this.scListB = false;
                } else {
                    this.scListA = false;
                    this.scListB = true;
                }
            }
        }
    });
    return v;
});
define('tpl/group/g_topic.html', [], function () {
    return '<div class="" id="t_topic" v-if="show" :transition="transitionName">\r\n    <com-utopbar v-ref:utopbar title="鄞州网球俱乐部" btname="回复" v-on:btn-evt="rClick"></com-utopbar>\r\n    <div class="wrapper4  ui-border-t" id="gtopic">\r\n        <div class="weui-panel">\r\n            <div class="weui-panel__bd line-bottom">\r\n                <div class="weui-media-box weui-media-box_text">\r\n                    <h4 class="weui-media__title">{{title}}</h4>\r\n                    <ul class="weui-media__info lh23">\r\n                        <li class="weui-media__info__meta"><img class="info-head" src="assets/imgs/invite_head.png" alt=""><span class="f-green">{{user_name}}</span><span>发布</span></li>\r\n                        <li class="weui-media__info__meta">{{datetime_created}}</li>\r\n                        <li class="weui-media__info__right"><i class="fa fa-commenting-o"></i> {{count_comment_follow}}<i class="fa fa-eye mgl10"></i> {{count_read}}</li>\r\n                    </ul>\r\n\r\n                </div>\r\n            </div>\r\n            <div class="weui-panel__bd line-bottom">\r\n                <div class="weui-media-box weui-media-box_text">\r\n                    <p class="weui-media__desc all-text">{{contents}}</p>\r\n                    <ul class="weui-media__info">\r\n                        <li class="weui-media__info__meta">\r\n                            <label class="tag" v-if="label==1">大话网球</label>\r\n                            <label class="tag" v-if="label==2">教练秀</label>\r\n                            <label class="tag" v-if="label==3">球馆秀</label>\r\n                            <label class="tag" v-if="label==4">赛事情报站</label>\r\n                            <label class="tag" v-if="label==5">学球互助</label>\r\n                        </li>\r\n                    </ul>\r\n\r\n                </div>\r\n            </div>\r\n            <div class="weui-panel__bd">\r\n            <template v-for="(i,item) in follows">\r\n                <div class="weui-media-box weui-media-box_text">\r\n                    <div class="weui-media__title small-font lh26"><img class="info-head" src="assets/imgs/invite_head.png" alt="">{{item.user_name}}<span class="weui-media__info__right">{{item.datetime_created}}</span></div>\r\n\r\n                    <p class="weui-media__desc info-ml">{{item.contents}}</p>\r\n                </div>\r\n            </template>\r\n            </div>\r\n        </div>\r\n    </div>\r\n</div>\r\n';
});
var App = App || {};
define('views/group/gtopic', [
    'uview',
    'views/component/utopBar_2',
    'tpl/group/g_topic.html'
], function (uview, utopbar, tpl) {
    var v = uview.extend({
        template: tpl,
        components: { 'com-utopbar': utopbar },
        objectExtend: {
            cxName: 'gtopic',
            cxId: '#g-topic',
            cxWpid: '#gtopic',
            cxApi: '/v1/comment/list/',
            cxNextPageNs: [
                'gnewtm',
                'greply'
            ],
            cxLsnImg: 'img',
            cxAutoShow: true,
            cxAutoload: true,
            cxInit: function () {
            },
            cxCreated: function () {
                this.cxApi = '/v1/comment/list/' + this.$options.vas + '/';
                this.comment__club = this.$options.vas;
            },
            cxReady: function () {
            },
            appendComplete: function () {
                this.transitionName = 'cxpFadeLeft';
                this.loadFollow();
            }
        },
        cxData: {
            show: true,
            transitionName: 'cxpRight',
            follows: [],
            comment__club: 0
        },
        methods: {
            loadFollow: function () {
                var _this = this;
                App.loading(true);
                App.upData({
                    url: App.config.urlPath + '/v1/comment/follow/?' + App.config.accompany,
                    type: 'GET',
                    data: { comment: this.comment__club },
                    success: function (data) {
                        App.loading(false);
                        _this.follows = data.results;
                    }
                });
            },
            rClick: function () {
                window.location = '#g/greply/' + this.comment__club;
            }
        }
    });
    return v;
});
define('tpl/group/g_inviteinfo.html', [], function () {
    return '<div class="" id="t_inviteinfo" v-if="show" :transition="transitionName">\r\n    <com-utopbar v-ref:utopbar title="鄞州网球俱乐部" btname="报名"></com-utopbar>\r\n    <div class="wrapper4  ui-border-t" id="g_inviteinfo_con">\r\n        <div class="i-main" id="g_i_main">\r\n            <div class="weui-panel">\r\n                <div class="weui-panel__bd">\r\n                    <div class="weui-media-box weui-media-box_text">\r\n                        <h4 class="weui-media__title">每周球友会\uFF0C缘来如此-A号球场\r\n                                <label class="pr f-yellow">\uFFE5800</label>\r\n                                </h4>\r\n                        <p class="weui-media__desc">\r\n                            <i class="fa fa-clock-o"></i> 10.11 18:00-20:00</p>\r\n                        <ul class="weui-media__info">\r\n                            <li class="weui-media__info__meta">业余爱好者\uFF0C男女不限</li>\r\n                        </ul>\r\n                    </div>\r\n                </div>\r\n            </div>\r\n            <div class="weui-cells">\r\n                <a class="weui-cell weui-cell_access" href="javascript:;">\r\n                    <div class="weui-cell__hd"><img src="assets/imgs/invite_img.png" alt="" style="width:50px;margin-right:20px;display:block"></div>\r\n                    <div class="weui-cell__bd">\r\n                        <p>鄞州网球俱乐部</p>\r\n                        <p class="small-font">会员108人</p>\r\n                    </div>\r\n                    <div class="weui-cell__ft"></div>\r\n                </a>\r\n                <div class="weui-cell">\r\n                    <div class="weui-cell__bd">\r\n                        <p class="h20">\r\n                            <img class="h20" src="assets/imgs/invite_head.png" alt="">\r\n                        </p>\r\n                    </div>\r\n                    <div class="weui-cell__ft">报名人数5/10人</div>\r\n                </div>\r\n            </div>\r\n            <div class="weui-cells">\r\n                <div class="weui-cell">\r\n                    <div class="weui-cell__bd">\r\n                        <p>球馆\uFF1A</p>\r\n                    </div>\r\n                    <div class="weui-cell__ft">\r\n                        <p>宁波鄞州网球中心</p>\r\n                        <p class="small-font">浙江省宁波市鄞州区文华路199号</p>\r\n                    </div>\r\n                </div>\r\n                <div class="weui-cell">\r\n                    <div class="weui-cell__bd">\r\n                        <p>场地\uFF1A</p>\r\n                    </div>\r\n                    <div class="weui-cell__ft">红土地场地A</div>\r\n                </div>\r\n                <div class="weui-cell">\r\n                    <div class="weui-cell__bd">\r\n                        <p>组织者\uFF1A</p>\r\n                    </div>\r\n                    <div class="weui-cell__ft">豹子头<i class="fa fa-phone mgl10 f-green"></i></div>\r\n                </div>\r\n            </div>\r\n            <div class="weui-cells mb-big">\r\n                <div class="weui-cell">\r\n                    <div class="weui-cell__bd">\r\n                        <p>截止\uFF1A</p>\r\n                    </div>\r\n                    <div class="weui-cell__ft">\r\n                        2016-10-09 19:00\r\n                    </div>\r\n                </div>\r\n                <div class="weui-cell">\r\n                    <div class="weui-cell__bd">\r\n                        <p>请假\uFF1A</p>\r\n                    </div>\r\n                    <div class="weui-cell__ft">活动开始前4天请假有效</div>\r\n                </div>\r\n                <div class="weui-cell">\r\n                    <div class="weui-cell__bd">\r\n                        <p>\r\n                            <label for="weuiAgree" class="weui-agree pd0">\r\n                                <input id="weuiAgree" type="checkbox" class="weui-agree__checkbox">\r\n                                <span class="weui-agree__text">\r\n                                            阅读并同意\r\n                                            <a href="javascript:void(0);">\r\n                                            \u300A相关条款\u300B\r\n                                            </a>\r\n                                        </span>\r\n                            </label>\r\n                        </p>\r\n                    </div>\r\n                    <div class="weui-cell__ft">\r\n                        <a href="javascript:;" class="weui-btn weui-btn_mini b-yellow">立即报名</a>\r\n                    </div>\r\n                </div>\r\n            </div>\r\n        </div>\r\n    </div>\r\n</div>\r\n';
});
var App = App || {};
define('views/group/ginviteinfo', [
    'uview',
    'views/component/utopBar_2',
    'tpl/group/g_inviteinfo.html'
], function (uview, utopbar, tpl) {
    var v = uview.extend({
        template: tpl,
        components: { 'com-utopbar': utopbar },
        objectExtend: {
            cxName: 'ginviteinfo',
            cxId: '#g-inviteinfo',
            cxWpid: '#g_inviteinfo_con',
            cxNextPageNs: [],
            cxAutoShow: true,
            cxInit: function () {
            },
            cxCreated: function () {
            },
            cxReady: function () {
            },
            appendComplete: function () {
                this.transitionName = 'cxpFadeLeft';
            }
        },
        cxData: {
            show: true,
            transitionName: 'cxpRight'
        },
        methods: {
            closeMask: function () {
            }
        }
    });
    return v;
});
define('tpl/group/g_newtm.html', [], function () {
    return '<div class="" id="t_newtm" v-if="show" :transition="transitionName">\r\n    <com-utopbar v-ref:utopbar title="鄞州网球俱乐部" btname=""></com-utopbar>\r\n    <div class="wrapper4  ui-border-t" id="gnewtm">\r\n        <div class="weui-panel">\r\n            <div class="weui-cells__title">发表标题</div>\r\n            <div class="weui-cells">\r\n                <div class="weui-cell">\r\n                    <div class="weui-cell__bd">\r\n                        <input class="weui-input" v-model="title" type="text" placeholder="请输入主题名称">\r\n                    </div>\r\n                </div>\r\n            </div>\r\n            <div class="weui-cells__title">发表内容</div>\r\n            <div class="weui-cells weui-cells_form">\r\n                <div class="weui-cell">\r\n                    <div class="weui-cell__bd">\r\n                        <textarea v-model="contents" maxlength="200" class="weui-textarea" placeholder="请输入文本" rows="3"></textarea>\r\n                        <div class="weui-textarea-counter"><span>{{contents.length}}</span>/200</div>\r\n                    </div>\r\n                </div>\r\n            </div>\r\n            <div class="weui-cells__title">标签选择</div>\r\n            <div class="weui-cells weui-cells_form">\r\n                <div class="weui-cell">\r\n                   <p class="weui-media-box__desc">\r\n                    <a href="javascript:;" class="weui-btn weui-btn_mini "  v-bind:class="[label==1 ? \'weui-btn_primary\' :\'weui-btn_default\']" @click="setTabs(1)">大话网球</a>\r\n                    <a href="javascript:;" class="weui-btn weui-btn_mini "  v-bind:class="[label==2 ? \'weui-btn_primary\' :\'weui-btn_default\']" @click="setTabs(2)">教练秀</a>\r\n                    <a href="javascript:;" class="weui-btn weui-btn_mini "  v-bind:class="[label==3 ? \'weui-btn_primary\' :\'weui-btn_default\']" @click="setTabs(3)">球馆秀</a>\r\n                    <a href="javascript:;" class="weui-btn weui-btn_mini "  v-bind:class="[label==4 ? \'weui-btn_primary\' :\'weui-btn_default\']" @click="setTabs(4)">赛事情报站</a>\r\n                    <a href="javascript:;" class="weui-btn weui-btn_mini "  v-bind:class="[label==5 ? \'weui-btn_primary\' :\'weui-btn_default\']" @click="setTabs(5)">学球互助</a>\r\n                    </p>\r\n                </div>\r\n            </div>\r\n            <div class="page__bd">\r\n                <div class="weui-cells weui-cells_form">\r\n                    <div class="weui-cell">\r\n                        <div class="weui-cell__bd">\r\n                            <div class="weui-uploader">\r\n                                <div class="weui-uploader__hd">\r\n                                    <p class="weui-uploader__title">图片上传</p>\r\n                                    <div class="weui-uploader__info">{{imgs.length}}/5</div>\r\n                                </div>\r\n                                <div class="weui-uploader__bd">\r\n                                    <ul class="weui-uploader__files" id="uploaderFiles">\r\n                                        <template v-for="(index,value) in imgs">\r\n                                            <li class="weui-uploader__file" style="background-image:url({{path+value}})"></li>\r\n                                        </template>\r\n                                    </ul>\r\n                                    <div class="weui-uploader__input-box" @click="addImg">\r\n                                        <input id="uploaderInput" class="weui-uploader__input" type="file" accept="image/*" multiple="">\r\n                                    </div>\r\n                                </div>\r\n                            </div>\r\n                        </div>\r\n                    </div>\r\n                </div>\r\n            </div>\r\n            <div class="weui-btn-area">\r\n                <a class="weui-btn weui-btn_primary" href="javascript:" @click="upnew" id="showTooltips">发表</a>\r\n            </div>\r\n        </div>\r\n    </div>\r\n</div>\r\n';
});
var App = App || {};
define('views/group/gnewtm', [
    'uview',
    'views/component/utopBar_2',
    'tpl/group/g_newtm.html'
], function (uview, utopbar, tpl) {
    var v = uview.extend({
        template: tpl,
        components: { 'com-utopbar': utopbar },
        objectExtend: {
            cxName: 'gnewtm',
            cxId: '#g-newtm',
            cxWpid: '#gnewtm',
            cxNextPageNs: ['eimage'],
            cxAutoShow: true,
            cxAutoload: true,
            cxDel: false,
            cxInit: function () {
            },
            cxCreated: function () {
                if (this.$options.vas) {
                    this.club = this.$options.vas;
                }
                this.path = App.config.urlPath;
                this.$watch('title', this.valchange);
                this.$watch('contents', this.valchange);
                if (App.p.gnew) {
                    this.title = App.p.gnew.title;
                    this.contents = App.p.gnew.contents;
                    this.images = App.p.gnew.images;
                    this.imgs = App.p.gnew.imgs;
                }
            },
            cxReady: function () {
                App.cxmain.footShow(true);
            },
            appendComplete: function () {
                App.cxmain.footShow(true);
            }
        },
        cxData: {
            show: true,
            transitionName: 'cxpRight',
            club: 1,
            follows: [],
            title: '',
            contents: '',
            images: '',
            imgs: [],
            path: '',
            label: 1
        },
        methods: {
            setTabs: function (val) {
                this.label = val;
            },
            valchange: function () {
                App.p.gnew = {
                    title: this.title,
                    contents: this.contents,
                    images: this.images,
                    imgs: this.imgs,
                    label: this.label
                };
            },
            upnew: function () {
                var _this = this;
                App.loading(true);
                var _o = {
                    club: this.club,
                    user: App.user.uid,
                    label: this.label,
                    title: this.title,
                    contents: this.contents,
                    image: this.images
                };
                App.upData({
                    url: App.config.urlPath + '/v1/comment/list/?' + App.config.accompany,
                    type: 'POST',
                    data: _o,
                    success: function (data) {
                        App.loading(false);
                        window.history.back();
                    }
                });
                App.p.gnew = null;
            },
            formatImgs: function () {
                this.images = this.imgs.join(';');
                App.p.gnew = {
                    title: this.title,
                    contents: this.contents,
                    images: this.images,
                    imgs: this.imgs,
                    label: this.label
                };
            },
            addImg: function () {
                var _this = this;
                App.eImage.selectImage({
                    api: '/v1/entry/imageupload/',
                    success: function (data) {
                        if (data.results.state == 1) {
                            _this.imgs.push(data.results.data.img_url);
                            window.history.back();
                            _this.formatImgs();
                        } else {
                            App.alert('上传失败');
                        }
                    }
                });
            }
        }
    });
    return v;
});
define('tpl/group/g_reply.html', [], function () {
    return '<div class="" id="g-reply" v-if="show" :transition="transitionName">\r\n    <com-utopbar v-ref:utopbar title="鄞州网球俱乐部" btname=""></com-utopbar>\r\n    <div class="wrapper4  ui-border-t" id="greply">\r\n        <div class="weui-panel">\r\n            <div class="weui-cells__title">回复内容</div>\r\n            <div class="weui-cells weui-cells_form">\r\n                <div class="weui-cell">\r\n                    <div class="weui-cell__bd">\r\n                        <textarea v-model="contents" maxlength="200" class="weui-textarea" placeholder="请输入文本" rows="3"></textarea>\r\n                        <div class="weui-textarea-counter"><span>{{contents.length}}</span>/200</div>\r\n                    </div>\r\n                </div>\r\n            </div>\r\n            <div class="weui-btn-area">\r\n                <a class="weui-btn weui-btn_primary" href="javascript:" @click="upnew" id="showTooltips">回复</a>\r\n            </div>\r\n        </div>\r\n    </div>\r\n</div>\r\n';
});
var App = App || {};
define('views/group/greply', [
    'uview',
    'views/component/utopBar_2',
    'tpl/group/g_reply.html'
], function (uview, utopbar, tpl) {
    var v = uview.extend({
        template: tpl,
        components: { 'com-utopbar': utopbar },
        objectExtend: {
            cxName: 'greply',
            cxId: '#g-reply',
            cxWpid: '#greply',
            cxNextPageNs: [],
            cxAutoShow: true,
            cxInit: function () {
            },
            cxCreated: function () {
                if (this.$options.vas) {
                    this.comment = this.$options.vas;
                }
            },
            cxReady: function () {
                App.cxmain.footShow(true);
            },
            appendComplete: function () {
                this.transitionName = 'cxpFadeLeft';
            }
        },
        cxData: {
            show: true,
            transitionName: 'cxpRight',
            comment: 1,
            contents: ''
        },
        methods: {
            upnew: function () {
                var _this = this;
                App.loading(true);
                var _o = {
                    comment: this.comment,
                    user: App.user.uid,
                    contents: this.contents
                };
                App.upData({
                    url: App.config.urlPath + '/v1/comment/follow/?' + App.config.accompany,
                    type: 'POST',
                    data: _o,
                    success: function (data) {
                        App.loading(false);
                        window.history.back();
                    }
                });
            }
        }
    });
    return v;
});
var App = App || {};
define('views/group', [
    'uview',
    'tpl/group.html',
    'views/group/gmain',
    'views/group/gindex',
    'views/group/gtopic',
    'views/group/ginviteinfo',
    'views/group/gnewtm',
    'views/group/greply'
], function (uview, tpl, gmain, gindex, gtopic, ginviteinfo, gnewtm, greply) {
    var v = uview.extend({
        template: tpl,
        objectExtend: {
            cxName: 'group',
            cxId: '#cx-group',
            cxChildId: '#group',
            cxAutoload: false,
            cxAutoShow: true,
            cxChildPage: {
                'gmain': gmain,
                'gindex': gindex,
                'gtopic': gtopic,
                'ginviteinfo': ginviteinfo,
                'gnewtm': gnewtm,
                'greply': greply
            },
            cxCreated: function () {
            },
            cxReady: function () {
                if (typeof this.$options.vas != 'undefined') {
                    this.openChild(this.$options.vas);
                } else {
                    this.openChild('gindex');
                }
            }
        },
        cxData: { transitionName: 'cxpFade' },
        methods: {
            initChild: function (_obj) {
                this.initPage = _obj.child;
            }
        }
    });
    return v;
});
define('tpl/reserve.html', [], function () {
    return '<div class="views" id="cx-reserve" v-if="show" :transition="transitionName">\n    <div id="reserve">\n    </div>\n</div>';
});
define('tpl/reserve/rindex.html', [], function () {
    return '<div id="r_index" v-if="show" :transition="transitionName">\r\n    <com-utopbar v-ref:utopbar title="预定"></com-utopbar>\r\n    <div class="wrapper4" id="r_index_con">\r\n        <div class="page__bd page__bd_spacing btnList">\r\n            <a href="#r/rtennis/1" class="weui-btn weui-btn_default tindexBtn">\r\n                <div>\r\n                    <img src="assets/imgs/tennis2.png">\r\n                </div>\r\n                <div>\r\n                    <h3>网球场地</h3>\r\n                </div>\r\n            </a>\r\n<!--            <a href="#r/rtennis/2" class="weui-btn weui-btn_default tindexBtn">\r\n                <div>\r\n                    <img src="assets/imgs/badminton.png">\r\n                </div>\r\n                <div>\r\n                    <h3>羽毛球场地</h3>\r\n                </div>\r\n            </a>-->\r\n            <a href="#r/rtrain" class="weui-btn weui-btn_default tindexBtn">\r\n                <div>\r\n                    <img src="assets/imgs/people.png">\r\n                </div>\r\n                <div>\r\n                    <h3>教练</h3>\r\n                </div>\r\n            </a>\r\n            <a href="#r/rcultivate" class="weui-btn weui-btn_default tindexBtn">\r\n                <div>\r\n                    <img src="assets/imgs/people2.png">\r\n                </div>\r\n                <div>\r\n                    <h3>培训</h3>\r\n                </div>\r\n            </a>\r\n        </div>\r\n    </div>\r\n</div>\r\n';
});
var App = App || {};
define('views/reserve/rindex', [
    'uview',
    'tpl/reserve/rindex.html',
    'views/component/utopBar_4'
], function (uview, tpl, utopbar) {
    var v = uview.extend({
        template: tpl,
        components: { 'com-utopbar': utopbar },
        objectExtend: {
            cxName: 'rindex',
            cxId: '#r-index',
            cxWpid: '#r_index_con',
            cxNextPageNs: [
                'rcultivate',
                'mbutton'
            ],
            cxAutoShow: true,
            cxAutoload: true,
            cxDel: false,
            cxInit: function () {
            },
            cxCreated: function () {
            },
            cxReady: function () {
            },
            appendComplete: function () {
                this.transitionName = 'cxpFadeRight';
            }
        },
        cxData: {
            show: false,
            transitionName: 'cxpFade'
        },
        methods: {
            closeMask: function () {
            }
        }
    });
    return v;
});
define('tpl/reserve/r_tennis.html', [], function () {
    return '<div id="r_tennis" v-if="show" :transition="transitionName">\r\n    <com-utopbar v-ref:utopbar title="场地预定" btname="" v-on:btn-evt="clickRBtn"></com-utopbar>\r\n    <div class="wrapper4" id="r_tennis_con">\r\n        <div class="weui-cells">\r\n            <a class="weui-cell weui-cell_access" href="javascript:;">\r\n                <div class="weui-cell__hd">\r\n                    <i class="cx-icon-tennis"></i>\r\n                </div>\r\n                <div class="weui-cell__bd">\r\n                    <h3>网球中心</h3>\r\n                </div>\r\n            </a>\r\n            <div class="weui-cell rdate">\r\n                <div class="weui-cell__hd">\r\n                    <label for="" class="weui-label">选择预定日期</label>\r\n                </div>\r\n                <div class="weui-cell__bd">\r\n                    <input class="weui-input sel-input" type="date" placeholder="选择日期" v-model="date_reserved">\r\n                </div>\r\n            </div>\r\n        </div>\r\n        <div class="wrapper2 r-main" id="r_t_main">\r\n            <div>\r\n                <template v-for="(i,item) in list">\r\n                    <div class="weui-panel weui-panel_access">\r\n                        <div class="weui-panel__bd">\r\n                            <a href="#r/rtennisx/{{item.pk}}" @click="gobuy(item)"  class="weui-media-box weui-media-box_appmsg">\r\n                                <div class="weui-media-box__hd">\r\n                                    <img class="weui-media-box__thumb" :src="item.pic" alt="" v-if="item.pic!=\'\'"alt="">\r\n                                </div>\r\n                                <div class="weui-media-box__bd">\r\n                                    <h4 class="weui-media-box__title">{{item.title}}</h4>\r\n                                    <p class="weui-media-box__desc cxdese">{{item.contents}}</p>\r\n                                </div>\r\n                            </a>\r\n                        </div>\r\n                        <div class="weui-panel__ft">\r\n                            <a href="#r/rtennisx/{{item.pk}}" @click="gobuy(item)"  class="weui-cell weui-cell_access weui-cell_link">\r\n                                <div class="weui-cell__bd">选择预定</div>\r\n                                <span class="weui-cell__ft"></span>\r\n                            </a>\r\n                        </div>\r\n                    </div>\r\n                </template>\r\n            </div>\r\n        </div>\r\n    </div>\r\n</div>';
});
var App = App || {};
define('views/reserve/rtennis', [
    'uview',
    'tpl/reserve/r_tennis.html',
    'views/component/utopBar_2'
], function (uview, tpl, utopbar) {
    var v = uview.extend({
        template: tpl,
        components: { 'com-utopbar': utopbar },
        objectExtend: {
            cxName: 'rtennis',
            cxId: '#r-tennis',
            cxWpid: '#r_t_main',
            cxNextPageNs: ['rtennisx'],
            cxApi: '/v1/venue/list/',
            cxLsnImg: 'img',
            cxAutoShow: true,
            cxAutoload: true,
            cxInit: function () {
            },
            cxCreated: function () {
                this.cxVas = { type: this.$options.vas };
                var d = new Date();
                var day = d.getDate();
                var month = d.getMonth() + 1;
                var year = d.getFullYear();
                if (month < 10)
                    month = '0' + month;
                if (day < 10)
                    day = '0' + day;
                var str = year + '-' + month + '-' + day;
                this.date_reserved = str;
                this.cxApi = '/v1/venue/list/?date_reserved=' + str;
            },
            cxReady: function () {
            },
            appendComplete: function () {
            }
        },
        cxData: {
            show: false,
            date_reserved: '',
            time_range_reserved: '2',
            transitionName: 'cxpRight'
        },
        methods: {
            closeMask: function () {
            },
            clickRBtn: function () {
                console.log('ol');
            },
            gobuy: function (item) {
                App.p.yd = {
                    date_reserved: this.date_reserved,
                    pk: item.pk,
                    sub_list: item.sub_list,
                    datetime_created: item.datetime_created,
                    selling_price_day: item.selling_price_day,
                    selling_price_night: item.selling_price_night,
                    title: item.title,
                    contents: item.contents
                };
            }
        }
    });
    return v;
});
define('tpl/reserve/r_tennisx.html', [], function () {
    return '<div id="r_tennisx" v-if="show" :transition="transitionName">\r\n    <com-utopbar v-ref:utopbar title="场地预定" btname="" v-on:btn-evt="clickRBtn"></com-utopbar>\r\n    <div class="wrapper4 r-main" id="r_t_mainx">\r\n        <div class="page__bd">\r\n            <div class="weui-cells__title">{{title}} [{{date_reserved}}] 时间段选择</div>\r\n            <div class="weui-panel weui-panel_access">\r\n                <div class="weui-panel__bd">\r\n                    <a href="javascript:void(0);" class="weui-media-box weui-media-box_appmsg">\r\n                        <div class="weui-media-box__bd">\r\n                            <p class="weui-media-box__desc">说明\uFF1A{{{content}}}</p>\r\n                        </div>\r\n                    </a>\r\n                </div>\r\n            </div>\r\n            <div class="weui-cells">\r\n                <div class="weui-cell weui-cell_select weui-cell_select-after">\r\n                    <div class="weui-cell__hd">\r\n                        <label for="" class="weui-label">场地筛选</label>\r\n                    </div>\r\n                    <div class="weui-cell__bd">\r\n                        <select class="weui-select" v-model="sub_id">\r\n                            <option v-for="(i,item) in sublist" v-bind:value="item.pk">{{item.name}}</option>\r\n                        </select>\r\n                    </div>\r\n                </div>\r\n            </div>\r\n            <div class="weui-cells__title">选择时间段</div>\r\n            <div class="weui-cells">\r\n                <div class="weui-cells__title">\r\n                    <h3 style="color: #32aa18;">白天价格\uFF1A{{selling_price_day}}</h3>\r\n                </div>\r\n                <template v-for="(i,item) in selectArr">\r\n                    <a class="weui-cell weui-cell_access act" href="javascript:;" v-if="selectArr[i].valid">\r\n                        <div class="weui-cell__bd">\r\n                            <p>{{item.name}} <span>已被预定</span></p>\r\n                        </div>\r\n                        <div class="weui-cell__ft">预定</div>\r\n                    </a>\r\n                    <a class="weui-cell weui-cell_access" href="#r/rorder" @click="goBuy(i)" v-else>\r\n                        <div class="weui-cell__bd">\r\n                            <p>{{item.name}}</p>\r\n                        </div>\r\n                        <div class="weui-cell__ft">预定</div>\r\n                    </a>\r\n                    <div class="weui-cells__title" v-if="i==8">\r\n                        <h3 style="color: #32aa18;">晚上价格\uFF1A{{selling_price_night}}</h3>\r\n                    </div>\r\n                </template>\r\n            </div>\r\n            <br>\r\n            <br>\r\n        </div>\r\n    </div>\r\n\r\n</div>';
});
var App = App || {};
define('views/reserve/rtennisx', [
    'uview',
    'tpl/reserve/r_tennisx.html',
    'views/component/utopBar_2'
], function (uview, tpl, utopbar) {
    var v = uview.extend({
        template: tpl,
        components: { 'com-utopbar': utopbar },
        objectExtend: {
            cxName: 'rtennisx',
            cxId: '#r-tennisx',
            cxWpid: '#r_t_mainx',
            cxNextPageNs: ['rorder'],
            cxApi: '/v1/venue/reservations/',
            cxAutoShow: true,
            cxAutoload: true,
            cxInit: function () {
            },
            cxCreated: function () {
                if (typeof this.$options.vas != 'undefined' && typeof App.p.yd != 'undefined') {
                    this.cxVas = { date_reserved: App.p.yd.date_reserved };
                    this.sublist = App.p.yd.sub_list;
                    this.sub_id = App.p.yd.sub_list[0].pk;
                    this.venue = this.$options.vas;
                    this.title = App.p.yd.title;
                    this.content = App.p.yd.contents;
                    this.date_reserved = App.p.yd.date_reserved;
                    this.selling_price_night = App.p.yd.selling_price_night;
                    this.selling_price_day = App.p.yd.selling_price_day;
                }
            },
            cxReady: function () {
                var that = this;
                App.upData({
                    url: App.config.urlPath + '/v1/venue/rangelist/?' + App.config.accompany,
                    type: 'GET',
                    success: function (data) {
                        var _arr = data.results[0].range_list;
                        var lg = _arr.length;
                        for (var i = 0; i < lg; i++) {
                            if (i <= 8) {
                                _arr[i].valid = false;
                                _arr[i].venue = that.venue;
                                _arr[i].selling_price = App.p.yd.selling_price_day;
                            } else {
                                _arr[i].valid = false;
                                _arr[i].venue = that.venue;
                                _arr[i].selling_price = App.p.yd.selling_price_night;
                            }
                        }
                        that.selectArr = _arr;
                    }
                });
            },
            cxLoadDataSuccess: function () {
                var lg = this.list.length;
                for (var i = 0; i < lg; i++) {
                    for (var j = 0; j < 12; j++) {
                        if (this.selectArr[j].time_range_reserved == this.list[i].time_range_reserved) {
                            this.selectArr[j].valid = true;
                        }
                    }
                }
                if (lg > 0) {
                    var _arr = this.selectArr.slice(0);
                    this.selectArr = _arr;
                }
            }
        },
        cxData: {
            show: false,
            transitionName: 'cxpRight',
            title: '',
            content: '',
            date_reserved: '',
            selling_price_day: '',
            selling_price_night: '',
            sublist: [],
            venue: '',
            sub_id: 0,
            selectArr: []
        },
        methods: {
            select: function (_val) {
                if (this.selectArr[_val - 1].val) {
                    this.selectArr[_val - 1].val = false;
                } else {
                    this.selectArr[_val - 1].val = true;
                }
            },
            goBuy: function (_sub) {
                if (App.user.login) {
                    App.buyinfo = App.p.yd;
                    App.buyinfo.selling_price = this.selectArr[_sub].selling_price;
                    App.buyinfo.time_range_reserved = this.selectArr[_sub].time_range_reserved;
                    App.buyinfo.title = this.title;
                    App.buyinfo.venue_sub = this.sub_id;
                    App.buyinfo.date_reserved = this.date_reserved;
                    App.buyinfo.pcDes = this.content + '<br/>[' + this.date_reserved + '] ' + this.selectArr[_sub].name;
                    App.buyinfo.upUrl = '/v1/venue/reservations/';
                } else {
                    App.confirm('请先登陆', {
                        onConfirm: function () {
                            window.location.href = '#u/ulogin';
                        }
                    });
                }
            }
        }
    });
    return v;
});
define('tpl/ticket/t_food.html', [], function () {
    return '<div id="t_food" v-if="show" :transition="transitionName">\r\n    <com-utopbar v-ref:utopbar title="餐饮预定" btname="下单" v-on:btn-evt="clickRBtn"></com-utopbar>\r\n    <div class="wrapper4" id="t_food_con">\r\n        <div class="weui-cells f_top">\r\n            <a class="weui-cell weui-cell_access">\r\n                <div class="g">\r\n                    <div class="col">\r\n                        预定统计\r\n                    </div>\r\n                    <div class="col f-yellow t-right">\r\n                        \uFFE5140\r\n                    </div>\r\n                </div>\r\n            </a>\r\n        </div>\r\n        <div class="wrapper2 r-main" id="t_food_main">\r\n            <div>\r\n                <div class="weui-panel weui-panel_access">\r\n                    <div class="weui-panel__bd">\r\n                        <a href="javascript:void(0);" class="weui-media-box weui-media-box_appmsg">\r\n                            <div class="g">\r\n                                <div class="col col-1 pd0">\r\n                                    <img class="weui-media__thumb" src="../images/food_img.png" alt="">\r\n                                </div>\r\n                                <div class="col col-5">\r\n                                    <h4 class="weui-media__title">套餐名称</h4>\r\n                                    <p class="weui-media__desc">套餐文字说明套餐文字说明</p>\r\n                                    <label class="f-yellow">\uFFE5180</label>\r\n                                    <div class="numedt sm food-num"><span class="numedtA" dataval="182"><i class="fa fa-minus"></i></span> <span class="numedtB"><input type="number" value="0"></span><span class="numedtC" dataval="182"><i class="fa fa-plus f-green"></i></span></div>\r\n                                </div>\r\n                            </div>\r\n                        </a>\r\n                    </div>\r\n                </div>\r\n                <div class="weui-panel weui-panel_access">\r\n                    <div class="weui-panel__bd">\r\n                        <a href="javascript:void(0);" class="weui-media-box weui-media-box_appmsg">\r\n                            <div class="g">\r\n                                <div class="col col-1 pd0">\r\n                                    <img class="weui-media__thumb" src="../images/food_img.png" alt="">\r\n                                </div>\r\n                                <div class="col col-5">\r\n                                    <h4 class="weui-media__title">套餐名称</h4>\r\n                                    <p class="weui-media__desc">套餐文字说明套餐文字说明</p>\r\n                                    <label class="f-yellow">\uFFE5180</label>\r\n                                    <div class="numedt sm food-num"><span class="numedtA" dataval="182"><i class="fa fa-minus"></i></span> <span class="numedtB"><input type="number" value="0"></span><span class="numedtC" dataval="182"><i class="fa fa-plus f-green"></i></span></div>\r\n                                </div>\r\n                            </div>\r\n                        </a>\r\n                    </div>\r\n                </div>\r\n                <div class="weui-panel weui-panel_access">\r\n                    <div class="weui-panel__bd">\r\n                        <a href="javascript:void(0);" class="weui-media-box weui-media-box_appmsg">\r\n                            <div class="g">\r\n                                <div class="col col-1 pd0">\r\n                                    <img class="weui-media__thumb" src="../images/food_img.png" alt="">\r\n                                </div>\r\n                                <div class="col col-5">\r\n                                    <h4 class="weui-media__title">套餐名称</h4>\r\n                                    <p class="weui-media__desc">套餐文字说明套餐文字说明</p>\r\n                                    <label class="f-yellow">\uFFE5180</label>\r\n                                    <div class="numedt sm food-num"><span class="numedtA" dataval="182"><i class="fa fa-minus"></i></span> <span class="numedtB"><input type="number" value="0"></span><span class="numedtC" dataval="182"><i class="fa fa-plus f-green"></i></span></div>\r\n                                </div>\r\n                            </div>\r\n                        </a>\r\n                    </div>\r\n                </div>\r\n                <div class="weui-btn-area">\r\n                    <a class="weui-btn weui-btn_primary b-yellow" href="javascript:" id="showTooltips">确认下单</a>\r\n                </div>\r\n            </div>\r\n        </div>\r\n    </div>\r\n</div>\r\n';
});
var App = App || {};
define('views/reserve/rfood', [
    'uview',
    'tpl/ticket/t_food.html',
    'views/component/utopBar_2'
], function (uview, tpl, utopbar) {
    var v = uview.extend({
        template: tpl,
        components: { 'com-utopbar': utopbar },
        objectExtend: {
            cxName: 'tfood',
            cxId: '#t-food',
            cxWpid: '#t_food_main',
            cxApi: '/v1/venue/list/',
            cxAutoShow: true,
            cxAutoload: true,
            cxInit: function () {
            },
            cxCreated: function () {
                this.cxVas = {};
            },
            cxReady: function () {
            },
            appendComplete: function () {
            }
        },
        cxData: {
            show: false,
            transitionName: 'cxpRight'
        },
        methods: {
            closeMask: function () {
            },
            clickRBtn: function () {
                console.log('ol');
            }
        }
    });
    return v;
});
define('tpl/reserve/r_train.html', [], function () {
    return '<div id="r_food" v-if="show" :transition="transitionName">\r\n    <com-utopbar v-ref:utopbar title="教练列表" btname="" v-on:btn-evt="clickRBtn"></com-utopbar>\r\n    <div class="wrapper4" id="r_train_con">\r\n        <div class="weui-tab">\r\n            <div class="weui-navbar">\r\n                <div class="weui-navbar__item" :class="{\'weui-bar__item_on\': type==\'1\'}" v-on:click="changeTabs(\'1\')">\r\n                    <span>网球球</span>\r\n                </div>\r\n                <div class="weui-navbar__item":class="{\'weui-bar__item_on\':  type==\'2\'}" v-on:click="changeTabs(\'2\')">\r\n                    <span>羽毛球</span>\r\n                </div>\r\n                <div class="weui-navbar__item":class="{\'weui-bar__item_on\':  type==\'3\'}" v-on:click="changeTabs(\'3\')">\r\n                    <span>游泳</span>\r\n                </div>\r\n            </div>\r\n        </div>\r\n        <div class="i-main" id="r_trainlist">\r\n            <div>\r\n                <template v-for="(i,item) in list">\r\n                    <div class="weui-panel weui-panel_accessl">\r\n                        <div class="weui-panel__bd">\r\n                            <div class="weui-media-box weui-media-box_appmsg">\r\n                                <div class="weui-media__hd w80">\r\n                                    <img class="weui-media__thumb" :src="item.avatar" alt="" v-if="item.avatar!=\'\'">\r\n                                </div>\r\n                                <div class="weui-media__bd pl-10">\r\n                                    <h4 class="weui-media__title">{{item.name}}</h4>\r\n                                    <p class="weui-media__desc">{{item.introduction}}</p>\r\n                                    <ul class="weui-media__info mt-5">\r\n                                        <li class="weui-media__info__meta">\r\n                                            <i class="fa fa-star f-yellow" v-for="item in item.rank"></i>\r\n                                        </li>\r\n                                    </ul>\r\n                                </div> \r\n                            </div>\r\n                        </div>\r\n                        <div class="weui-panel__ft">\r\n                            <a href="#r/rtrainx/{{item.pk}}" class="weui-cell weui-cell_access weui-cell_link">\r\n                                <div class="weui-cell__bd">查看详细介绍</div>\r\n                                <span class="weui-cell__ft"></span>\r\n                            </a>\r\n                        </div>\r\n                    </div>\r\n                </template>\r\n            </div>\r\n        </div>\r\n    </div>\r\n</div>';
});
var App = App || {};
define('views/reserve/rtrain', [
    'uview',
    'tpl/reserve/r_train.html',
    'views/component/utopBar_2'
], function (uview, tpl, utopbar) {
    var v = uview.extend({
        template: tpl,
        components: { 'com-utopbar': utopbar },
        objectExtend: {
            cxName: 'rtrain',
            cxId: '#r-train',
            cxWpid: '#r_trainlist',
            cxApi: '/v1/coach/list/',
            cxNextPageNs: ['rtrainx'],
            cxAutoShow: true,
            cxAutoload: true,
            cxInit: function () {
            },
            cxCreated: function () {
                this.cxApi = '/v1/coach/list/?type=' + this.type;
            },
            cxReady: function () {
            },
            appendComplete: function () {
            }
        },
        cxData: {
            type: 1,
            show: false,
            transitionName: 'cxpRight'
        },
        methods: {
            changeTabs: function (sub) {
                this.type = sub;
                this.cxApi = '/v1/coach/list/?type=' + this.type;
                this.renData();
            },
            clickRBtn: function () {
                console.log('ol');
            }
        }
    });
    return v;
});
define('tpl/reserve/r_trainx2.html', [], function () {
    return '<div id="r_trainx" v-if="show" :transition="transitionName">\r\n    <com-utopbar v-ref:utopbar title="教练列表" btname="" v-on:btn-evt="clickRBtn"></com-utopbar>\r\n    <div class="wrapper4" id="r_trainx_con">\r\n        <div class="weui-panel" style="transform: translate(0px, 0px) translateZ(0px);">\r\n            <div class="weui-panel__bd line-bottom">\r\n                <div class="weui-media-box weui-media-box_text">\r\n                    <h4 class="weui-media__title">{{{name}}}</h4>\r\n                </div>\r\n            </div>\r\n            <div class="weui-panel__bd line-bottom">\r\n                <div class="weui-media-box weui-media-box_text">\r\n                    <p class="weui-media__desc all-text">\r\n                        <p>{{{introduction}}}</p>\r\n                    </p>\r\n                </div>\r\n            </div>\r\n        </div>\r\n    </div>\r\n</div>';
});
var App = App || {};
define('views/reserve/rtrainx', [
    'uview',
    'tpl/reserve/r_trainx2.html',
    'views/component/utopBar_2'
], function (uview, tpl, utopbar) {
    var v = uview.extend({
        template: tpl,
        components: { 'com-utopbar': utopbar },
        objectExtend: {
            cxName: 'rtrainx',
            cxId: '#r-trainx',
            cxWpid: '#r_trainx_con',
            cxNextPageNs: ['rorder'],
            cxApi: '/v1/coach/courses/',
            cxAutoShow: true,
            cxAutoload: true,
            cxInit: function () {
            },
            cxCreated: function () {
                if (typeof this.$options.vas != 'undefined') {
                    this.cxApi = '/v1/coach/list/' + this.$options.vas + '/';
                }
            },
            cxReady: function () {
            },
            appendComplete: function () {
            }
        },
        cxData: {
            show: false,
            transitionName: 'cxpRight'
        },
        methods: {
            closeMask: function () {
            },
            clickRBtn: function () {
                console.log('ol');
            },
            gobuy: function (item) {
                App.buyinfo = item;
                App.buyinfo.pcDes = item.contents + ' [' + item.date_start + '至' + item.date_end + ']';
                App.buyinfo.upUrl = '/v1/coach/courses/reservation/';
            }
        }
    });
    return v;
});
define('tpl/reserve/r_cultivate.html', [], function () {
    return '<div id="r_cultivate" v-if="show" :transition="transitionName">\r\n    <com-utopbar v-ref:utopbar title="培训列表" btname="" v-on:btn-evt="clickRBtn"></com-utopbar>\r\n    <div class="wrapper4" id="r_cultivate_con">\r\n        <div class="weui-tab">\r\n            <div class="weui-navbar">\r\n                <div class="weui-navbar__item" :class="{\'weui-bar__item_on\': type==\'1\'}" v-on:click="changeTabs(\'1\')">\r\n                    <span>网球球</span>\r\n                </div>\r\n                <div class="weui-navbar__item" :class="{\'weui-bar__item_on\':  type==\'2\'}" v-on:click="changeTabs(\'2\')">\r\n                    <span>羽毛球</span>\r\n                </div>\r\n                <div class="weui-navbar__item" :class="{\'weui-bar__item_on\':  type==\'3\'}" v-on:click="changeTabs(\'3\')">\r\n                    <span>游泳</span>\r\n                </div>\r\n            </div>\r\n        </div>\r\n        <div class="i-main" id="r_trainlistx">\r\n            <div>\r\n                <template v-for="(i,item) in list">\r\n                    <div class="weui-panel weui-panel_access t_item">\r\n                        <div class="weui-form-preview__hd">\r\n                            <label class="weui-form-preview__label">\r\n                        <template v-if="item.type==1">网球\uFF1A</template>\r\n                        <template v-if="item.type==2">羽毛球\uFF1A</template>\r\n                        <template v-if="item.type==3">游泳\uFF1A</template>\r\n                        {{item.title}}\r\n                        </label>\r\n                            <em class="weui-form-preview__value">\xA5{{item.selling_price}}\r\n                        <span class="txtDel">\xA5{{item.original_price}}</span>\r\n                        </em>\r\n                        </div>\r\n                        <div class="weui-panel__bd">\r\n                            <div class="weui-media-box weui-media-box_text">\r\n                                <div class="g">\r\n                                    <div class="col col-4">\r\n                                        <p class="weui-media__desc">\r\n                                            {{{item.contents}}}<br /> 限定人数\uFF1A{{item.training_size}} 时间\uFF1A{{item.date_start}}至{{item.date_end}}\r\n                                        </p>\r\n                                    </div>\r\n                                    <div class="col col-2 tbuyBtn">\r\n                                        <a href="#r/rcultivate2/{{item.pk}}" class="weui-btn weui-btn_plain-primary ">购买</a>\r\n                                    </div>\r\n                                </div>\r\n                            </div>\r\n                        </div>\r\n                    </div>\r\n                </template>\r\n            </div>\r\n            <div  v-if="list.length==0" style="text-align:center;">没有课程内容</div>\r\n        </div>\r\n    </div>\r\n</div>';
});
var App = App || {};
define('views/reserve/rcultivate', [
    'uview',
    'tpl/reserve/r_cultivate.html',
    'views/component/utopBar_2'
], function (uview, tpl, utopbar) {
    var v = uview.extend({
        template: tpl,
        components: { 'com-utopbar': utopbar },
        objectExtend: {
            cxName: 'rcultivate',
            cxId: '#r-cultivate',
            cxWpid: '#r_trainlistx',
            cxNextPageNs: ['rcultivate2'],
            cxApi: '/v1/training/list/?type=1',
            cxAutoShow: true,
            cxAutoload: true,
            cxInit: function () {
            },
            cxCreated: function () {
                if (typeof this.$options.vas != 'undefined') {
                    this.cxApi = '/v1/training/list/?type=' + this.$options.vas;
                }
            },
            cxReady: function () {
            },
            appendComplete: function () {
            }
        },
        cxData: {
            type: 1,
            show: false,
            transitionName: 'cxpRight'
        },
        methods: {
            changeTabs: function (sub) {
                this.type = sub;
                this.cxApi = '/v1/training/list/?type=' + this.type;
                this.renData();
            },
            clickRBtn: function () {
                console.log('ol');
            },
            gobuy: function (item) {
                if (App.user.login) {
                    App.buyinfo = item;
                    App.buyinfo.pcDes = item.contents + ' [' + item.date_start + '至' + item.date_end + ']';
                    App.buyinfo.upUrl = '/v1/training/reservation/';
                } else {
                    App.confirm('请先登陆', {
                        onConfirm: function () {
                            window.location.href = '#u/ulogin';
                        }
                    });
                }
            }
        }
    });
    return v;
});
define('tpl/reserve/r_cultivate2.html', [], function () {
    return '<div id="r_cultivate2" v-if="show" :transition="transitionName">\r\n    <com-utopbar v-ref:utopbar title="培训详情" btname="" v-on:btn-evt="clickRBtn"></com-utopbar>\r\n    <div class="wrapper4" id="r_cultivate_con2">\r\n        <div class="page">\r\n            <div class="page__bd">\r\n                <div class="weui-panel weui-panel_access t_item">\r\n                    <div class="weui-form-preview__hd">\r\n                        <label class="weui-form-preview__label">\r\n                        {{title}}\r\n                        </label>\r\n                        <em class="weui-form-preview__value">\xA5{{selling_price}}\r\n                        <span class="txtDel">\xA5{{original_price}}</span>\r\n                        </em>\r\n                    </div>\r\n                    <div class="weui-panel__bd">\r\n                        <div class="weui-media-box weui-media-box_text">\r\n                            <div class="g">\r\n                                <div class="col col-6">\r\n                                    <p>\r\n                                        {{{contents}}}<br /> 限定人数\uFF1A{{training_size}}<br /> 开始时间\uFF1A{{date_start}}<br />结束时间\uFF1A{{date_end}}\r\n                                    </p>\r\n                                </div>\r\n                            </div>\r\n                        </div>\r\n                    </div>\r\n                </div>\r\n                <div class="weui-cells" v-if="time_table.length>0">\r\n                    <template v-for="(i,item) in time_table">\r\n                        <a class="weui-cell weui-cell_access" @click="gobuy(item)">\r\n                            <div class="weui-cell__bd">\r\n                                <p>{{item.time_start}} - {{item.time_end}} </p>\r\n                            </div>\r\n                            <div class="weui-cell__ft"> <span style="display:inline-block;padding-right:12px;font-size:12px;">{{item.reservation_count}}/{{training_size}}人</span> 选择报名</div>\r\n                        </a>\r\n                    </template>\r\n                </div>\r\n                <div v-else style="text-align:center;">没有开课时间</div>\r\n            </div>\r\n        </div>\r\n    </div>\r\n</div>';
});
var App = App || {};
define('views/reserve/rcultivate2', [
    'uview',
    'tpl/reserve/r_cultivate2.html',
    'views/component/utopBar_2'
], function (uview, tpl, utopbar) {
    var v = uview.extend({
        template: tpl,
        components: { 'com-utopbar': utopbar },
        objectExtend: {
            cxName: 'rcultivate2',
            cxId: '#r-cultivate2',
            cxWpid: '#r_cultivate_con2',
            cxNextPageNs: ['rcultivate3'],
            cxApi: '/v1/training/list/',
            cxAutoShow: true,
            cxAutoload: true,
            cxInit: function () {
            },
            cxCreated: function () {
                App.p.od = {};
                if (typeof this.$options.vas != 'undefined') {
                    this.cxApi = this.cxApi + this.$options.vas + '/';
                }
            },
            cxReady: function () {
            },
            appendComplete: function () {
            }
        },
        cxData: {
            show: false,
            transitionName: 'cxpRight'
        },
        methods: {
            closeMask: function () {
            },
            clickRBtn: function () {
                console.log('ol');
            },
            gobuy: function (item) {
                if (App.user.login) {
                    App.p.od = {
                        title: this.title,
                        training_size: this.training_size,
                        selling_price: this.selling_price,
                        sed: item,
                        training: this.$options.vas
                    };
                    window.location.href = '#r/rcultivate3';
                } else {
                    App.confirm('请先登陆', {
                        onConfirm: function () {
                            window.location.href = '#u/ulogin';
                        }
                    });
                }
            }
        }
    });
    return v;
});
define('tpl/reserve/r_cultivate3.html', [], function () {
    return '<div id="r_cultivate3" v-if="show" :transition="transitionName">\r\n    <com-utopbar v-ref:utopbar title="培训详情" btname="" v-on:btn-evt="clickRBtn"></com-utopbar>\r\n    <div class="wrapper4" id="r_cultivate_con3">\r\n        <div class="page">\r\n            <div class="page__bd">\r\n                <div class="weui-panel weui-panel_access t_item">\r\n                    <div class="weui-form-preview__hd">\r\n                        <label class="weui-form-preview__label">\r\n                        {{od.title}}\r\n                        </label>\r\n                        <em class="weui-form-preview__value">\xA5{{od.selling_price}}\r\n                        </em>\r\n                    </div>\r\n                    <div class="weui-panel__bd">\r\n                        <div class="weui-media-box weui-media-box_text">\r\n                            <div class="g">\r\n                                <div class="col col-6">\r\n                                    <p>\r\n                                        班次{{sd.time_start}}-{{sd.time_end}}\r\n                                    </p>\r\n                                </div>\r\n                            </div>\r\n                        </div>\r\n                    </div>\r\n                </div>\r\n                <template v-for="(i,item) in ulist">\r\n                    <div class="weui-cells__title">填写个人信息 {{(i+1)}}</div>\r\n                    <div class="weui-cells weui-cells_form">\r\n                        <div class="weui-cell">\r\n                            <div class="weui-cell__hd"><label class="weui-label">姓名</label></div>\r\n                            <div class="weui-cell__bd">\r\n                                <input class="weui-input" type="text" placeholder="联系姓名" v-model="item.name">\r\n                            </div>\r\n                        </div>\r\n                        <div class="weui-cell">\r\n                            <div class="weui-cell__hd"><label class="weui-label">电话</label></div>\r\n                            <div class="weui-cell__bd">\r\n                                <input class="weui-input" type="text" placeholder="联系电话" v-model="item.phone">\r\n                            </div>\r\n                        </div>\r\n                        <div class="weui-cell">\r\n                            <div class="weui-cell__hd"><label class="weui-label">年龄</label></div>\r\n                            <div class="weui-cell__bd">\r\n                                <input class="weui-input" type="text" placeholder="你的年龄" v-model="item.age">\r\n                            </div>\r\n                        </div>\r\n                        <div class="weui-cell weui-cell_select weui-cell_select-after">\r\n                            <div class="weui-cell__hd">\r\n                                <label for="" class="weui-label">性别</label>\r\n                            </div>\r\n                            <div class="weui-cell__bd">\r\n                                <select class="weui-select" name="select2" v-model="item.sex">\r\n                                    <option value="0">不限</option>\r\n                                    <option value="1">男</option>\r\n                                    <option value="2">女</option>\r\n                                </select>\r\n                            </div>\r\n                        </div>\r\n                        <div class="weui-cell">\r\n                            <div class="weui-cell__hd"><label class="weui-label">学校</label></div>\r\n                            <div class="weui-cell__bd">\r\n                                <input class="weui-input" type="text" placeholder="填写学校" v-model="item.school">\r\n                            </div>\r\n                        </div>\r\n                        <div class="weui-cell">\r\n                            <div class="weui-cell__hd"><label class="weui-label">班级</label></div>\r\n                            <div class="weui-cell__bd">\r\n                                <input class="weui-input" type="text" placeholder="填写班级" v-model="item.classroom">\r\n                            </div>\r\n                        </div>\r\n                    </div>\r\n                </template>\r\n                <div class="weui-cells__title">支付选择</div>\r\n                <div class="weui-cells weui-cells_radio">\r\n                    <label class="weui-cell weui-check__label" for="x11">\r\n                    <div class="weui-cell__bd">\r\n                        <p><i class="fa fa-wechat" aria-hidden="true"></i> 微信</p>\r\n                    </div>\r\n                    <div class="weui-cell__ft">\r\n                        <input type="radio" v-model="paytype" value="1" class="weui-check" name="payselt" id="x11" checked="checked">\r\n                        <span class="weui-icon-checked"></span>\r\n                    </div>\r\n                </label>\r\n                    <label class="weui-cell weui-check__label" for="x12">\r\n\r\n                    <div class="weui-cell__bd">\r\n                        <p><i class="fa fa-money" aria-hidden="true"></i> 余额</p>\r\n                    </div>\r\n                    <div class="weui-cell__ft">\r\n                        <input type="radio"  v-model="paytype" value="3" name="payselt" class="weui-check" id="x12">\r\n                        <span class="weui-icon-checked"></span>\r\n                    </div>\r\n                </label>\r\n                </div>\r\n                <div style="padding:20px 50px;     text-align: center;">\r\n                    <a href="javascript:;" style="display: inline-block;padding:0 10px;" class="weui-btn weui-btn_plain-primary" @click="adduser">新增人数</a>\r\n                    <a href="javascript:;" style="display: inline-block;padding:0 10px;" class="weui-btn weui-btn_plain-primary" @click="gobuy">提交报名</a>\r\n                </div>\r\n            </div>\r\n        </div>\r\n    </div>\r\n</div>';
});
var App = App || {};
define('views/reserve/rcultivate3', [
    'uview',
    'tpl/reserve/r_cultivate3.html',
    'views/component/utopBar_2'
], function (uview, tpl, utopbar) {
    var v = uview.extend({
        template: tpl,
        components: { 'com-utopbar': utopbar },
        objectExtend: {
            cxName: 'rcultivate3',
            cxId: '#r-cultivate3',
            cxWpid: '#r_cultivate_con3',
            cxNextPageNs: ['rorder'],
            cxApi: '/v1/training/list/',
            cxAutoShow: true,
            cxAutoload: true,
            cxInit: function () {
            },
            cxCreated: function () {
                this.ulist = [];
                this.od = App.p.od;
            },
            cxReady: function () {
                if (App.user.login) {
                    this.adduser();
                } else {
                    setTimeout(function () {
                        window.history.back();
                        setTimeout(function () {
                            App.alert('请先登陆');
                            window.location.href = '/#u/ulogin';
                        }, 600);
                    }, 600);
                }
            },
            appendComplete: function () {
            }
        },
        cxData: {
            show: false,
            paytype: 1,
            od: {},
            ulist: [],
            transitionName: 'cxpRight'
        },
        methods: {
            adduser: function () {
                var _u = {
                    name: '',
                    phone: '',
                    age: '',
                    sex: 0,
                    school: '',
                    classroom: ''
                };
                this.ulist.push(_u);
                this.$nextTick(this.vvrefresh);
            },
            vvrefresh: function () {
                this.vScroll.refresh();
            },
            clickRBtn: function () {
                console.log('ol');
            },
            gobuy: function () {
                var _this = this;
                var _data = {
                    time_table: this.od.sed.pk,
                    training: this.od.training,
                    user: App.user.uid,
                    paytype: this.paytype,
                    member_set_write: this.ulist
                };
                App.upData({
                    url: App.config.urlPath + '/v1/training/reservation/?' + App.config.accompany,
                    data: _data,
                    success: function (data) {
                        if (_this.paytype == 1) {
                            App.pay(JSON.stringify(data.results.message));
                        } else {
                            if (data.results.state == 0) {
                                App.warn(data.results.message);
                            } else {
                                window.location.href = '#u/utrain';
                            }
                        }
                    }
                });
            }
        }
    });
    return v;
});
var App = App || {};
define('views/reserve/rorder', [
    'uview',
    'views/component/utopBar_2',
    'tpl/ticket/t_order.html'
], function (uview, utopbar, tpl) {
    var v = uview.extend({
        template: tpl,
        components: { 'com-utopbar': utopbar },
        objectExtend: {
            cxName: 'rorder',
            cxId: '#t_order',
            cxWpid: '#t_order_m',
            cxApi: '/v1/venue/reservations/',
            cxAutoShow: true,
            cxInit: function () {
            },
            cxCreated: function () {
                if (App.buyinfo && App.user.login) {
                    this.ticket = App.buyinfo.pk;
                    this.time_range_reserved = App.buyinfo.time_range_reserved;
                    this.cxApi = App.buyinfo.upUrl;
                    this.date_reserved = App.buyinfo.date_reserved;
                    this.user = App.user.uid;
                    this.price = App.buyinfo.selling_price;
                    this.title = App.buyinfo.title;
                    this.pcDes = App.buyinfo.pcDes;
                    this.totalPrice = this.price * this.num;
                } else {
                    setTimeout(function () {
                        window.history.back();
                        setTimeout(function () {
                            App.alert('请先登陆');
                            window.location.href = '/#u/ulogin';
                        }, 600);
                    }, 600);
                }
            },
            cxReady: function () {
                this.$watch('num', function (val) {
                    this.totalPrice = this.price * val;
                });
            },
            appendComplete: function () {
            }
        },
        cxData: {
            time_range_reserved: 0,
            date_reserved: '',
            price: 0,
            num: 1,
            totalPrice: 0,
            show: true,
            paytype: 1,
            ticket: '',
            user: '',
            title: '',
            pcDes: '',
            is_exchanged: false,
            transitionName: 'cxpRight'
        },
        methods: {
            addNum: function () {
                this.num++;
            },
            delNum: function () {
                if (this.num > 1) {
                    this.num--;
                }
            },
            upDataFun: function () {
                var _this = this;
                App.loading(true);
                var _data = {
                    user: this.user,
                    date_reserved: this.date_reserved,
                    time_range_reserved: this.time_range_reserved,
                    paytype: this.paytype
                };
                if (this.cxApi == '/v1/coach/courses/reservation/') {
                    _data.course = this.ticket;
                } else if (this.cxApi == '/v1/training/reservation/') {
                    _data.training = this.ticket;
                } else if (this.cxApi == '/v1/venue/reservations/') {
                    _data.venue = this.ticket;
                    _data.venue_sub = App.buyinfo.venue_sub;
                }
                App.upData({
                    url: App.config.urlPath + this.cxApi + '?' + App.config.accompany,
                    data: _data,
                    success: function (data) {
                        App.loading(false);
                        if (data.results.state == 1) {
                            if (_this.paytype == 1) {
                                App.pay(JSON.stringify(data.results.message));
                            } else {
                                App.alert(data.results.message);
                                window.location.href = '#u/uorder/1';
                            }
                        } else {
                            App.alert(data.results.message);
                        }
                    }
                });
            }
        }
    });
    return v;
});
var App = App || {};
define('views/reserve', [
    'uview',
    'tpl/reserve.html',
    'views/reserve/rindex',
    'views/reserve/rtennis',
    'views/reserve/rtennisx',
    'views/reserve/rfood',
    'views/reserve/rtrain',
    'views/reserve/rtrainx',
    'views/reserve/rcultivate',
    'views/reserve/rcultivate2',
    'views/reserve/rcultivate3',
    'views/reserve/rorder'
], function (uview, tpl, rindex, rtennis, rtennisx, rfood, rtrain, rtrainx, rcultivate, rcultivate2, rcultivate3, rorder) {
    var v = uview.extend({
        template: tpl,
        objectExtend: {
            cxName: 'reserve',
            cxId: '#cx-reserve',
            cxChildId: '#reserve',
            cxAutoload: false,
            cxAutoShow: true,
            cxChildPage: {
                'rindex': rindex,
                'rtennis': rtennis,
                'rtennisx': rtennisx,
                'rfood': rfood,
                'rtrain': rtrain,
                'rtrainx': rtrainx,
                'rcultivate': rcultivate,
                'rcultivate2': rcultivate2,
                'rcultivate3': rcultivate3,
                'rorder': rorder
            },
            cxCreated: function () {
            },
            cxReady: function () {
                if (typeof this.$options.vas != 'undefined') {
                    this.openChild(this.$options.vas);
                } else {
                    this.openChild('rindex');
                }
            }
        },
        cxData: {
            transitionName: 'cxpFade',
            show: true
        },
        methods: {
            initChild: function (_obj) {
                this.initPage = _obj.child;
            }
        }
    });
    return v;
});
var App = App || {};
define('views/cxmain', [
    'uview',
    'tpl/main.html',
    'views/component/footBar',
    'views/home',
    'views/ucenter',
    'views/ticket',
    'views/group',
    'views/reserve'
], function (uview, tpl, footbar, home, ucenter, ticket, group, reserve) {
    var v = uview.extend({
        template: tpl,
        components: { 'com-footbar': footbar },
        objectExtend: {
            cxName: 'cxmain',
            cxId: '#cx-main',
            cxChildId: '#cx_main',
            cxAutoload: false,
            cxAutoShow: true,
            cxOs: null,
            cxChildPage: {
                'home': home,
                'ucenter': ucenter,
                'ticket': ticket,
                'group': group,
                'reserve': reserve
            },
            cxCreated: function () {
            },
            cxReady: function () {
            },
            openChildComplete: function (_val) {
                this.$refs.footbar.change(_val.child);
            }
        },
        cxData: {
            transitionName: 'cxpFade',
            show: true
        },
        methods: {
            footShow: function (_val) {
                this.$refs.footbar.show = _val;
            }
        }
    });
    return v;
});
(function (a) {
    function k(a, b, c, d) {
        var e = 0, f = 0, g = 0, c = (c || '(').toString(), d = (d || ')').toString(), h;
        for (h = 0; h < a.length; h++) {
            var i = a[h];
            if (i.indexOf(c, e) > i.indexOf(d, e) || ~i.indexOf(c, e) && !~i.indexOf(d, e) || !~i.indexOf(c, e) && ~i.indexOf(d, e)) {
                f = i.indexOf(c, e), g = i.indexOf(d, e);
                if (~f && !~g || !~f && ~g) {
                    var j = a.slice(0, (h || 1) + 1).join(b);
                    a = [j].concat(a.slice((h || 1) + 1));
                }
                e = (g > f ? g : f) + 1, h = 0;
            } else
                e = 0;
        }
        return a;
    }
    function j(a, b) {
        var c, d = 0, e = '';
        while (c = a.substr(d).match(/[^\w\d\- %@&]*\*[^\w\d\- %@&]*/))
            d = c.index + c[0].length, c[0] = c[0].replace(/^\*/, '([_.()!\\ %@&a-zA-Z0-9-]+)'), e += a.substr(0, c.index) + c[0];
        a = e += a.substr(d);
        var f = a.match(/:([^\/]+)/gi), g, h;
        if (f) {
            h = f.length;
            for (var j = 0; j < h; j++)
                g = f[j], g.slice(0, 2) === '::' ? a = g.slice(1) : a = a.replace(g, i(g, b));
        }
        return a;
    }
    function i(a, b, c) {
        c = a;
        for (var d in b)
            if (b.hasOwnProperty(d)) {
                c = b[d](a);
                if (c !== a)
                    break;
            }
        return c === a ? '([._a-zA-Z0-9-%()]+)' : c;
    }
    function h(a, b, c) {
        if (!a.length)
            return c();
        var d = 0;
        (function e() {
            b(a[d], function (b) {
                b || b === !1 ? (c(b), c = function () {
                }) : (d += 1, d === a.length ? c() : e());
            });
        }());
    }
    function g(a) {
        var b = [];
        for (var c = 0, d = a.length; c < d; c++)
            b = b.concat(a[c]);
        return b;
    }
    function f(a, b) {
        for (var c = 0; c < a.length; c += 1)
            if (b(a[c], c, a) === !1)
                return;
    }
    function c() {
        return b.hash === '' || b.hash === '#';
    }
    var b = document.location, d = {
            mode: 'modern',
            hash: b.hash,
            history: !1,
            check: function () {
                var a = b.hash;
                a != this.hash && (this.hash = a, this.onHashChanged());
            },
            fire: function () {
                this.mode === 'modern' ? this.history === !0 ? window.onpopstate() : window.onhashchange() : this.onHashChanged();
            },
            init: function (a, b) {
                function d(a) {
                    for (var b = 0, c = e.listeners.length; b < c; b++)
                        e.listeners[b](a);
                }
                var c = this;
                this.history = b, e.listeners || (e.listeners = []);
                if ('onhashchange' in window && (document.documentMode === undefined || document.documentMode > 7))
                    this.history === !0 ? setTimeout(function () {
                        window.onpopstate = d;
                    }, 500) : window.onhashchange = d, this.mode = 'modern';
                else {
                    var f = document.createElement('iframe');
                    f.id = 'state-frame', f.style.display = 'none', document.body.appendChild(f), this.writeFrame(''), 'onpropertychange' in document && 'attachEvent' in document && document.attachEvent('onpropertychange', function () {
                        event.propertyName === 'location' && c.check();
                    }), window.setInterval(function () {
                        c.check();
                    }, 50), this.onHashChanged = d, this.mode = 'legacy';
                }
                e.listeners.push(a);
                return this.mode;
            },
            destroy: function (a) {
                if (!!e && !!e.listeners) {
                    var b = e.listeners;
                    for (var c = b.length - 1; c >= 0; c--)
                        b[c] === a && b.splice(c, 1);
                }
            },
            setHash: function (a) {
                this.mode === 'legacy' && this.writeFrame(a), this.history === !0 ? (window.history.pushState({}, document.title, a), this.fire()) : b.hash = a[0] === '/' ? a : '/' + a;
                return this;
            },
            writeFrame: function (a) {
                var b = document.getElementById('state-frame'), c = b.contentDocument || b.contentWindow.document;
                c.open(), c.write('<script>_hash = \'' + a + '\'; onload = parent.listener.syncHash;<script>'), c.close();
            },
            syncHash: function () {
                var a = this._hash;
                a != b.hash && (b.hash = a);
                return this;
            },
            onHashChanged: function () {
            }
        }, e = a.Router = function (a) {
            if (this instanceof e)
                this.params = {}, this.routes = {}, this.methods = [
                    'on',
                    'once',
                    'after',
                    'before'
                ], this.scope = [], this._methods = {}, this._insert = this.insert, this.insert = this.insertEx, this.historySupport = (window.history != null ? window.history.pushState : null) != null, this.configure(), this.mount(a || {});
            else
                return new e(a);
        };
    e.prototype.init = function (a) {
        var e = this, f;
        this.handler = function (a) {
            var b = a && a.newURL || window.location.hash, c = e.history === !0 ? e.getPath() : b.replace(/.*#/, '');
            e.dispatch('on', c.charAt(0) === '/' ? c : '/' + c);
        }, d.init(this.handler, this.history), this.history === !1 ? c() && a ? b.hash = a : c() || e.dispatch('on', '/' + b.hash.replace(/^(#\/|#|\/)/, '')) : (this.convert_hash_in_init ? (f = c() && a ? a : c() ? null : b.hash.replace(/^#/, ''), f && window.history.replaceState({}, document.title, f)) : f = this.getPath(), (f || this.run_in_init === !0) && this.handler());
        return this;
    }, e.prototype.explode = function () {
        var a = this.history === !0 ? this.getPath() : b.hash;
        a.charAt(1) === '/' && (a = a.slice(1));
        return a.slice(1, a.length).split('/');
    }, e.prototype.setRoute = function (a, b, c) {
        var e = this.explode();
        typeof a == 'number' && typeof b == 'string' ? e[a] = b : typeof c == 'string' ? e.splice(a, b, s) : e = [a], d.setHash(e.join('/'));
        return e;
    }, e.prototype.insertEx = function (a, b, c, d) {
        a === 'once' && (a = 'on', c = function (a) {
            var b = !1;
            return function () {
                if (!b) {
                    b = !0;
                    return a.apply(this, arguments);
                }
            };
        }(c));
        return this._insert(a, b, c, d);
    }, e.prototype.getRoute = function (a) {
        var b = a;
        if (typeof a == 'number')
            b = this.explode()[a];
        else if (typeof a == 'string') {
            var c = this.explode();
            b = c.indexOf(a);
        } else
            b = this.explode();
        return b;
    }, e.prototype.destroy = function () {
        d.destroy(this.handler);
        return this;
    }, e.prototype.getPath = function () {
        var a = window.location.pathname;
        a.substr(0, 1) !== '/' && (a = '/' + a);
        return a;
    };
    var l = /\?.*/;
    e.prototype.configure = function (a) {
        a = a || {};
        for (var b = 0; b < this.methods.length; b++)
            this._methods[this.methods[b]] = !0;
        this.recurse = a.recurse || this.recurse || !1, this.async = a.async || !1, this.delimiter = a.delimiter || '/', this.strict = typeof a.strict == 'undefined' ? !0 : a.strict, this.notfound = a.notfound, this.resource = a.resource, this.history = a.html5history && this.historySupport || !1, this.run_in_init = this.history === !0 && a.run_handler_in_init !== !1, this.convert_hash_in_init = this.history === !0 && a.convert_hash_in_init !== !1, this.every = {
            after: a.after || null,
            before: a.before || null,
            on: a.on || null
        };
        return this;
    }, e.prototype.param = function (a, b) {
        a[0] !== ':' && (a = ':' + a);
        var c = new RegExp(a, 'g');
        this.params[a] = function (a) {
            return a.replace(c, b.source || b);
        };
        return this;
    }, e.prototype.on = e.prototype.route = function (a, b, c) {
        var d = this;
        !c && typeof b == 'function' && (c = b, b = a, a = 'on');
        if (Array.isArray(b))
            return b.forEach(function (b) {
                d.on(a, b, c);
            });
        b.source && (b = b.source.replace(/\\\//gi, '/'));
        if (Array.isArray(a))
            return a.forEach(function (a) {
                d.on(a.toLowerCase(), b, c);
            });
        b = b.split(new RegExp(this.delimiter)), b = k(b, this.delimiter), this.insert(a, this.scope.concat(b), c);
    }, e.prototype.path = function (a, b) {
        var c = this, d = this.scope.length;
        a.source && (a = a.source.replace(/\\\//gi, '/')), a = a.split(new RegExp(this.delimiter)), a = k(a, this.delimiter), this.scope = this.scope.concat(a), b.call(this, this), this.scope.splice(d, a.length);
    }, e.prototype.dispatch = function (a, b, c) {
        function h() {
            d.last = e.after, d.invoke(d.runlist(e), d, c);
        }
        var d = this, e = this.traverse(a, b.replace(l, ''), this.routes, ''), f = this._invoked, g;
        this._invoked = !0;
        if (!e || e.length === 0) {
            this.last = [], typeof this.notfound == 'function' && this.invoke([this.notfound], {
                method: a,
                path: b
            }, c);
            return !1;
        }
        this.recurse === 'forward' && (e = e.reverse()), g = this.every && this.every.after ? [this.every.after].concat(this.last) : [this.last];
        if (g && g.length > 0 && f) {
            this.async ? this.invoke(g, this, h) : (this.invoke(g, this), h());
            return !0;
        }
        h();
        return !0;
    }, e.prototype.invoke = function (a, b, c) {
        var d = this, e;
        this.async ? (e = function (c, d) {
            if (Array.isArray(c))
                return h(c, e, d);
            typeof c == 'function' && c.apply(b, (a.captures || []).concat(d));
        }, h(a, e, function () {
            c && c.apply(b, arguments);
        })) : (e = function (c) {
            if (Array.isArray(c))
                return f(c, e);
            if (typeof c == 'function')
                return c.apply(b, a.captures || []);
            typeof c == 'string' && d.resource && d.resource[c].apply(b, a.captures || []);
        }, f(a, e));
    }, e.prototype.traverse = function (a, b, c, d, e) {
        function l(a) {
            function c(a) {
                for (var b = a.length - 1; b >= 0; b--)
                    Array.isArray(a[b]) ? (c(a[b]), a[b].length === 0 && a.splice(b, 1)) : e(a[b]) || a.splice(b, 1);
            }
            function b(a) {
                var c = [];
                for (var d = 0; d < a.length; d++)
                    c[d] = Array.isArray(a[d]) ? b(a[d]) : a[d];
                return c;
            }
            if (!e)
                return a;
            var d = b(a);
            d.matched = a.matched, d.captures = a.captures, d.after = a.after.filter(e), c(d);
            return d;
        }
        var f = [], g, h, i, j, k;
        if (b === this.delimiter && c[a]) {
            j = [[
                    c.before,
                    c[a]
                ].filter(Boolean)], j.after = [c.after].filter(Boolean), j.matched = !0, j.captures = [];
            return l(j);
        }
        for (var m in c)
            if (c.hasOwnProperty(m) && (!this._methods[m] || this._methods[m] && typeof c[m] == 'object' && !Array.isArray(c[m]))) {
                g = h = d + this.delimiter + m, this.strict || (h += '[' + this.delimiter + ']?'), i = b.match(new RegExp('^' + h));
                if (!i)
                    continue;
                if (i[0] && i[0] == b && c[m][a]) {
                    j = [[
                            c[m].before,
                            c[m][a]
                        ].filter(Boolean)], j.after = [c[m].after].filter(Boolean), j.matched = !0, j.captures = i.slice(1), this.recurse && c === this.routes && (j.push([
                        c.before,
                        c.on
                    ].filter(Boolean)), j.after = j.after.concat([c.after].filter(Boolean)));
                    return l(j);
                }
                j = this.traverse(a, b, c[m], g);
                if (j.matched) {
                    j.length > 0 && (f = f.concat(j)), this.recurse && (f.push([
                        c[m].before,
                        c[m].on
                    ].filter(Boolean)), j.after = j.after.concat([c[m].after].filter(Boolean)), c === this.routes && (f.push([
                        c.before,
                        c.on
                    ].filter(Boolean)), j.after = j.after.concat([c.after].filter(Boolean)))), f.matched = !0, f.captures = j.captures, f.after = j.after;
                    return l(f);
                }
            }
        return !1;
    }, e.prototype.insert = function (a, b, c, d) {
        var e, f, g, h, i;
        b = b.filter(function (a) {
            return a && a.length > 0;
        }), d = d || this.routes, i = b.shift(), /\:|\*/.test(i) && !/\\d|\\w/.test(i) && (i = j(i, this.params));
        if (b.length > 0) {
            d[i] = d[i] || {};
            return this.insert(a, b, c, d[i]);
        }
        {
            if (!!i || !!b.length || d !== this.routes) {
                f = typeof d[i], g = Array.isArray(d[i]);
                if (d[i] && !g && f == 'object') {
                    e = typeof d[i][a];
                    switch (e) {
                    case 'function':
                        d[i][a] = [
                            d[i][a],
                            c
                        ];
                        return;
                    case 'object':
                        d[i][a].push(c);
                        return;
                    case 'undefined':
                        d[i][a] = c;
                        return;
                    }
                } else if (f == 'undefined') {
                    h = {}, h[a] = c, d[i] = h;
                    return;
                }
                throw new Error('Invalid route context: ' + f);
            }
            e = typeof d[a];
            switch (e) {
            case 'function':
                d[a] = [
                    d[a],
                    c
                ];
                return;
            case 'object':
                d[a].push(c);
                return;
            case 'undefined':
                d[a] = c;
                return;
            }
        }
    }, e.prototype.extend = function (a) {
        function e(a) {
            b._methods[a] = !0, b[a] = function () {
                var c = arguments.length === 1 ? [
                    a,
                    ''
                ] : [a];
                b.on.apply(b, c.concat(Array.prototype.slice.call(arguments)));
            };
        }
        var b = this, c = a.length, d;
        for (d = 0; d < c; d++)
            e(a[d]);
    }, e.prototype.runlist = function (a) {
        var b = this.every && this.every.before ? [this.every.before].concat(g(a)) : g(a);
        this.every && this.every.on && b.push(this.every.on), b.captures = a.captures, b.source = a.source;
        return b;
    }, e.prototype.mount = function (a, b) {
        function d(b, d) {
            var e = b, f = b.split(c.delimiter), g = typeof a[b], h = f[0] === '' || !c._methods[f[0]], i = h ? 'on' : e;
            h && (e = e.slice((e.match(new RegExp('^' + c.delimiter)) || [''])[0].length), f.shift());
            h && g === 'object' && !Array.isArray(a[b]) ? (d = d.concat(f), c.mount(a[b], d)) : (h && (d = d.concat(e.split(c.delimiter)), d = k(d, c.delimiter)), c.insert(i, d, a[b]));
        }
        if (!!a && typeof a == 'object' && !Array.isArray(a)) {
            var c = this;
            b = b || [], Array.isArray(b) || (b = b.split(c.delimiter));
            for (var e in a)
                a.hasOwnProperty(e) && d(e, b.slice(0));
        }
    };
}(typeof exports == 'object' ? exports : window));
define('director', [], function () {
    return;
});
var App = App || {};
define('router', ['director'], function (Director) {
    var _page = '';
    var openPage = function (_obj) {
        if (App.cxmain.cxChildP) {
            if (App.cxmain.cxChildP.cxName == _page) {
                if (_obj.child != _page) {
                    App.cxmain.cxChildP.openChild(_obj);
                } else {
                    _obj.child = _obj.vas;
                    App.cxmain.cxChildP.openChild(_obj);
                }
            } else {
                if (typeof _obj.vas == 'undefined') {
                    App.cxmain.openChild({
                        child: _page,
                        vas: _obj.child
                    });
                } else {
                    if (_obj.child != _page) {
                        App.cxmain.openChild({
                            child: _page,
                            vas: _obj
                        });
                    } else {
                        App.cxmain.openChild({
                            child: _page,
                            vas: _obj.vas
                        });
                    }
                }
            }
        } else {
            if (typeof _obj.vas == 'undefined') {
                App.cxmain.openChild({
                    child: _page,
                    vas: _obj.child
                });
            } else if (_obj.child == _page) {
                App.cxmain.openChild(_obj);
            } else {
                App.cxmain.openChild({
                    child: _page,
                    vas: _obj
                });
            }
        }
    };
    var home = function (child, vas) {
        _page = 'home';
        if (typeof child == 'undefined') {
            child = 'hindex';
        }
        openPage({
            child: child,
            vas: vas
        });
    };
    var ticket = function (child, vas) {
        _page = 'ticket';
        if (typeof child == 'undefined') {
            child = 'tindex';
        }
        openPage({
            child: child,
            vas: vas
        });
    };
    var reserve = function (child, vas) {
        _page = 'reserve';
        if (typeof child == 'undefined') {
            openPage({
                child: 'reserve',
                vas: 'rindex'
            });
        } else {
            openPage({
                child: child,
                vas: vas
            });
        }
    };
    var group = function (child, vas) {
        _page = 'group';
        if (typeof child == 'undefined') {
            openPage({
                child: 'group',
                vas: 'gmain'
            });
        } else {
            openPage({
                child: child,
                vas: vas
            });
        }
    };
    var ucenter = function (child, vas) {
        _page = 'ucenter';
        if (typeof child == 'undefined') {
            openPage({
                child: 'ucenter',
                vas: 'uindex'
            });
        } else {
            openPage({
                child: child,
                vas: vas
            });
        }
    };
    var routes = {
        '#': home,
        '/h': home,
        '/h/:child': home,
        '/h/:child/:vas': home,
        '/t': ticket,
        '/t/:child': ticket,
        '/t/:child/:vas': ticket,
        '/r': reserve,
        '/r/:child': reserve,
        '/r/:child/:vas': reserve,
        '/g': group,
        '/g/:child': group,
        '/g/:child/:vas': group,
        '/u': ucenter,
        '/u/:child': ucenter,
        '/u/:child/:vas': ucenter
    };
    var router = new Router(routes);
    router.configure({
        on: function () {
        },
        before: function (a) {
        }
    });
    return router;
});
var App = App || {};
define('animate', ['vue'], function (Vue) {
    Vue.transition('cxpRight', {
        beforeEnter: function () {
            this._appendBefore();
            this.appendBefore();
        },
        enter: function () {
            this._appendInit();
            this.appendInit();
        },
        afterEnter: function () {
            this._appendComplete();
            this.appendComplete();
        },
        beforeLeave: function () {
            this._removeInit();
            this.removeInit();
        },
        afterLeave: function (_el) {
            this.transitionName = 'cxpLeft';
            this._removeComplete();
            this.removeComplete();
        }
    });
    Vue.transition('cxpLeft', {
        beforeEnter: function () {
            this._appendBefore();
            this.appendBefore();
        },
        enter: function () {
            this._appendInit();
            this.appendInit();
        },
        afterEnter: function () {
            this._appendComplete();
            this.appendComplete();
        },
        beforeLeave: function () {
            this._removeInit();
            this.removeInit();
        },
        afterLeave: function (_el) {
            this.transitionName = 'cxpRight';
            this._removeComplete();
            this.removeComplete();
        }
    });
    Vue.transition('cxpFade', {
        beforeEnter: function () {
            this._appendBefore();
            this.appendBefore();
        },
        enter: function () {
            this._appendInit();
            this.appendInit();
        },
        afterEnter: function () {
            this._appendComplete();
            this.appendComplete();
        },
        beforeLeave: function () {
            this._removeInit();
            this.removeInit();
        },
        afterLeave: function (_el) {
            this._removeComplete();
            this.removeComplete();
        }
    });
    Vue.transition('cxpFadeLeft', {
        beforeEnter: function () {
            this._appendBefore();
            this.appendBefore();
        },
        enter: function () {
            this._appendInit();
            this.appendInit();
        },
        afterEnter: function () {
            this._appendComplete();
            this.appendComplete();
        },
        beforeLeave: function () {
            this._removeInit();
            this.removeInit();
        },
        afterLeave: function (_el) {
            this._removeComplete();
            this.removeComplete();
        }
    });
    Vue.transition('cxpFadeRight', {
        beforeEnter: function () {
            this._appendBefore();
            this.appendBefore();
        },
        enter: function () {
            this._appendInit();
            this.appendInit();
        },
        afterEnter: function () {
            this._appendComplete();
            this.appendComplete();
        },
        beforeLeave: function () {
            this._removeInit();
            this.removeInit();
        },
        afterLeave: function (_el) {
            this._removeComplete();
            this.removeComplete();
        }
    });
});
define('tpl/com/alert.html', [], function () {
    return '<div class="weui_dialog_alert" v-if="type==\'warn\'">\r\n    <div class="weui-mask" @click="maskAct"></div>\r\n    <div class="weui-dialog">\r\n        <div class="weui_dialog_hd2">\r\n        <strong class="weui-dialog__title">{{{msg}}}</strong>\r\n        </div>\r\n    </div>\r\n</div>\r\n\r\n\r\n<div class="weui_dialog_alert" v-if="type==\'alert\'">\r\n    <div class="weui-mask" @click="maskAct"></div>\r\n    <div class="weui-dialog">\r\n        <div class="weui-dialog__hd">\r\n            <strong class="weui-dialog__title">{{title}}</strong>\r\n        </div>\r\n        <div class="weui-dialog__bd">{{{msg}}}</div>\r\n        <div class="weui-dialog__ft">\r\n            <a @click="alertOk" class="weui-dialog__btn weui-dialog__btn_primary">{{confirmTxt}}</a>\r\n        </div>\r\n    </div>\r\n</div>\r\n\r\n\r\n<div class="weui_dialog_confirm" v-if="type==\'confirm\'">\r\n    <div class="weui-mask" @click="maskAct"></div>\r\n    <div class="weui-dialog">\r\n        <div class="weui-dialog__bd">\r\n        <strong class="weui-dialog__title">{{title}}</strong>\r\n        </div>\r\n        <div class="weui-dialog__bd">{{{msg}}}</div> \r\n        <div class="weui-dialog__ft">\r\n            <a @click="onCancel" class="weui-dialog__btn weui-dialog__btn_default">{{cancelTxt}}</a>\r\n            <a @click="clickConfirm" class="weui-dialog__btn weui-dialog__btn_primary">{{confirmTxt}}</a>\r\n        </div>\r\n    </div>\r\n</div>\r\n';
});
define('alert', [
    'jquery',
    'vue',
    'tpl/com/alert.html'
], function ($, Vue, tpl) {
    App.alert = function (msg, _opt) {
        App.at.alert(msg, _opt);
    };
    App.warn = function (msg, _opt) {
        App.at.warn(msg, _opt);
    };
    App.confirm = function (msg, _opt) {
        App.at.confirm(msg, _opt);
    };
    var v = Vue.extend({
        template: tpl,
        data: function () {
            return {
                type: '',
                msg: '',
                title: '提示',
                confirmTxt: '确定',
                cancelTxt: '取消',
                maskTouch: true
            };
        },
        created: function () {
            var _this = this;
            this.$watch('type', function (newVal, oldVal) {
                if (newVal == '') {
                    _this.closed();
                }
            });
        },
        methods: {
            warn: function (msg, _opt) {
                this.overrideOption(_opt);
                this.type = 'warn';
                this.msg = msg;
            },
            alert: function (msg, _opt) {
                this.overrideOption(_opt);
                this.type = 'alert';
                this.msg = msg;
            },
            confirm: function (msg, _opt) {
                this.overrideOption(_opt);
                this.type = 'confirm';
                this.msg = msg;
            },
            alertOk: function () {
                this.type = '';
            },
            onCancel: function () {
                this.type = '';
            },
            onConfirm: function () {
            },
            clickConfirm: function () {
                this.type = '';
                this.onConfirm();
            },
            maskAct: function () {
                this.type = '';
            },
            closed: function () {
            },
            overrideOption: function (_opt) {
                this.closed = function () {
                };
                if (typeof _opt != 'undefined') {
                    for (var k in _opt) {
                        this[k] = _opt[k];
                    }
                } else {
                    this.type = '';
                    this.msg = '';
                    this.title = '提示';
                    this.confirmTxt = '确定';
                    this.cancelTxt = '取消';
                    this.maskTouch = true;
                }
            }
        }
    });
    return v;
});
define('tool', [
    'jquery',
    'underscore'
], function ($, _) {
    var loadSpr = {
        state: true,
        objArr: [],
        $loading: $('<div id="o_load"><div class="loading08"><div class="loader">Loading...</div></div></div>')
    };
    App.isWeixin = function (n) {
        var ua = navigator.userAgent.toLowerCase();
        if (ua.match(/MicroMessenger/i) == 'micromessenger') {
            return true;
        } else {
            return false;
        }
    };
    App.extend = function (subclass, superclass) {
        function o() {
            this.constructor = subclass;
        }
        o.prototype = superclass.prototype;
        return subclass.prototype = new o();
    };
    App.trace = function (val) {
        if (App.debug._init) {
            $('#trace').prepend(val + '</br>');
        } else {
            App.debug.trace.push(val);
        }
    };
    App.loading = function (_tf) {
        if (_tf) {
            if (loadSpr.state) {
                loadSpr.state = false;
                $('body').append(loadSpr.$loading);
                loadSpr.$loading.show();
            }
        } else {
            if (!loadSpr.state) {
                loadSpr.state = true;
                loadSpr.$loading.remove();
            }
        }
    };
    App.tool.Ftime = function (_num) {
        var _m = parseInt(parseInt(_num) / 60);
        var _s = parseInt(parseInt(_num) % 60);
        if (_m < 10)
            _m = '0' + _m;
        if (_s < 10)
            _s = '0' + _s;
        return _m + ':' + _s;
    };
    App.tool.getLength = function (_val) {
        return _val.replace(/[^\x00-\xff]/g, 'aa').length;
    };
    App.tool.IT = {
        o: {},
        new: function (_fun, _time) {
            var _d = new Date().getTime();
            this.o[_d] = setInterval(_fun, _time);
            return this.o[_d];
        },
        clear: function (_id) {
            clearInterval(_id);
        },
        clearAll: function () {
            for (var k in this.o) {
                clearInterval(this.o[k]);
            }
        }
    };
    App.pay = function (prepay_id, _funok, _funfail) {
        if (App.n.pay) {
            var _pty = 'wxpay';
            var funok = function (result) {
                App.loading(false);
                window.location.href = '#u';
                setTimeout(function () {
                    window.location.href = '#u/uorder';
                }, 600);
            };
            var funfail = function (error) {
                App.loading(false);
                App.trace('支付失败\uFF1A' + error.code);
                App.trace('失败说明\uFF1A' + error.message);
                App.alert('您的付款未完成', {
                    closed: function () {
                        window.location.href = '#u';
                        setTimeout(function () {
                            window.location.href = '#u/uorder';
                        }, 600);
                    }
                });
            };
            if (typeof _funok != 'undefined')
                funok = _funok;
            if (typeof _funfail != 'undefined')
                funfail = _funfail;
            App.n.pay.request(prepay_id, _pty, funok, funfail);
        } else {
            App.warn('无法调用支付');
            App.loading(false);
        }
    };
    var _$console = $('<div id=\'dbgConsole\'></div>');
    App.debug = {
        op: false,
        show: false,
        _init: false,
        asyncData: [],
        trace: [],
        $dbgStBtn: $('<div id=\'dbgStBtn\'></div>'),
        push: function (_date, _val, _type) {
            if (typeof _type == 'undefined')
                _type = 1;
            var _of = _val.indexOf('?');
            var _st = _val.lastIndexOf('/', _of) + 1;
            var _api = _val.substring(_st, _of);
            _o.asyncData.push({
                api: _api,
                date: _date,
                val: _val,
                type: _type
            });
        },
        init: function () {
            this.show = true;
            this._init = true;
            this.$dbgStBtn.click(function () {
                if (_o.op) {
                    _o.op = false;
                    _$console.remove();
                } else {
                    _o.op = true;
                    _$console.empty();
                    $('body').append(_$console);
                    _o.openConsole();
                }
            });
            $('#trace').show();
            var _lg = this.trace.length;
            if (_lg > 0) {
                for (var i = 0; i < _lg; i++) {
                    $('#trace').prepend(this.trace[i] + '</br>');
                }
                this.trace = [];
            }
            $('body').append(this.$dbgStBtn);
        },
        openConsole: function () {
            var _this = this;
            var _lg = this.asyncData.length;
            for (var k = _lg - 1; k >= 0; k--) {
                var _shl = '';
                if (this.asyncData[k].type == 1) {
                    _shl += '<span class=\'dbgSpan am-text-danger\'>';
                } else {
                    _shl += '<span class=\'dbgSpan am-text-success\'>';
                }
                _shl += this.asyncData[k].api + '<br />' + this.asyncData[k].type + ':' + k + '-';
                _shl += this.asyncData[k].date + '</span>';
                var _$span = $(_shl);
                _$span.click(k, function (_evt) {
                    App.alert(_this.asyncData[_evt.data].val);
                });
                _$console.append(_$span);
            }
        },
        open: function () {
            $('#trace').show();
            this.$dbgStBtn.show();
            this.show = true;
        },
        close: function () {
            $('#trace').hide();
            this.$dbgStBtn.hide();
            this.show = false;
        }
    };
    App.eImage = {
        $inputFile: null,
        href: '#u/eimage',
        api: '/v1/entry/imageupload/',
        ctp: 'application/x-www-form-urlencoded; charset=UTF-8',
        data: null,
        option: function (_o) {
            for (var k in _o) {
                this[k] = _o[k];
            }
        },
        edit: function () {
            if (this.data) {
                window.location.href = this.href;
            } else {
                App.alert('没有可编辑图像', { tips: true });
            }
        },
        confirm: function () {
            this.upData();
        },
        upData: function () {
            if (this.data && this.api != '') {
                App.loading(true);
                $.ajax({
                    url: App.config.urlPath + this.api,
                    data: {
                        user: 2,
                        img_data: this.data
                    },
                    contentType: this.ctp,
                    type: 'POST',
                    dataType: 'json',
                    success: function (db) {
                        App.eImage.success(db);
                        App.loading(false);
                    }
                });
            } else {
                App.alert('缺少数据', { tips: true });
            }
        },
        success: function (db) {
        },
        selectImage: function (_opt) {
            if (typeof _opt != 'undefined');
            {
                this.api = '';
                this.option(_opt);
            }
            if (App.n.is) {
                var _btn = [
                    {
                        name: '相册',
                        _fun: this.appSelectPic
                    },
                    {
                        name: '拍摄',
                        _fun: this.appCameraPic
                    }
                ];
                App.actions.open(_btn);
            } else {
                this.inputFile();
            }
        },
        appSelectPic: function () {
            App.actions.close();
            App.n.gallery.galleryImg(function (path) {
                App.eImage.localImg(path);
            });
        },
        appCameraPic: function () {
            App.actions.close();
            App.n.gallery.getImage(function (path) {
                setTimeout(function () {
                    App.eImage.localImg(path);
                }, 100);
            });
        },
        localImg: function (fileUrl) {
            App.trace('照片地址:' + fileUrl);
            if (typeof fileUrl == 'undefined') {
                App.alert('请选择图片');
            } else {
                this.option({ data: fileUrl });
                this.edit();
            }
        },
        inputFile: function () {
            var _this = this;
            this.$inputFile = $('<input type="file" name="imgOne" id="imgOne"  style="display: none;"/>');
            $('body').append(this.$inputFile);
            this.$inputFile.on('change', function (e) {
                _this.webImg(e.target.files[0]);
                _this.$inputFile.remove();
            });
            this.$inputFile.click();
        },
        webImg: function (_file) {
            if (typeof _file == 'undefined') {
                App.alert('请选择图片');
            } else {
                var _this = this;
                var reader = new FileReader();
                reader.onload = function (e) {
                    _this.option({ data: e.target.result });
                    _this.edit();
                };
                reader.readAsDataURL(_file);
            }
        }
    };
});
define('store', ['underscore'], function (_) {
    var localData = function (_val) {
        this.name = _val;
        if (typeof localStorage.getItem(_val) === 'string') {
            this.db = JSON.parse(localStorage.getItem(_val));
        } else {
            this.db = {};
            localStorage.setItem(_val, '{}');
        }
        this.init();
    };
    localData.extend = function (protoProps, staticProps) {
        var parent = this;
        var child;
        if (protoProps && _.has(protoProps, 'constructor')) {
            child = protoProps.constructor;
        } else {
            child = function () {
                return parent.apply(this, arguments);
            };
        }
        _.extend(child, parent, staticProps);
        child.prototype = _.create(parent.prototype, protoProps);
        child.prototype.constructor = child;
        child.__super__ = parent.prototype;
        return child;
    };
    localData.prototype.init = function () {
    };
    localData.prototype.set = function (_key, _val) {
        if (typeof _key === 'string') {
            var _objDot = _key.split('.');
            this.setDotVal(this.db, _objDot, _val);
        } else if (typeof _key === 'object') {
            for (var k in _key) {
                this.db[k] = _key[k];
            }
        } else {
            return this;
        }
        this.save();
    };
    localData.prototype.get = function (_key) {
        if (typeof _key === 'string') {
            var _objDot = _key.split('.');
            if (_objDot.length < 2) {
                if (_key.match(/\[(\d+)\]/)) {
                    var _sub = parseInt(_key.match(/\[(\d+)\]/)[1]);
                    var _arr = _key.substring(0, _key.indexOf('['));
                    return this._db[_arr][_sub];
                } else {
                    return this.db[_key];
                }
            }
        }
    };
    localData.prototype.del = function (_key) {
        if (typeof _key != 'undefined') {
            delete this.db[_key];
            this.save();
        } else {
            localStorage.removeItem(this.name);
        }
    };
    localData.prototype.toJSON = function () {
        return localStorage.getItem(this.name);
    };
    localData.prototype.setDotVal = function (_db, _objDotArr, _val) {
        var _key = _objDotArr.shift();
        if (_key.match(/\[(\d+)\]/)) {
            var _sub = parseInt(_key.match(/\[(\d+)\]/)[1]);
            var _arr = _key.substring(0, _key.indexOf('['));
            if (_db[_arr] instanceof Array) {
                if (_objDotArr.length > 0) {
                    this.setDotVal(_db[_arr][_sub], _objDotArr, _val);
                } else {
                    _db[_arr][_sub] = _val;
                }
            } else {
                throw '没有' + _arr + '数组对象';
            }
        } else if (_.has(_db, _key)) {
            if (_objDotArr.length > 0) {
                this.setDotVal(_db[_key], _objDotArr, _val);
            } else {
                _db[_key] = _val;
            }
        } else {
            _db[_key] = _val;
        }
    };
    localData.prototype.retArrVal = function () {
    };
    localData.prototype.save = function () {
        localStorage.setItem(this.name, JSON.stringify(this.db));
    };
    localData.prototype.getDb = function () {
        return JSON.parse(localStorage.getItem(this.name));
    };
    return localData;
});
define('tpl/com/actions.html', [], function () {
    return '<div v-if="show" :transition="transitionName">\r\n    <div class="weui-mask" @click="close" id="iosMask" style="opacity: 1;"></div>\r\n    <div class="weui-actionsheet" v-bind:class="isActive" id="iosActionsheet">\r\n        <div class="weui-actionsheet__menu">\r\n            <template v-for="(i,item) in list">\r\n                <div @click="ckBtn(i)" class="weui-actionsheet__cell">{{item}}</div>\r\n            </template>\r\n        </div>\r\n        <div class="weui-actionsheet__action">\r\n            <div class="weui-actionsheet__cell" @click="close" id="iosActionsheetCancel">取消</div>\r\n        </div>\r\n    </div>\r\n</div>\r\n';
});
define('actions', [
    'uview',
    'tpl/com/actions.html'
], function (uview, tpl) {
    var v = uview.extend({
        template: tpl,
        objectExtend: {
            cxName: 'usbase',
            cxId: '#u-sbase',
            btnfun: []
        },
        created: function () {
            var _this = this;
        },
        cxData: {
            show: false,
            isActive: '',
            transitionName: 'cxpFade',
            list: []
        },
        methods: {
            open: function (_btn) {
                var _this = this;
                this.list = [];
                this.btnfun = [];
                var lg = _btn.length;
                for (var i = 0; i < lg; i++) {
                    this.list.push(_btn[i].name);
                    this.btnfun.push(_btn[i]._fun);
                }
                this.show = true;
                setTimeout(function () {
                    _this.isActive = 'weui-actionsheet_toggle';
                }, 1);
            },
            ckBtn: function (i) {
                if (typeof this.btnfun[i] != 'undenfined') {
                    this.btnfun[i]();
                }
            },
            close: function () {
                this.isActive = '';
                this.show = false;
            }
        }
    });
    return v;
});
define('debug', ['jquery'], function ($) {
    var _$console = $('<div id=\'dbgConsole\'></div>');
    var _o = {};
    _o.op = false;
    _o.show = false;
    _o._init = false;
    _o.asyncData = [];
    _o.trace = [];
    _o.$dbgStBtn = $('<div id=\'dbgStBtn\'></div>');
    _o.push = function (_date, _val, _type) {
        if (typeof _type == 'undefined')
            _type = 1;
        var _of = _val.indexOf('?');
        var _st = _val.lastIndexOf('.smartplus.tech', _of) + 1;
        var _api = _val.substring(_st, _of);
        _o.asyncData.push({
            api: _api,
            date: _date,
            val: _val,
            type: _type
        });
    };
    _o.init = function () {
        $('#trace').click(function () {
            $(this).toggleClass('act');
        });
        this.show = true;
        this._init = true;
        this.$dbgStBtn.click(function () {
            if (_o.op) {
                _o.op = false;
                _$console.remove();
            } else {
                _o.op = true;
                _$console.empty();
                $('body').append(_$console);
                _o.openConsole();
            }
        });
        $('#trace').show();
        var _lg = this.trace.length;
        if (_lg > 0) {
            for (var i = 0; i < _lg; i++) {
                $('#trace').prepend(this.trace[i] + '</br>');
            }
            this.trace = [];
        }
        $('body').append(this.$dbgStBtn);
    };
    _o.openConsole = function () {
        var _this = this;
        var _lg = this.asyncData.length;
        for (var k = _lg - 1; k >= 0; k--) {
            var _shl = '';
            if (this.asyncData[k].type == 1) {
                _shl += '<span class=\'weui-btn weui-btn_warn\'>';
            } else {
                _shl += '<span class=\'weui-btn weui-btn_primary\'>';
            }
            _shl += this.asyncData[k].api + '<br />' + this.asyncData[k].type + ':' + k + '-';
            _shl += this.asyncData[k].date + '</span>';
            var _$span = $(_shl);
            _$span.click(k, function (_evt) {
                App.alert(_this.asyncData[_evt.data].val);
            });
            _$console.append(_$span);
        }
    };
    _o.open = function () {
        $('#trace').show();
        this.$dbgStBtn.show();
        this.show = true;
    };
    _o.close = function () {
        $('#trace').hide();
        this.$dbgStBtn.hide();
        this.show = false;
    };
    return _o;
});
define('init', [
    'views/cxmain',
    'router',
    'animate',
    'alert',
    'tool',
    'store',
    'actions',
    'debug'
], function (main, router, animate, alert, tool, store, actions, debug) {
    var user = new store('user');
    App.debug = debug;
    App.init = function (_fun) {
        App.trace('当前版本\uFF1A' + App.v);
        App.cxmain = new main();
        App.cxmain.$mount().$appendTo('#main');
        App.at = new alert();
        App.at.$mount().$appendTo('#main');
        App.actions = new actions();
        App.actions.$mount().$appendTo('#main');
        App.router = router;
        App.loading(true);
        App.ldUserinfo(function () {
            App.loading(false);
            App.trace('开始路由->' + window.location.href);
            App.router.init('h');
        });
    };
    return App.init;
});
var App = App || {};
define('userinfo', [
    'jquery',
    'underscore'
], function ($, _) {
    var relNotice = function (_fun) {
        var _this = this;
        var _url = App.config.urlPath + '...' + App.config.accompany;
        App.upData({
            url: _url,
            success: function (data) {
            }
        });
    };
    App.user = function () {
        var _token = '';
        var _uid = '';
        var _rt = 'web';
        var _info = {};
        var p = {
            device: null,
            info: null,
            notice: null,
            login: false,
            v: App.v,
            accompany: function () {
                var _str = 'v=' + this.v;
                _str += '&rt=' + _rt;
                App.config.accompany = _str;
                return _str;
            },
            relnotice: relNotice
        };
        Object.defineProperty(p, 'info', {
            get: function () {
                if (localStorage.info) {
                    _info = JSON.parse(localStorage.info);
                }
                return _info;
            },
            set: function (_val) {
                _info = _val;
                localStorage.info = JSON.stringify(_val);
            }
        });
        Object.defineProperty(p, 'uid', {
            get: function () {
                if (localStorage.uid) {
                    _uid = localStorage.uid;
                }
                return _uid;
            },
            set: function (_val) {
                if (_val == '') {
                    localStorage.removeItem('uid');
                    App.user.login = false;
                } else {
                    _uid = _val;
                    localStorage.uid = _val;
                }
                this.accompany();
            }
        });
        Object.defineProperty(p, 'rt', {
            get: function () {
                return _rt;
            },
            set: function (_val) {
                _rt = _val;
                this.accompany();
            }
        });
        Object.defineProperty(p, 'token', {
            get: function () {
                if (localStorage.token) {
                    _token = localStorage.token;
                }
                return _token;
            },
            set: function (_val) {
                App.config.token = _token = _val;
                if (_val == '') {
                    localStorage.removeItem('token');
                    App.user.login = false;
                } else {
                    App.user.login = true;
                    localStorage.token = _val;
                }
                this.accompany();
            }
        });
        return p;
    }();
    App.ldUserinfo = function (_fun) {
        if (App.user.uid) {
            App.upData({
                type: 'GET',
                url: App.config.urlPath + '/v1/user/profile/' + App.user.uid + '/',
                success: function (data) {
                    App.user.info = data;
                    App.user.login = true;
                    if (typeof _fun != 'undenfined') {
                        _fun();
                    }
                },
                error: function (a, b, c) {
                    if (typeof _fun != 'undenfined') {
                        _fun();
                    }
                    try {
                        var results = a.responseJSON;
                        console.log(results.detail);
                    } catch (err) {
                        console.log(err);
                    }
                }
            });
        } else {
            _fun();
        }
    };
    App.logout = function (_fun) {
        App.loading(true);
        App.upData({
            type: 'GET',
            url: App.config.urlPath + '/v1/entry/api_user_logout/',
            data: { os_type: 1 },
            success: function (data) {
                App.loading(false);
                App.user.token = '';
                App.user.info = null;
                App.user.notice = null;
                if (typeof _fun != 'undenfined') {
                    _fun();
                }
            }
        });
    };
    return App.user;
});
var App = App || {};
define('channel/app/n.event', [], function () {
    var _event = function () {
        return {
            init: function () {
                this.backbutton();
                this.resume();
                return this;
            },
            backbutton: function () {
                var _it = null;
                var _bk = 0;
                App.trace('监听backbutton');
                window.plus.key.addEventListener('backbutton', function (e) {
                    App.trace('触发返回键');
                    App.trace('当前页\uFF1A' + App.cxmain.cxChildP.cxName);
                    if (App.cxmain.cxChildP.cxChildP) {
                        var _cxName = App.cxmain.cxChildP.cxChildP.cxName;
                        App.trace('后退前页面\uFF1A' + _cxName);
                        if (_cxName == 'hindex') {
                            _bk++;
                            if (_it) {
                                clearTimeout(_it);
                            }
                            _it = setTimeout(function () {
                                _bk = 0;
                            }, 1000);
                            if (_bk > 1) {
                                plus.runtime.quit();
                            } else {
                                plus.nativeUI.toast('在按一下退出');
                            }
                            return false;
                        }
                    }
                    for (var k in this.backEvent) {
                        this.backEvent[k]();
                    }
                    window.history.back();
                });
            },
            resume: function () {
                document.addEventListener('resume', function (e) {
                    App.trace('回到系统');
                    App.loading(false);
                }, false);
            }
        };
    };
    return _event;
});
var App = App || {};
define('channel/app/n.pay', [], function () {
    var _pay = function () {
        return {
            init: function () {
                this.getChannel();
                return this;
            },
            channels: {},
            channel: null,
            getChannel: function (_fun) {
                var _this = this;
                plus.payment.getChannels(function (cs) {
                    for (var k in cs) {
                        var channel = cs[k];
                        _this.channels[channel.id] = channel;
                        App.trace('支付类型:' + channel.id + ':' + channel.description);
                    }
                }, function (e) {
                    App.trace('获取支付通道失败\uFF1A' + e.message);
                });
            },
            request: function (_statement, _pay, _success, _error) {
                App.trace('去支付\uFF1A' + _pay);
                this.debug('------goPay------<br/><br/>' + _statement);
                var _this = this;
                this.getChannel();
                setTimeout(function () {
                    plus.payment.request(_this.channels[_pay], _statement, function (result) {
                        App.loading(false);
                        _success(result);
                    }, function (error) {
                        App.loading(false);
                        _error(error);
                    });
                }, 1000);
            },
            debug: function (_val, _type) {
                if (App.debug) {
                    var _d = new Date();
                    var _tm = _d.getDate() + '' + _d.getHours() + '' + _d.getMinutes();
                    _tm += '' + _d.getSeconds() + '' + _d.getMilliseconds();
                    App.debug.push(_tm, _val, _type);
                }
            }
        };
    };
    return _pay;
});
var App = App || {};
define('channel/app/n.share', [], function () {
    App.n.share = {
        sharewx: null,
        baseurl: App.config.fPath,
        content_base: '',
        title: '',
        content: '',
        href: '',
        scene: 0,
        initflag: 0,
        init: function () {
        },
        share: function () {
        },
        sharecount: function () {
        },
        shareWeixin: function () {
        }
    };
    return App.n.share;
});
var App = App || {};
define('channel/app/n.push', ['store'], function (store) {
    App.n.push = {
        clientInfo: null,
        init: function () {
        },
        addEventListener: function () {
        },
        upCinfo: function () {
        }
    };
    return App.n.pay;
});
var App = App || {};
define('channel/app/n.vcheck', ['store'], function (store) {
    App.n.vcheck = {
        mv: 0,
        nv: 0,
        uv: 0,
        wv: 0,
        vstore: null,
        init: function () {
        },
        formatv: function (_val) {
        },
        test: function () {
        },
        warn: function () {
        }
    };
    return App.n.vcheck;
});
var App = App || {};
define('channel/app/n.device', [], function () {
    var _device = function () {
        return {
            os: null,
            init: function () {
                this.os = plus.os;
                return this;
            },
            testnetwork: function (_fun) {
                if (plus.networkinfo.getCurrentType() == plus.networkinfo.CONNECTION_NONE) {
                    return false;
                } else {
                    if (typeof _fun != 'undefined')
                        _fun();
                    return true;
                }
            }
        };
    };
    return _device;
});
var App = App || {};
define('channel/app/n.scanqr', [], function () {
    var _scanqr = function () {
        var cbkFun = null;
        return {
            scan: null,
            onmarked: function (type, result) {
                var text = '未知: ';
                switch (type) {
                case plus.barcode.QR:
                    text = 'QR: ';
                    break;
                case plus.barcode.EAN13:
                    text = 'EAN13: ';
                    break;
                case plus.barcode.EAN8:
                    text = 'EAN8: ';
                    break;
                }
                var _res = {
                    type: '',
                    data: '',
                    one: '',
                    two: ''
                };
                str = result.split('://');
                _res.type = str[0];
                _res.data = str[1];
                str = result.split('com/');
                _res.one = str[0];
                _res.two = str[1];
                if (cbkFun) {
                    cbkFun(_res);
                }
                scan.close();
            },
            startRecognize: function (_fun) {
                cbkFun = _fun;
                var _this = this;
                setTimeout(function () {
                    scan = new plus.barcode.Barcode('bcid', [
                        plus.barcode.QR,
                        plus.barcode.EAN8,
                        plus.barcode.EAN13
                    ], {
                        frameColor: '#00FF00',
                        scanbarColor: '#00FF00'
                    });
                    scan.onmarked = _this.onmarked;
                    scan.start();
                }, 100);
            }
        };
    };
    return _scanqr;
});
var App = App || {};
define('channel/app/n.gallery', [], function () {
    var _gallery = function () {
        return {
            getImage: function (_data) {
                var cmr = plus.camera.getCamera();
                cmr.captureImage(function (path) {
                    plus.gallery.save(path);
                    plus.io.resolveLocalFileSystemURL(path, function (entry) {
                        var path = entry.toLocalURL();
                        _data(path);
                    }, function (e) {
                        App.trace('读取拍照文件错误' + e.message);
                    });
                }, function (e) {
                    App.trace('取消拍照');
                }, { index: 1 });
            },
            galleryImg: function (_data) {
                plus.gallery.pick(function (path) {
                    _data(path);
                }, function (e) {
                    App.trace('取消选择图片');
                }, { filter: 'image' });
            }
        };
    };
    return _gallery;
});
var App = App || {};
define('native', [
    'channel/app/n.event',
    'channel/app/n.pay',
    'channel/app/n.share',
    'channel/app/n.push',
    'channel/app/n.vcheck',
    'channel/app/n.device',
    'channel/app/n.scanqr',
    'channel/app/n.gallery'
], function (event, pay, share, push, vcheck, device, scanqr, gallery) {
    App.n.init = function (_fun) {
        App.n.is = true;
        App.user.rt = 'app';
        App.n.device = device().init();
        App.n.pay = pay().init();
        if (App.n.device.testnetwork()) {
            App.n.push.init();
            App.n.vcheck.init();
        }
        App.n.event = event().init();
        App.n.ok = true;
        App.trace('硬件加速\uFF1A' + plus.webview.defaultHardwareAccelerated());
        App.n.scanqr = scanqr();
        App.n.gallery = gallery();
    };
    if (window.plus) {
        App.n.init();
    } else {
        document.addEventListener('plusready', App.n.init, false);
    }
    return App.n;
});
require.config({
    urlArgs: 'bust=' + new Date().getTime(),
    baseUrl: 'app/',
    shim: {
        underscore: { exports: '_' },
        vue: {
            deps: [
                'underscore',
                'updata',
                'jquery'
            ]
        }
    },
    paths: {
        jquery: 'libs/jquery.min',
        qrcode: 'libs/jquery.qrcode.min',
        domReady: 'libs/domReady',
        underscore: 'libs/underscore-min',
        text: 'libs/text',
        vue: 'libs/vue.min',
        director: 'libs/director.min',
        uview: 'libs/cx.uView',
        updata: 'libs/cx.upDataServer',
        IScroll: 'libs/iscroll-probe',
        store: 'libs/cx.localStorage',
        native: 'channel/app/n.init',
        actions: 'global/actions',
        debug: 'global/debug',
        router: 'global/router',
        userinfo: 'global/ldUserinfo',
        animate: 'global/animate',
        alert: 'global/alert',
        tool: 'global/tool',
        init: 'global/init'
    }
});
App = {
    v: '1.1.0',
    config: {
        urlPath: 'http://hfty.zhijiasoft.com',
        accompany: ''
    },
    user: null,
    buyinfo: null,
    init: null,
    views: {},
    cxmain: null,
    router: {},
    upData: null,
    alert: null,
    extend: null,
    tool: {},
    n: { is: false },
    w: {},
    p: {},
    trace: null
};
require([
    'domReady',
    'init',
    'jquery',
    'userinfo',
    'native'
], function (domReady, _init, $, userinfo, native) {
    domReady(function () {
        userinfo.accompany();
        $('.loading').remove();
        App.init();
    });
});
define('main', [
    'domReady',
    'init',
    'jquery',
    'userinfo',
    'native'
], function () {
    return;
});